searchData={"items":[{"type":"module","title":"Stripe","doc":"A HTTP client for Stripe.","ref":"Stripe.html"},{"type":"module","title":"Configuration - Stripe","doc":"#","ref":"Stripe.html#module-configuration"},{"type":"module","title":"API Key - Stripe","doc":"You need to set your API key in your application configuration. Typically\nthis is done in `config/config.exs` or a similar file. For example:\n\n    config :stripity_stripe, api_key: \"sk_test_abc123456789qwerty\"\n\nYou can also utilize `System.get_env/1` to retrieve the API key from\nan environment variable, but remember that this can cause issues if\nyou use a release tool like exrm or Distillery.\n\n    config :stripity_stripe, api_key: System.get_env(\"STRIPE_API_KEY\")\n\n#","ref":"Stripe.html#module-api-key"},{"type":"module","title":"Shared Options - Stripe","doc":"Almost all of the requests that can be sent accept the following options:\n\n  * `:api_key` - The Stripe API key to use for the request. See\n    [https://stripe.com/docs/api/authentication](https://stripe.com/docs/api/authentication)\n  * `:api_version` - The version of the api that is being used, defaults to the\n    version the library is written for. See [https://stripe.com/docs/api/versioning](https://stripe.com/docs/api/versioning)\n  * `:connect_account` - The ID of a Stripe Connect account for which the\n    request should be made, passed through as the \"Stripe-Account\" header. The\n    preferred authentication method for Stripe Connect. See\n    [https://stripe.com/docs/connect/authentication#stripe-account-header](https://stripe.com/docs/connect/authentication#stripe-account-header)\n  * `:expand` - Takes a list of fields that should be expanded in the response\n    from Stripe. See [https://stripe.com/docs/api/expanding_objects](https://stripe.com/docs/api/expanding_objects)\n  * `:idempotency_key` - A string that is passed through as the \"Idempotency-Key\" header on all POST requests. This is used by Stripe's idempotency layer to manage\n    duplicate requests to the stripe API. See [https://stripe.com/docs/api/idempotent_requests](https://stripe.com/docs/api/idempotent_requests)\n\n#","ref":"Stripe.html#module-shared-options"},{"type":"module","title":"HTTP Connection Pool - Stripe","doc":"Stripity Stripe is set up to use an HTTP connection pool by default. This\nmeans that it will reuse already opened HTTP connections in order to\nminimize the overhead of establishing connections. The pool is directly\nsupervised by Stripity Stripe. Two configuration options are\navailable to tune how this pool works: `:timeout` and `:max_connections`.\n\n`:timeout` is the amount of time that a connection will be allowed\nto remain open but idle (no data passing over it) before it is closed\nand cleaned up. This defaults to 5 seconds.\n\n`:max_connections` is the maximum number of connections that can be\nopen at any time. This defaults to 10.\n\nBoth these settings are located under the `:pool_options` key in\nyour application configuration:\n\n    config :stripity_stripe, :pool_options,\n      timeout: 5_000,\n      max_connections: 10\n\nIf you prefer, you can also turn pooling off completely using\nthe `:use_connection_pool` setting:\n\n    config :stripity_stripe, use_connection_pool: false","ref":"Stripe.html#module-http-connection-pool"},{"type":"function","title":"Stripe.start/2","doc":"Callback for the application\n\nStart the supervision tree including the supervised\nHTTP connection pool (if it's being used) when\nthe VM loads the application pool.\n\nNote that we are taking advantage of the BEAM application\nstandard in order to start the pool when the application is\nstarted. While we do start a supervisor, the supervisor is only\nto comply with the expectations of the BEAM application standard.\nIt is not given any children to supervise.","ref":"Stripe.html#start/2"},{"type":"type","title":"Stripe.date_query/0","doc":"","ref":"Stripe.html#t:date_query/0"},{"type":"type","title":"Stripe.id/0","doc":"","ref":"Stripe.html#t:id/0"},{"type":"type","title":"Stripe.integer_query/0","doc":"","ref":"Stripe.html#t:integer_query/0"},{"type":"type","title":"Stripe.options/0","doc":"","ref":"Stripe.html#t:options/0"},{"type":"type","title":"Stripe.search_query/0","doc":"","ref":"Stripe.html#t:search_query/0"},{"type":"type","title":"Stripe.timestamp/0","doc":"","ref":"Stripe.html#t:timestamp/0"},{"type":"behaviour","title":"Stripe.API","doc":"Low-level utilities for interacting with the Stripe API.\n\nUsually the utilities in `Stripe.Request` are a better way to write custom interactions with\nthe API.","ref":"Stripe.API.html"},{"type":"function","title":"Stripe.API.backoff/2","doc":"Returns backoff in milliseconds.","ref":"Stripe.API.html#backoff/2"},{"type":"function","title":"Stripe.API.generate_idempotency_key/0","doc":"A low level utility function to generate a new idempotency key for\n`Idempotency-Key` request header value.","ref":"Stripe.API.html#generate_idempotency_key/0"},{"type":"function","title":"Stripe.API.json_library/0","doc":"In config.exs your implicit or explicit configuration is:\n  config :stripity_stripe,\n    json_library: Poison # defaults to Jason but can be configured to Poison","ref":"Stripe.API.html#json_library/0"},{"type":"callback","title":"Stripe.API.oauth_request/3","doc":"","ref":"Stripe.API.html#c:oauth_request/3"},{"type":"function","title":"Stripe.API.oauth_request/5","doc":"A low level utility function to make an OAuth request to the Stripe API","ref":"Stripe.API.html#oauth_request/5"},{"type":"function","title":"Stripe.API.request/5","doc":"A low level utility function to make a direct request to the Stripe API","ref":"Stripe.API.html#request/5"},{"type":"function","title":"Setting the api key - Stripe.API.request/5","doc":"request(%{}, :get, \"/customers\", %{}, api_key: \"bogus key\")","ref":"Stripe.API.html#request/5-setting-the-api-key"},{"type":"function","title":"Setting api version - Stripe.API.request/5","doc":"The api version defaults to 2022-11-15 but a custom version can be passed\nin as follows:\n\n    request(%{}, :get, \"/customers\", %{}, api_version: \"2018-11-04\")","ref":"Stripe.API.html#request/5-setting-api-version"},{"type":"function","title":"Connect Accounts - Stripe.API.request/5","doc":"If you'd like to make a request on behalf of another Stripe account\nutilizing the Connect program, you can pass the other Stripe account's\nID to the request function as follows:\n\n    request(%{}, :get, \"/customers\", %{}, connect_account: \"acc_134151\")","ref":"Stripe.API.html#request/5-connect-accounts"},{"type":"function","title":"Stripe.API.request_file_upload/5","doc":"A low level utility function to make a direct request to the files Stripe API","ref":"Stripe.API.html#request_file_upload/5"},{"type":"function","title":"Stripe.API.should_retry?/3","doc":"Checks if an error is a problem that we should retry on. This includes both\nsocket errors that may represent an intermittent problem and some special\nHTTP statuses.","ref":"Stripe.API.html#should_retry?/3"},{"type":"function","title":"Stripe.API.supervisor_children/0","doc":"","ref":"Stripe.API.html#supervisor_children/0"},{"type":"type","title":"Stripe.API.body/0","doc":"","ref":"Stripe.API.html#t:body/0"},{"type":"type","title":"Stripe.API.headers/0","doc":"","ref":"Stripe.API.html#t:headers/0"},{"type":"type","title":"Stripe.API.method/0","doc":"","ref":"Stripe.API.html#t:method/0"},{"type":"module","title":"Stripe.ApiErrors","doc":"","ref":"Stripe.ApiErrors.html"},{"type":"type","title":"Stripe.ApiErrors.t/0","doc":"The `api_errors` type.\n\n  * `charge` For card errors, the ID of the failed charge.\n  * `code` For some errors that could be handled programmatically, a short string indicating the [error code](https://stripe.com/docs/error-codes) reported.\n  * `decline_code` For card errors resulting from a card issuer decline, a short string indicating the [card issuer's reason for the decline](https://stripe.com/docs/declines#issuer-declines) if they provide one.\n  * `doc_url` A URL to more information about the [error code](https://stripe.com/docs/error-codes) reported.\n  * `message` A human-readable message providing more details about the error. For card errors, these messages can be shown to your users.\n  * `param` If the error is parameter-specific, the parameter related to the error. For example, you can use this to display a message near the correct form field.\n  * `payment_intent` \n  * `payment_method` \n  * `payment_method_type` If the error is specific to the type of payment method, the payment method type that had a problem. This field is only populated for invoice-related errors.\n  * `request_log_url` A URL to the request log entry in your dashboard.\n  * `setup_intent` \n  * `source` \n  * `type` The type of error returned. One of `api_error`, `card_error`, `idempotency_error`, or `invalid_request_error`","ref":"Stripe.ApiErrors.html#t:t/0"},{"type":"behaviour","title":"Stripe.Entity","doc":"A behaviour implemented by modules which represent Stripe objects.\n\nIntended for internal use within the library.\n\nA Stripe Entity is just a struct, optionally containing some logic for\ntransforming a raw result from the Stripe API into a final struct. This is\nachieved through the use of the `from_json/2` macro.\n\nThe list of objects which are recognised by the library upon receipt are\ncurrently static and contained in `Stripe.Converter`.\n\nWhen a map containing the `\"object\"` key is received from the API (even when\nnested inside another map), and the value of that field (for example,\n`\"foo_widget\"`) is in the list of supported objects, the converter will\nexpect `Stripe.FooWidget` to be present and to implement this behaviour.\n\nTo implement this behaviour, simply add `use Stripe.Entity` to the top of\nthe entity module and make sure it defines a struct. This will also enable\nthe use of the `from_json/2` macro, which allows for changes to the data\nreceived from Stripe before it is converted to a struct.","ref":"Stripe.Entity.html"},{"type":"callback","title":"Stripe.Entity.__from_json__/1","doc":"","ref":"Stripe.Entity.html#c:__from_json__/1"},{"type":"function","title":"Stripe.Entity.cast_each/3","doc":"Applies the given function over a list present in the data.\n\nProvide either a single atom key or a list of atom keys whose values are\nlists. Each element of such a list will be mapped using the function passed.\n\nFor example, if there is a field `:fee_details` which is a list of maps,\neach containing a `:type` key whose value we want to cast to an atom, then\nwe write:\n\n```\ndata\n|> cast_each(:fee_details, &cast_to_atom(&1, :type))\n```\n\nIf a key is not set or the value is `nil`, no transformation occurs.","ref":"Stripe.Entity.html#cast_each/3"},{"type":"function","title":"Stripe.Entity.cast_path/3","doc":"Applies the given function to a field accessed via the path provided.\n\nProvide a path (identical to that used by the `Access` protocol) to the\nfield to be modified, and a function to be applied to its value. For\nexample, if the field `:fraud_details` contains a map whose keys are\n`:user_report` and `:stripe_report` we wish to convert to atoms, then we\nwrite:\n\n```\ndata\n|> cast_path([:fraud_details], &cast_to_atom(&1, [:user_report, :stripe_report]))\n```\n\nUnlike `Kernel.update_in/2`, if the path to the key does not exist, or if\nthe value is `nil`, then no transformation occurs.","ref":"Stripe.Entity.html#cast_path/3"},{"type":"function","title":"Stripe.Entity.cast_to_atom/2","doc":"Cast the value of the given key or keys to an atom.\n\nProvide either a single atom key or a list of atom keys whose values should\nbe converted from binaries to atoms. Used commonly to convert `\"enum\"` values\n(values which belong to a predefined set) in Stripe responses, for example a\n`:status` field.\n\nIf a key is not set or the value is `nil`, no transformation occurs.","ref":"Stripe.Entity.html#cast_to_atom/2"},{"type":"macro","title":"Stripe.Entity.from_json/2","doc":"Specifies logic that transforms data from Stripe to our Stripe object.\n\nThe Stripe API docs specify that:\n\n> JSON is returned by all API responses, including errors, although our API\n> libraries convert responses to appropriate language-specific objects.\n\nTo this end, sometimes it is desirable to make changes to the raw data\nreceived from the Stripe API, to aid its conversion into an appropriate\nElixir data struct.\n\nOne example is the convention of converting `\"enum\"` values (for example\n`\"status\"` values of `\"succeeded\"` or `\"failed\"`) into atoms instead of\nkeeping them as strings.\n\nThis macro is used in modules implementing the `Stripe.Entity` behaviour in\norder to specify this extra logic.\n\nIts use is optional, and the default is no transformation; i.e. the received\nJSON keys are merely converted to atoms and cast to the struct defined by\nthe module.\n\nThe macro is used like this:\n\n```\nfrom_json data do\n  data\n  |> cast_to_atom([:type, :status])\n  |> cast_each(:fee_details, &cast_to_atom(&1, :type))\nend\n```\n\nIt takes a parameter name to which the data received from Stripe is bound,\nand a `do` block which should return the transformed data. The\ntransformation receives the JSON response from Stripe, with all keys\nconverted to atoms (apart from keys inside a metadata map, which remain\nbinaries) and should return a map which is ready to be cast to the struct\nthe module defines.\n\nThe helper `cast_*` functions defined in this module are automatically\nimported into the scope of this macro.\n\nThe helper functions are all `nil`/missing key-safe, meaning that they will\nnot magically add fields or error on fields which are missing or unset. You\nshould therefore write your transformation assuming all possible data is\nactually present.","ref":"Stripe.Entity.html#from_json/2"},{"type":"module","title":"Stripe.List","doc":"Work with Stripe list objects.\n\nA list is a general-purpose Stripe object which holds one or more\nother Stripe objects in its \"data\" property.\n\nIn its current iteration it simply allows serializing into a properly\ntyped struct.\n\nIn future iterations, it should:\n- Support multiple types of objects in its collection\n- Support fetching the next set of objects (pagination)","ref":"Stripe.List.html"},{"type":"type","title":"Stripe.List.t/1","doc":"","ref":"Stripe.List.html#t:t/1"},{"type":"type","title":"Stripe.List.value/0","doc":"","ref":"Stripe.List.html#t:value/0"},{"type":"module","title":"Stripe.Request","doc":"A module for working with requests to the Stripe API.\n\nRequests are composed in a functional manner. The request does not happen\nuntil it is configured and passed to `make_request/1`.\n\nCurrently encompasses only requests to the normal Stripe API. The OAuth\nendpoint is not yet supported.\n\nGenerally intended to be used internally, but can also be used by end-users\nto work around missing endpoints (if any).\n\nAt a minimum, a request must have the endpoint and method specified to be\nvalid.","ref":"Stripe.Request.html"},{"type":"function","title":"Stripe.Request.cast_path_to_id/2","doc":"Specify that a given path in the parameters should be cast to a simple ID.\n\nActs similar to `cast_to_id/2` but specifies only one parameter to be cast,\nby specifying its path (as in the `Access` protocol). Used to cast nested\nobjects to their IDs.","ref":"Stripe.Request.html#cast_path_to_id/2"},{"type":"function","title":"Stripe.Request.cast_to_id/2","doc":"Specify that a given set of parameters should be cast to a simple ID.\n\nSometimes, it may be convenient to allow end-users to pass in structs (say,\nthe card to charge) but the API requires only the ID of the object. This\nfunction will ensure that before the request is made, the parameters\nspecified here will be cast to IDs – if the value of a parameter is a\nstruct with an `:id` field, the value of that field will replace the struct\nin the parameter list.\n\nIf the function is called multiple times, the set of parameters to cast to\nID is merged between the multiple calls.","ref":"Stripe.Request.html#cast_to_id/2"},{"type":"function","title":"Stripe.Request.get_id!/1","doc":"Normalise the argument to a simple Stripe ID.\n\nActively extracts the ID, given a struct with an `:id` field, or returns the\nbinary if one is passed in.\n\nUseful for eagerly getting the ID of an object passed in, for example when\ncomputing the endpoint to use:\n\n```\ndef capture(id, params, opts) do\n  new_request(opts)\n  |> put_endpoint(@plural_endpoint <> \"/#{get_id!(id)}/capture\")\n  ...\n```","ref":"Stripe.Request.html#get_id!/1"},{"type":"function","title":"Stripe.Request.make_file_upload_request/1","doc":"Executes the request and returns the response for file uploads","ref":"Stripe.Request.html#make_file_upload_request/1"},{"type":"function","title":"Stripe.Request.make_request/1","doc":"Executes the request and returns the response.","ref":"Stripe.Request.html#make_request/1"},{"type":"function","title":"Stripe.Request.new_request/2","doc":"Creates a new request.\n\nOptionally accepts options for the request, such as using a specific API key.\nSee `t:Stripe.options` for details.","ref":"Stripe.Request.html#new_request/2"},{"type":"function","title":"Stripe.Request.prefix_expansions/1","doc":"Prefixes all `:expand` values provided in `opts` with the given prefix.\n\nWhen using object expansion on a `list` function for a resource, the values must\nbe prefixed with `data.`. This is required because the stripe api nests the\nreturned objects within `data: {}`.\n\nFor all `create`, `update`, `cancel` and `retrieve` functions this is not required.\n\n```\nopts = [expand: [\"balance_transaction\"]]\nrequest = prefix_expansions(%Request{opts: opts})\n\nrequest.opts == [\"data.balance_transaction\"]\n```","ref":"Stripe.Request.html#prefix_expansions/1"},{"type":"function","title":"Stripe.Request.put_endpoint/2","doc":"Specifies an endpoint for the request.\n\nThe endpoint should not include the `v1` prefix or an initial slash, for\nexample `put_endpoint(request, \"charges\")`.\n\nThe endpoint can be a binary or a function which takes the parameters of the\nquery and returns an endpoint. The function is not evaluated until just\nbefore the request is made so the actual parameters can be specified after\nthe endpoint.","ref":"Stripe.Request.html#put_endpoint/2"},{"type":"function","title":"Stripe.Request.put_method/2","doc":"Specifies a method to use for the request.\n\nAccepts any of the standard HTTP methods as atoms, that is `:get`, `:post`,\n`:put`, `:patch` or `:delete`.","ref":"Stripe.Request.html#put_method/2"},{"type":"function","title":"Stripe.Request.put_param/3","doc":"Specify a single param to be included in the request.","ref":"Stripe.Request.html#put_param/3"},{"type":"function","title":"Stripe.Request.put_params/2","doc":"Specifies the parameters to be used for the request.\n\nIf the request is a POST request, these are encoded in the request body.\nOtherwise, they are encoded in the URL.\n\nCalling this function multiple times will merge, not replace, the params\ncurrently specified.","ref":"Stripe.Request.html#put_params/2"},{"type":"type","title":"Stripe.Request.error_code/0","doc":"","ref":"Stripe.Request.html#t:error_code/0"},{"type":"type","title":"Stripe.Request.t/0","doc":"","ref":"Stripe.Request.html#t:t/0"},{"type":"module","title":"Stripe.SearchResult","doc":"Work with Stripe search result objects.\n\nA search result is a object which holds one or more\nother Stripe objects in its \"data\" property. It's similar to Stripe.List","ref":"Stripe.SearchResult.html"},{"type":"type","title":"Stripe.SearchResult.t/1","doc":"","ref":"Stripe.SearchResult.html#t:t/1"},{"type":"type","title":"Stripe.SearchResult.value/0","doc":"","ref":"Stripe.SearchResult.html#t:value/0"},{"type":"module","title":"Stripe.Balance","doc":"This is an object representing your Stripe balance. You can retrieve it to see\nthe balance currently on your Stripe account.\n\nYou can also retrieve the balance history, which contains a list of\n[transactions](https://stripe.com/docs/reporting/balance-transaction-types) that contributed to the balance\n(charges, payouts, and so forth).\n\nThe available and pending amounts for each currency are broken down further by\npayment source types.\n\nRelated guide: [Understanding Connect account balances](https://stripe.com/docs/connect/account-balances)","ref":"Stripe.Balance.html"},{"type":"function","title":"Stripe.Balance.retrieve/2","doc":"Retrieves the current account balance, based on the authentication that was used to make the request.\n For a sample request, see  Accounting for negative balances . \n\n##","ref":"Stripe.Balance.html#retrieve/2"},{"type":"function","title":"Details - Stripe.Balance.retrieve/2","doc":"* Method: `get`\n * Path: `/v1/balance`","ref":"Stripe.Balance.html#retrieve/2-details"},{"type":"type","title":"Stripe.Balance.t/0","doc":"The `balance` type.\n\n  * `available` Available funds that you can transfer or pay out automatically by Stripe or explicitly through the [Transfers API](https://stripe.com/docs/api#transfers) or [Payouts API](https://stripe.com/docs/api#payouts). You can find the available balance for each currency and payment type in the `source_types` property.\n  * `connect_reserved` Funds held due to negative balances on connected Custom accounts. You can find the connect reserve balance for each currency and payment type in the `source_types` property.\n  * `instant_available` Funds that you can pay out using Instant Payouts.\n  * `issuing` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `pending` Funds that aren't available in the balance yet. You can find the pending balance for each currency and each payment type in the `source_types` property.","ref":"Stripe.Balance.html#t:t/0"},{"type":"module","title":"Stripe.BalanceTransaction","doc":"Balance transactions represent funds moving through your Stripe account.\nStripe creates them for every type of transaction that enters or leaves your Stripe account balance.\n\nRelated guide: [Balance transaction types](https://stripe.com/docs/reports/balance-transaction-types)","ref":"Stripe.BalanceTransaction.html"},{"type":"function","title":"Stripe.BalanceTransaction.list/2","doc":"Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first. \n\n Note that this endpoint was previously called “Balance history” and used the path  /v1/balance/history . \n\n##","ref":"Stripe.BalanceTransaction.html#list/2"},{"type":"function","title":"Details - Stripe.BalanceTransaction.list/2","doc":"* Method: `get`\n * Path: `/v1/balance_transactions`","ref":"Stripe.BalanceTransaction.html#list/2-details"},{"type":"function","title":"Stripe.BalanceTransaction.retrieve/3","doc":"Retrieves the balance transaction with the given ID. \n\n Note that this endpoint previously used the path  /v1/balance/history/:id . \n\n##","ref":"Stripe.BalanceTransaction.html#retrieve/3"},{"type":"function","title":"Details - Stripe.BalanceTransaction.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/balance_transactions/{id}`","ref":"Stripe.BalanceTransaction.html#retrieve/3-details"},{"type":"type","title":"Stripe.BalanceTransaction.created/0","doc":"","ref":"Stripe.BalanceTransaction.html#t:created/0"},{"type":"type","title":"Stripe.BalanceTransaction.t/0","doc":"The `balance_transaction` type.\n\n  * `amount` Gross amount of this transaction (in cents (or local equivalent)). A positive value represents funds charged to another party, and a negative value represents funds sent to another party.\n  * `available_on` The date that the transaction's net funds become available in the Stripe balance.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `exchange_rate` If applicable, this transaction uses an exchange rate. If money converts from currency A to currency B, then the `amount` in currency A, multipled by the `exchange_rate`, equals the `amount` in currency B. For example, if you charge a customer 10.00 EUR, the PaymentIntent's `amount` is `1000` and `currency` is `eur`. If this converts to 12.34 USD in your Stripe account, the BalanceTransaction's `amount` is `1234`, its `currency` is `usd`, and the `exchange_rate` is `1.234`.\n  * `fee` Fees (in cents (or local equivalent)) paid for this transaction. Represented as a positive integer when assessed.\n  * `fee_details` Detailed breakdown of fees (in cents (or local equivalent)) paid for this transaction.\n  * `id` Unique identifier for the object.\n  * `net` Net impact to a Stripe balance (in cents (or local equivalent)). A positive value represents incrementing a Stripe balance, and a negative value decrementing a Stripe balance. You can calculate the net impact of a transaction on a balance by `amount` - `fee`\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `reporting_category` Learn more about how [reporting categories](https://stripe.com/docs/reports/reporting-categories) can help you understand balance transactions from an accounting perspective.\n  * `source` This transaction relates to the Stripe object.\n  * `status` The transaction's net funds status in the Stripe balance, which are either `available` or `pending`.\n  * `type` Transaction type: `adjustment`, `advance`, `advance_funding`, `anticipation_repayment`, `application_fee`, `application_fee_refund`, `charge`, `climate_order_purchase`, `climate_order_refund`, `connect_collection_transfer`, `contribution`, `issuing_authorization_hold`, `issuing_authorization_release`, `issuing_dispute`, `issuing_transaction`, `obligation_outbound`, `obligation_reversal_inbound`, `payment`, `payment_failure_refund`, `payment_network_reserve_hold`, `payment_network_reserve_release`, `payment_refund`, `payment_reversal`, `payment_unreconciled`, `payout`, `payout_cancel`, `payout_failure`, `refund`, `refund_failure`, `reserve_transaction`, `reserved_funds`, `stripe_fee`, `stripe_fx_fee`, `tax_fee`, `topup`, `topup_reversal`, `transfer`, `transfer_cancel`, `transfer_failure`, or `transfer_refund`. Learn more about [balance transaction types and what they represent](https://stripe.com/docs/reports/balance-transaction-types). To classify transactions for accounting purposes, consider `reporting_category` instead.","ref":"Stripe.BalanceTransaction.html#t:t/0"},{"type":"module","title":"Stripe.Charge","doc":"The `Charge` object represents a single attempt to move money into your Stripe account.\nPaymentIntent confirmation is the most common way to create Charges, but transferring\nmoney to a different Stripe account through Connect also creates Charges.\nSome legacy payment flows create Charges directly, which is not recommended for new integrations.","ref":"Stripe.Charge.html"},{"type":"function","title":"Stripe.Charge.capture/3","doc":"Capture the payment of an existing, uncaptured charge that was created with the  capture  option set to false. \n\n Uncaptured payments expire a set number of days after they are created ( 7 by default ), after which they are marked as refunded and capture attempts will fail. \n\n Don’t use this method to capture a PaymentIntent-initiated charge. Use  Capture a PaymentIntent . \n\n##","ref":"Stripe.Charge.html#capture/3"},{"type":"function","title":"Details - Stripe.Charge.capture/3","doc":"* Method: `post`\n * Path: `/v1/charges/{charge}/capture`","ref":"Stripe.Charge.html#capture/3-details"},{"type":"function","title":"Stripe.Charge.create/2","doc":"Use the  Payment Intents API  to initiate a new payment instead\nof using this method. Confirmation of the PaymentIntent creates the  Charge \nobject used to request payment, so this method is limited to legacy integrations. \n\n##","ref":"Stripe.Charge.html#create/2"},{"type":"function","title":"Details - Stripe.Charge.create/2","doc":"* Method: `post`\n * Path: `/v1/charges`","ref":"Stripe.Charge.html#create/2-details"},{"type":"function","title":"Stripe.Charge.list/2","doc":"Returns a list of charges you’ve previously created. The charges are returned in sorted order, with the most recent charges appearing first. \n\n##","ref":"Stripe.Charge.html#list/2"},{"type":"function","title":"Details - Stripe.Charge.list/2","doc":"* Method: `get`\n * Path: `/v1/charges`","ref":"Stripe.Charge.html#list/2-details"},{"type":"function","title":"Stripe.Charge.retrieve/3","doc":"Retrieves the details of a charge that has previously been created. Supply the unique charge ID that was returned from your previous request, and Stripe will return the corresponding charge information. The same information is returned when creating or refunding the charge. \n\n##","ref":"Stripe.Charge.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Charge.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/charges/{charge}`","ref":"Stripe.Charge.html#retrieve/3-details"},{"type":"function","title":"Stripe.Charge.search/2","doc":"Search for charges you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.Charge.html#search/2"},{"type":"function","title":"Details - Stripe.Charge.search/2","doc":"* Method: `get`\n * Path: `/v1/charges/search`","ref":"Stripe.Charge.html#search/2-details"},{"type":"function","title":"Stripe.Charge.update/3","doc":"Updates the specified charge by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Charge.html#update/3"},{"type":"function","title":"Details - Stripe.Charge.update/3","doc":"* Method: `post`\n * Path: `/v1/charges/{charge}`","ref":"Stripe.Charge.html#update/3-details"},{"type":"type","title":"Stripe.Charge.address/0","doc":"Shipping address.","ref":"Stripe.Charge.html#t:address/0"},{"type":"type","title":"Stripe.Charge.created/0","doc":"","ref":"Stripe.Charge.html#t:created/0"},{"type":"type","title":"Stripe.Charge.destination/0","doc":"","ref":"Stripe.Charge.html#t:destination/0"},{"type":"type","title":"Stripe.Charge.fraud_details/0","doc":"A set of key-value pairs you can attach to a charge giving information about its riskiness. If you believe a charge is fraudulent, include a `user_report` key with a value of `fraudulent`. If you believe a charge is safe, include a `user_report` key with a value of `safe`. Stripe will use the information you send to improve our fraud detection algorithms.","ref":"Stripe.Charge.html#t:fraud_details/0"},{"type":"type","title":"Stripe.Charge.radar_options/0","doc":"Options to configure Radar. See [Radar Session](https://stripe.com/docs/radar/radar-session) for more information.","ref":"Stripe.Charge.html#t:radar_options/0"},{"type":"type","title":"Stripe.Charge.shipping/0","doc":"Shipping information for the charge. Helps prevent fraud on charges for physical goods.","ref":"Stripe.Charge.html#t:shipping/0"},{"type":"type","title":"Stripe.Charge.t/0","doc":"The `charge` type.\n\n  * `amount` Amount intended to be collected by this payment. A positive integer representing how much to charge in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal) (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.50 US or [equivalent in charge currency](https://stripe.com/docs/currencies#minimum-and-maximum-charge-amounts). The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).\n  * `amount_captured` Amount in cents (or local equivalent) captured (can be less than the amount attribute on the charge if a partial capture was made).\n  * `amount_refunded` Amount in cents (or local equivalent) refunded (can be less than the amount attribute on the charge if a partial refund was issued).\n  * `application` ID of the Connect application that created the charge.\n  * `application_fee` The application fee (if any) for the charge. [See the Connect documentation](https://stripe.com/docs/connect/direct-charges#collecting-fees) for details.\n  * `application_fee_amount` The amount of the application fee (if any) requested for the charge. [See the Connect documentation](https://stripe.com/docs/connect/direct-charges#collecting-fees) for details.\n  * `authorization_code` Authorization code on the charge.\n  * `balance_transaction` ID of the balance transaction that describes the impact of this charge on your account balance (not including refunds or disputes).\n  * `billing_details` \n  * `calculated_statement_descriptor` The full statement descriptor that is passed to card networks, and that is displayed on your customers' credit card and bank statements. Allows you to see what the statement descriptor looks like after the static and dynamic portions are combined.\n  * `captured` If the charge was created without capturing, this Boolean represents whether it is still uncaptured or has since been captured.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` ID of the customer this charge is for if one exists.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `disputed` Whether the charge has been disputed.\n  * `failure_balance_transaction` ID of the balance transaction that describes the reversal of the balance on your account due to payment failure.\n  * `failure_code` Error code explaining reason for charge failure if available (see [the errors section](https://stripe.com/docs/error-codes) for a list of codes).\n  * `failure_message` Message to user further explaining reason for charge failure if available.\n  * `fraud_details` Information on fraud assessments for the charge.\n  * `id` Unique identifier for the object.\n  * `invoice` ID of the invoice this charge is for if one exists.\n  * `level3` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account (if any) the charge was made on behalf of without triggering an automatic transfer. See the [Connect documentation](https://stripe.com/docs/connect/separate-charges-and-transfers) for details.\n  * `outcome` Details about whether the payment was accepted, and why. See [understanding declines](https://stripe.com/docs/declines) for details.\n  * `paid` `true` if the charge succeeded, or was successfully authorized for later capture.\n  * `payment_intent` ID of the PaymentIntent associated with this charge, if one exists.\n  * `payment_method` ID of the payment method used in this charge.\n  * `payment_method_details` Details about the payment method at the time of the transaction.\n  * `radar_options` \n  * `receipt_email` This is the email address that the receipt for this charge was sent to.\n  * `receipt_number` This is the transaction number that appears on email receipts sent for this charge. This attribute will be `null` until a receipt has been sent.\n  * `receipt_url` This is the URL to view the receipt for this charge. The receipt is kept up-to-date to the latest state of the charge, including any refunds. If the charge is for an Invoice, the receipt will be stylized as an Invoice receipt.\n  * `refunded` Whether the charge has been fully refunded. If the charge is only partially refunded, this attribute will still be false.\n  * `refunds` A list of refunds that have been applied to the charge.\n  * `review` ID of the review associated with this charge if one exists.\n  * `shipping` Shipping information for the charge.\n  * `source` This is a legacy field that will be removed in the future. It contains the Source, Card, or BankAccount object used for the charge. For details about the payment method used for this charge, refer to `payment_method` or `payment_method_details` instead.\n  * `source_transfer` The transfer ID which created this charge. Only present if the charge came from another Stripe account. [See the Connect documentation](https://stripe.com/docs/connect/destination-charges) for details.\n  * `statement_descriptor` For card charges, use `statement_descriptor_suffix` instead. Otherwise, you can use this value as the complete description of a charge on your customers’ statements. Must contain at least one letter, maximum 22 characters.\n  * `statement_descriptor_suffix` Provides information about the charge that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor.\n  * `status` The status of the payment is either `succeeded`, `pending`, or `failed`.\n  * `transfer` ID of the transfer to the `destination` account (only applicable if the charge was created using the `destination` parameter).\n  * `transfer_data` An optional dictionary including the account to automatically transfer to as part of a destination charge. [See the Connect documentation](https://stripe.com/docs/connect/destination-charges) for details.\n  * `transfer_group` A string that identifies this transaction as part of a group. See the [Connect documentation](https://stripe.com/docs/connect/separate-charges-and-transfers#transfer-options) for details.","ref":"Stripe.Charge.html#t:t/0"},{"type":"type","title":"Stripe.Charge.transfer_data/0","doc":"An optional dictionary including the account to automatically transfer to as part of a destination charge. [See the Connect documentation](https://stripe.com/docs/connect/destination-charges) for details.","ref":"Stripe.Charge.html#t:transfer_data/0"},{"type":"module","title":"Stripe.Customer","doc":"This object represents a customer of your business. Use it to create recurring charges and track payments that belong to the same customer.\n\nRelated guide: [Save a card during payment](https://stripe.com/docs/payments/save-during-payment)","ref":"Stripe.Customer.html"},{"type":"function","title":"Stripe.Customer.balance_transactions/3","doc":"Returns a list of transactions that updated the customer’s  balances . \n\n##","ref":"Stripe.Customer.html#balance_transactions/3"},{"type":"function","title":"Details - Stripe.Customer.balance_transactions/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/balance_transactions`","ref":"Stripe.Customer.html#balance_transactions/3-details"},{"type":"function","title":"Stripe.Customer.create/2","doc":"Creates a new customer object. \n\n##","ref":"Stripe.Customer.html#create/2"},{"type":"function","title":"Details - Stripe.Customer.create/2","doc":"* Method: `post`\n * Path: `/v1/customers`","ref":"Stripe.Customer.html#create/2-details"},{"type":"function","title":"Stripe.Customer.create_funding_instructions/3","doc":"Retrieve funding instructions for a customer cash balance. If funding instructions do not yet exist for the customer, new\nfunding instructions will be created. If funding instructions have already been created for a given customer, the same\nfunding instructions will be retrieved. In other words, we will return the same funding instructions each time. \n\n##","ref":"Stripe.Customer.html#create_funding_instructions/3"},{"type":"function","title":"Details - Stripe.Customer.create_funding_instructions/3","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/funding_instructions`","ref":"Stripe.Customer.html#create_funding_instructions/3-details"},{"type":"function","title":"Stripe.Customer.delete/2","doc":"Permanently deletes a customer. It cannot be undone. Also immediately cancels any active subscriptions on the customer. \n\n##","ref":"Stripe.Customer.html#delete/2"},{"type":"function","title":"Details - Stripe.Customer.delete/2","doc":"* Method: `delete`\n * Path: `/v1/customers/{customer}`","ref":"Stripe.Customer.html#delete/2-details"},{"type":"function","title":"Stripe.Customer.delete_discount/2","doc":"Removes the currently applied discount on a customer. \n\n##","ref":"Stripe.Customer.html#delete_discount/2"},{"type":"function","title":"Details - Stripe.Customer.delete_discount/2","doc":"* Method: `delete`\n * Path: `/v1/customers/{customer}/discount`","ref":"Stripe.Customer.html#delete_discount/2-details"},{"type":"function","title":"Stripe.Customer.fund_cash_balance/3","doc":"Create an incoming testmode bank transfer \n\n##","ref":"Stripe.Customer.html#fund_cash_balance/3"},{"type":"function","title":"Details - Stripe.Customer.fund_cash_balance/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/customers/{customer}/fund_cash_balance`","ref":"Stripe.Customer.html#fund_cash_balance/3-details"},{"type":"function","title":"Stripe.Customer.list/2","doc":"Returns a list of your customers. The customers are returned sorted by creation date, with the most recent customers appearing first. \n\n##","ref":"Stripe.Customer.html#list/2"},{"type":"function","title":"Details - Stripe.Customer.list/2","doc":"* Method: `get`\n * Path: `/v1/customers`","ref":"Stripe.Customer.html#list/2-details"},{"type":"function","title":"Stripe.Customer.list_payment_methods/3","doc":"Returns a list of PaymentMethods for a given Customer \n\n##","ref":"Stripe.Customer.html#list_payment_methods/3"},{"type":"function","title":"Details - Stripe.Customer.list_payment_methods/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/payment_methods`","ref":"Stripe.Customer.html#list_payment_methods/3-details"},{"type":"function","title":"Stripe.Customer.retrieve/3","doc":"Retrieves a Customer object. \n\n##","ref":"Stripe.Customer.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Customer.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}`","ref":"Stripe.Customer.html#retrieve/3-details"},{"type":"function","title":"Stripe.Customer.retrieve_payment_method/4","doc":"Retrieves a PaymentMethod object for a given Customer. \n\n##","ref":"Stripe.Customer.html#retrieve_payment_method/4"},{"type":"function","title":"Details - Stripe.Customer.retrieve_payment_method/4","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/payment_methods/{payment_method}`","ref":"Stripe.Customer.html#retrieve_payment_method/4-details"},{"type":"function","title":"Stripe.Customer.search/2","doc":"Search for customers you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.Customer.html#search/2"},{"type":"function","title":"Details - Stripe.Customer.search/2","doc":"* Method: `get`\n * Path: `/v1/customers/search`","ref":"Stripe.Customer.html#search/2-details"},{"type":"function","title":"Stripe.Customer.update/3","doc":"Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged. For example, if you pass the  source  parameter, that becomes the customer’s active source (e.g., a card) to be used for all charges in the future. When you update a customer to a new valid card source by passing the  source  parameter: for each of the customer’s current subscriptions, if the subscription bills automatically and is in the  past_due  state, then the latest open invoice for the subscription with automatic collection enabled will be retried. This retry will not count as an automatic retry, and will not affect the next regularly scheduled payment for the invoice. Changing the  default_source  for a customer will not trigger this behavior. \n\n This request accepts mostly the same arguments as the customer creation call. \n\n##","ref":"Stripe.Customer.html#update/3"},{"type":"function","title":"Details - Stripe.Customer.update/3","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}`","ref":"Stripe.Customer.html#update/3-details"},{"type":"type","title":"Stripe.Customer.address/0","doc":"","ref":"Stripe.Customer.html#t:address/0"},{"type":"type","title":"Stripe.Customer.bank_transfer/0","doc":"Additional parameters for `bank_transfer` funding types","ref":"Stripe.Customer.html#t:bank_transfer/0"},{"type":"type","title":"Stripe.Customer.cash_balance/0","doc":"Balance information and default balance settings for this customer.","ref":"Stripe.Customer.html#t:cash_balance/0"},{"type":"type","title":"Stripe.Customer.created/0","doc":"","ref":"Stripe.Customer.html#t:created/0"},{"type":"type","title":"Stripe.Customer.custom_fields/0","doc":"","ref":"Stripe.Customer.html#t:custom_fields/0"},{"type":"type","title":"Stripe.Customer.eu_bank_transfer/0","doc":"Configuration for eu_bank_transfer funding type.","ref":"Stripe.Customer.html#t:eu_bank_transfer/0"},{"type":"type","title":"Stripe.Customer.invoice_settings/0","doc":"Default invoice settings for this customer.","ref":"Stripe.Customer.html#t:invoice_settings/0"},{"type":"type","title":"Stripe.Customer.rendering_options/0","doc":"","ref":"Stripe.Customer.html#t:rendering_options/0"},{"type":"type","title":"Stripe.Customer.settings/0","doc":"Settings controlling the behavior of the customer's cash balance,\nsuch as reconciliation of funds received.","ref":"Stripe.Customer.html#t:settings/0"},{"type":"type","title":"Stripe.Customer.shipping/0","doc":"","ref":"Stripe.Customer.html#t:shipping/0"},{"type":"type","title":"Stripe.Customer.t/0","doc":"The `customer` type.\n\n  * `address` The customer's address.\n  * `balance` The current balance, if any, that's stored on the customer. If negative, the customer has credit to apply to their next invoice. If positive, the customer has an amount owed that's added to their next invoice. The balance only considers amounts that Stripe hasn't successfully applied to any invoice. It doesn't reflect unpaid invoices. This balance is only taken into account after invoices finalize.\n  * `cash_balance` The current funds being held by Stripe on behalf of the customer. You can apply these funds towards payment intents when the source is \"cash_balance\". The `settings[reconciliation_mode]` field describes if these funds apply to these payment intents manually or automatically.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO code for the currency](https://stripe.com/docs/currencies) the customer can be charged in for recurring billing purposes.\n  * `default_source` ID of the default payment source for the customer.\n\nIf you use payment methods created through the PaymentMethods API, see the [invoice_settings.default_payment_method](https://stripe.com/docs/api/customers/object#customer_object-invoice_settings-default_payment_method) field instead.\n  * `delinquent` Tracks the most recent state change on any invoice belonging to the customer. Paying an invoice or marking it uncollectible via the API will set this field to false. An automatic payment failure or passing the `invoice.due_date` will set this field to `true`.\n\nIf an invoice becomes uncollectible by [dunning](https://stripe.com/docs/billing/automatic-collection), `delinquent` doesn't reset to `false`.\n\nIf you care whether the customer has paid their most recent subscription invoice, use `subscription.status` instead. Paying or marking uncollectible any customer invoice regardless of whether it is the latest invoice for a subscription will always set this field to `false`.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `discount` Describes the current discount active on the customer, if there is one.\n  * `email` The customer's email address.\n  * `id` Unique identifier for the object.\n  * `invoice_credit_balance` The current multi-currency balances, if any, that's stored on the customer. If positive in a currency, the customer has a credit to apply to their next invoice denominated in that currency. If negative, the customer has an amount owed that's added to their next invoice denominated in that currency. These balances don't apply to unpaid invoices. They solely track amounts that Stripe hasn't successfully applied to any invoice. Stripe only applies a balance in a specific currency to an invoice after that invoice (which is in the same currency) finalizes.\n  * `invoice_prefix` The prefix for the customer used to generate unique invoice numbers.\n  * `invoice_settings` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `name` The customer's full name or business name.\n  * `next_invoice_sequence` The suffix of the customer's next invoice number (for example, 0001).\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `phone` The customer's phone number.\n  * `preferred_locales` The customer's preferred locales (languages), ordered by preference.\n  * `shipping` Mailing and shipping address for the customer. Appears on invoices emailed to this customer.\n  * `sources` The customer's payment sources, if any.\n  * `subscriptions` The customer's current subscriptions, if any.\n  * `tax` \n  * `tax_exempt` Describes the customer's tax exemption status, which is `none`, `exempt`, or `reverse`. When set to `reverse`, invoice and receipt PDFs include the following text: **\"Reverse charge\"**.\n  * `tax_ids` The customer's tax IDs.\n  * `test_clock` ID of the test clock that this customer belongs to.","ref":"Stripe.Customer.html#t:t/0"},{"type":"type","title":"Stripe.Customer.tax/0","doc":"Tax details about the customer.","ref":"Stripe.Customer.html#t:tax/0"},{"type":"type","title":"Stripe.Customer.tax_id_data/0","doc":"","ref":"Stripe.Customer.html#t:tax_id_data/0"},{"type":"module","title":"Stripe.Dispute","doc":"A dispute occurs when a customer questions your charge with their card issuer.\nWhen this happens, you have the opportunity to respond to the dispute with\nevidence that shows that the charge is legitimate.\n\nRelated guide: [Disputes and fraud](https://stripe.com/docs/disputes)","ref":"Stripe.Dispute.html"},{"type":"function","title":"Stripe.Dispute.close/3","doc":"Closing the dispute for a charge indicates that you do not have any evidence to submit and are essentially dismissing the dispute, acknowledging it as lost. \n\n The status of the dispute will change from  needs_response  to  lost .  Closing a dispute is irreversible . \n\n##","ref":"Stripe.Dispute.html#close/3"},{"type":"function","title":"Details - Stripe.Dispute.close/3","doc":"* Method: `post`\n * Path: `/v1/disputes/{dispute}/close`","ref":"Stripe.Dispute.html#close/3-details"},{"type":"function","title":"Stripe.Dispute.list/2","doc":"Returns a list of your disputes. \n\n##","ref":"Stripe.Dispute.html#list/2"},{"type":"function","title":"Details - Stripe.Dispute.list/2","doc":"* Method: `get`\n * Path: `/v1/disputes`","ref":"Stripe.Dispute.html#list/2-details"},{"type":"function","title":"Stripe.Dispute.retrieve/3","doc":"Retrieves the dispute with the given ID. \n\n##","ref":"Stripe.Dispute.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Dispute.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/disputes/{dispute}`","ref":"Stripe.Dispute.html#retrieve/3-details"},{"type":"function","title":"Stripe.Dispute.update/3","doc":"When you get a dispute, contacting your customer is always the best first step. If that doesn’t work, you can submit evidence to help us resolve the dispute in your favor. You can do this in your  dashboard , but if you prefer, you can use the API to submit evidence programmatically. \n\n Depending on your dispute type, different evidence fields will give you a better chance of winning your dispute. To figure out which evidence fields to provide, see our  guide to dispute types . \n\n##","ref":"Stripe.Dispute.html#update/3"},{"type":"function","title":"Details - Stripe.Dispute.update/3","doc":"* Method: `post`\n * Path: `/v1/disputes/{dispute}`","ref":"Stripe.Dispute.html#update/3-details"},{"type":"type","title":"Stripe.Dispute.created/0","doc":"","ref":"Stripe.Dispute.html#t:created/0"},{"type":"type","title":"Stripe.Dispute.evidence/0","doc":"Evidence to upload, to respond to a dispute. Updating any field in the hash will submit all fields in the hash for review. The combined character count of all fields is limited to 150,000.","ref":"Stripe.Dispute.html#t:evidence/0"},{"type":"type","title":"Stripe.Dispute.t/0","doc":"The `dispute` type.\n\n  * `amount` Disputed amount. Usually the amount of the charge, but it can differ (usually because of currency fluctuation or because only part of the order is disputed).\n  * `balance_transactions` List of zero, one, or two balance transactions that show funds withdrawn and reinstated to your Stripe account as a result of this dispute.\n  * `charge` ID of the charge that's disputed.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `evidence` \n  * `evidence_details` \n  * `id` Unique identifier for the object.\n  * `is_charge_refundable` If true, it's still possible to refund the disputed payment. After the payment has been fully refunded, no further funds are withdrawn from your Stripe account as a result of this dispute.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `network_reason_code` Network-dependent reason code for the dispute.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `payment_intent` ID of the PaymentIntent that's disputed.\n  * `payment_method_details` \n  * `reason` Reason given by cardholder for dispute. Possible values are `bank_cannot_process`, `check_returned`, `credit_not_processed`, `customer_initiated`, `debit_not_authorized`, `duplicate`, `fraudulent`, `general`, `incorrect_account_details`, `insufficient_funds`, `product_not_received`, `product_unacceptable`, `subscription_canceled`, or `unrecognized`. Learn more about [dispute reasons](https://stripe.com/docs/disputes/categories).\n  * `status` Current status of dispute. Possible values are `warning_needs_response`, `warning_under_review`, `warning_closed`, `needs_response`, `under_review`, `won`, or `lost`.","ref":"Stripe.Dispute.html#t:t/0"},{"type":"module","title":"Stripe.Event","doc":"Events are our way of letting you know when something interesting happens in\nyour account. When an interesting event occurs, we create a new `Event`\nobject. For example, when a charge succeeds, we create a `charge.succeeded`\nevent, and when an invoice payment attempt fails, we create an\n`invoice.payment_failed` event. Certain API requests might create multiple\nevents. For example, if you create a new subscription for a\ncustomer, you receive both a `customer.subscription.created` event and a\n`charge.succeeded` event.\n\nEvents occur when the state of another API resource changes. The event's data\nfield embeds the resource's state at the time of the change. For\nexample, a `charge.succeeded` event contains a charge, and an\n`invoice.payment_failed` event contains an invoice.\n\nAs with other API resources, you can use endpoints to retrieve an\n[individual event](https://stripe.com/docs/api#retrieve_event) or a [list of events](https://stripe.com/docs/api#list_events)\nfrom the API. We also have a separate\n[webhooks](http://en.wikipedia.org/wiki/Webhook) system for sending the\n`Event` objects directly to an endpoint on your server. You can manage\nwebhooks in your\n[account settings](https://dashboard.stripe.com/account/webhooks). Learn how\nto [listen for events](https://stripe.com/docs/webhooks)\nso that your integration can automatically trigger reactions.\n\nWhen using [Connect](https://stripe.com/docs/connect), you can also receive event notifications\nthat occur in connected accounts. For these events, there's an\nadditional `account` attribute in the received `Event` object.\n\nWe only guarantee access to events through the [Retrieve Event API](https://stripe.com/docs/api#retrieve_event)\nfor 30 days.","ref":"Stripe.Event.html"},{"type":"function","title":"Stripe.Event.list/2","doc":"List events, going back up to 30 days. Each event data is rendered according to Stripe API version at its creation time, specified in  event object   api_version  attribute (not according to your current Stripe API version or  Stripe-Version  header). \n\n##","ref":"Stripe.Event.html#list/2"},{"type":"function","title":"Details - Stripe.Event.list/2","doc":"* Method: `get`\n * Path: `/v1/events`","ref":"Stripe.Event.html#list/2-details"},{"type":"function","title":"Stripe.Event.retrieve/3","doc":"Retrieves the details of an event. Supply the unique identifier of the event, which you might have received in a webhook. \n\n##","ref":"Stripe.Event.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Event.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/events/{id}`","ref":"Stripe.Event.html#retrieve/3-details"},{"type":"type","title":"Stripe.Event.created/0","doc":"","ref":"Stripe.Event.html#t:created/0"},{"type":"type","title":"Stripe.Event.t/0","doc":"The `event` type.\n\n  * `account` The connected account that originates the event.\n  * `api_version` The Stripe API version used to render `data`. This property is populated only for events on or after October 31, 2014.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `data` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `pending_webhooks` Number of webhooks that haven't been successfully delivered (for example, to return a 20x response) to the URLs you specify.\n  * `request` Information on the API request that triggers the event.\n  * `type` Description of the event (for example, `invoice.created` or `charge.refunded`).","ref":"Stripe.Event.html#t:t/0"},{"type":"module","title":"Stripe.FileLink","doc":"To share the contents of a `File` object with non-Stripe users, you can\ncreate a `FileLink`. `FileLink`s contain a URL that you can use to\nretrieve the contents of the file without authentication.","ref":"Stripe.FileLink.html"},{"type":"function","title":"Stripe.FileLink.create/2","doc":"Creates a new file link object. \n\n##","ref":"Stripe.FileLink.html#create/2"},{"type":"function","title":"Details - Stripe.FileLink.create/2","doc":"* Method: `post`\n * Path: `/v1/file_links`","ref":"Stripe.FileLink.html#create/2-details"},{"type":"function","title":"Stripe.FileLink.list/2","doc":"Returns a list of file links. \n\n##","ref":"Stripe.FileLink.html#list/2"},{"type":"function","title":"Details - Stripe.FileLink.list/2","doc":"* Method: `get`\n * Path: `/v1/file_links`","ref":"Stripe.FileLink.html#list/2-details"},{"type":"function","title":"Stripe.FileLink.retrieve/3","doc":"Retrieves the file link with the given ID. \n\n##","ref":"Stripe.FileLink.html#retrieve/3"},{"type":"function","title":"Details - Stripe.FileLink.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/file_links/{link}`","ref":"Stripe.FileLink.html#retrieve/3-details"},{"type":"function","title":"Stripe.FileLink.update/3","doc":"Updates an existing file link object. Expired links can no longer be updated. \n\n##","ref":"Stripe.FileLink.html#update/3"},{"type":"function","title":"Details - Stripe.FileLink.update/3","doc":"* Method: `post`\n * Path: `/v1/file_links/{link}`","ref":"Stripe.FileLink.html#update/3-details"},{"type":"type","title":"Stripe.FileLink.created/0","doc":"","ref":"Stripe.FileLink.html#t:created/0"},{"type":"type","title":"Stripe.FileLink.t/0","doc":"The `file_link` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `expired` Returns if the link is already expired.\n  * `expires_at` Time that the link expires.\n  * `file` The file object this link points to.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `url` The publicly accessible URL to download the file.","ref":"Stripe.FileLink.html#t:t/0"},{"type":"module","title":"Stripe.Mandate","doc":"A Mandate is a record of the permission that your customer gives you to debit their payment method.","ref":"Stripe.Mandate.html"},{"type":"function","title":"Stripe.Mandate.retrieve/3","doc":"Retrieves a Mandate object. \n\n##","ref":"Stripe.Mandate.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Mandate.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/mandates/{mandate}`","ref":"Stripe.Mandate.html#retrieve/3-details"},{"type":"type","title":"Stripe.Mandate.t/0","doc":"The `mandate` type.\n\n  * `customer_acceptance` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `multi_use` \n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account (if any) that the mandate is intended for.\n  * `payment_method` ID of the payment method associated with this mandate.\n  * `payment_method_details` \n  * `single_use` \n  * `status` The mandate status indicates whether or not you can use it to initiate a payment.\n  * `type` The type of the mandate.","ref":"Stripe.Mandate.html#t:t/0"},{"type":"module","title":"Stripe.PaymentIntent","doc":"A PaymentIntent guides you through the process of collecting a payment from your customer.\nWe recommend that you create exactly one PaymentIntent for each order or\ncustomer session in your system. You can reference the PaymentIntent later to\nsee the history of payment attempts for a particular session.\n\nA PaymentIntent transitions through\n[multiple statuses](https://stripe.com/docs/payments/intents#intent-statuses)\nthroughout its lifetime as it interfaces with Stripe.js to perform\nauthentication flows and ultimately creates at most one successful charge.\n\nRelated guide: [Payment Intents API](https://stripe.com/docs/payments/payment-intents)","ref":"Stripe.PaymentIntent.html"},{"type":"function","title":"Stripe.PaymentIntent.apply_customer_balance/3","doc":"Manually reconcile the remaining amount for a  customer_balance  PaymentIntent. \n\n##","ref":"Stripe.PaymentIntent.html#apply_customer_balance/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.apply_customer_balance/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}/apply_customer_balance`","ref":"Stripe.PaymentIntent.html#apply_customer_balance/3-details"},{"type":"function","title":"Stripe.PaymentIntent.cancel/3","doc":"You can cancel a PaymentIntent object when it’s in one of these statuses:  requires_payment_method ,  requires_capture ,  requires_confirmation ,  requires_action  or,  in rare cases ,  processing .  \n\n After it’s canceled, no additional charges are made by the PaymentIntent and any operations on the PaymentIntent fail with an error. For PaymentIntents with a  status  of  requires_capture , the remaining  amount_capturable  is automatically refunded.  \n\n You can’t cancel the PaymentIntent for a Checkout Session.  Expire the Checkout Session  instead. \n\n##","ref":"Stripe.PaymentIntent.html#cancel/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.cancel/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}/cancel`","ref":"Stripe.PaymentIntent.html#cancel/3-details"},{"type":"function","title":"Stripe.PaymentIntent.capture/3","doc":"Capture the funds of an existing uncaptured PaymentIntent when its status is  requires_capture . \n\n Uncaptured PaymentIntents are cancelled a set number of days (7 by default) after their creation. \n\n Learn more about  separate authorization and capture . \n\n##","ref":"Stripe.PaymentIntent.html#capture/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.capture/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}/capture`","ref":"Stripe.PaymentIntent.html#capture/3-details"},{"type":"function","title":"Stripe.PaymentIntent.confirm/3","doc":"Confirm that your customer intends to pay with current or provided\npayment method. Upon confirmation, the PaymentIntent will attempt to initiate\na payment.\nIf the selected payment method requires additional authentication steps, the\nPaymentIntent will transition to the  requires_action  status and\nsuggest additional actions via  next_action . If payment fails,\nthe PaymentIntent transitions to the  requires_payment_method  status or the\n canceled  status if the confirmation limit is reached. If\npayment succeeds, the PaymentIntent will transition to the  succeeded \nstatus (or  requires_capture , if  capture_method  is set to  manual ).\nIf the  confirmation_method  is  automatic , payment may be attempted\nusing our  client SDKs \nand the PaymentIntent’s  client_secret .\nAfter  next_action s are handled by the client, no additional\nconfirmation is required to complete the payment.\nIf the  confirmation_method  is  manual , all payment attempts must be\ninitiated using a secret key.\nIf any actions are required for the payment, the PaymentIntent will\nreturn to the  requires_confirmation  state\nafter those actions are completed. Your server needs to then\nexplicitly re-confirm the PaymentIntent to initiate the next payment\nattempt. Read the  expanded documentation \nto learn more about manual confirmation. \n\n##","ref":"Stripe.PaymentIntent.html#confirm/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.confirm/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}/confirm`","ref":"Stripe.PaymentIntent.html#confirm/3-details"},{"type":"function","title":"Stripe.PaymentIntent.create/2","doc":"Creates a PaymentIntent object. \n\n After the PaymentIntent is created, attach a payment method and  confirm \nto continue the payment. Learn more about  the available payment flows\nwith the Payment Intents API . \n\n When you use  confirm=true  during creation, it’s equivalent to creating\nand confirming the PaymentIntent in the same call. You can use any parameters\navailable in the  confirm API  when you supply\n confirm=true . \n\n##","ref":"Stripe.PaymentIntent.html#create/2"},{"type":"function","title":"Details - Stripe.PaymentIntent.create/2","doc":"* Method: `post`\n * Path: `/v1/payment_intents`","ref":"Stripe.PaymentIntent.html#create/2-details"},{"type":"function","title":"Stripe.PaymentIntent.increment_authorization/3","doc":"Perform an incremental authorization on an eligible\n PaymentIntent . To be eligible, the\nPaymentIntent’s status must be  requires_capture  and\n incremental_authorization_supported \nmust be  true . \n\n Incremental authorizations attempt to increase the authorized amount on\nyour customer’s card to the new, higher  amount  provided. Similar to the\ninitial authorization, incremental authorizations can be declined. A\nsingle PaymentIntent can call this endpoint multiple times to further\nincrease the authorized amount. \n\n If the incremental authorization succeeds, the PaymentIntent object\nreturns with the updated\n amount .\nIf the incremental authorization fails, a\n card_declined  error returns, and no other\nfields on the PaymentIntent or Charge update. The PaymentIntent\nobject remains capturable for the previously authorized amount. \n\n Each PaymentIntent can have a maximum of 10 incremental authorization attempts, including declines.\nAfter it’s captured, a PaymentIntent can no longer be incremented. \n\n Learn more about  incremental authorizations . \n\n##","ref":"Stripe.PaymentIntent.html#increment_authorization/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.increment_authorization/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}/increment_authorization`","ref":"Stripe.PaymentIntent.html#increment_authorization/3-details"},{"type":"function","title":"Stripe.PaymentIntent.list/2","doc":"Returns a list of PaymentIntents. \n\n##","ref":"Stripe.PaymentIntent.html#list/2"},{"type":"function","title":"Details - Stripe.PaymentIntent.list/2","doc":"* Method: `get`\n * Path: `/v1/payment_intents`","ref":"Stripe.PaymentIntent.html#list/2-details"},{"type":"function","title":"Stripe.PaymentIntent.retrieve/3","doc":"Retrieves the details of a PaymentIntent that has previously been created.  \n\n You can retrieve a PaymentIntent client-side using a publishable key when the  client_secret  is in the query string.  \n\n If you retrieve a PaymentIntent with a publishable key, it only returns a subset of properties. Refer to the  payment intent  object reference for more details. \n\n##","ref":"Stripe.PaymentIntent.html#retrieve/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/payment_intents/{intent}`","ref":"Stripe.PaymentIntent.html#retrieve/3-details"},{"type":"function","title":"Stripe.PaymentIntent.search/2","doc":"Search for PaymentIntents you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.PaymentIntent.html#search/2"},{"type":"function","title":"Details - Stripe.PaymentIntent.search/2","doc":"* Method: `get`\n * Path: `/v1/payment_intents/search`","ref":"Stripe.PaymentIntent.html#search/2-details"},{"type":"function","title":"Stripe.PaymentIntent.update/3","doc":"Updates properties on a PaymentIntent object without confirming. \n\n Depending on which properties you update, you might need to confirm the\nPaymentIntent again. For example, updating the  payment_method \nalways requires you to confirm the PaymentIntent again. If you prefer to\nupdate and confirm at the same time, we recommend updating properties through\nthe  confirm API  instead. \n\n##","ref":"Stripe.PaymentIntent.html#update/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.update/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}`","ref":"Stripe.PaymentIntent.html#update/3-details"},{"type":"function","title":"Stripe.PaymentIntent.verify_microdeposits/3","doc":"Verifies microdeposits on a PaymentIntent object. \n\n##","ref":"Stripe.PaymentIntent.html#verify_microdeposits/3"},{"type":"function","title":"Details - Stripe.PaymentIntent.verify_microdeposits/3","doc":"* Method: `post`\n * Path: `/v1/payment_intents/{intent}/verify_microdeposits`","ref":"Stripe.PaymentIntent.html#verify_microdeposits/3-details"},{"type":"type","title":"Stripe.PaymentIntent.acss_debit/0","doc":"If this is an `acss_debit` PaymentMethod, this hash contains details about the ACSS Debit payment method.","ref":"Stripe.PaymentIntent.html#t:acss_debit/0"},{"type":"type","title":"Stripe.PaymentIntent.address/0","doc":"Shipping address.","ref":"Stripe.PaymentIntent.html#t:address/0"},{"type":"type","title":"Stripe.PaymentIntent.affirm/0","doc":"","ref":"Stripe.PaymentIntent.html#t:affirm/0"},{"type":"type","title":"Stripe.PaymentIntent.afterpay_clearpay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:afterpay_clearpay/0"},{"type":"type","title":"Stripe.PaymentIntent.alipay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:alipay/0"},{"type":"type","title":"Stripe.PaymentIntent.au_becs_debit/0","doc":"","ref":"Stripe.PaymentIntent.html#t:au_becs_debit/0"},{"type":"type","title":"Stripe.PaymentIntent.automatic_payment_methods/0","doc":"When you enable this parameter, this PaymentIntent accepts payment methods that you enable in the Dashboard and that are compatible with this PaymentIntent's other parameters.","ref":"Stripe.PaymentIntent.html#t:automatic_payment_methods/0"},{"type":"type","title":"Stripe.PaymentIntent.bacs_debit/0","doc":"","ref":"Stripe.PaymentIntent.html#t:bacs_debit/0"},{"type":"type","title":"Stripe.PaymentIntent.bancontact/0","doc":"","ref":"Stripe.PaymentIntent.html#t:bancontact/0"},{"type":"type","title":"Stripe.PaymentIntent.bank_transfer/0","doc":"Configuration for the bank transfer funding type, if the `funding_type` is set to `bank_transfer`.","ref":"Stripe.PaymentIntent.html#t:bank_transfer/0"},{"type":"type","title":"Stripe.PaymentIntent.billing_details/0","doc":"Billing information associated with the PaymentMethod that may be used or required by particular types of payment methods.","ref":"Stripe.PaymentIntent.html#t:billing_details/0"},{"type":"type","title":"Stripe.PaymentIntent.blik/0","doc":"","ref":"Stripe.PaymentIntent.html#t:blik/0"},{"type":"type","title":"Stripe.PaymentIntent.boleto/0","doc":"","ref":"Stripe.PaymentIntent.html#t:boleto/0"},{"type":"type","title":"Stripe.PaymentIntent.card/0","doc":"","ref":"Stripe.PaymentIntent.html#t:card/0"},{"type":"type","title":"Stripe.PaymentIntent.card_present/0","doc":"","ref":"Stripe.PaymentIntent.html#t:card_present/0"},{"type":"type","title":"Stripe.PaymentIntent.cartes_bancaires/0","doc":"Cartes Bancaires-specific 3DS fields.","ref":"Stripe.PaymentIntent.html#t:cartes_bancaires/0"},{"type":"type","title":"Stripe.PaymentIntent.cashapp/0","doc":"","ref":"Stripe.PaymentIntent.html#t:cashapp/0"},{"type":"type","title":"Stripe.PaymentIntent.created/0","doc":"","ref":"Stripe.PaymentIntent.html#t:created/0"},{"type":"type","title":"Stripe.PaymentIntent.customer_acceptance/0","doc":"This hash contains details about the customer acceptance of the Mandate.","ref":"Stripe.PaymentIntent.html#t:customer_acceptance/0"},{"type":"type","title":"Stripe.PaymentIntent.customer_balance/0","doc":"","ref":"Stripe.PaymentIntent.html#t:customer_balance/0"},{"type":"type","title":"Stripe.PaymentIntent.dob/0","doc":"Customer's date of birth","ref":"Stripe.PaymentIntent.html#t:dob/0"},{"type":"type","title":"Stripe.PaymentIntent.eps/0","doc":"","ref":"Stripe.PaymentIntent.html#t:eps/0"},{"type":"type","title":"Stripe.PaymentIntent.eu_bank_transfer/0","doc":"Configuration for the eu_bank_transfer funding type.","ref":"Stripe.PaymentIntent.html#t:eu_bank_transfer/0"},{"type":"type","title":"Stripe.PaymentIntent.financial_connections/0","doc":"Additional fields for Financial Connections Session creation","ref":"Stripe.PaymentIntent.html#t:financial_connections/0"},{"type":"type","title":"Stripe.PaymentIntent.fpx/0","doc":"","ref":"Stripe.PaymentIntent.html#t:fpx/0"},{"type":"type","title":"Stripe.PaymentIntent.giropay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:giropay/0"},{"type":"type","title":"Stripe.PaymentIntent.grabpay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:grabpay/0"},{"type":"type","title":"Stripe.PaymentIntent.ideal/0","doc":"If this is an `ideal` PaymentMethod, this hash contains details about the iDEAL payment method.","ref":"Stripe.PaymentIntent.html#t:ideal/0"},{"type":"type","title":"Stripe.PaymentIntent.installments/0","doc":"Installment configuration for payments attempted on this PaymentIntent (Mexico Only).\n\nFor more information, see the [installments integration guide](https://stripe.com/docs/payments/installments).","ref":"Stripe.PaymentIntent.html#t:installments/0"},{"type":"type","title":"Stripe.PaymentIntent.klarna/0","doc":"","ref":"Stripe.PaymentIntent.html#t:klarna/0"},{"type":"type","title":"Stripe.PaymentIntent.konbini/0","doc":"","ref":"Stripe.PaymentIntent.html#t:konbini/0"},{"type":"type","title":"Stripe.PaymentIntent.link/0","doc":"","ref":"Stripe.PaymentIntent.html#t:link/0"},{"type":"type","title":"Stripe.PaymentIntent.mandate_data/0","doc":"","ref":"Stripe.PaymentIntent.html#t:mandate_data/0"},{"type":"type","title":"Stripe.PaymentIntent.mandate_options/0","doc":"Configuration options for setting up an eMandate for cards issued in India.","ref":"Stripe.PaymentIntent.html#t:mandate_options/0"},{"type":"type","title":"Stripe.PaymentIntent.network_options/0","doc":"Network specific 3DS fields. Network specific arguments require an\nexplicit card brand choice. The parameter `payment_method_options.card.network``\nmust be populated accordingly","ref":"Stripe.PaymentIntent.html#t:network_options/0"},{"type":"type","title":"Stripe.PaymentIntent.networks/0","doc":"Additional fields for network related functions","ref":"Stripe.PaymentIntent.html#t:networks/0"},{"type":"type","title":"Stripe.PaymentIntent.online/0","doc":"If this is a Mandate accepted online, this hash contains details about the online acceptance.","ref":"Stripe.PaymentIntent.html#t:online/0"},{"type":"type","title":"Stripe.PaymentIntent.oxxo/0","doc":"","ref":"Stripe.PaymentIntent.html#t:oxxo/0"},{"type":"type","title":"Stripe.PaymentIntent.p24/0","doc":"","ref":"Stripe.PaymentIntent.html#t:p24/0"},{"type":"type","title":"Stripe.PaymentIntent.payment_method_data/0","doc":"If provided, this hash will be used to create a PaymentMethod. The new PaymentMethod will appear\nin the [payment_method](https://stripe.com/docs/api/payment_intents/object#payment_intent_object-payment_method)\nproperty on the PaymentIntent.","ref":"Stripe.PaymentIntent.html#t:payment_method_data/0"},{"type":"type","title":"Stripe.PaymentIntent.payment_method_options/0","doc":"Payment method-specific configuration for this PaymentIntent.","ref":"Stripe.PaymentIntent.html#t:payment_method_options/0"},{"type":"type","title":"Stripe.PaymentIntent.paynow/0","doc":"","ref":"Stripe.PaymentIntent.html#t:paynow/0"},{"type":"type","title":"Stripe.PaymentIntent.paypal/0","doc":"","ref":"Stripe.PaymentIntent.html#t:paypal/0"},{"type":"type","title":"Stripe.PaymentIntent.pix/0","doc":"","ref":"Stripe.PaymentIntent.html#t:pix/0"},{"type":"type","title":"Stripe.PaymentIntent.plan/0","doc":"","ref":"Stripe.PaymentIntent.html#t:plan/0"},{"type":"type","title":"Stripe.PaymentIntent.promptpay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:promptpay/0"},{"type":"type","title":"Stripe.PaymentIntent.radar_options/0","doc":"Options to configure Radar. See [Radar Session](https://stripe.com/docs/radar/radar-session) for more information.","ref":"Stripe.PaymentIntent.html#t:radar_options/0"},{"type":"type","title":"Stripe.PaymentIntent.revolut_pay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:revolut_pay/0"},{"type":"type","title":"Stripe.PaymentIntent.sepa_debit/0","doc":"","ref":"Stripe.PaymentIntent.html#t:sepa_debit/0"},{"type":"type","title":"Stripe.PaymentIntent.shipping/0","doc":"Shipping information for this PaymentIntent.","ref":"Stripe.PaymentIntent.html#t:shipping/0"},{"type":"type","title":"Stripe.PaymentIntent.sofort/0","doc":"","ref":"Stripe.PaymentIntent.html#t:sofort/0"},{"type":"type","title":"Stripe.PaymentIntent.t/0","doc":"The `payment_intent` type.\n\n  * `amount` Amount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal) (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.50 US or [equivalent in charge currency](https://stripe.com/docs/currencies#minimum-and-maximum-charge-amounts). The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).\n  * `amount_capturable` Amount that can be captured from this PaymentIntent.\n  * `amount_details` \n  * `amount_received` Amount that this PaymentIntent collects.\n  * `application` ID of the Connect application that created the PaymentIntent.\n  * `application_fee_amount` The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account. The amount of the application fee collected will be capped at the total payment amount. For more information, see the PaymentIntents [use case for connected accounts](https://stripe.com/docs/payments/connected-accounts).\n  * `automatic_payment_methods` Settings to configure compatible payment methods from the [Stripe Dashboard](https://dashboard.stripe.com/settings/payment_methods)\n  * `canceled_at` Populated when `status` is `canceled`, this is the time at which the PaymentIntent was canceled. Measured in seconds since the Unix epoch.\n  * `cancellation_reason` Reason for cancellation of this PaymentIntent, either user-provided (`duplicate`, `fraudulent`, `requested_by_customer`, or `abandoned`) or generated by Stripe internally (`failed_invoice`, `void_invoice`, or `automatic`).\n  * `capture_method` Controls when the funds will be captured from the customer's account.\n  * `client_secret` The client secret of this PaymentIntent. Used for client-side retrieval using a publishable key. \n\nThe client secret can be used to complete a payment from your frontend. It should not be stored, logged, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.\n\nRefer to our docs to [accept a payment](https://stripe.com/docs/payments/accept-a-payment?ui=elements) and learn about how `client_secret` should be handled.\n  * `confirmation_method` Describes whether we can confirm this PaymentIntent automatically, or if it requires customer action to confirm the payment.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` ID of the Customer this PaymentIntent belongs to, if one exists.\n\nPayment methods attached to other Customers cannot be used with this PaymentIntent.\n\nIf present in combination with [setup_future_usage](https://stripe.com/docs/api#payment_intent_object-setup_future_usage), this PaymentIntent's payment method will be attached to the Customer after the PaymentIntent has been confirmed and any required actions from the user are complete.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `id` Unique identifier for the object.\n  * `invoice` ID of the invoice that created this PaymentIntent, if it exists.\n  * `last_payment_error` The payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.\n  * `latest_charge` The latest charge created by this PaymentIntent.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Learn more about [storing information in metadata](https://stripe.com/docs/payments/payment-intents/creating-payment-intents#storing-information-in-metadata).\n  * `next_action` If present, this property tells you what actions you need to take in order for your customer to fulfill a payment using the provided source.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account (if any) for which the funds of the PaymentIntent are intended. See the PaymentIntents [use case for connected accounts](https://stripe.com/docs/payments/connected-accounts) for details.\n  * `payment_method` ID of the payment method used in this PaymentIntent.\n  * `payment_method_configuration_details` Information about the payment method configuration used for this PaymentIntent.\n  * `payment_method_options` Payment-method-specific configuration for this PaymentIntent.\n  * `payment_method_types` The list of payment method types (e.g. card) that this PaymentIntent is allowed to use.\n  * `processing` If present, this property tells you about the processing state of the payment.\n  * `receipt_email` Email address that the receipt for the resulting payment will be sent to. If `receipt_email` is specified for a payment in live mode, a receipt will be sent regardless of your [email settings](https://dashboard.stripe.com/account/emails).\n  * `review` ID of the review associated with this PaymentIntent, if any.\n  * `setup_future_usage` Indicates that you intend to make future payments with this PaymentIntent's payment method.\n\nProviding this parameter will [attach the payment method](https://stripe.com/docs/payments/save-during-payment) to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be [attached](https://stripe.com/docs/api/payment_methods/attach) to a Customer after the transaction completes.\n\nWhen processing card payments, Stripe also uses `setup_future_usage` to dynamically optimize your payment flow and comply with regional legislation and network rules, such as [SCA](https://stripe.com/docs/strong-customer-authentication).\n  * `shipping` Shipping information for this PaymentIntent.\n  * `source` This is a legacy field that will be removed in the future. It is the ID of the Source object that is associated with this PaymentIntent, if one was supplied.\n  * `statement_descriptor` For card charges, use [statement_descriptor_suffix](https://stripe.com/docs/payments/account/statement-descriptors#dynamic). Otherwise, you can use this value as the complete description of a charge on your customers' statements. It must contain at least one letter and be 1–22 characters long.\n  * `statement_descriptor_suffix` Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor.\n  * `status` Status of this PaymentIntent, one of `requires_payment_method`, `requires_confirmation`, `requires_action`, `processing`, `requires_capture`, `canceled`, or `succeeded`. Read more about each PaymentIntent [status](https://stripe.com/docs/payments/intents#intent-statuses).\n  * `transfer_data` The data that automatically creates a Transfer after the payment finalizes. Learn more about the [use case for connected accounts](https://stripe.com/docs/payments/connected-accounts).\n  * `transfer_group` A string that identifies the resulting payment as part of a group. Learn more about the [use case for connected accounts](https://stripe.com/docs/connect/separate-charges-and-transfers).","ref":"Stripe.PaymentIntent.html#t:t/0"},{"type":"type","title":"Stripe.PaymentIntent.three_d_secure/0","doc":"If 3D Secure authentication was performed with a third-party provider,\nthe authentication details to use for this payment.","ref":"Stripe.PaymentIntent.html#t:three_d_secure/0"},{"type":"type","title":"Stripe.PaymentIntent.transfer_data/0","doc":"The parameters that you can use to automatically create a Transfer.\nLearn more about the [use case for connected accounts](https://stripe.com/docs/payments/connected-accounts).","ref":"Stripe.PaymentIntent.html#t:transfer_data/0"},{"type":"type","title":"Stripe.PaymentIntent.us_bank_account/0","doc":"If this is an `us_bank_account` PaymentMethod, this hash contains details about the US bank account payment method.","ref":"Stripe.PaymentIntent.html#t:us_bank_account/0"},{"type":"type","title":"Stripe.PaymentIntent.wechat_pay/0","doc":"","ref":"Stripe.PaymentIntent.html#t:wechat_pay/0"},{"type":"type","title":"Stripe.PaymentIntent.zip/0","doc":"","ref":"Stripe.PaymentIntent.html#t:zip/0"},{"type":"module","title":"Stripe.Payout","doc":"A `Payout` object is created when you receive funds from Stripe, or when you\ninitiate a payout to either a bank account or debit card of a [connected\nStripe account](/docs/connect/bank-debit-card-payouts). You can retrieve individual payouts,\nand list all payouts. Payouts are made on [varying\nschedules](/docs/connect/manage-payout-schedule), depending on your country and\nindustry.\n\nRelated guide: [Receiving payouts](https://stripe.com/docs/payouts)","ref":"Stripe.Payout.html"},{"type":"function","title":"Stripe.Payout.cancel/3","doc":"You can cancel a previously created payout if it hasn’t been paid out yet. Stripe refunds the funds to your available balance. You can’t cancel automatic Stripe payouts. \n\n##","ref":"Stripe.Payout.html#cancel/3"},{"type":"function","title":"Details - Stripe.Payout.cancel/3","doc":"* Method: `post`\n * Path: `/v1/payouts/{payout}/cancel`","ref":"Stripe.Payout.html#cancel/3-details"},{"type":"function","title":"Stripe.Payout.create/2","doc":"To send funds to your own bank account, create a new payout object. Your  Stripe balance  must cover the payout amount. If it doesn’t, you receive an “Insufficient Funds” error. \n\n If your API key is in test mode, money won’t actually be sent, though every other action occurs as if you’re in live mode. \n\n If you create a manual payout on a Stripe account that uses multiple payment source types, you need to specify the source type balance that the payout draws from. The  balance object  details available and pending amounts by source type. \n\n##","ref":"Stripe.Payout.html#create/2"},{"type":"function","title":"Details - Stripe.Payout.create/2","doc":"* Method: `post`\n * Path: `/v1/payouts`","ref":"Stripe.Payout.html#create/2-details"},{"type":"function","title":"Stripe.Payout.list/2","doc":"Returns a list of existing payouts sent to third-party bank accounts or payouts that Stripe sent to you. The payouts return in sorted order, with the most recently created payouts appearing first. \n\n##","ref":"Stripe.Payout.html#list/2"},{"type":"function","title":"Details - Stripe.Payout.list/2","doc":"* Method: `get`\n * Path: `/v1/payouts`","ref":"Stripe.Payout.html#list/2-details"},{"type":"function","title":"Stripe.Payout.retrieve/3","doc":"Retrieves the details of an existing payout. Supply the unique payout ID from either a payout creation request or the payout list. Stripe returns the corresponding payout information. \n\n##","ref":"Stripe.Payout.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Payout.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/payouts/{payout}`","ref":"Stripe.Payout.html#retrieve/3-details"},{"type":"function","title":"Stripe.Payout.reverse/3","doc":"Reverses a payout by debiting the destination bank account. At this time, you can only reverse payouts for connected accounts to US bank accounts. If the payout is in the  pending  status, use  /v1/payouts/:id/cancel  instead. \n\n By requesting a reversal through  /v1/payouts/:id/reverse , you confirm that the authorized signatory of the selected bank account authorizes the debit on the bank account and that no other authorization is required. \n\n##","ref":"Stripe.Payout.html#reverse/3"},{"type":"function","title":"Details - Stripe.Payout.reverse/3","doc":"* Method: `post`\n * Path: `/v1/payouts/{payout}/reverse`","ref":"Stripe.Payout.html#reverse/3-details"},{"type":"function","title":"Stripe.Payout.update/3","doc":"Updates the specified payout by setting the values of the parameters you pass. We don’t change parameters that you don’t provide. This request only accepts the metadata as arguments. \n\n##","ref":"Stripe.Payout.html#update/3"},{"type":"function","title":"Details - Stripe.Payout.update/3","doc":"* Method: `post`\n * Path: `/v1/payouts/{payout}`","ref":"Stripe.Payout.html#update/3-details"},{"type":"type","title":"Stripe.Payout.arrival_date/0","doc":"","ref":"Stripe.Payout.html#t:arrival_date/0"},{"type":"type","title":"Stripe.Payout.created/0","doc":"","ref":"Stripe.Payout.html#t:created/0"},{"type":"type","title":"Stripe.Payout.t/0","doc":"The `payout` type.\n\n  * `amount` The amount (in cents (or local equivalent)) that transfers to your bank account or debit card.\n  * `arrival_date` Date that you can expect the payout to arrive in the bank. This factors in delays to account for weekends or bank holidays.\n  * `automatic` Returns `true` if the payout is created by an [automated payout schedule](https://stripe.com/docs/payouts#payout-schedule) and `false` if it's [requested manually](https://stripe.com/docs/payouts#manual-payouts).\n  * `balance_transaction` ID of the balance transaction that describes the impact of this payout on your account balance.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `destination` ID of the bank account or card the payout is sent to.\n  * `failure_balance_transaction` If the payout fails or cancels, this is the ID of the balance transaction that reverses the initial balance transaction and returns the funds from the failed payout back in your balance.\n  * `failure_code` Error code that provides a reason for a payout failure, if available. View our [list of failure codes](https://stripe.com/docs/api#payout_failures).\n  * `failure_message` Message that provides the reason for a payout failure, if available.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `method` The method used to send this payout, which can be `standard` or `instant`. `instant` is supported for payouts to debit cards and bank accounts in certain countries. Learn more about [bank support for Instant Payouts](https://stripe.com/docs/payouts/instant-payouts-banks).\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `original_payout` If the payout reverses another, this is the ID of the original payout.\n  * `reconciliation_status` If `completed`, you can use the [Balance Transactions API](https://stripe.com/docs/api/balance_transactions/list#balance_transaction_list-payout) to list all balance transactions that are paid out in this payout.\n  * `reversed_by` If the payout reverses, this is the ID of the payout that reverses this payout.\n  * `source_type` The source balance this payout came from, which can be one of the following: `card`, `fpx`, or `bank_account`.\n  * `statement_descriptor` Extra information about a payout that displays on the user's bank statement.\n  * `status` Current status of the payout: `paid`, `pending`, `in_transit`, `canceled` or `failed`. A payout is `pending` until it's submitted to the bank, when it becomes `in_transit`. The status changes to `paid` if the transaction succeeds, or to `failed` or `canceled` (within 5 business days). Some payouts that fail might initially show as `paid`, then change to `failed`.\n  * `type` Can be `bank_account` or `card`.","ref":"Stripe.Payout.html#t:t/0"},{"type":"module","title":"Stripe.Price","doc":"Prices define the unit cost, currency, and (optional) billing cycle for both recurring and one-time purchases of products.\n[Products](https://stripe.com/docs/api#products) help you track inventory or provisioning, and prices help you track payment terms. Different physical goods or levels of service should be represented by products, and pricing options should be represented by prices. This approach lets you change prices without having to change your provisioning scheme.\n\nFor example, you might have a single \"gold\" product that has prices for $10/month, $100/year, and €9 once.\n\nRelated guides: [Set up a subscription](https://stripe.com/docs/billing/subscriptions/set-up-subscription), [create an invoice](https://stripe.com/docs/billing/invoices/create), and more about [products and prices](https://stripe.com/docs/products-prices/overview).","ref":"Stripe.Price.html"},{"type":"function","title":"Stripe.Price.create/2","doc":"Creates a new price for an existing product. The price can be recurring or one-time. \n\n##","ref":"Stripe.Price.html#create/2"},{"type":"function","title":"Details - Stripe.Price.create/2","doc":"* Method: `post`\n * Path: `/v1/prices`","ref":"Stripe.Price.html#create/2-details"},{"type":"function","title":"Stripe.Price.list/2","doc":"Returns a list of your active prices, excluding  inline prices . For the list of inactive prices, set  active  to false. \n\n##","ref":"Stripe.Price.html#list/2"},{"type":"function","title":"Details - Stripe.Price.list/2","doc":"* Method: `get`\n * Path: `/v1/prices`","ref":"Stripe.Price.html#list/2-details"},{"type":"function","title":"Stripe.Price.retrieve/3","doc":"Retrieves the price with the given ID. \n\n##","ref":"Stripe.Price.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Price.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/prices/{price}`","ref":"Stripe.Price.html#retrieve/3-details"},{"type":"function","title":"Stripe.Price.search/2","doc":"Search for prices you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.Price.html#search/2"},{"type":"function","title":"Details - Stripe.Price.search/2","doc":"* Method: `get`\n * Path: `/v1/prices/search`","ref":"Stripe.Price.html#search/2-details"},{"type":"function","title":"Stripe.Price.update/3","doc":"Updates the specified price by setting the values of the parameters passed. Any parameters not provided are left unchanged. \n\n##","ref":"Stripe.Price.html#update/3"},{"type":"function","title":"Details - Stripe.Price.update/3","doc":"* Method: `post`\n * Path: `/v1/prices/{price}`","ref":"Stripe.Price.html#update/3-details"},{"type":"type","title":"Stripe.Price.created/0","doc":"","ref":"Stripe.Price.html#t:created/0"},{"type":"type","title":"Stripe.Price.custom_unit_amount/0","doc":"When set, provides configuration for the amount to be adjusted by the customer during Checkout Sessions and Payment Links.","ref":"Stripe.Price.html#t:custom_unit_amount/0"},{"type":"type","title":"Stripe.Price.product_data/0","doc":"These fields can be used to create a new product that this price will belong to.","ref":"Stripe.Price.html#t:product_data/0"},{"type":"type","title":"Stripe.Price.recurring/0","doc":"","ref":"Stripe.Price.html#t:recurring/0"},{"type":"type","title":"Stripe.Price.t/0","doc":"The `price` type.\n\n  * `active` Whether the price can be used for new purchases.\n  * `billing_scheme` Describes how to compute the price per period. Either `per_unit` or `tiered`. `per_unit` indicates that the fixed amount (specified in `unit_amount` or `unit_amount_decimal`) will be charged per unit in `quantity` (for prices with `usage_type=licensed`), or per unit of total usage (for prices with `usage_type=metered`). `tiered` indicates that the unit pricing will be computed using a tiering strategy as defined using the `tiers` and `tiers_mode` attributes.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `currency_options` Prices defined in each available currency option. Each key must be a three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html) and a [supported currency](https://stripe.com/docs/currencies).\n  * `custom_unit_amount` When set, provides configuration for the amount to be adjusted by the customer during Checkout Sessions and Payment Links.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `lookup_key` A lookup key used to retrieve prices dynamically from a static string. This may be up to 200 characters.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `nickname` A brief description of the price, hidden from customers.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `product` The ID of the product this price is associated with.\n  * `recurring` The recurring components of a price such as `interval` and `usage_type`.\n  * `tax_behavior` Only required if a [default tax behavior](https://stripe.com/docs/tax/products-prices-tax-categories-tax-behavior#setting-a-default-tax-behavior-(recommended)) was not provided in the Stripe Tax settings. Specifies whether the price is considered inclusive of taxes or exclusive of taxes. One of `inclusive`, `exclusive`, or `unspecified`. Once specified as either `inclusive` or `exclusive`, it cannot be changed.\n  * `tiers` Each element represents a pricing tier. This parameter requires `billing_scheme` to be set to `tiered`. See also the documentation for `billing_scheme`.\n  * `tiers_mode` Defines if the tiering price should be `graduated` or `volume` based. In `volume`-based tiering, the maximum quantity within a period determines the per unit price. In `graduated` tiering, pricing can change as the quantity grows.\n  * `transform_quantity` Apply a transformation to the reported usage or set quantity before computing the amount billed. Cannot be combined with `tiers`.\n  * `type` One of `one_time` or `recurring` depending on whether the price is for a one-time purchase or a recurring (subscription) purchase.\n  * `unit_amount` The unit amount in cents (or local equivalent) to be charged, represented as a whole integer if possible. Only set if `billing_scheme=per_unit`.\n  * `unit_amount_decimal` The unit amount in cents (or local equivalent) to be charged, represented as a decimal string with at most 12 decimal places. Only set if `billing_scheme=per_unit`.","ref":"Stripe.Price.html#t:t/0"},{"type":"type","title":"Stripe.Price.tiers/0","doc":"","ref":"Stripe.Price.html#t:tiers/0"},{"type":"type","title":"Stripe.Price.transform_quantity/0","doc":"Apply a transformation to the reported usage or set quantity before computing the billed price. Cannot be combined with `tiers`.","ref":"Stripe.Price.html#t:transform_quantity/0"},{"type":"module","title":"Stripe.Product","doc":"Products describe the specific goods or services you offer to your customers.\nFor example, you might offer a Standard and Premium version of your goods or service; each version would be a separate Product.\nThey can be used in conjunction with [Prices](https://stripe.com/docs/api#prices) to configure pricing in Payment Links, Checkout, and Subscriptions.\n\nRelated guides: [Set up a subscription](https://stripe.com/docs/billing/subscriptions/set-up-subscription),\n[share a Payment Link](https://stripe.com/docs/payment-links),\n[accept payments with Checkout](https://stripe.com/docs/payments/accept-a-payment#create-product-prices-upfront),\nand more about [Products and Prices](https://stripe.com/docs/products-prices/overview)","ref":"Stripe.Product.html"},{"type":"function","title":"Stripe.Product.create/2","doc":"Creates a new product object. \n\n##","ref":"Stripe.Product.html#create/2"},{"type":"function","title":"Details - Stripe.Product.create/2","doc":"* Method: `post`\n * Path: `/v1/products`","ref":"Stripe.Product.html#create/2-details"},{"type":"function","title":"Stripe.Product.delete/2","doc":"Delete a product. Deleting a product is only possible if it has no prices associated with it. Additionally, deleting a product with  type=good  is only possible if it has no SKUs associated with it. \n\n##","ref":"Stripe.Product.html#delete/2"},{"type":"function","title":"Details - Stripe.Product.delete/2","doc":"* Method: `delete`\n * Path: `/v1/products/{id}`","ref":"Stripe.Product.html#delete/2-details"},{"type":"function","title":"Stripe.Product.list/2","doc":"Returns a list of your products. The products are returned sorted by creation date, with the most recently created products appearing first. \n\n##","ref":"Stripe.Product.html#list/2"},{"type":"function","title":"Details - Stripe.Product.list/2","doc":"* Method: `get`\n * Path: `/v1/products`","ref":"Stripe.Product.html#list/2-details"},{"type":"function","title":"Stripe.Product.retrieve/3","doc":"Retrieves the details of an existing product. Supply the unique product ID from either a product creation request or the product list, and Stripe will return the corresponding product information. \n\n##","ref":"Stripe.Product.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Product.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/products/{id}`","ref":"Stripe.Product.html#retrieve/3-details"},{"type":"function","title":"Stripe.Product.search/2","doc":"Search for products you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.Product.html#search/2"},{"type":"function","title":"Details - Stripe.Product.search/2","doc":"* Method: `get`\n * Path: `/v1/products/search`","ref":"Stripe.Product.html#search/2-details"},{"type":"function","title":"Stripe.Product.update/3","doc":"Updates the specific product by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Product.html#update/3"},{"type":"function","title":"Details - Stripe.Product.update/3","doc":"* Method: `post`\n * Path: `/v1/products/{id}`","ref":"Stripe.Product.html#update/3-details"},{"type":"type","title":"Stripe.Product.created/0","doc":"","ref":"Stripe.Product.html#t:created/0"},{"type":"type","title":"Stripe.Product.default_price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object. This Price will be set as the default price for this product.","ref":"Stripe.Product.html#t:default_price_data/0"},{"type":"type","title":"Stripe.Product.features/0","doc":"","ref":"Stripe.Product.html#t:features/0"},{"type":"type","title":"Stripe.Product.package_dimensions/0","doc":"The dimensions of this product for shipping purposes.","ref":"Stripe.Product.html#t:package_dimensions/0"},{"type":"type","title":"Stripe.Product.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.Product.html#t:recurring/0"},{"type":"type","title":"Stripe.Product.t/0","doc":"The `product` type.\n\n  * `active` Whether the product is currently available for purchase.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `default_price` The ID of the [Price](https://stripe.com/docs/api/prices) object that is the default price for this product.\n  * `description` The product's description, meant to be displayable to the customer. Use this field to optionally store a long form explanation of the product being sold for your own rendering purposes.\n  * `features` A list of up to 15 features for this product. These are displayed in [pricing tables](https://stripe.com/docs/payments/checkout/pricing-table).\n  * `id` Unique identifier for the object.\n  * `images` A list of up to 8 URLs of images for this product, meant to be displayable to the customer.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `name` The product's name, meant to be displayable to the customer.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `package_dimensions` The dimensions of this product for shipping purposes.\n  * `shippable` Whether this product is shipped (i.e., physical goods).\n  * `statement_descriptor` Extra information about a product which will appear on your customer's credit card statement. In the case that multiple products are billed at once, the first statement descriptor will be used.\n  * `tax_code` A [tax code](https://stripe.com/docs/tax/tax-categories) ID.\n  * `type` The type of the product. The product is either of type `good`, which is eligible for use with Orders and SKUs, or `service`, which is eligible for use with Subscriptions and Plans.\n  * `unit_label` A label that represents units of this product. When set, this will be included in customers' receipts, invoices, Checkout, and the customer portal.\n  * `updated` Time at which the object was last updated. Measured in seconds since the Unix epoch.\n  * `url` A URL of a publicly-accessible webpage for this product.","ref":"Stripe.Product.html#t:t/0"},{"type":"module","title":"Stripe.Refund","doc":"Refund objects allow you to refund a previously created charge that isn't\nrefunded yet. Funds are refunded to the credit or debit card that's\ninitially charged.\n\nRelated guide: [Refunds](https://stripe.com/docs/refunds)","ref":"Stripe.Refund.html"},{"type":"function","title":"Stripe.Refund.cancel/3","doc":"Cancels a refund with a status of  requires_action . \n\n You can’t cancel refunds in other states. Only refunds for payment methods that require customer action can enter the  requires_action  state. \n\n##","ref":"Stripe.Refund.html#cancel/3"},{"type":"function","title":"Details - Stripe.Refund.cancel/3","doc":"* Method: `post`\n * Path: `/v1/refunds/{refund}/cancel`","ref":"Stripe.Refund.html#cancel/3-details"},{"type":"function","title":"Stripe.Refund.create/2","doc":"When you create a new refund, you must specify a Charge or a PaymentIntent object on which to create it. \n\n Creating a new refund will refund a charge that has previously been created but not yet refunded.\nFunds will be refunded to the credit or debit card that was originally charged. \n\n You can optionally refund only part of a charge.\nYou can do so multiple times, until the entire charge has been refunded. \n\n Once entirely refunded, a charge can’t be refunded again.\nThis method will raise an error when called on an already-refunded charge,\nor when trying to refund more money than is left on a charge. \n\n##","ref":"Stripe.Refund.html#create/2"},{"type":"function","title":"Details - Stripe.Refund.create/2","doc":"* Method: `post`\n * Path: `/v1/refunds`","ref":"Stripe.Refund.html#create/2-details"},{"type":"function","title":"Stripe.Refund.expire/3","doc":"Expire a refund with a status of  requires_action . \n\n##","ref":"Stripe.Refund.html#expire/3"},{"type":"function","title":"Details - Stripe.Refund.expire/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/refunds/{refund}/expire`","ref":"Stripe.Refund.html#expire/3-details"},{"type":"function","title":"Stripe.Refund.list/3","doc":"You can see a list of the refunds belonging to a specific charge. Note that the 10 most recent refunds are always available by default on the charge object. If you need more than those 10, you can use this API method and the  limit  and  starting_after  parameters to page through additional refunds. \n\n##","ref":"Stripe.Refund.html#list/3"},{"type":"function","title":"Details - Stripe.Refund.list/3","doc":"* Method: `get`\n * Path: `/v1/charges/{charge}/refunds`","ref":"Stripe.Refund.html#list/3-details"},{"type":"function","title":"Stripe.Refund.retrieve/4","doc":"Retrieves the details of an existing refund. \n\n##","ref":"Stripe.Refund.html#retrieve/4"},{"type":"function","title":"Details - Stripe.Refund.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/charges/{charge}/refunds/{refund}`","ref":"Stripe.Refund.html#retrieve/4-details"},{"type":"function","title":"Stripe.Refund.update/3","doc":"Updates the refund that you specify by setting the values of the passed parameters. Any parameters that you don’t provide remain unchanged. \n\n This request only accepts  metadata  as an argument. \n\n##","ref":"Stripe.Refund.html#update/3"},{"type":"function","title":"Details - Stripe.Refund.update/3","doc":"* Method: `post`\n * Path: `/v1/refunds/{refund}`","ref":"Stripe.Refund.html#update/3-details"},{"type":"type","title":"Stripe.Refund.t/0","doc":"The `refund` type.\n\n  * `amount` Amount, in cents (or local equivalent).\n  * `balance_transaction` Balance transaction that describes the impact on your account balance.\n  * `charge` ID of the charge that's refunded.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. You can use this for displaying to users (available on non-card refunds only).\n  * `destination_details` \n  * `failure_balance_transaction` After the refund fails, this balance transaction describes the adjustment made on your account balance that reverses the initial balance transaction.\n  * `failure_reason` Provides the reason for the refund failure. Possible values are: `lost_or_stolen_card`, `expired_or_canceled_card`, `charge_for_pending_refund_disputed`, `insufficient_funds`, `declined`, `merchant_request`, or `unknown`.\n  * `id` Unique identifier for the object.\n  * `instructions_email` For payment methods without native refund support (for example, Konbini, PromptPay), provide an email address for the customer to receive refund instructions.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `next_action` \n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `payment_intent` ID of the PaymentIntent that's refunded.\n  * `reason` Reason for the refund, which is either user-provided (`duplicate`, `fraudulent`, or `requested_by_customer`) or generated by Stripe internally (`expired_uncaptured_charge`).\n  * `receipt_number` This is the transaction number that appears on email receipts sent for this refund.\n  * `source_transfer_reversal` The transfer reversal that's associated with the refund. Only present if the charge came from another Stripe account.\n  * `status` Status of the refund. This can be `pending`, `requires_action`, `succeeded`, `failed`, or `canceled`. Learn more about [failed refunds](https://stripe.com/docs/refunds#failed-refunds).\n  * `transfer_reversal` This refers to the transfer reversal object if the accompanying transfer reverses. This is only applicable if the charge was created using the destination parameter.","ref":"Stripe.Refund.html#t:t/0"},{"type":"module","title":"Stripe.SetupIntent","doc":"A SetupIntent guides you through the process of setting up and saving a customer's payment credentials for future payments.\nFor example, you can use a SetupIntent to set up and save your customer's card without immediately collecting a payment.\nLater, you can use [PaymentIntents](https://stripe.com/docs/api#payment_intents) to drive the payment flow.\n\nCreate a SetupIntent when you're ready to collect your customer's payment credentials.\nDon't maintain long-lived, unconfirmed SetupIntents because they might not be valid.\nThe SetupIntent transitions through multiple [statuses](https://stripe.com/docs/payments/intents#intent-statuses) as it guides\nyou through the setup process.\n\nSuccessful SetupIntents result in payment credentials that are optimized for future payments.\nFor example, cardholders in [certain regions](/guides/strong-customer-authentication) might need to be run through\n[Strong Customer Authentication](https://stripe.com/docs/strong-customer-authentication) during payment method collection\nto streamline later [off-session payments](https://stripe.com/docs/payments/setup-intents).\nIf you use the SetupIntent with a [Customer](https://stripe.com/docs/api#setup_intent_object-customer),\nit automatically attaches the resulting payment method to that Customer after successful setup.\nWe recommend using SetupIntents or [setup_future_usage](https://stripe.com/docs/api#payment_intent_object-setup_future_usage) on\nPaymentIntents to save payment methods to prevent saving invalid or unoptimized payment methods.\n\nBy using SetupIntents, you can reduce friction for your customers, even as regulations change over time.\n\nRelated guide: [Setup Intents API](https://stripe.com/docs/payments/setup-intents)","ref":"Stripe.SetupIntent.html"},{"type":"function","title":"Stripe.SetupIntent.cancel/3","doc":"You can cancel a SetupIntent object when it’s in one of these statuses:  requires_payment_method ,  requires_confirmation , or  requires_action .  \n\n After you cancel it, setup is abandoned and any operations on the SetupIntent fail with an error. \n\n##","ref":"Stripe.SetupIntent.html#cancel/3"},{"type":"function","title":"Details - Stripe.SetupIntent.cancel/3","doc":"* Method: `post`\n * Path: `/v1/setup_intents/{intent}/cancel`","ref":"Stripe.SetupIntent.html#cancel/3-details"},{"type":"function","title":"Stripe.SetupIntent.confirm/3","doc":"Confirm that your customer intends to set up the current or\nprovided payment method. For example, you would confirm a SetupIntent\nwhen a customer hits the “Save” button on a payment method management\npage on your website. \n\n If the selected payment method does not require any additional\nsteps from the customer, the SetupIntent will transition to the\n succeeded  status. \n\n Otherwise, it will transition to the  requires_action  status and\nsuggest additional actions via  next_action . If setup fails,\nthe SetupIntent will transition to the\n requires_payment_method  status or the  canceled  status if the\nconfirmation limit is reached. \n\n##","ref":"Stripe.SetupIntent.html#confirm/3"},{"type":"function","title":"Details - Stripe.SetupIntent.confirm/3","doc":"* Method: `post`\n * Path: `/v1/setup_intents/{intent}/confirm`","ref":"Stripe.SetupIntent.html#confirm/3-details"},{"type":"function","title":"Stripe.SetupIntent.create/2","doc":"Creates a SetupIntent object. \n\n After you create the SetupIntent, attach a payment method and  confirm \nit to collect any required permissions to charge the payment method later. \n\n##","ref":"Stripe.SetupIntent.html#create/2"},{"type":"function","title":"Details - Stripe.SetupIntent.create/2","doc":"* Method: `post`\n * Path: `/v1/setup_intents`","ref":"Stripe.SetupIntent.html#create/2-details"},{"type":"function","title":"Stripe.SetupIntent.list/2","doc":"Returns a list of SetupIntents. \n\n##","ref":"Stripe.SetupIntent.html#list/2"},{"type":"function","title":"Details - Stripe.SetupIntent.list/2","doc":"* Method: `get`\n * Path: `/v1/setup_intents`","ref":"Stripe.SetupIntent.html#list/2-details"},{"type":"function","title":"Stripe.SetupIntent.retrieve/3","doc":"Retrieves the details of a SetupIntent that has previously been created.  \n\n Client-side retrieval using a publishable key is allowed when the  client_secret  is provided in the query string.  \n\n When retrieved with a publishable key, only a subset of properties will be returned. Please refer to the  SetupIntent  object reference for more details. \n\n##","ref":"Stripe.SetupIntent.html#retrieve/3"},{"type":"function","title":"Details - Stripe.SetupIntent.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/setup_intents/{intent}`","ref":"Stripe.SetupIntent.html#retrieve/3-details"},{"type":"function","title":"Stripe.SetupIntent.update/3","doc":"Updates a SetupIntent object. \n\n##","ref":"Stripe.SetupIntent.html#update/3"},{"type":"function","title":"Details - Stripe.SetupIntent.update/3","doc":"* Method: `post`\n * Path: `/v1/setup_intents/{intent}`","ref":"Stripe.SetupIntent.html#update/3-details"},{"type":"function","title":"Stripe.SetupIntent.verify_microdeposits/3","doc":"Verifies microdeposits on a SetupIntent object. \n\n##","ref":"Stripe.SetupIntent.html#verify_microdeposits/3"},{"type":"function","title":"Details - Stripe.SetupIntent.verify_microdeposits/3","doc":"* Method: `post`\n * Path: `/v1/setup_intents/{intent}/verify_microdeposits`","ref":"Stripe.SetupIntent.html#verify_microdeposits/3-details"},{"type":"type","title":"Stripe.SetupIntent.acss_debit/0","doc":"If this is an `acss_debit` PaymentMethod, this hash contains details about the ACSS Debit payment method.","ref":"Stripe.SetupIntent.html#t:acss_debit/0"},{"type":"type","title":"Stripe.SetupIntent.address/0","doc":"","ref":"Stripe.SetupIntent.html#t:address/0"},{"type":"type","title":"Stripe.SetupIntent.au_becs_debit/0","doc":"If this is an `au_becs_debit` PaymentMethod, this hash contains details about the bank account.","ref":"Stripe.SetupIntent.html#t:au_becs_debit/0"},{"type":"type","title":"Stripe.SetupIntent.automatic_payment_methods/0","doc":"When you enable this parameter, this SetupIntent accepts payment methods that you enable in the Dashboard and that are compatible with its other parameters.","ref":"Stripe.SetupIntent.html#t:automatic_payment_methods/0"},{"type":"type","title":"Stripe.SetupIntent.bacs_debit/0","doc":"If this is a `bacs_debit` PaymentMethod, this hash contains details about the Bacs Direct Debit bank account.","ref":"Stripe.SetupIntent.html#t:bacs_debit/0"},{"type":"type","title":"Stripe.SetupIntent.billing_details/0","doc":"Billing information associated with the PaymentMethod that may be used or required by particular types of payment methods.","ref":"Stripe.SetupIntent.html#t:billing_details/0"},{"type":"type","title":"Stripe.SetupIntent.boleto/0","doc":"If this is a `boleto` PaymentMethod, this hash contains details about the Boleto payment method.","ref":"Stripe.SetupIntent.html#t:boleto/0"},{"type":"type","title":"Stripe.SetupIntent.card/0","doc":"Configuration for any card setup attempted on this SetupIntent.","ref":"Stripe.SetupIntent.html#t:card/0"},{"type":"type","title":"Stripe.SetupIntent.cartes_bancaires/0","doc":"Cartes Bancaires-specific 3DS fields.","ref":"Stripe.SetupIntent.html#t:cartes_bancaires/0"},{"type":"type","title":"Stripe.SetupIntent.created/0","doc":"","ref":"Stripe.SetupIntent.html#t:created/0"},{"type":"type","title":"Stripe.SetupIntent.customer_acceptance/0","doc":"This hash contains details about the customer acceptance of the Mandate.","ref":"Stripe.SetupIntent.html#t:customer_acceptance/0"},{"type":"type","title":"Stripe.SetupIntent.dob/0","doc":"Customer's date of birth","ref":"Stripe.SetupIntent.html#t:dob/0"},{"type":"type","title":"Stripe.SetupIntent.eps/0","doc":"If this is an `eps` PaymentMethod, this hash contains details about the EPS payment method.","ref":"Stripe.SetupIntent.html#t:eps/0"},{"type":"type","title":"Stripe.SetupIntent.financial_connections/0","doc":"Additional fields for Financial Connections Session creation","ref":"Stripe.SetupIntent.html#t:financial_connections/0"},{"type":"type","title":"Stripe.SetupIntent.fpx/0","doc":"If this is an `fpx` PaymentMethod, this hash contains details about the FPX payment method.","ref":"Stripe.SetupIntent.html#t:fpx/0"},{"type":"type","title":"Stripe.SetupIntent.ideal/0","doc":"If this is an `ideal` PaymentMethod, this hash contains details about the iDEAL payment method.","ref":"Stripe.SetupIntent.html#t:ideal/0"},{"type":"type","title":"Stripe.SetupIntent.klarna/0","doc":"If this is a `klarna` PaymentMethod, this hash contains details about the Klarna payment method.","ref":"Stripe.SetupIntent.html#t:klarna/0"},{"type":"type","title":"Stripe.SetupIntent.link/0","doc":"If this is a `link` PaymentMethod, this sub-hash contains details about the Link payment method options.","ref":"Stripe.SetupIntent.html#t:link/0"},{"type":"type","title":"Stripe.SetupIntent.mandate_data/0","doc":"","ref":"Stripe.SetupIntent.html#t:mandate_data/0"},{"type":"type","title":"Stripe.SetupIntent.mandate_options/0","doc":"Additional fields for Mandate creation","ref":"Stripe.SetupIntent.html#t:mandate_options/0"},{"type":"type","title":"Stripe.SetupIntent.network_options/0","doc":"Network specific 3DS fields. Network specific arguments require an\nexplicit card brand choice. The parameter `payment_method_options.card.network``\nmust be populated accordingly","ref":"Stripe.SetupIntent.html#t:network_options/0"},{"type":"type","title":"Stripe.SetupIntent.networks/0","doc":"Additional fields for network related functions","ref":"Stripe.SetupIntent.html#t:networks/0"},{"type":"type","title":"Stripe.SetupIntent.online/0","doc":"If this is a Mandate accepted online, this hash contains details about the online acceptance.","ref":"Stripe.SetupIntent.html#t:online/0"},{"type":"type","title":"Stripe.SetupIntent.p24/0","doc":"If this is a `p24` PaymentMethod, this hash contains details about the P24 payment method.","ref":"Stripe.SetupIntent.html#t:p24/0"},{"type":"type","title":"Stripe.SetupIntent.payment_method_data/0","doc":"When included, this hash creates a PaymentMethod that is set as the [`payment_method`](https://stripe.com/docs/api/setup_intents/object#setup_intent_object-payment_method)\nvalue in the SetupIntent.","ref":"Stripe.SetupIntent.html#t:payment_method_data/0"},{"type":"type","title":"Stripe.SetupIntent.payment_method_options/0","doc":"Payment method-specific configuration for this SetupIntent.","ref":"Stripe.SetupIntent.html#t:payment_method_options/0"},{"type":"type","title":"Stripe.SetupIntent.paypal/0","doc":"If this is a `paypal` PaymentMethod, this sub-hash contains details about the PayPal payment method options.","ref":"Stripe.SetupIntent.html#t:paypal/0"},{"type":"type","title":"Stripe.SetupIntent.radar_options/0","doc":"Options to configure Radar. See [Radar Session](https://stripe.com/docs/radar/radar-session) for more information.","ref":"Stripe.SetupIntent.html#t:radar_options/0"},{"type":"type","title":"Stripe.SetupIntent.sepa_debit/0","doc":"If this is a `sepa_debit` SetupIntent, this sub-hash contains details about the SEPA Debit payment method options.","ref":"Stripe.SetupIntent.html#t:sepa_debit/0"},{"type":"type","title":"Stripe.SetupIntent.single_use/0","doc":"If you populate this hash, this SetupIntent generates a `single_use` mandate after successful completion.","ref":"Stripe.SetupIntent.html#t:single_use/0"},{"type":"type","title":"Stripe.SetupIntent.sofort/0","doc":"If this is a `sofort` PaymentMethod, this hash contains details about the SOFORT payment method.","ref":"Stripe.SetupIntent.html#t:sofort/0"},{"type":"type","title":"Stripe.SetupIntent.t/0","doc":"The `setup_intent` type.\n\n  * `application` ID of the Connect application that created the SetupIntent.\n  * `attach_to_self` If present, the SetupIntent's payment method will be attached to the in-context Stripe Account.\n\nIt can only be used for this Stripe Account’s own money movement flows like InboundTransfer and OutboundTransfers. It cannot be set to true when setting up a PaymentMethod for a Customer, and defaults to false when attaching a PaymentMethod to a Customer.\n  * `automatic_payment_methods` Settings for dynamic payment methods compatible with this Setup Intent\n  * `cancellation_reason` Reason for cancellation of this SetupIntent, one of `abandoned`, `requested_by_customer`, or `duplicate`.\n  * `client_secret` The client secret of this SetupIntent. Used for client-side retrieval using a publishable key.\n\nThe client secret can be used to complete payment setup from your frontend. It should not be stored, logged, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` ID of the Customer this SetupIntent belongs to, if one exists.\n\nIf present, the SetupIntent's payment method will be attached to the Customer on successful setup. Payment methods attached to other Customers cannot be used with this SetupIntent.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `flow_directions` Indicates the directions of money movement for which this payment method is intended to be used.\n\nInclude `inbound` if you intend to use the payment method as the origin to pull funds from. Include `outbound` if you intend to use the payment method as the destination to send funds to. You can include both if you intend to use the payment method for both purposes.\n  * `id` Unique identifier for the object.\n  * `last_setup_error` The error encountered in the previous SetupIntent confirmation.\n  * `latest_attempt` The most recent SetupAttempt for this SetupIntent.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `mandate` ID of the multi use Mandate generated by the SetupIntent.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `next_action` If present, this property tells you what actions you need to take in order for your customer to continue payment setup.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account (if any) for which the setup is intended.\n  * `payment_method` ID of the payment method used with this SetupIntent.\n  * `payment_method_configuration_details` Information about the payment method configuration used for this Setup Intent.\n  * `payment_method_options` Payment method-specific configuration for this SetupIntent.\n  * `payment_method_types` The list of payment method types (e.g. card) that this SetupIntent is allowed to set up.\n  * `single_use_mandate` ID of the single_use Mandate generated by the SetupIntent.\n  * `status` [Status](https://stripe.com/docs/payments/intents#intent-statuses) of this SetupIntent, one of `requires_payment_method`, `requires_confirmation`, `requires_action`, `processing`, `canceled`, or `succeeded`.\n  * `usage` Indicates how the payment method is intended to be used in the future.\n\nUse `on_session` if you intend to only reuse the payment method when the customer is in your checkout flow. Use `off_session` if your customer may or may not be in your checkout flow. If not provided, this value defaults to `off_session`.","ref":"Stripe.SetupIntent.html#t:t/0"},{"type":"type","title":"Stripe.SetupIntent.three_d_secure/0","doc":"If 3D Secure authentication was performed with a third-party provider,\nthe authentication details to use for this setup.","ref":"Stripe.SetupIntent.html#t:three_d_secure/0"},{"type":"type","title":"Stripe.SetupIntent.us_bank_account/0","doc":"If this is an `us_bank_account` PaymentMethod, this hash contains details about the US bank account payment method.","ref":"Stripe.SetupIntent.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.TaxId","doc":"You can add one or multiple tax IDs to a [customer](https://stripe.com/docs/api/customers) or account.\nCustomer and account tax IDs get displayed on related invoices and credit notes.\n\nRelated guides: [Customer tax identification numbers](https://stripe.com/docs/billing/taxes/tax-ids), [Account tax IDs](https://stripe.com/docs/invoicing/connect#account-tax-ids)","ref":"Stripe.TaxId.html"},{"type":"function","title":"Stripe.TaxId.create/3","doc":"Creates a new  tax_id  object for a customer. \n\n##","ref":"Stripe.TaxId.html#create/3"},{"type":"function","title":"Details - Stripe.TaxId.create/3","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/tax_ids`","ref":"Stripe.TaxId.html#create/3-details"},{"type":"function","title":"Stripe.TaxId.delete/3","doc":"Deletes an existing  tax_id  object. \n\n##","ref":"Stripe.TaxId.html#delete/3"},{"type":"function","title":"Details - Stripe.TaxId.delete/3","doc":"* Method: `delete`\n * Path: `/v1/customers/{customer}/tax_ids/{id}`","ref":"Stripe.TaxId.html#delete/3-details"},{"type":"function","title":"Stripe.TaxId.list/3","doc":"Returns a list of tax IDs for a customer. \n\n##","ref":"Stripe.TaxId.html#list/3"},{"type":"function","title":"Details - Stripe.TaxId.list/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/tax_ids`","ref":"Stripe.TaxId.html#list/3-details"},{"type":"function","title":"Stripe.TaxId.retrieve/4","doc":"Retrieves the  tax_id  object with the given identifier. \n\n##","ref":"Stripe.TaxId.html#retrieve/4"},{"type":"function","title":"Details - Stripe.TaxId.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/tax_ids/{id}`","ref":"Stripe.TaxId.html#retrieve/4-details"},{"type":"type","title":"Stripe.TaxId.t/0","doc":"The `tax_id` type.\n\n  * `country` Two-letter ISO code representing the country of the tax ID.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` ID of the customer.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `type` Type of the tax ID, one of `ad_nrt`, `ae_trn`, `ar_cuit`, `au_abn`, `au_arn`, `bg_uic`, `bo_tin`, `br_cnpj`, `br_cpf`, `ca_bn`, `ca_gst_hst`, `ca_pst_bc`, `ca_pst_mb`, `ca_pst_sk`, `ca_qst`, `ch_vat`, `cl_tin`, `cn_tin`, `co_nit`, `cr_tin`, `do_rcn`, `ec_ruc`, `eg_tin`, `es_cif`, `eu_oss_vat`, `eu_vat`, `gb_vat`, `ge_vat`, `hk_br`, `hu_tin`, `id_npwp`, `il_vat`, `in_gst`, `is_vat`, `jp_cn`, `jp_rn`, `jp_trn`, `ke_pin`, `kr_brn`, `li_uid`, `mx_rfc`, `my_frp`, `my_itn`, `my_sst`, `no_vat`, `nz_gst`, `pe_ruc`, `ph_tin`, `ro_tin`, `rs_pib`, `ru_inn`, `ru_kpp`, `sa_vat`, `sg_gst`, `sg_uen`, `si_tin`, `sv_nit`, `th_vat`, `tr_tin`, `tw_vat`, `ua_vat`, `us_ein`, `uy_ruc`, `ve_rif`, `vn_tin`, or `za_vat`. Note that some legacy tax IDs have type `unknown`\n  * `value` Value of the tax ID.\n  * `verification` Tax ID verification information.","ref":"Stripe.TaxId.html#t:t/0"},{"type":"module","title":"Stripe.Token","doc":"Tokenization is the process Stripe uses to collect sensitive card or bank\naccount details, or personally identifiable information (PII), directly from\nyour customers in a secure manner. A token representing this information is\nreturned to your server to use. Use our\n[recommended payments integrations](https://stripe.com/docs/payments) to perform this process\non the client-side. This guarantees that no sensitive card data touches your server,\nand allows your integration to operate in a PCI-compliant way.\n\nIf you can't use client-side tokenization, you can also create tokens using\nthe API with either your publishable or secret API key. If\nyour integration uses this method, you're responsible for any PCI compliance\nthat it might require, and you must keep your secret API key safe. Unlike with\nclient-side tokenization, your customer's information isn't sent directly to\nStripe, so we can't determine how it's handled or stored.\n\nYou can't store or use tokens more than once. To store card or bank account\ninformation for later use, create [Customer](https://stripe.com/docs/api#customers)\nobjects or [Custom accounts](https://stripe.com/docs/api#external_accounts).\n[Radar](https://stripe.com/docs/radar), our integrated solution for automatic fraud protection,\nperforms best with integrations that use client-side tokenization.","ref":"Stripe.Token.html"},{"type":"function","title":"Stripe.Token.create/2","doc":"Creates a single-use token that represents a bank account’s details.\nYou can use this token with any API method in place of a bank account dictionary. You can only use this token once. To do so, attach it to a  Custom account . \n\n##","ref":"Stripe.Token.html#create/2"},{"type":"function","title":"Details - Stripe.Token.create/2","doc":"* Method: `post`\n * Path: `/v1/tokens`","ref":"Stripe.Token.html#create/2-details"},{"type":"function","title":"Stripe.Token.retrieve/3","doc":"Retrieves the token with the given ID. \n\n##","ref":"Stripe.Token.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Token.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/tokens/{token}`","ref":"Stripe.Token.html#retrieve/3-details"},{"type":"type","title":"Stripe.Token.account/0","doc":"Details on the legal guardian's acceptance of the main Stripe service agreement.","ref":"Stripe.Token.html#t:account/0"},{"type":"type","title":"Stripe.Token.additional_document/0","doc":"A document showing address, either a passport, local ID card, or utility bill from a well-known utility company.","ref":"Stripe.Token.html#t:additional_document/0"},{"type":"type","title":"Stripe.Token.additional_tos_acceptances/0","doc":"Details on the legal guardian's acceptance of the required Stripe agreements.","ref":"Stripe.Token.html#t:additional_tos_acceptances/0"},{"type":"type","title":"Stripe.Token.address/0","doc":"The company's primary address.","ref":"Stripe.Token.html#t:address/0"},{"type":"type","title":"Stripe.Token.address_kana/0","doc":"The Kana variation of the the individual's primary address (Japan only).","ref":"Stripe.Token.html#t:address_kana/0"},{"type":"type","title":"Stripe.Token.address_kanji/0","doc":"The Kanji variation of the company's primary address (Japan only).","ref":"Stripe.Token.html#t:address_kanji/0"},{"type":"type","title":"Stripe.Token.bank_account/0","doc":"The bank account this token will represent.","ref":"Stripe.Token.html#t:bank_account/0"},{"type":"type","title":"Stripe.Token.card/0","doc":"","ref":"Stripe.Token.html#t:card/0"},{"type":"type","title":"Stripe.Token.company/0","doc":"Information about the company or business.","ref":"Stripe.Token.html#t:company/0"},{"type":"type","title":"Stripe.Token.company_authorization/0","doc":"One or more documents that demonstrate proof that this person is authorized to represent the company.","ref":"Stripe.Token.html#t:company_authorization/0"},{"type":"type","title":"Stripe.Token.cvc_update/0","doc":"The updated CVC value this token represents.","ref":"Stripe.Token.html#t:cvc_update/0"},{"type":"type","title":"Stripe.Token.dob/0","doc":"","ref":"Stripe.Token.html#t:dob/0"},{"type":"type","title":"Stripe.Token.document/0","doc":"An identifying document, either a passport or local ID card.","ref":"Stripe.Token.html#t:document/0"},{"type":"type","title":"Stripe.Token.documents/0","doc":"Documents that may be submitted to satisfy various informational requests.","ref":"Stripe.Token.html#t:documents/0"},{"type":"type","title":"Stripe.Token.individual/0","doc":"Information about the person represented by the account.","ref":"Stripe.Token.html#t:individual/0"},{"type":"type","title":"Stripe.Token.ownership_declaration/0","doc":"This hash is used to attest that the beneficial owner information provided to Stripe is both current and correct.","ref":"Stripe.Token.html#t:ownership_declaration/0"},{"type":"type","title":"Stripe.Token.passport/0","doc":"One or more documents showing the person's passport page with photo and personal data.","ref":"Stripe.Token.html#t:passport/0"},{"type":"type","title":"Stripe.Token.person/0","doc":"Information for the person this token represents.","ref":"Stripe.Token.html#t:person/0"},{"type":"type","title":"Stripe.Token.pii/0","doc":"The PII this token represents.","ref":"Stripe.Token.html#t:pii/0"},{"type":"type","title":"Stripe.Token.registered_address/0","doc":"The individual's registered address.","ref":"Stripe.Token.html#t:registered_address/0"},{"type":"type","title":"Stripe.Token.relationship/0","doc":"The relationship that this person has with the account's legal entity.","ref":"Stripe.Token.html#t:relationship/0"},{"type":"type","title":"Stripe.Token.t/0","doc":"The `token` type.\n\n  * `bank_account` \n  * `card` \n  * `client_ip` IP address of the client that generates the token.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `type` Type of the token: `account`, `bank_account`, `card`, or `pii`.\n  * `used` Determines if you have already used this token (you can only use tokens once).","ref":"Stripe.Token.html#t:t/0"},{"type":"type","title":"Stripe.Token.verification/0","doc":"Information on the verification state of the company.","ref":"Stripe.Token.html#t:verification/0"},{"type":"type","title":"Stripe.Token.visa/0","doc":"One or more documents showing the person's visa required for living in the country where they are residing.","ref":"Stripe.Token.html#t:visa/0"},{"type":"module","title":"Stripe.BankAccount","doc":"These bank accounts are payment methods on `Customer` objects.\n\nOn the other hand [External Accounts](https://stripe.com/docs/api#external_accounts) are transfer\ndestinations on `Account` objects for [Custom accounts](https://stripe.com/docs/connect/custom-accounts).\nThey can be bank accounts or debit cards as well, and are documented in the links above.\n\nRelated guide: [Bank debits and transfers](https://stripe.com/docs/payments/bank-debits-transfers)","ref":"Stripe.BankAccount.html"},{"type":"function","title":"Stripe.BankAccount.delete/4","doc":"Delete a specified source for a given customer. \n\n##","ref":"Stripe.BankAccount.html#delete/4"},{"type":"function","title":"Details - Stripe.BankAccount.delete/4","doc":"* Method: `delete`\n * Path: `/v1/customers/{customer}/sources/{id}`","ref":"Stripe.BankAccount.html#delete/4-details"},{"type":"function","title":"Stripe.BankAccount.update/4","doc":"Update a specified source for a given customer. \n\n##","ref":"Stripe.BankAccount.html#update/4"},{"type":"function","title":"Details - Stripe.BankAccount.update/4","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/sources/{id}`","ref":"Stripe.BankAccount.html#update/4-details"},{"type":"function","title":"Stripe.BankAccount.verify/4","doc":"Verify a specified bank account for a given customer. \n\n##","ref":"Stripe.BankAccount.html#verify/4"},{"type":"function","title":"Details - Stripe.BankAccount.verify/4","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/sources/{id}/verify`","ref":"Stripe.BankAccount.html#verify/4-details"},{"type":"type","title":"Stripe.BankAccount.address/0","doc":"Owner's address.","ref":"Stripe.BankAccount.html#t:address/0"},{"type":"type","title":"Stripe.BankAccount.owner/0","doc":"","ref":"Stripe.BankAccount.html#t:owner/0"},{"type":"type","title":"Stripe.BankAccount.t/0","doc":"The `bank_account` type.\n\n  * `account` The ID of the account that the bank account is associated with.\n  * `account_holder_name` The name of the person or business that owns the bank account.\n  * `account_holder_type` The type of entity that holds the account. This can be either `individual` or `company`.\n  * `account_type` The bank account type. This can only be `checking` or `savings` in most countries. In Japan, this can only be `futsu` or `toza`.\n  * `available_payout_methods` A set of available payout methods for this bank account. Only values from this set should be passed as the `method` when creating a payout.\n  * `bank_name` Name of the bank associated with the routing number (e.g., `WELLS FARGO`).\n  * `country` Two-letter ISO code representing the country the bank account is located in.\n  * `currency` Three-letter [ISO code for the currency](https://stripe.com/docs/payouts) paid out to the bank account.\n  * `customer` The ID of the customer that the bank account is associated with.\n  * `default_for_currency` Whether this bank account is the default external account for its currency.\n  * `fingerprint` Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same.\n  * `future_requirements` Information about the [upcoming new requirements for the bank account](https://stripe.com/docs/connect/custom-accounts/future-requirements), including what information needs to be collected, and by when.\n  * `id` Unique identifier for the object.\n  * `last4` The last four digits of the bank account number.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `requirements` Information about the requirements for the bank account, including what information needs to be collected.\n  * `routing_number` The routing transit number for the bank account.\n  * `status` For bank accounts, possible values are `new`, `validated`, `verified`, `verification_failed`, or `errored`. A bank account that hasn't had any activity or validation performed is `new`. If Stripe can determine that the bank account exists, its status will be `validated`. Note that there often isn’t enough information to know (e.g., for smaller credit unions), and the validation is not always run. If customer bank account verification has succeeded, the bank account status will be `verified`. If the verification failed for any reason, such as microdeposit failure, the status will be `verification_failed`. If a payout sent to this bank account fails, we'll set the status to `errored` and will not continue to send [scheduled payouts](https://stripe.com/docs/payouts#payout-schedule) until the bank details are updated.\n\nFor external accounts, possible values are `new`, `errored` and `verification_failed`. If a payouts fails, the status is set to `errored` and scheduled payouts are stopped until account details are updated. In India, if we can't [verify the owner of the bank account](https://support.stripe.com/questions/bank-account-ownership-verification), we'll set the status to `verification_failed`. Other validations aren't run against external accounts because they're only used for payouts. This means the other statuses don't apply.","ref":"Stripe.BankAccount.html#t:t/0"},{"type":"module","title":"Stripe.Card","doc":"You can store multiple cards on a customer in order to charge the customer\nlater. You can also store multiple debit cards on a recipient in order to\ntransfer to those cards later.\n\nRelated guide: [Card payments with Sources](https://stripe.com/docs/sources/cards)","ref":"Stripe.Card.html"},{"type":"function","title":"Stripe.Card.delete/4","doc":"Delete a specified source for a given customer. \n\n##","ref":"Stripe.Card.html#delete/4"},{"type":"function","title":"Details - Stripe.Card.delete/4","doc":"* Method: `delete`\n * Path: `/v1/customers/{customer}/sources/{id}`","ref":"Stripe.Card.html#delete/4-details"},{"type":"function","title":"Stripe.Card.update/4","doc":"Update a specified source for a given customer. \n\n##","ref":"Stripe.Card.html#update/4"},{"type":"function","title":"Details - Stripe.Card.update/4","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/sources/{id}`","ref":"Stripe.Card.html#update/4-details"},{"type":"type","title":"Stripe.Card.address/0","doc":"Owner's address.","ref":"Stripe.Card.html#t:address/0"},{"type":"type","title":"Stripe.Card.owner/0","doc":"","ref":"Stripe.Card.html#t:owner/0"},{"type":"type","title":"Stripe.Card.t/0","doc":"The `card` type.\n\n  * `account` The account this card belongs to. This attribute will not be in the card object if the card belongs to a customer or recipient instead.\n  * `address_city` City/District/Suburb/Town/Village.\n  * `address_country` Billing address country, if provided when creating card.\n  * `address_line1` Address line 1 (Street address/PO Box/Company name).\n  * `address_line1_check` If `address_line1` was provided, results of the check: `pass`, `fail`, `unavailable`, or `unchecked`.\n  * `address_line2` Address line 2 (Apartment/Suite/Unit/Building).\n  * `address_state` State/County/Province/Region.\n  * `address_zip` ZIP or postal code.\n  * `address_zip_check` If `address_zip` was provided, results of the check: `pass`, `fail`, `unavailable`, or `unchecked`.\n  * `available_payout_methods` A set of available payout methods for this card. Only values from this set should be passed as the `method` when creating a payout.\n  * `brand` Card brand. Can be `American Express`, `Diners Club`, `Discover`, `Eftpos Australia`, `JCB`, `MasterCard`, `UnionPay`, `Visa`, or `Unknown`.\n  * `country` Two-letter ISO code representing the country of the card. You could use this attribute to get a sense of the international breakdown of cards you've collected.\n  * `currency` Three-letter [ISO code for currency](https://stripe.com/docs/payouts). Only applicable on accounts (not customers or recipients). The card can be used as a transfer destination for funds in this currency.\n  * `customer` The customer that this card belongs to. This attribute will not be in the card object if the card belongs to an account or recipient instead.\n  * `cvc_check` If a CVC was provided, results of the check: `pass`, `fail`, `unavailable`, or `unchecked`. A result of unchecked indicates that CVC was provided but hasn't been checked yet. Checks are typically performed when attaching a card to a Customer object, or when creating a charge. For more details, see [Check if a card is valid without a charge](https://support.stripe.com/questions/check-if-a-card-is-valid-without-a-charge).\n  * `default_for_currency` Whether this card is the default external account for its currency.\n  * `description` A high-level description of the type of cards issued in this range. (For internal use only and not typically available in standard API requests.)\n  * `dynamic_last4` (For tokenized numbers only.) The last four digits of the device account number.\n  * `exp_month` Two-digit number representing the card's expiration month.\n  * `exp_year` Four-digit number representing the card's expiration year.\n  * `fingerprint` Uniquely identifies this particular card number. You can use this attribute to check whether two customers who’ve signed up with you are using the same card number, for example. For payment methods that tokenize card information (Apple Pay, Google Pay), the tokenized number might be provided instead of the underlying card number.\n\n*As of May 1, 2021, card fingerprint in India for Connect changed to allow two fingerprints for the same card---one for India and one for the rest of the world.*\n  * `funding` Card funding type. Can be `credit`, `debit`, `prepaid`, or `unknown`.\n  * `id` Unique identifier for the object.\n  * `iin` Issuer identification number of the card. (For internal use only and not typically available in standard API requests.)\n  * `issuer` The name of the card's issuing bank. (For internal use only and not typically available in standard API requests.)\n  * `last4` The last four digits of the card.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `name` Cardholder name.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` For external accounts that are cards, possible values are `new` and `errored`. If a payout fails, the status is set to `errored` and [scheduled payouts](https://stripe.com/docs/payouts#payout-schedule) are stopped until account details are updated.\n  * `tokenization_method` If the card number is tokenized, this is the method that was used. Can be `android_pay` (includes Google Pay), `apple_pay`, `masterpass`, `visa_checkout`, or null.","ref":"Stripe.Card.html#t:t/0"},{"type":"module","title":"Stripe.PaymentMethod","doc":"PaymentMethod objects represent your customer's payment instruments.\nYou can use them with [PaymentIntents](https://stripe.com/docs/payments/payment-intents) to collect payments or save them to\nCustomer objects to store instrument details for future payments.\n\nRelated guides: [Payment Methods](https://stripe.com/docs/payments/payment-methods) and [More Payment Scenarios](https://stripe.com/docs/payments/more-payment-scenarios).","ref":"Stripe.PaymentMethod.html"},{"type":"function","title":"Stripe.PaymentMethod.attach/3","doc":"Attaches a PaymentMethod object to a Customer. \n\n To attach a new PaymentMethod to a customer for future payments, we recommend you use a  SetupIntent \nor a PaymentIntent with  setup_future_usage .\nThese approaches will perform any necessary steps to set up the PaymentMethod for future payments. Using the  /v1/payment_methods/:id/attach \nendpoint without first using a SetupIntent or PaymentIntent with  setup_future_usage  does not optimize the PaymentMethod for\nfuture use, which makes later declines and payment friction more likely.\nSee  Optimizing cards for future payments  for more information about setting up\nfuture payments. \n\n To use this PaymentMethod as the default for invoice or subscription payments,\nset   invoice_settings.default_payment_method  ,\non the Customer to the PaymentMethod’s ID. \n\n##","ref":"Stripe.PaymentMethod.html#attach/3"},{"type":"function","title":"Details - Stripe.PaymentMethod.attach/3","doc":"* Method: `post`\n * Path: `/v1/payment_methods/{payment_method}/attach`","ref":"Stripe.PaymentMethod.html#attach/3-details"},{"type":"function","title":"Stripe.PaymentMethod.create/2","doc":"Creates a PaymentMethod object. Read the  Stripe.js reference  to learn how to create PaymentMethods via Stripe.js. \n\n Instead of creating a PaymentMethod directly, we recommend using the  PaymentIntents  API to accept a payment immediately or the  SetupIntent  API to collect payment method details ahead of a future payment. \n\n##","ref":"Stripe.PaymentMethod.html#create/2"},{"type":"function","title":"Details - Stripe.PaymentMethod.create/2","doc":"* Method: `post`\n * Path: `/v1/payment_methods`","ref":"Stripe.PaymentMethod.html#create/2-details"},{"type":"function","title":"Stripe.PaymentMethod.detach/3","doc":"Detaches a PaymentMethod object from a Customer. After a PaymentMethod is detached, it can no longer be used for a payment or re-attached to a Customer. \n\n##","ref":"Stripe.PaymentMethod.html#detach/3"},{"type":"function","title":"Details - Stripe.PaymentMethod.detach/3","doc":"* Method: `post`\n * Path: `/v1/payment_methods/{payment_method}/detach`","ref":"Stripe.PaymentMethod.html#detach/3-details"},{"type":"function","title":"Stripe.PaymentMethod.list/2","doc":"Returns a list of PaymentMethods for Treasury flows. If you want to list the PaymentMethods attached to a Customer for payments, you should use the  List a Customer’s PaymentMethods  API instead. \n\n##","ref":"Stripe.PaymentMethod.html#list/2"},{"type":"function","title":"Details - Stripe.PaymentMethod.list/2","doc":"* Method: `get`\n * Path: `/v1/payment_methods`","ref":"Stripe.PaymentMethod.html#list/2-details"},{"type":"function","title":"Stripe.PaymentMethod.retrieve/3","doc":"Retrieves a PaymentMethod object attached to the StripeAccount. To retrieve a payment method attached to a Customer, you should use  Retrieve a Customer’s PaymentMethods  \n\n##","ref":"Stripe.PaymentMethod.html#retrieve/3"},{"type":"function","title":"Details - Stripe.PaymentMethod.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/payment_methods/{payment_method}`","ref":"Stripe.PaymentMethod.html#retrieve/3-details"},{"type":"function","title":"Stripe.PaymentMethod.update/3","doc":"Updates a PaymentMethod object. A PaymentMethod must be attached a customer to be updated. \n\n##","ref":"Stripe.PaymentMethod.html#update/3"},{"type":"function","title":"Details - Stripe.PaymentMethod.update/3","doc":"* Method: `post`\n * Path: `/v1/payment_methods/{payment_method}`","ref":"Stripe.PaymentMethod.html#update/3-details"},{"type":"type","title":"Stripe.PaymentMethod.acss_debit/0","doc":"If this is an `acss_debit` PaymentMethod, this hash contains details about the ACSS Debit payment method.","ref":"Stripe.PaymentMethod.html#t:acss_debit/0"},{"type":"type","title":"Stripe.PaymentMethod.address/0","doc":"","ref":"Stripe.PaymentMethod.html#t:address/0"},{"type":"type","title":"Stripe.PaymentMethod.au_becs_debit/0","doc":"If this is an `au_becs_debit` PaymentMethod, this hash contains details about the bank account.","ref":"Stripe.PaymentMethod.html#t:au_becs_debit/0"},{"type":"type","title":"Stripe.PaymentMethod.bacs_debit/0","doc":"If this is a `bacs_debit` PaymentMethod, this hash contains details about the Bacs Direct Debit bank account.","ref":"Stripe.PaymentMethod.html#t:bacs_debit/0"},{"type":"type","title":"Stripe.PaymentMethod.billing_details/0","doc":"Billing information associated with the PaymentMethod that may be used or required by particular types of payment methods.","ref":"Stripe.PaymentMethod.html#t:billing_details/0"},{"type":"type","title":"Stripe.PaymentMethod.boleto/0","doc":"If this is a `boleto` PaymentMethod, this hash contains details about the Boleto payment method.","ref":"Stripe.PaymentMethod.html#t:boleto/0"},{"type":"type","title":"Stripe.PaymentMethod.card/0","doc":"","ref":"Stripe.PaymentMethod.html#t:card/0"},{"type":"type","title":"Stripe.PaymentMethod.dob/0","doc":"Customer's date of birth","ref":"Stripe.PaymentMethod.html#t:dob/0"},{"type":"type","title":"Stripe.PaymentMethod.eps/0","doc":"If this is an `eps` PaymentMethod, this hash contains details about the EPS payment method.","ref":"Stripe.PaymentMethod.html#t:eps/0"},{"type":"type","title":"Stripe.PaymentMethod.fpx/0","doc":"If this is an `fpx` PaymentMethod, this hash contains details about the FPX payment method.","ref":"Stripe.PaymentMethod.html#t:fpx/0"},{"type":"type","title":"Stripe.PaymentMethod.ideal/0","doc":"If this is an `ideal` PaymentMethod, this hash contains details about the iDEAL payment method.","ref":"Stripe.PaymentMethod.html#t:ideal/0"},{"type":"type","title":"Stripe.PaymentMethod.klarna/0","doc":"If this is a `klarna` PaymentMethod, this hash contains details about the Klarna payment method.","ref":"Stripe.PaymentMethod.html#t:klarna/0"},{"type":"type","title":"Stripe.PaymentMethod.p24/0","doc":"If this is a `p24` PaymentMethod, this hash contains details about the P24 payment method.","ref":"Stripe.PaymentMethod.html#t:p24/0"},{"type":"type","title":"Stripe.PaymentMethod.radar_options/0","doc":"Options to configure Radar. See [Radar Session](https://stripe.com/docs/radar/radar-session) for more information.","ref":"Stripe.PaymentMethod.html#t:radar_options/0"},{"type":"type","title":"Stripe.PaymentMethod.sepa_debit/0","doc":"If this is a `sepa_debit` PaymentMethod, this hash contains details about the SEPA debit bank account.","ref":"Stripe.PaymentMethod.html#t:sepa_debit/0"},{"type":"type","title":"Stripe.PaymentMethod.sofort/0","doc":"If this is a `sofort` PaymentMethod, this hash contains details about the SOFORT payment method.","ref":"Stripe.PaymentMethod.html#t:sofort/0"},{"type":"type","title":"Stripe.PaymentMethod.t/0","doc":"The `payment_method` type.\n\n  * `acss_debit` \n  * `affirm` \n  * `afterpay_clearpay` \n  * `alipay` \n  * `au_becs_debit` \n  * `bacs_debit` \n  * `bancontact` \n  * `billing_details` \n  * `blik` \n  * `boleto` \n  * `card` \n  * `card_present` \n  * `cashapp` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` The ID of the Customer to which this PaymentMethod is saved. This will not be set when the PaymentMethod has not been saved to a Customer.\n  * `customer_balance` \n  * `eps` \n  * `fpx` \n  * `giropay` \n  * `grabpay` \n  * `id` Unique identifier for the object.\n  * `ideal` \n  * `interac_present` \n  * `klarna` \n  * `konbini` \n  * `link` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `oxxo` \n  * `p24` \n  * `paynow` \n  * `paypal` \n  * `pix` \n  * `promptpay` \n  * `radar_options` \n  * `revolut_pay` \n  * `sepa_debit` \n  * `sofort` \n  * `type` The type of the PaymentMethod. An additional hash is included on the PaymentMethod with a name matching this value. It contains additional information specific to the PaymentMethod type.\n  * `us_bank_account` \n  * `wechat_pay` \n  * `zip`","ref":"Stripe.PaymentMethod.html#t:t/0"},{"type":"type","title":"Stripe.PaymentMethod.us_bank_account/0","doc":"If this is an `us_bank_account` PaymentMethod, this hash contains details about the US bank account payment method.","ref":"Stripe.PaymentMethod.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.Source","doc":"`Source` objects allow you to accept a variety of payment methods. They\nrepresent a customer's payment instrument, and can be used with the Stripe API\njust like a `Card` object: once chargeable, they can be charged, or can be\nattached to customers.\n\nStripe doesn't recommend using the deprecated [Sources API](https://stripe.com/docs/api/sources).\nWe recommend that you adopt the [PaymentMethods API](https://stripe.com/docs/api/payment_methods).\nThis newer API provides access to our latest features and payment method types.\n\nRelated guides: [Sources API](https://stripe.com/docs/sources) and [Sources & Customers](https://stripe.com/docs/sources/customers).","ref":"Stripe.Source.html"},{"type":"function","title":"Stripe.Source.create/2","doc":"Creates a new source object. \n\n##","ref":"Stripe.Source.html#create/2"},{"type":"function","title":"Details - Stripe.Source.create/2","doc":"* Method: `post`\n * Path: `/v1/sources`","ref":"Stripe.Source.html#create/2-details"},{"type":"function","title":"Stripe.Source.detach/4","doc":"Delete a specified source for a given customer. \n\n##","ref":"Stripe.Source.html#detach/4"},{"type":"function","title":"Details - Stripe.Source.detach/4","doc":"* Method: `delete`\n * Path: `/v1/customers/{customer}/sources/{id}`","ref":"Stripe.Source.html#detach/4-details"},{"type":"function","title":"Stripe.Source.retrieve/3","doc":"Retrieves an existing source object. Supply the unique source ID from a source creation request and Stripe will return the corresponding up-to-date source object information. \n\n##","ref":"Stripe.Source.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Source.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/sources/{source}`","ref":"Stripe.Source.html#retrieve/3-details"},{"type":"function","title":"Stripe.Source.source_transactions/3","doc":"List source transactions for a given source. \n\n##","ref":"Stripe.Source.html#source_transactions/3"},{"type":"function","title":"Details - Stripe.Source.source_transactions/3","doc":"* Method: `get`\n * Path: `/v1/sources/{source}/source_transactions`","ref":"Stripe.Source.html#source_transactions/3-details"},{"type":"function","title":"Stripe.Source.update/3","doc":"Updates the specified source by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n This request accepts the  metadata  and  owner  as arguments. It is also possible to update type specific information for selected payment methods. Please refer to our  payment method guides  for more detail. \n\n##","ref":"Stripe.Source.html#update/3"},{"type":"function","title":"Details - Stripe.Source.update/3","doc":"* Method: `post`\n * Path: `/v1/sources/{source}`","ref":"Stripe.Source.html#update/3-details"},{"type":"function","title":"Stripe.Source.verify/3","doc":"Verify a given source. \n\n##","ref":"Stripe.Source.html#verify/3"},{"type":"function","title":"Details - Stripe.Source.verify/3","doc":"* Method: `post`\n * Path: `/v1/sources/{source}/verify`","ref":"Stripe.Source.html#verify/3-details"},{"type":"type","title":"Stripe.Source.acceptance/0","doc":"The parameters required to notify Stripe of a mandate acceptance or refusal by the customer.","ref":"Stripe.Source.html#t:acceptance/0"},{"type":"type","title":"Stripe.Source.address/0","doc":"Owner's address.","ref":"Stripe.Source.html#t:address/0"},{"type":"type","title":"Stripe.Source.items/0","doc":"","ref":"Stripe.Source.html#t:items/0"},{"type":"type","title":"Stripe.Source.mandate/0","doc":"Information about a mandate possibility attached to a source object (generally for bank debits) as well as its acceptance status.","ref":"Stripe.Source.html#t:mandate/0"},{"type":"type","title":"Stripe.Source.offline/0","doc":"The parameters required to store a mandate accepted offline. Should only be set if `mandate[type]` is `offline`","ref":"Stripe.Source.html#t:offline/0"},{"type":"type","title":"Stripe.Source.online/0","doc":"The parameters required to store a mandate accepted online. Should only be set if `mandate[type]` is `online`","ref":"Stripe.Source.html#t:online/0"},{"type":"type","title":"Stripe.Source.owner/0","doc":"Information about the owner of the payment instrument that may be used or required by particular source types.","ref":"Stripe.Source.html#t:owner/0"},{"type":"type","title":"Stripe.Source.receiver/0","doc":"Optional parameters for the receiver flow. Can be set only if the source is a receiver (`flow` is `receiver`).","ref":"Stripe.Source.html#t:receiver/0"},{"type":"type","title":"Stripe.Source.redirect/0","doc":"Parameters required for the redirect flow. Required if the source is authenticated by a redirect (`flow` is `redirect`).","ref":"Stripe.Source.html#t:redirect/0"},{"type":"type","title":"Stripe.Source.shipping/0","doc":"Shipping address for the order. Required if any of the SKUs are for products that have `shippable` set to true.","ref":"Stripe.Source.html#t:shipping/0"},{"type":"type","title":"Stripe.Source.source_order/0","doc":"Information about the items and shipping associated with the source. Required for transactional credit (for example Klarna) sources before you can charge it.","ref":"Stripe.Source.html#t:source_order/0"},{"type":"type","title":"Stripe.Source.t/0","doc":"The `source` type.\n\n  * `ach_credit_transfer` \n  * `ach_debit` \n  * `acss_debit` \n  * `alipay` \n  * `amount` A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the total amount associated with the source. This is the amount for which the source will be chargeable once ready. Required for `single_use` sources.\n  * `au_becs_debit` \n  * `bancontact` \n  * `card` \n  * `card_present` \n  * `client_secret` The client secret of the source. Used for client-side retrieval using a publishable key.\n  * `code_verification` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO code for the currency](https://stripe.com/docs/currencies) associated with the source. This is the currency for which the source will be chargeable once ready. Required for `single_use` sources.\n  * `customer` The ID of the customer to which this source is attached. This will not be present when the source has not been attached to a customer.\n  * `eps` \n  * `flow` The authentication `flow` of the source. `flow` is one of `redirect`, `receiver`, `code_verification`, `none`.\n  * `giropay` \n  * `id` Unique identifier for the object.\n  * `ideal` \n  * `klarna` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `multibanco` \n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `owner` Information about the owner of the payment instrument that may be used or required by particular source types.\n  * `p24` \n  * `receiver` \n  * `redirect` \n  * `sepa_credit_transfer` \n  * `sepa_debit` \n  * `sofort` \n  * `source_order` \n  * `statement_descriptor` Extra information about a source. This will appear on your customer's statement every time you charge the source.\n  * `status` The status of the source, one of `canceled`, `chargeable`, `consumed`, `failed`, or `pending`. Only `chargeable` sources can be used to create a charge.\n  * `three_d_secure` \n  * `type` The `type` of the source. The `type` is a payment method, one of `ach_credit_transfer`, `ach_debit`, `alipay`, `bancontact`, `card`, `card_present`, `eps`, `giropay`, `ideal`, `multibanco`, `klarna`, `p24`, `sepa_debit`, `sofort`, `three_d_secure`, or `wechat`. An additional hash is included on the source with a name matching this value. It contains additional information specific to the [payment method](https://stripe.com/docs/sources) used.\n  * `usage` Either `reusable` or `single_use`. Whether this source should be reusable or not. Some source types may or may not be reusable by construction, while others may leave the option at creation. If an incompatible value is passed, an error will be returned.\n  * `wechat`","ref":"Stripe.Source.html#t:t/0"},{"type":"module","title":"Stripe.Checkout.Session","doc":"A Checkout Session represents your customer's session as they pay for\none-time purchases or subscriptions through [Checkout](https://stripe.com/docs/payments/checkout)\nor [Payment Links](https://stripe.com/docs/payments/payment-links). We recommend creating a\nnew Session each time your customer attempts to pay.\n\nOnce payment is successful, the Checkout Session will contain a reference\nto the [Customer](https://stripe.com/docs/api/customers), and either the successful\n[PaymentIntent](https://stripe.com/docs/api/payment_intents) or an active\n[Subscription](https://stripe.com/docs/api/subscriptions).\n\nYou can create a Checkout Session on your server and redirect to its URL\nto begin Checkout.\n\nRelated guide: [Checkout quickstart](https://stripe.com/docs/checkout/quickstart)","ref":"Stripe.Checkout.Session.html"},{"type":"function","title":"Stripe.Checkout.Session.create/2","doc":"Creates a Session object. \n\n##","ref":"Stripe.Checkout.Session.html#create/2"},{"type":"function","title":"Details - Stripe.Checkout.Session.create/2","doc":"* Method: `post`\n * Path: `/v1/checkout/sessions`","ref":"Stripe.Checkout.Session.html#create/2-details"},{"type":"function","title":"Stripe.Checkout.Session.expire/3","doc":"A Session can be expired when it is in one of these statuses:  open   \n\n After it expires, a customer can’t complete a Session and customers loading the Session see a message saying the Session is expired. \n\n##","ref":"Stripe.Checkout.Session.html#expire/3"},{"type":"function","title":"Details - Stripe.Checkout.Session.expire/3","doc":"* Method: `post`\n * Path: `/v1/checkout/sessions/{session}/expire`","ref":"Stripe.Checkout.Session.html#expire/3-details"},{"type":"function","title":"Stripe.Checkout.Session.list/2","doc":"Returns a list of Checkout Sessions. \n\n##","ref":"Stripe.Checkout.Session.html#list/2"},{"type":"function","title":"Details - Stripe.Checkout.Session.list/2","doc":"* Method: `get`\n * Path: `/v1/checkout/sessions`","ref":"Stripe.Checkout.Session.html#list/2-details"},{"type":"function","title":"Stripe.Checkout.Session.list_line_items/3","doc":"When retrieving a Checkout Session, there is an includable  line_items  property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.Checkout.Session.html#list_line_items/3"},{"type":"function","title":"Details - Stripe.Checkout.Session.list_line_items/3","doc":"* Method: `get`\n * Path: `/v1/checkout/sessions/{session}/line_items`","ref":"Stripe.Checkout.Session.html#list_line_items/3-details"},{"type":"function","title":"Stripe.Checkout.Session.retrieve/3","doc":"Retrieves a Session object. \n\n##","ref":"Stripe.Checkout.Session.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Checkout.Session.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/checkout/sessions/{session}`","ref":"Stripe.Checkout.Session.html#retrieve/3-details"},{"type":"type","title":"Stripe.Checkout.Session.acss_debit/0","doc":"contains details about the ACSS Debit payment method options.","ref":"Stripe.Checkout.Session.html#t:acss_debit/0"},{"type":"type","title":"Stripe.Checkout.Session.address/0","doc":"Shipping address.","ref":"Stripe.Checkout.Session.html#t:address/0"},{"type":"type","title":"Stripe.Checkout.Session.adjustable_quantity/0","doc":"When set, provides configuration for this item’s quantity to be adjusted by the customer during Checkout.","ref":"Stripe.Checkout.Session.html#t:adjustable_quantity/0"},{"type":"type","title":"Stripe.Checkout.Session.affirm/0","doc":"contains details about the Affirm payment method options.","ref":"Stripe.Checkout.Session.html#t:affirm/0"},{"type":"type","title":"Stripe.Checkout.Session.after_expiration/0","doc":"Configure actions after a Checkout Session has expired.","ref":"Stripe.Checkout.Session.html#t:after_expiration/0"},{"type":"type","title":"Stripe.Checkout.Session.after_submit/0","doc":"","ref":"Stripe.Checkout.Session.html#t:after_submit/0"},{"type":"type","title":"Stripe.Checkout.Session.afterpay_clearpay/0","doc":"contains details about the Afterpay Clearpay payment method options.","ref":"Stripe.Checkout.Session.html#t:afterpay_clearpay/0"},{"type":"type","title":"Stripe.Checkout.Session.alipay/0","doc":"contains details about the Alipay payment method options.","ref":"Stripe.Checkout.Session.html#t:alipay/0"},{"type":"type","title":"Stripe.Checkout.Session.au_becs_debit/0","doc":"contains details about the AU Becs Debit payment method options.","ref":"Stripe.Checkout.Session.html#t:au_becs_debit/0"},{"type":"type","title":"Stripe.Checkout.Session.automatic_tax/0","doc":"Settings for automatic tax lookup for this session and resulting payments, invoices, and subscriptions.","ref":"Stripe.Checkout.Session.html#t:automatic_tax/0"},{"type":"type","title":"Stripe.Checkout.Session.bacs_debit/0","doc":"contains details about the Bacs Debit payment method options.","ref":"Stripe.Checkout.Session.html#t:bacs_debit/0"},{"type":"type","title":"Stripe.Checkout.Session.bancontact/0","doc":"contains details about the Bancontact payment method options.","ref":"Stripe.Checkout.Session.html#t:bancontact/0"},{"type":"type","title":"Stripe.Checkout.Session.bank_transfer/0","doc":"Configuration for the bank transfer funding type, if the `funding_type` is set to `bank_transfer`.","ref":"Stripe.Checkout.Session.html#t:bank_transfer/0"},{"type":"type","title":"Stripe.Checkout.Session.boleto/0","doc":"contains details about the Boleto payment method options.","ref":"Stripe.Checkout.Session.html#t:boleto/0"},{"type":"type","title":"Stripe.Checkout.Session.card/0","doc":"contains details about the Card payment method options.","ref":"Stripe.Checkout.Session.html#t:card/0"},{"type":"type","title":"Stripe.Checkout.Session.cashapp/0","doc":"contains details about the Cashapp Pay payment method options.","ref":"Stripe.Checkout.Session.html#t:cashapp/0"},{"type":"type","title":"Stripe.Checkout.Session.consent_collection/0","doc":"Configure fields for the Checkout Session to gather active consent from customers.","ref":"Stripe.Checkout.Session.html#t:consent_collection/0"},{"type":"type","title":"Stripe.Checkout.Session.created/0","doc":"","ref":"Stripe.Checkout.Session.html#t:created/0"},{"type":"type","title":"Stripe.Checkout.Session.custom_fields/0","doc":"","ref":"Stripe.Checkout.Session.html#t:custom_fields/0"},{"type":"type","title":"Stripe.Checkout.Session.custom_text/0","doc":"Display additional text for your customers using custom text.","ref":"Stripe.Checkout.Session.html#t:custom_text/0"},{"type":"type","title":"Stripe.Checkout.Session.customer_balance/0","doc":"contains details about the Customer Balance payment method options.","ref":"Stripe.Checkout.Session.html#t:customer_balance/0"},{"type":"type","title":"Stripe.Checkout.Session.customer_details/0","doc":"","ref":"Stripe.Checkout.Session.html#t:customer_details/0"},{"type":"type","title":"Stripe.Checkout.Session.customer_update/0","doc":"Controls what fields on Customer can be updated by the Checkout Session. Can only be provided when `customer` is provided.","ref":"Stripe.Checkout.Session.html#t:customer_update/0"},{"type":"type","title":"Stripe.Checkout.Session.delivery_estimate/0","doc":"The estimated range for how long shipping will take, meant to be displayable to the customer. This will appear on CheckoutSessions.","ref":"Stripe.Checkout.Session.html#t:delivery_estimate/0"},{"type":"type","title":"Stripe.Checkout.Session.discounts/0","doc":"","ref":"Stripe.Checkout.Session.html#t:discounts/0"},{"type":"type","title":"Stripe.Checkout.Session.dropdown/0","doc":"Configuration for `type=dropdown` fields.","ref":"Stripe.Checkout.Session.html#t:dropdown/0"},{"type":"type","title":"Stripe.Checkout.Session.end_behavior/0","doc":"Defines how the subscription should behave when the user's free trial ends.","ref":"Stripe.Checkout.Session.html#t:end_behavior/0"},{"type":"type","title":"Stripe.Checkout.Session.eps/0","doc":"contains details about the EPS payment method options.","ref":"Stripe.Checkout.Session.html#t:eps/0"},{"type":"type","title":"Stripe.Checkout.Session.eu_bank_transfer/0","doc":"Configuration for eu_bank_transfer funding type.","ref":"Stripe.Checkout.Session.html#t:eu_bank_transfer/0"},{"type":"type","title":"Stripe.Checkout.Session.financial_connections/0","doc":"Additional fields for Financial Connections Session creation","ref":"Stripe.Checkout.Session.html#t:financial_connections/0"},{"type":"type","title":"Stripe.Checkout.Session.fixed_amount/0","doc":"Describes a fixed amount to charge for shipping. Must be present if type is `fixed_amount`.","ref":"Stripe.Checkout.Session.html#t:fixed_amount/0"},{"type":"type","title":"Stripe.Checkout.Session.fpx/0","doc":"contains details about the FPX payment method options.","ref":"Stripe.Checkout.Session.html#t:fpx/0"},{"type":"type","title":"Stripe.Checkout.Session.giropay/0","doc":"contains details about the Giropay payment method options.","ref":"Stripe.Checkout.Session.html#t:giropay/0"},{"type":"type","title":"Stripe.Checkout.Session.grabpay/0","doc":"contains details about the Grabpay payment method options.","ref":"Stripe.Checkout.Session.html#t:grabpay/0"},{"type":"type","title":"Stripe.Checkout.Session.ideal/0","doc":"contains details about the Ideal payment method options.","ref":"Stripe.Checkout.Session.html#t:ideal/0"},{"type":"type","title":"Stripe.Checkout.Session.installments/0","doc":"Installment options for card payments","ref":"Stripe.Checkout.Session.html#t:installments/0"},{"type":"type","title":"Stripe.Checkout.Session.invoice_creation/0","doc":"Generate a post-purchase Invoice for one-time payments.","ref":"Stripe.Checkout.Session.html#t:invoice_creation/0"},{"type":"type","title":"Stripe.Checkout.Session.invoice_data/0","doc":"Parameters passed when creating invoices for payment-mode Checkout Sessions.","ref":"Stripe.Checkout.Session.html#t:invoice_data/0"},{"type":"type","title":"Stripe.Checkout.Session.klarna/0","doc":"contains details about the Klarna payment method options.","ref":"Stripe.Checkout.Session.html#t:klarna/0"},{"type":"type","title":"Stripe.Checkout.Session.konbini/0","doc":"contains details about the Konbini payment method options.","ref":"Stripe.Checkout.Session.html#t:konbini/0"},{"type":"type","title":"Stripe.Checkout.Session.label/0","doc":"The label for the field, displayed to the customer.","ref":"Stripe.Checkout.Session.html#t:label/0"},{"type":"type","title":"Stripe.Checkout.Session.line_items/0","doc":"","ref":"Stripe.Checkout.Session.html#t:line_items/0"},{"type":"type","title":"Stripe.Checkout.Session.link/0","doc":"contains details about the Link payment method options.","ref":"Stripe.Checkout.Session.html#t:link/0"},{"type":"type","title":"Stripe.Checkout.Session.mandate_options/0","doc":"Additional fields for Mandate creation","ref":"Stripe.Checkout.Session.html#t:mandate_options/0"},{"type":"type","title":"Stripe.Checkout.Session.maximum/0","doc":"The upper bound of the estimated range. If empty, represents no upper bound i.e., infinite.","ref":"Stripe.Checkout.Session.html#t:maximum/0"},{"type":"type","title":"Stripe.Checkout.Session.minimum/0","doc":"The lower bound of the estimated range. If empty, represents no lower bound.","ref":"Stripe.Checkout.Session.html#t:minimum/0"},{"type":"type","title":"Stripe.Checkout.Session.numeric/0","doc":"Configuration for `type=numeric` fields.","ref":"Stripe.Checkout.Session.html#t:numeric/0"},{"type":"type","title":"Stripe.Checkout.Session.options/0","doc":"","ref":"Stripe.Checkout.Session.html#t:options/0"},{"type":"type","title":"Stripe.Checkout.Session.oxxo/0","doc":"contains details about the OXXO payment method options.","ref":"Stripe.Checkout.Session.html#t:oxxo/0"},{"type":"type","title":"Stripe.Checkout.Session.p24/0","doc":"contains details about the P24 payment method options.","ref":"Stripe.Checkout.Session.html#t:p24/0"},{"type":"type","title":"Stripe.Checkout.Session.payment_intent_data/0","doc":"A subset of parameters to be passed to PaymentIntent creation for Checkout Sessions in `payment` mode.","ref":"Stripe.Checkout.Session.html#t:payment_intent_data/0"},{"type":"type","title":"Stripe.Checkout.Session.payment_method_options/0","doc":"Payment-method-specific configuration.","ref":"Stripe.Checkout.Session.html#t:payment_method_options/0"},{"type":"type","title":"Stripe.Checkout.Session.payment_method_reuse_agreement/0","doc":"Determines the display of payment method reuse agreement text in the UI. If set to `hidden`, it will hide legal text related to the reuse of a payment method.","ref":"Stripe.Checkout.Session.html#t:payment_method_reuse_agreement/0"},{"type":"type","title":"Stripe.Checkout.Session.paynow/0","doc":"contains details about the PayNow payment method options.","ref":"Stripe.Checkout.Session.html#t:paynow/0"},{"type":"type","title":"Stripe.Checkout.Session.paypal/0","doc":"contains details about the PayPal payment method options.","ref":"Stripe.Checkout.Session.html#t:paypal/0"},{"type":"type","title":"Stripe.Checkout.Session.phone_number_collection/0","doc":"Controls phone number collection settings for the session.\n\nWe recommend that you review your privacy policy and check with your legal contacts\nbefore using this feature. Learn more about [collecting phone numbers with Checkout](https://stripe.com/docs/payments/checkout/phone-numbers).","ref":"Stripe.Checkout.Session.html#t:phone_number_collection/0"},{"type":"type","title":"Stripe.Checkout.Session.pix/0","doc":"contains details about the Pix payment method options.","ref":"Stripe.Checkout.Session.html#t:pix/0"},{"type":"type","title":"Stripe.Checkout.Session.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline. One of `price` or `price_data` is required.","ref":"Stripe.Checkout.Session.html#t:price_data/0"},{"type":"type","title":"Stripe.Checkout.Session.product_data/0","doc":"Data used to generate a new product object inline. One of `product` or `product_data` is required.","ref":"Stripe.Checkout.Session.html#t:product_data/0"},{"type":"type","title":"Stripe.Checkout.Session.recovery/0","doc":"Configure a Checkout Session that can be used to recover an expired session.","ref":"Stripe.Checkout.Session.html#t:recovery/0"},{"type":"type","title":"Stripe.Checkout.Session.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.Checkout.Session.html#t:recurring/0"},{"type":"type","title":"Stripe.Checkout.Session.rendering_options/0","doc":"","ref":"Stripe.Checkout.Session.html#t:rendering_options/0"},{"type":"type","title":"Stripe.Checkout.Session.revolut_pay/0","doc":"contains details about the RevolutPay payment method options.","ref":"Stripe.Checkout.Session.html#t:revolut_pay/0"},{"type":"type","title":"Stripe.Checkout.Session.sepa_debit/0","doc":"contains details about the Sepa Debit payment method options.","ref":"Stripe.Checkout.Session.html#t:sepa_debit/0"},{"type":"type","title":"Stripe.Checkout.Session.setup_intent_data/0","doc":"A subset of parameters to be passed to SetupIntent creation for Checkout Sessions in `setup` mode.","ref":"Stripe.Checkout.Session.html#t:setup_intent_data/0"},{"type":"type","title":"Stripe.Checkout.Session.shipping/0","doc":"Shipping information for this payment.","ref":"Stripe.Checkout.Session.html#t:shipping/0"},{"type":"type","title":"Stripe.Checkout.Session.shipping_address/0","doc":"","ref":"Stripe.Checkout.Session.html#t:shipping_address/0"},{"type":"type","title":"Stripe.Checkout.Session.shipping_address_collection/0","doc":"When set, provides configuration for Checkout to collect a shipping address from a customer.","ref":"Stripe.Checkout.Session.html#t:shipping_address_collection/0"},{"type":"type","title":"Stripe.Checkout.Session.shipping_options/0","doc":"","ref":"Stripe.Checkout.Session.html#t:shipping_options/0"},{"type":"type","title":"Stripe.Checkout.Session.shipping_rate_data/0","doc":"Parameters to be passed to Shipping Rate creation for this shipping option","ref":"Stripe.Checkout.Session.html#t:shipping_rate_data/0"},{"type":"type","title":"Stripe.Checkout.Session.sofort/0","doc":"contains details about the Sofort payment method options.","ref":"Stripe.Checkout.Session.html#t:sofort/0"},{"type":"type","title":"Stripe.Checkout.Session.submit/0","doc":"","ref":"Stripe.Checkout.Session.html#t:submit/0"},{"type":"type","title":"Stripe.Checkout.Session.subscription_data/0","doc":"A subset of parameters to be passed to subscription creation for Checkout Sessions in `subscription` mode.","ref":"Stripe.Checkout.Session.html#t:subscription_data/0"},{"type":"type","title":"Stripe.Checkout.Session.t/0","doc":"The `checkout.session` type.\n\n  * `after_expiration` When set, provides configuration for actions to take if this Checkout Session expires.\n  * `allow_promotion_codes` Enables user redeemable promotion codes.\n  * `amount_subtotal` Total of all items before discounts or taxes are applied.\n  * `amount_total` Total of all items after discounts and taxes are applied.\n  * `automatic_tax` \n  * `billing_address_collection` Describes whether Checkout should collect the customer's billing address.\n  * `cancel_url` If set, Checkout displays a back button and customers will be directed to this URL if they decide to cancel payment and return to your website.\n  * `client_reference_id` A unique string to reference the Checkout Session. This can be a\ncustomer ID, a cart ID, or similar, and can be used to reconcile the\nSession with your internal systems.\n  * `client_secret` Client secret to be used when initializing Stripe.js embedded checkout.\n  * `consent` Results of `consent_collection` for this session.\n  * `consent_collection` When set, provides configuration for the Checkout Session to gather active consent from customers.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `currency_conversion` Currency conversion details for automatic currency conversion sessions\n  * `custom_fields` Collect additional information from your customer using custom fields. Up to 2 fields are supported.\n  * `custom_text` \n  * `customer` The ID of the customer for this Session.\nFor Checkout Sessions in `subscription` mode or Checkout Sessions with `customer_creation` set as `always` in `payment` mode, Checkout\nwill create a new customer object based on information provided\nduring the payment flow unless an existing customer was provided when\nthe Session was created.\n  * `customer_creation` Configure whether a Checkout Session creates a Customer when the Checkout Session completes.\n  * `customer_details` The customer details including the customer's tax exempt status and the customer's tax IDs. Only the customer's email is present on Sessions in `setup` mode.\n  * `customer_email` If provided, this value will be used when the Customer object is created.\nIf not provided, customers will be asked to enter their email address.\nUse this parameter to prefill customer data if you already have an email\non file. To access information about the customer once the payment flow is\ncomplete, use the `customer` attribute.\n  * `expires_at` The timestamp at which the Checkout Session will expire.\n  * `id` Unique identifier for the object.\n  * `invoice` ID of the invoice created by the Checkout Session, if it exists.\n  * `invoice_creation` Details on the state of invoice creation for the Checkout Session.\n  * `line_items` The line items purchased by the customer.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `locale` The IETF language tag of the locale Checkout is displayed in. If blank or `auto`, the browser's locale is used.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `mode` The mode of the Checkout Session.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `payment_intent` The ID of the PaymentIntent for Checkout Sessions in `payment` mode.\n  * `payment_link` The ID of the Payment Link that created this Session.\n  * `payment_method_collection` Configure whether a Checkout Session should collect a payment method.\n  * `payment_method_configuration_details` Information about the payment method configuration used for this Checkout session if using dynamic payment methods.\n  * `payment_method_options` Payment-method-specific configuration for the PaymentIntent or SetupIntent of this CheckoutSession.\n  * `payment_method_types` A list of the types of payment methods (e.g. card) this Checkout\nSession is allowed to accept.\n  * `payment_status` The payment status of the Checkout Session, one of `paid`, `unpaid`, or `no_payment_required`.\nYou can use this value to decide when to fulfill your customer's order.\n  * `phone_number_collection` \n  * `recovered_from` The ID of the original expired Checkout Session that triggered the recovery flow.\n  * `redirect_on_completion` Applies to Checkout Sessions with `ui_mode: embedded`. By default, Stripe will always redirect to your return_url after a successful confirmation. If you set `redirect_on_completion: 'if_required'`, then we will only redirect if your user chooses a redirect-based payment method.\n  * `return_url` Applies to Checkout Sessions with `ui_mode: embedded`. The URL to redirect your customer back to after they authenticate or cancel their payment on the payment method's app or site.\n  * `setup_intent` The ID of the SetupIntent for Checkout Sessions in `setup` mode.\n  * `shipping_address_collection` When set, provides configuration for Checkout to collect a shipping address from a customer.\n  * `shipping_cost` The details of the customer cost of shipping, including the customer chosen ShippingRate.\n  * `shipping_details` Shipping information for this Checkout Session.\n  * `shipping_options` The shipping rate options applied to this Session.\n  * `status` The status of the Checkout Session, one of `open`, `complete`, or `expired`.\n  * `submit_type` Describes the type of transaction being performed by Checkout in order to customize\nrelevant text on the page, such as the submit button. `submit_type` can only be\nspecified on Checkout Sessions in `payment` mode, but not Checkout Sessions\nin `subscription` or `setup` mode. Possible values are `auto`, `pay`, `book`, `donate`. If blank or `auto`, `pay` is used.\n  * `subscription` The ID of the subscription for Checkout Sessions in `subscription` mode.\n  * `success_url` The URL the customer will be directed to after the payment or\nsubscription creation is successful.\n  * `tax_id_collection` \n  * `total_details` Tax and discount details for the computed total amount.\n  * `ui_mode` The UI mode of the Session. Can be `hosted` (default) or `embedded`.\n  * `url` The URL to the Checkout Session. Redirect customers to this URL to take them to Checkout. If you’re using [Custom Domains](https://stripe.com/docs/payments/checkout/custom-domains), the URL will use your subdomain. Otherwise, it’ll use `checkout.stripe.com.`\nThis value is only present when the session is active.","ref":"Stripe.Checkout.Session.html#t:t/0"},{"type":"type","title":"Stripe.Checkout.Session.tax_id_collection/0","doc":"Controls tax ID collection settings for the session.","ref":"Stripe.Checkout.Session.html#t:tax_id_collection/0"},{"type":"type","title":"Stripe.Checkout.Session.terms_of_service_acceptance/0","doc":"","ref":"Stripe.Checkout.Session.html#t:terms_of_service_acceptance/0"},{"type":"type","title":"Stripe.Checkout.Session.text/0","doc":"Configuration for `type=text` fields.","ref":"Stripe.Checkout.Session.html#t:text/0"},{"type":"type","title":"Stripe.Checkout.Session.transfer_data/0","doc":"The parameters used to automatically create a Transfer when the payment succeeds.\nFor more information, see the PaymentIntents [use case for connected accounts](https://stripe.com/docs/payments/connected-accounts).","ref":"Stripe.Checkout.Session.html#t:transfer_data/0"},{"type":"type","title":"Stripe.Checkout.Session.trial_settings/0","doc":"Settings related to subscription trials.","ref":"Stripe.Checkout.Session.html#t:trial_settings/0"},{"type":"type","title":"Stripe.Checkout.Session.us_bank_account/0","doc":"contains details about the Us Bank Account payment method options.","ref":"Stripe.Checkout.Session.html#t:us_bank_account/0"},{"type":"type","title":"Stripe.Checkout.Session.wechat_pay/0","doc":"contains details about the WeChat Pay payment method options.","ref":"Stripe.Checkout.Session.html#t:wechat_pay/0"},{"type":"module","title":"Stripe.Coupon","doc":"A coupon contains information about a percent-off or amount-off discount you\nmight want to apply to a customer. Coupons may be applied to [subscriptions](https://stripe.com/docs/api#subscriptions), [invoices](https://stripe.com/docs/api#invoices),\n[checkout sessions](https://stripe.com/docs/api/checkout/sessions), [quotes](https://stripe.com/docs/api#quotes), and more. Coupons do not work with conventional one-off [charges](https://stripe.com/docs/api#create_charge) or [payment intents](https://stripe.com/docs/api/payment_intents).","ref":"Stripe.Coupon.html"},{"type":"function","title":"Stripe.Coupon.create/2","doc":"You can create coupons easily via the  coupon management  page of the Stripe dashboard. Coupon creation is also accessible via the API if you need to create coupons on the fly. \n\n A coupon has either a  percent_off  or an  amount_off  and  currency . If you set an  amount_off , that amount will be subtracted from any invoice’s subtotal. For example, an invoice with a subtotal of  100  will have a final total of  0  if a coupon with an  amount_off  of  200  is applied to it and an invoice with a subtotal of  300  will have a final total of  100  if a coupon with an  amount_off  of  200  is applied to it. \n\n##","ref":"Stripe.Coupon.html#create/2"},{"type":"function","title":"Details - Stripe.Coupon.create/2","doc":"* Method: `post`\n * Path: `/v1/coupons`","ref":"Stripe.Coupon.html#create/2-details"},{"type":"function","title":"Stripe.Coupon.delete/2","doc":"You can delete coupons via the  coupon management  page of the Stripe dashboard. However, deleting a coupon does not affect any customers who have already applied the coupon; it means that new customers can’t redeem the coupon. You can also delete coupons via the API. \n\n##","ref":"Stripe.Coupon.html#delete/2"},{"type":"function","title":"Details - Stripe.Coupon.delete/2","doc":"* Method: `delete`\n * Path: `/v1/coupons/{coupon}`","ref":"Stripe.Coupon.html#delete/2-details"},{"type":"function","title":"Stripe.Coupon.list/2","doc":"Returns a list of your coupons. \n\n##","ref":"Stripe.Coupon.html#list/2"},{"type":"function","title":"Details - Stripe.Coupon.list/2","doc":"* Method: `get`\n * Path: `/v1/coupons`","ref":"Stripe.Coupon.html#list/2-details"},{"type":"function","title":"Stripe.Coupon.retrieve/3","doc":"Retrieves the coupon with the given ID. \n\n##","ref":"Stripe.Coupon.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Coupon.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/coupons/{coupon}`","ref":"Stripe.Coupon.html#retrieve/3-details"},{"type":"function","title":"Stripe.Coupon.update/3","doc":"Updates the metadata of a coupon. Other coupon details (currency, duration, amount_off) are, by design, not editable. \n\n##","ref":"Stripe.Coupon.html#update/3"},{"type":"function","title":"Details - Stripe.Coupon.update/3","doc":"* Method: `post`\n * Path: `/v1/coupons/{coupon}`","ref":"Stripe.Coupon.html#update/3-details"},{"type":"type","title":"Stripe.Coupon.applies_to/0","doc":"A hash containing directions for what this Coupon will apply discounts to.","ref":"Stripe.Coupon.html#t:applies_to/0"},{"type":"type","title":"Stripe.Coupon.created/0","doc":"","ref":"Stripe.Coupon.html#t:created/0"},{"type":"type","title":"Stripe.Coupon.t/0","doc":"The `coupon` type.\n\n  * `amount_off` Amount (in the `currency` specified) that will be taken off the subtotal of any invoices for this customer.\n  * `applies_to` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` If `amount_off` has been set, the three-letter [ISO code for the currency](https://stripe.com/docs/currencies) of the amount to take off.\n  * `currency_options` Coupons defined in each available currency option. Each key must be a three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html) and a [supported currency](https://stripe.com/docs/currencies).\n  * `duration` One of `forever`, `once`, and `repeating`. Describes how long a customer who applies this coupon will get the discount.\n  * `duration_in_months` If `duration` is `repeating`, the number of months the coupon applies. Null if coupon `duration` is `forever` or `once`.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `max_redemptions` Maximum number of times this coupon can be redeemed, in total, across all customers, before it is no longer valid.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `name` Name of the coupon displayed to customers on for instance invoices or receipts.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `percent_off` Percent that will be taken off the subtotal of any invoices for this customer for the duration of the coupon. For example, a coupon with percent_off of 50 will make a $ (or local equivalent)100 invoice $ (or local equivalent)50 instead.\n  * `redeem_by` Date after which the coupon can no longer be redeemed.\n  * `times_redeemed` Number of times this coupon has been applied to a customer.\n  * `valid` Taking account of the above properties, whether this coupon can still be applied to a customer.","ref":"Stripe.Coupon.html#t:t/0"},{"type":"module","title":"Stripe.CreditNote","doc":"Issue a credit note to adjust an invoice's amount after the invoice is finalized.\n\nRelated guide: [Credit notes](https://stripe.com/docs/billing/invoices/credit-notes)","ref":"Stripe.CreditNote.html"},{"type":"function","title":"Stripe.CreditNote.create/2","doc":"Issue a credit note to adjust the amount of a finalized invoice. For a  status=open  invoice, a credit note reduces\nits  amount_due . For a  status=paid  invoice, a credit note does not affect its  amount_due . Instead, it can result\nin any combination of the following: \n\n \n Refund: create a new refund (using  refund_amount ) or link an existing refund (using  refund ). \n Customer balance credit: credit the customer’s balance (using  credit_amount ) which will be automatically applied to their next invoice when it’s finalized. \n Outside of Stripe credit: record the amount that is or will be credited outside of Stripe (using  out_of_band_amount ). \n \n\n For post-payment credit notes the sum of the refund, credit and outside of Stripe amounts must equal the credit note total. \n\n You may issue multiple credit notes for an invoice. Each credit note will increment the invoice’s  pre_payment_credit_notes_amount \nor  post_payment_credit_notes_amount  depending on its  status  at the time of credit note creation. \n\n##","ref":"Stripe.CreditNote.html#create/2"},{"type":"function","title":"Details - Stripe.CreditNote.create/2","doc":"* Method: `post`\n * Path: `/v1/credit_notes`","ref":"Stripe.CreditNote.html#create/2-details"},{"type":"function","title":"Stripe.CreditNote.list/2","doc":"Returns a list of credit notes. \n\n##","ref":"Stripe.CreditNote.html#list/2"},{"type":"function","title":"Details - Stripe.CreditNote.list/2","doc":"* Method: `get`\n * Path: `/v1/credit_notes`","ref":"Stripe.CreditNote.html#list/2-details"},{"type":"function","title":"Stripe.CreditNote.preview/2","doc":"Get a preview of a credit note without creating it. \n\n##","ref":"Stripe.CreditNote.html#preview/2"},{"type":"function","title":"Details - Stripe.CreditNote.preview/2","doc":"* Method: `get`\n * Path: `/v1/credit_notes/preview`","ref":"Stripe.CreditNote.html#preview/2-details"},{"type":"function","title":"Stripe.CreditNote.preview_lines/2","doc":"When retrieving a credit note preview, you’ll get a  lines  property containing the first handful of those items. This URL you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.CreditNote.html#preview_lines/2"},{"type":"function","title":"Details - Stripe.CreditNote.preview_lines/2","doc":"* Method: `get`\n * Path: `/v1/credit_notes/preview/lines`","ref":"Stripe.CreditNote.html#preview_lines/2-details"},{"type":"function","title":"Stripe.CreditNote.retrieve/3","doc":"Retrieves the credit note object with the given identifier. \n\n##","ref":"Stripe.CreditNote.html#retrieve/3"},{"type":"function","title":"Details - Stripe.CreditNote.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/credit_notes/{id}`","ref":"Stripe.CreditNote.html#retrieve/3-details"},{"type":"function","title":"Stripe.CreditNote.update/3","doc":"Updates an existing credit note. \n\n##","ref":"Stripe.CreditNote.html#update/3"},{"type":"function","title":"Details - Stripe.CreditNote.update/3","doc":"* Method: `post`\n * Path: `/v1/credit_notes/{id}`","ref":"Stripe.CreditNote.html#update/3-details"},{"type":"function","title":"Stripe.CreditNote.void_credit_note/3","doc":"Marks a credit note as void. Learn more about  voiding credit notes . \n\n##","ref":"Stripe.CreditNote.html#void_credit_note/3"},{"type":"function","title":"Details - Stripe.CreditNote.void_credit_note/3","doc":"* Method: `post`\n * Path: `/v1/credit_notes/{id}/void`","ref":"Stripe.CreditNote.html#void_credit_note/3-details"},{"type":"type","title":"Stripe.CreditNote.lines/0","doc":"","ref":"Stripe.CreditNote.html#t:lines/0"},{"type":"type","title":"Stripe.CreditNote.shipping_cost/0","doc":"When shipping_cost contains the shipping_rate from the invoice, the shipping_cost is included in the credit note.","ref":"Stripe.CreditNote.html#t:shipping_cost/0"},{"type":"type","title":"Stripe.CreditNote.t/0","doc":"The `credit_note` type.\n\n  * `amount` The integer amount in cents (or local equivalent) representing the total amount of the credit note, including tax.\n  * `amount_shipping` This is the sum of all the shipping amounts.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` ID of the customer.\n  * `customer_balance_transaction` Customer balance transaction related to this credit note.\n  * `discount_amount` The integer amount in cents (or local equivalent) representing the total amount of discount that was credited.\n  * `discount_amounts` The aggregate amounts calculated per discount for all line items.\n  * `effective_at` The date when this credit note is in effect. Same as `created` unless overwritten. When defined, this value replaces the system-generated 'Date of issue' printed on the credit note PDF.\n  * `id` Unique identifier for the object.\n  * `invoice` ID of the invoice.\n  * `lines` Line items that make up the credit note\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `memo` Customer-facing text that appears on the credit note PDF.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `number` A unique number that identifies this particular credit note and appears on the PDF of the credit note and its associated invoice.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `out_of_band_amount` Amount that was credited outside of Stripe.\n  * `pdf` The link to download the PDF of the credit note.\n  * `reason` Reason for issuing this credit note, one of `duplicate`, `fraudulent`, `order_change`, or `product_unsatisfactory`\n  * `refund` Refund related to this credit note.\n  * `shipping_cost` The details of the cost of shipping, including the ShippingRate applied to the invoice.\n  * `status` Status of this credit note, one of `issued` or `void`. Learn more about [voiding credit notes](https://stripe.com/docs/billing/invoices/credit-notes#voiding).\n  * `subtotal` The integer amount in cents (or local equivalent) representing the amount of the credit note, excluding exclusive tax and invoice level discounts.\n  * `subtotal_excluding_tax` The integer amount in cents (or local equivalent) representing the amount of the credit note, excluding all tax and invoice level discounts.\n  * `tax_amounts` The aggregate amounts calculated per tax rate for all line items.\n  * `total` The integer amount in cents (or local equivalent) representing the total amount of the credit note, including tax and all discount.\n  * `total_excluding_tax` The integer amount in cents (or local equivalent) representing the total amount of the credit note, excluding tax, but including discounts.\n  * `type` Type of this credit note, one of `pre_payment` or `post_payment`. A `pre_payment` credit note means it was issued when the invoice was open. A `post_payment` credit note means it was issued when the invoice was paid.\n  * `voided_at` The time that the credit note was voided.","ref":"Stripe.CreditNote.html#t:t/0"},{"type":"type","title":"Stripe.CreditNote.tax_amounts/0","doc":"","ref":"Stripe.CreditNote.html#t:tax_amounts/0"},{"type":"module","title":"Stripe.CreditNoteLineItem","doc":"The credit note line item object","ref":"Stripe.CreditNoteLineItem.html"},{"type":"function","title":"Stripe.CreditNoteLineItem.list/3","doc":"When retrieving a credit note, you’ll get a  lines  property containing the the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.CreditNoteLineItem.html#list/3"},{"type":"function","title":"Details - Stripe.CreditNoteLineItem.list/3","doc":"* Method: `get`\n * Path: `/v1/credit_notes/{credit_note}/lines`","ref":"Stripe.CreditNoteLineItem.html#list/3-details"},{"type":"type","title":"Stripe.CreditNoteLineItem.t/0","doc":"The `credit_note_line_item` type.\n\n  * `amount` The integer amount in cents (or local equivalent) representing the gross amount being credited for this line item, excluding (exclusive) tax and discounts.\n  * `amount_excluding_tax` The integer amount in cents (or local equivalent) representing the amount being credited for this line item, excluding all tax and discounts.\n  * `description` Description of the item being credited.\n  * `discount_amount` The integer amount in cents (or local equivalent) representing the discount being credited for this line item.\n  * `discount_amounts` The amount of discount calculated per discount for this line item\n  * `id` Unique identifier for the object.\n  * `invoice_line_item` ID of the invoice line item being credited\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `quantity` The number of units of product being credited.\n  * `tax_amounts` The amount of tax calculated per tax rate for this line item\n  * `tax_rates` The tax rates which apply to the line item.\n  * `type` The type of the credit note line item, one of `invoice_line_item` or `custom_line_item`. When the type is `invoice_line_item` there is an additional `invoice_line_item` property on the resource the value of which is the id of the credited line item on the invoice.\n  * `unit_amount` The cost of each unit of product being credited.\n  * `unit_amount_decimal` Same as `unit_amount`, but contains a decimal value with at most 12 decimal places.\n  * `unit_amount_excluding_tax` The amount in cents (or local equivalent) representing the unit amount being credited for this line item, excluding all tax and discounts.","ref":"Stripe.CreditNoteLineItem.html#t:t/0"},{"type":"module","title":"Stripe.Invoice","doc":"Invoices are statements of amounts owed by a customer, and are either\ngenerated one-off, or generated periodically from a subscription.\n\nThey contain [invoice items](https://stripe.com/docs/api#invoiceitems), and proration adjustments\nthat may be caused by subscription upgrades/downgrades (if necessary).\n\nIf your invoice is configured to be billed through automatic charges,\nStripe automatically finalizes your invoice and attempts payment. Note\nthat finalizing the invoice,\n[when automatic](https://stripe.com/docs/invoicing/integration/automatic-advancement-collection), does\nnot happen immediately as the invoice is created. Stripe waits\nuntil one hour after the last webhook was successfully sent (or the last\nwebhook timed out after failing). If you (and the platforms you may have\nconnected to) have no webhooks configured, Stripe waits one hour after\ncreation to finalize the invoice.\n\nIf your invoice is configured to be billed by sending an email, then based on your\n[email settings](https://dashboard.stripe.com/account/billing/automatic),\nStripe will email the invoice to your customer and await payment. These\nemails can contain a link to a hosted page to pay the invoice.\n\nStripe applies any customer credit on the account before determining the\namount due for the invoice (i.e., the amount that will be actually\ncharged). If the amount due for the invoice is less than Stripe's [minimum allowed charge\nper currency](/docs/currencies#minimum-and-maximum-charge-amounts), the\ninvoice is automatically marked paid, and we add the amount due to the\ncustomer's credit balance which is applied to the next invoice.\n\nMore details on the customer's credit balance are\n[here](https://stripe.com/docs/billing/customer/balance).\n\nRelated guide: [Send invoices to customers](https://stripe.com/docs/billing/invoices/sending)","ref":"Stripe.Invoice.html"},{"type":"function","title":"Stripe.Invoice.create/2","doc":"This endpoint creates a draft invoice for a given customer. The invoice remains a draft until you  finalize  the invoice, which allows you to  pay  or  send  the invoice to your customers. \n\n##","ref":"Stripe.Invoice.html#create/2"},{"type":"function","title":"Details - Stripe.Invoice.create/2","doc":"* Method: `post`\n * Path: `/v1/invoices`","ref":"Stripe.Invoice.html#create/2-details"},{"type":"function","title":"Stripe.Invoice.delete/2","doc":"Permanently deletes a one-off invoice draft. This cannot be undone. Attempts to delete invoices that are no longer in a draft state will fail; once an invoice has been finalized or if an invoice is for a subscription, it must be  voided . \n\n##","ref":"Stripe.Invoice.html#delete/2"},{"type":"function","title":"Details - Stripe.Invoice.delete/2","doc":"* Method: `delete`\n * Path: `/v1/invoices/{invoice}`","ref":"Stripe.Invoice.html#delete/2-details"},{"type":"function","title":"Stripe.Invoice.finalize_invoice/3","doc":"Stripe automatically finalizes drafts before sending and attempting payment on invoices. However, if you’d like to finalize a draft invoice manually, you can do so using this method. \n\n##","ref":"Stripe.Invoice.html#finalize_invoice/3"},{"type":"function","title":"Details - Stripe.Invoice.finalize_invoice/3","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}/finalize`","ref":"Stripe.Invoice.html#finalize_invoice/3-details"},{"type":"function","title":"Stripe.Invoice.list/2","doc":"You can list all invoices, or list the invoices for a specific customer. The invoices are returned sorted by creation date, with the most recently created invoices appearing first. \n\n##","ref":"Stripe.Invoice.html#list/2"},{"type":"function","title":"Details - Stripe.Invoice.list/2","doc":"* Method: `get`\n * Path: `/v1/invoices`","ref":"Stripe.Invoice.html#list/2-details"},{"type":"function","title":"Stripe.Invoice.mark_uncollectible/3","doc":"Marking an invoice as uncollectible is useful for keeping track of bad debts that can be written off for accounting purposes. \n\n##","ref":"Stripe.Invoice.html#mark_uncollectible/3"},{"type":"function","title":"Details - Stripe.Invoice.mark_uncollectible/3","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}/mark_uncollectible`","ref":"Stripe.Invoice.html#mark_uncollectible/3-details"},{"type":"function","title":"Stripe.Invoice.pay/3","doc":"Stripe automatically creates and then attempts to collect payment on invoices for customers on subscriptions according to your  subscriptions settings . However, if you’d like to attempt payment on an invoice out of the normal collection schedule or for some other reason, you can do so. \n\n##","ref":"Stripe.Invoice.html#pay/3"},{"type":"function","title":"Details - Stripe.Invoice.pay/3","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}/pay`","ref":"Stripe.Invoice.html#pay/3-details"},{"type":"function","title":"Stripe.Invoice.retrieve/3","doc":"Retrieves the invoice with the given ID. \n\n##","ref":"Stripe.Invoice.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Invoice.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/invoices/{invoice}`","ref":"Stripe.Invoice.html#retrieve/3-details"},{"type":"function","title":"Stripe.Invoice.search/2","doc":"Search for invoices you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.Invoice.html#search/2"},{"type":"function","title":"Details - Stripe.Invoice.search/2","doc":"* Method: `get`\n * Path: `/v1/invoices/search`","ref":"Stripe.Invoice.html#search/2-details"},{"type":"function","title":"Stripe.Invoice.send_invoice/3","doc":"Stripe will automatically send invoices to customers according to your  subscriptions settings . However, if you’d like to manually send an invoice to your customer out of the normal schedule, you can do so. When sending invoices that have already been paid, there will be no reference to the payment in the email. \n\n Requests made in test-mode result in no emails being sent, despite sending an  invoice.sent  event. \n\n##","ref":"Stripe.Invoice.html#send_invoice/3"},{"type":"function","title":"Details - Stripe.Invoice.send_invoice/3","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}/send`","ref":"Stripe.Invoice.html#send_invoice/3-details"},{"type":"function","title":"Stripe.Invoice.upcoming/2","doc":"At any time, you can preview the upcoming invoice for a customer. This will show you all the charges that are pending, including subscription renewal charges, invoice item charges, etc. It will also show you any discounts that are applicable to the invoice. \n\n Note that when you are viewing an upcoming invoice, you are simply viewing a preview – the invoice has not yet been created. As such, the upcoming invoice will not show up in invoice listing calls, and you cannot use the API to pay or edit the invoice. If you want to change the amount that your customer will be billed, you can add, remove, or update pending invoice items, or update the customer’s discount. \n\n You can preview the effects of updating a subscription, including a preview of what proration will take place. To ensure that the actual proration is calculated exactly the same as the previewed proration, you should pass a  proration_date  parameter when doing the actual subscription update. The value passed in should be the same as the  subscription_proration_date  returned on the upcoming invoice resource. The recommended way to get only the prorations being previewed is to consider only proration line items where  period[start]  is equal to the  subscription_proration_date  on the upcoming invoice resource. \n\n##","ref":"Stripe.Invoice.html#upcoming/2"},{"type":"function","title":"Details - Stripe.Invoice.upcoming/2","doc":"* Method: `get`\n * Path: `/v1/invoices/upcoming`","ref":"Stripe.Invoice.html#upcoming/2-details"},{"type":"function","title":"Stripe.Invoice.upcoming_lines/2","doc":"When retrieving an upcoming invoice, you’ll get a  lines  property containing the total count of line items and the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.Invoice.html#upcoming_lines/2"},{"type":"function","title":"Details - Stripe.Invoice.upcoming_lines/2","doc":"* Method: `get`\n * Path: `/v1/invoices/upcoming/lines`","ref":"Stripe.Invoice.html#upcoming_lines/2-details"},{"type":"function","title":"Stripe.Invoice.update/3","doc":"Draft invoices are fully editable. Once an invoice is  finalized ,\nmonetary values, as well as  collection_method , become uneditable. \n\n If you would like to stop the Stripe Billing engine from automatically finalizing, reattempting payments on,\nsending reminders for, or  automatically reconciling  invoices, pass\n auto_advance=false . \n\n##","ref":"Stripe.Invoice.html#update/3"},{"type":"function","title":"Details - Stripe.Invoice.update/3","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}`","ref":"Stripe.Invoice.html#update/3-details"},{"type":"function","title":"Stripe.Invoice.void_invoice/3","doc":"Mark a finalized invoice as void. This cannot be undone. Voiding an invoice is similar to  deletion , however it only applies to finalized invoices and maintains a papertrail where the invoice can still be found. \n\n##","ref":"Stripe.Invoice.html#void_invoice/3"},{"type":"function","title":"Details - Stripe.Invoice.void_invoice/3","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}/void`","ref":"Stripe.Invoice.html#void_invoice/3-details"},{"type":"type","title":"Stripe.Invoice.acss_debit/0","doc":"","ref":"Stripe.Invoice.html#t:acss_debit/0"},{"type":"type","title":"Stripe.Invoice.address/0","doc":"","ref":"Stripe.Invoice.html#t:address/0"},{"type":"type","title":"Stripe.Invoice.automatic_tax/0","doc":"","ref":"Stripe.Invoice.html#t:automatic_tax/0"},{"type":"type","title":"Stripe.Invoice.bancontact/0","doc":"","ref":"Stripe.Invoice.html#t:bancontact/0"},{"type":"type","title":"Stripe.Invoice.bank_transfer/0","doc":"Configuration for the bank transfer funding type, if the `funding_type` is set to `bank_transfer`.","ref":"Stripe.Invoice.html#t:bank_transfer/0"},{"type":"type","title":"Stripe.Invoice.billing_thresholds/0","doc":"","ref":"Stripe.Invoice.html#t:billing_thresholds/0"},{"type":"type","title":"Stripe.Invoice.card/0","doc":"","ref":"Stripe.Invoice.html#t:card/0"},{"type":"type","title":"Stripe.Invoice.created/0","doc":"","ref":"Stripe.Invoice.html#t:created/0"},{"type":"type","title":"Stripe.Invoice.custom_fields/0","doc":"","ref":"Stripe.Invoice.html#t:custom_fields/0"},{"type":"type","title":"Stripe.Invoice.customer_balance/0","doc":"","ref":"Stripe.Invoice.html#t:customer_balance/0"},{"type":"type","title":"Stripe.Invoice.customer_details/0","doc":"","ref":"Stripe.Invoice.html#t:customer_details/0"},{"type":"type","title":"Stripe.Invoice.delivery_estimate/0","doc":"The estimated range for how long shipping will take, meant to be displayable to the customer. This will appear on CheckoutSessions.","ref":"Stripe.Invoice.html#t:delivery_estimate/0"},{"type":"type","title":"Stripe.Invoice.discounts/0","doc":"","ref":"Stripe.Invoice.html#t:discounts/0"},{"type":"type","title":"Stripe.Invoice.due_date/0","doc":"","ref":"Stripe.Invoice.html#t:due_date/0"},{"type":"type","title":"Stripe.Invoice.eu_bank_transfer/0","doc":"Configuration for eu_bank_transfer funding type.","ref":"Stripe.Invoice.html#t:eu_bank_transfer/0"},{"type":"type","title":"Stripe.Invoice.financial_connections/0","doc":"Additional fields for Financial Connections Session creation","ref":"Stripe.Invoice.html#t:financial_connections/0"},{"type":"type","title":"Stripe.Invoice.fixed_amount/0","doc":"Describes a fixed amount to charge for shipping. Must be present if type is `fixed_amount`.","ref":"Stripe.Invoice.html#t:fixed_amount/0"},{"type":"type","title":"Stripe.Invoice.from_invoice/0","doc":"Revise an existing invoice. The new invoice will be created in `status=draft`. See the [revision documentation](https://stripe.com/docs/invoicing/invoice-revisions) for more details.","ref":"Stripe.Invoice.html#t:from_invoice/0"},{"type":"type","title":"Stripe.Invoice.installments/0","doc":"Installment configuration for payments attempted on this invoice (Mexico Only).\n\nFor more information, see the [installments integration guide](https://stripe.com/docs/payments/installments).","ref":"Stripe.Invoice.html#t:installments/0"},{"type":"type","title":"Stripe.Invoice.invoice_items/0","doc":"","ref":"Stripe.Invoice.html#t:invoice_items/0"},{"type":"type","title":"Stripe.Invoice.mandate_options/0","doc":"Additional fields for Mandate creation","ref":"Stripe.Invoice.html#t:mandate_options/0"},{"type":"type","title":"Stripe.Invoice.maximum/0","doc":"The upper bound of the estimated range. If empty, represents no upper bound i.e., infinite.","ref":"Stripe.Invoice.html#t:maximum/0"},{"type":"type","title":"Stripe.Invoice.minimum/0","doc":"The lower bound of the estimated range. If empty, represents no lower bound.","ref":"Stripe.Invoice.html#t:minimum/0"},{"type":"type","title":"Stripe.Invoice.payment_method_options/0","doc":"Payment-method-specific configuration to provide to the invoice’s PaymentIntent.","ref":"Stripe.Invoice.html#t:payment_method_options/0"},{"type":"type","title":"Stripe.Invoice.payment_settings/0","doc":"Configuration settings for the PaymentIntent that is generated when the invoice is finalized.","ref":"Stripe.Invoice.html#t:payment_settings/0"},{"type":"type","title":"Stripe.Invoice.pdf/0","doc":"Invoice pdf rendering options","ref":"Stripe.Invoice.html#t:pdf/0"},{"type":"type","title":"Stripe.Invoice.period/0","doc":"The period associated with this invoice item. When set to different values, the period will be rendered on the invoice. If you have [Stripe Revenue Recognition](https://stripe.com/docs/revenue-recognition) enabled, the period will be used to recognize and defer revenue. See the [Revenue Recognition documentation](https://stripe.com/docs/revenue-recognition/methodology/subscriptions-and-invoicing) for details.","ref":"Stripe.Invoice.html#t:period/0"},{"type":"type","title":"Stripe.Invoice.plan/0","doc":"","ref":"Stripe.Invoice.html#t:plan/0"},{"type":"type","title":"Stripe.Invoice.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline.","ref":"Stripe.Invoice.html#t:price_data/0"},{"type":"type","title":"Stripe.Invoice.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.Invoice.html#t:recurring/0"},{"type":"type","title":"Stripe.Invoice.rendering/0","doc":"The rendering-related settings that control how the invoice is displayed on customer-facing surfaces such as PDF and Hosted Invoice Page.","ref":"Stripe.Invoice.html#t:rendering/0"},{"type":"type","title":"Stripe.Invoice.rendering_options/0","doc":"","ref":"Stripe.Invoice.html#t:rendering_options/0"},{"type":"type","title":"Stripe.Invoice.shipping/0","doc":"","ref":"Stripe.Invoice.html#t:shipping/0"},{"type":"type","title":"Stripe.Invoice.shipping_cost/0","doc":"","ref":"Stripe.Invoice.html#t:shipping_cost/0"},{"type":"type","title":"Stripe.Invoice.shipping_details/0","doc":"","ref":"Stripe.Invoice.html#t:shipping_details/0"},{"type":"type","title":"Stripe.Invoice.shipping_rate_data/0","doc":"Parameters to create a new ad-hoc shipping rate for this order.","ref":"Stripe.Invoice.html#t:shipping_rate_data/0"},{"type":"type","title":"Stripe.Invoice.subscription_items/0","doc":"","ref":"Stripe.Invoice.html#t:subscription_items/0"},{"type":"type","title":"Stripe.Invoice.t/0","doc":"The `invoice` type.\n\n  * `account_country` The country of the business associated with this invoice, most often the business creating the invoice.\n  * `account_name` The public name of the business associated with this invoice, most often the business creating the invoice.\n  * `account_tax_ids` The account tax IDs associated with the invoice. Only editable when the invoice is a draft.\n  * `amount_due` Final amount due at this time for this invoice. If the invoice's total is smaller than the minimum charge amount, for example, or if there is account credit that can be applied to the invoice, the `amount_due` may be 0. If there is a positive `starting_balance` for the invoice (the customer owes money), the `amount_due` will also take that into account. The charge that gets generated for the invoice will be for the amount specified in `amount_due`.\n  * `amount_paid` The amount, in cents (or local equivalent), that was paid.\n  * `amount_remaining` The difference between amount_due and amount_paid, in cents (or local equivalent).\n  * `amount_shipping` This is the sum of all the shipping amounts.\n  * `application` ID of the Connect Application that created the invoice.\n  * `application_fee_amount` The fee in cents (or local equivalent) that will be applied to the invoice and transferred to the application owner's Stripe account when the invoice is paid.\n  * `attempt_count` Number of payment attempts made for this invoice, from the perspective of the payment retry schedule. Any payment attempt counts as the first attempt, and subsequently only automatic retries increment the attempt count. In other words, manual payment attempts after the first attempt do not affect the retry schedule.\n  * `attempted` Whether an attempt has been made to pay the invoice. An invoice is not attempted until 1 hour after the `invoice.created` webhook, for example, so you might not want to display that invoice as unpaid to your users.\n  * `auto_advance` Controls whether Stripe performs [automatic collection](https://stripe.com/docs/invoicing/integration/automatic-advancement-collection) of the invoice. If `false`, the invoice's state doesn't automatically advance without an explicit action.\n  * `automatic_tax` \n  * `billing_reason` Indicates the reason why the invoice was created.\n\n* `manual`: Unrelated to a subscription, for example, created via the invoice editor.\n* `subscription`: No longer in use. Applies to subscriptions from before May 2018 where no distinction was made between updates, cycles, and thresholds.\n* `subscription_create`: A new subscription was created.\n* `subscription_cycle`: A subscription advanced into a new period.\n* `subscription_threshold`: A subscription reached a billing threshold.\n* `subscription_update`: A subscription was updated.\n* `upcoming`: Reserved for simulated invoices, per the upcoming invoice endpoint.\n  * `charge` ID of the latest charge generated for this invoice, if any.\n  * `collection_method` Either `charge_automatically`, or `send_invoice`. When charging automatically, Stripe will attempt to pay this invoice using the default source attached to the customer. When sending an invoice, Stripe will email this invoice to the customer with payment instructions.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `custom_fields` Custom fields displayed on the invoice.\n  * `customer` The ID of the customer who will be billed.\n  * `customer_address` The customer's address. Until the invoice is finalized, this field will equal `customer.address`. Once the invoice is finalized, this field will no longer be updated.\n  * `customer_email` The customer's email. Until the invoice is finalized, this field will equal `customer.email`. Once the invoice is finalized, this field will no longer be updated.\n  * `customer_name` The customer's name. Until the invoice is finalized, this field will equal `customer.name`. Once the invoice is finalized, this field will no longer be updated.\n  * `customer_phone` The customer's phone number. Until the invoice is finalized, this field will equal `customer.phone`. Once the invoice is finalized, this field will no longer be updated.\n  * `customer_shipping` The customer's shipping information. Until the invoice is finalized, this field will equal `customer.shipping`. Once the invoice is finalized, this field will no longer be updated.\n  * `customer_tax_exempt` The customer's tax exempt status. Until the invoice is finalized, this field will equal `customer.tax_exempt`. Once the invoice is finalized, this field will no longer be updated.\n  * `customer_tax_ids` The customer's tax IDs. Until the invoice is finalized, this field will contain the same tax IDs as `customer.tax_ids`. Once the invoice is finalized, this field will no longer be updated.\n  * `default_payment_method` ID of the default payment method for the invoice. It must belong to the customer associated with the invoice. If not set, defaults to the subscription's default payment method, if any, or to the default payment method in the customer's invoice settings.\n  * `default_source` ID of the default payment source for the invoice. It must belong to the customer associated with the invoice and be in a chargeable state. If not set, defaults to the subscription's default source, if any, or to the customer's default source.\n  * `default_tax_rates` The tax rates applied to this invoice, if any.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users. Referenced as 'memo' in the Dashboard.\n  * `discount` Describes the current discount applied to this invoice, if there is one. Not populated if there are multiple discounts.\n  * `discounts` The discounts applied to the invoice. Line item discounts are applied before invoice discounts. Use `expand[]=discounts` to expand each discount.\n  * `due_date` The date on which payment for this invoice is due. This value will be `null` for invoices where `collection_method=charge_automatically`.\n  * `effective_at` The date when this invoice is in effect. Same as `finalized_at` unless overwritten. When defined, this value replaces the system-generated 'Date of issue' printed on the invoice PDF and receipt.\n  * `ending_balance` Ending customer balance after the invoice is finalized. Invoices are finalized approximately an hour after successful webhook delivery or when payment collection is attempted for the invoice. If the invoice has not been finalized yet, this will be null.\n  * `footer` Footer displayed on the invoice.\n  * `from_invoice` Details of the invoice that was cloned. See the [revision documentation](https://stripe.com/docs/invoicing/invoice-revisions) for more details.\n  * `hosted_invoice_url` The URL for the hosted invoice page, which allows customers to view and pay an invoice. If the invoice has not been finalized yet, this will be null.\n  * `id` Unique identifier for the object. This property is always present unless the invoice is an upcoming invoice. See [Retrieve an upcoming invoice](https://stripe.com/docs/api/invoices/upcoming) for more details.\n  * `invoice_pdf` The link to download the PDF for the invoice. If the invoice has not been finalized yet, this will be null.\n  * `last_finalization_error` The error encountered during the previous attempt to finalize the invoice. This field is cleared when the invoice is successfully finalized.\n  * `latest_revision` The ID of the most recent non-draft revision of this invoice\n  * `lines` The individual line items that make up the invoice. `lines` is sorted as follows: (1) pending invoice items (including prorations) in reverse chronological order, (2) subscription items in reverse chronological order, and (3) invoice items added after invoice creation in chronological order.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `next_payment_attempt` The time at which payment will next be attempted. This value will be `null` for invoices where `collection_method=send_invoice`.\n  * `number` A unique, identifying string that appears on emails sent to the customer for this invoice. This starts with the customer's unique invoice_prefix if it is specified.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account (if any) for which the funds of the invoice payment are intended. If set, the invoice will be presented with the branding and support information of the specified account. See the [Invoices with Connect](https://stripe.com/docs/billing/invoices/connect) documentation for details.\n  * `paid` Whether payment was successfully collected for this invoice. An invoice can be paid (most commonly) with a charge or with credit from the customer's account balance.\n  * `paid_out_of_band` Returns true if the invoice was manually marked paid, returns false if the invoice hasn't been paid yet or was paid on Stripe.\n  * `payment_intent` The PaymentIntent associated with this invoice. The PaymentIntent is generated when the invoice is finalized, and can then be used to pay the invoice. Note that voiding an invoice will cancel the PaymentIntent.\n  * `payment_settings` \n  * `period_end` End of the usage period during which invoice items were added to this invoice.\n  * `period_start` Start of the usage period during which invoice items were added to this invoice.\n  * `post_payment_credit_notes_amount` Total amount of all post-payment credit notes issued for this invoice.\n  * `pre_payment_credit_notes_amount` Total amount of all pre-payment credit notes issued for this invoice.\n  * `quote` The quote this invoice was generated from.\n  * `receipt_number` This is the transaction number that appears on email receipts sent for this invoice.\n  * `rendering` The rendering-related settings that control how the invoice is displayed on customer-facing surfaces such as PDF and Hosted Invoice Page.\n  * `rendering_options` This is a legacy field that will be removed soon. For details about `rendering_options`, refer to `rendering` instead. Options for invoice PDF rendering.\n  * `shipping_cost` The details of the cost of shipping, including the ShippingRate applied on the invoice.\n  * `shipping_details` Shipping details for the invoice. The Invoice PDF will use the `shipping_details` value if it is set, otherwise the PDF will render the shipping address from the customer.\n  * `starting_balance` Starting customer balance before the invoice is finalized. If the invoice has not been finalized yet, this will be the current customer balance. For revision invoices, this also includes any customer balance that was applied to the original invoice.\n  * `statement_descriptor` Extra information about an invoice for the customer's credit card statement.\n  * `status` The status of the invoice, one of `draft`, `open`, `paid`, `uncollectible`, or `void`. [Learn more](https://stripe.com/docs/billing/invoices/workflow#workflow-overview)\n  * `status_transitions` \n  * `subscription` The subscription that this invoice was prepared for, if any.\n  * `subscription_details` Details about the subscription that created this invoice.\n  * `subscription_proration_date` Only set for upcoming invoices that preview prorations. The time used to calculate prorations.\n  * `subtotal` Total of all subscriptions, invoice items, and prorations on the invoice before any invoice level discount or exclusive tax is applied. Item discounts are already incorporated\n  * `subtotal_excluding_tax` The integer amount in cents (or local equivalent) representing the subtotal of the invoice before any invoice level discount or tax is applied. Item discounts are already incorporated\n  * `tax` The amount of tax on this invoice. This is the sum of all the tax amounts on this invoice.\n  * `test_clock` ID of the test clock this invoice belongs to.\n  * `threshold_reason` \n  * `total` Total after discounts and taxes.\n  * `total_discount_amounts` The aggregate amounts calculated per discount across all line items.\n  * `total_excluding_tax` The integer amount in cents (or local equivalent) representing the total amount of the invoice including all discounts but excluding all tax.\n  * `total_tax_amounts` The aggregate amounts calculated per tax rate for all line items.\n  * `transfer_data` The account (if any) the payment will be attributed to for tax reporting, and where funds from the payment will be transferred to for the invoice.\n  * `webhooks_delivered_at` Invoices are automatically paid or sent 1 hour after webhooks are delivered, or until all webhook delivery attempts have [been exhausted](https://stripe.com/docs/billing/webhooks#understand). This field tracks the time when webhooks for this invoice were successfully delivered. If the invoice had no webhooks to deliver, this will be set while the invoice is being created.","ref":"Stripe.Invoice.html#t:t/0"},{"type":"type","title":"Stripe.Invoice.tax/0","doc":"Tax details about the customer.","ref":"Stripe.Invoice.html#t:tax/0"},{"type":"type","title":"Stripe.Invoice.tax_ids/0","doc":"","ref":"Stripe.Invoice.html#t:tax_ids/0"},{"type":"type","title":"Stripe.Invoice.transfer_data/0","doc":"","ref":"Stripe.Invoice.html#t:transfer_data/0"},{"type":"type","title":"Stripe.Invoice.us_bank_account/0","doc":"","ref":"Stripe.Invoice.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.Invoiceitem","doc":"Invoice Items represent the component lines of an [invoice](https://stripe.com/docs/api/invoices). An invoice item is added to an\ninvoice by creating or updating it with an `invoice` field, at which point it will be included as\n[an invoice line item](https://stripe.com/docs/api/invoices/line_item) within\n[invoice.lines](https://stripe.com/docs/api/invoices/object#invoice_object-lines).\n\nInvoice Items can be created before you are ready to actually send the invoice. This can be particularly useful when combined\nwith a [subscription](https://stripe.com/docs/api/subscriptions). Sometimes you want to add a charge or credit to a customer, but actually charge\nor credit the customer’s card only at the end of a regular billing cycle. This is useful for combining several charges\n(to minimize per-transaction fees), or for having Stripe tabulate your usage-based billing totals.\n\nRelated guides: [Integrate with the Invoicing API](https://stripe.com/docs/invoicing/integration), [Subscription Invoices](https://stripe.com/docs/billing/invoices/subscription#adding-upcoming-invoice-items).","ref":"Stripe.Invoiceitem.html"},{"type":"function","title":"Stripe.Invoiceitem.create/2","doc":"Creates an item to be added to a draft invoice (up to 250 items per invoice). If no invoice is specified, the item will be on the next invoice created for the customer specified. \n\n##","ref":"Stripe.Invoiceitem.html#create/2"},{"type":"function","title":"Details - Stripe.Invoiceitem.create/2","doc":"* Method: `post`\n * Path: `/v1/invoiceitems`","ref":"Stripe.Invoiceitem.html#create/2-details"},{"type":"function","title":"Stripe.Invoiceitem.delete/2","doc":"Deletes an invoice item, removing it from an invoice. Deleting invoice items is only possible when they’re not attached to invoices, or if it’s attached to a draft invoice. \n\n##","ref":"Stripe.Invoiceitem.html#delete/2"},{"type":"function","title":"Details - Stripe.Invoiceitem.delete/2","doc":"* Method: `delete`\n * Path: `/v1/invoiceitems/{invoiceitem}`","ref":"Stripe.Invoiceitem.html#delete/2-details"},{"type":"function","title":"Stripe.Invoiceitem.list/2","doc":"Returns a list of your invoice items. Invoice items are returned sorted by creation date, with the most recently created invoice items appearing first. \n\n##","ref":"Stripe.Invoiceitem.html#list/2"},{"type":"function","title":"Details - Stripe.Invoiceitem.list/2","doc":"* Method: `get`\n * Path: `/v1/invoiceitems`","ref":"Stripe.Invoiceitem.html#list/2-details"},{"type":"function","title":"Stripe.Invoiceitem.retrieve/3","doc":"Retrieves the invoice item with the given ID. \n\n##","ref":"Stripe.Invoiceitem.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Invoiceitem.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/invoiceitems/{invoiceitem}`","ref":"Stripe.Invoiceitem.html#retrieve/3-details"},{"type":"function","title":"Stripe.Invoiceitem.update/3","doc":"Updates the amount or description of an invoice item on an upcoming invoice. Updating an invoice item is only possible before the invoice it’s attached to is closed. \n\n##","ref":"Stripe.Invoiceitem.html#update/3"},{"type":"function","title":"Details - Stripe.Invoiceitem.update/3","doc":"* Method: `post`\n * Path: `/v1/invoiceitems/{invoiceitem}`","ref":"Stripe.Invoiceitem.html#update/3-details"},{"type":"type","title":"Stripe.Invoiceitem.created/0","doc":"","ref":"Stripe.Invoiceitem.html#t:created/0"},{"type":"type","title":"Stripe.Invoiceitem.discounts/0","doc":"","ref":"Stripe.Invoiceitem.html#t:discounts/0"},{"type":"type","title":"Stripe.Invoiceitem.period/0","doc":"The period associated with this invoice item. When set to different values, the period will be rendered on the invoice. If you have [Stripe Revenue Recognition](https://stripe.com/docs/revenue-recognition) enabled, the period will be used to recognize and defer revenue. See the [Revenue Recognition documentation](https://stripe.com/docs/revenue-recognition/methodology/subscriptions-and-invoicing) for details.","ref":"Stripe.Invoiceitem.html#t:period/0"},{"type":"type","title":"Stripe.Invoiceitem.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline.","ref":"Stripe.Invoiceitem.html#t:price_data/0"},{"type":"type","title":"Stripe.Invoiceitem.t/0","doc":"The `invoiceitem` type.\n\n  * `amount` Amount (in the `currency` specified) of the invoice item. This should always be equal to `unit_amount * quantity`.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` The ID of the customer who will be billed when this invoice item is billed.\n  * `date` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `discountable` If true, discounts will apply to this invoice item. Always false for prorations.\n  * `discounts` The discounts which apply to the invoice item. Item discounts are applied before invoice discounts. Use `expand[]=discounts` to expand each discount.\n  * `id` Unique identifier for the object.\n  * `invoice` The ID of the invoice this invoice item belongs to.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `period` \n  * `plan` If the invoice item is a proration, the plan of the subscription that the proration was computed for.\n  * `price` The price of the invoice item.\n  * `proration` Whether the invoice item was created automatically as a proration adjustment when the customer switched plans.\n  * `quantity` Quantity of units for the invoice item. If the invoice item is a proration, the quantity of the subscription that the proration was computed for.\n  * `subscription` The subscription that this invoice item has been created for, if any.\n  * `subscription_item` The subscription item that this invoice item has been created for, if any.\n  * `tax_rates` The tax rates which apply to the invoice item. When set, the `default_tax_rates` on the invoice do not apply to this invoice item.\n  * `test_clock` ID of the test clock this invoice item belongs to.\n  * `unit_amount` Unit amount (in the `currency` specified) of the invoice item.\n  * `unit_amount_decimal` Same as `unit_amount`, but contains a decimal value with at most 12 decimal places.","ref":"Stripe.Invoiceitem.html#t:t/0"},{"type":"module","title":"Stripe.LineItem","doc":"","ref":"Stripe.LineItem.html"},{"type":"function","title":"Stripe.LineItem.list/3","doc":"When retrieving an invoice, you’ll get a  lines  property containing the total count of line items and the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.LineItem.html#list/3"},{"type":"function","title":"Details - Stripe.LineItem.list/3","doc":"* Method: `get`\n * Path: `/v1/invoices/{invoice}/lines`","ref":"Stripe.LineItem.html#list/3-details"},{"type":"function","title":"Stripe.LineItem.update/4","doc":"Updates an invoice’s line item. Some fields, such as  tax_amounts , only live on the invoice line item,\nso they can only be updated through this endpoint. Other fields, such as  amount , live on both the invoice\nitem and the invoice line item, so updates on this endpoint will propagate to the invoice item as well.\nUpdating an invoice’s line item is only possible before the invoice is finalized. \n\n##","ref":"Stripe.LineItem.html#update/4"},{"type":"function","title":"Details - Stripe.LineItem.update/4","doc":"* Method: `post`\n * Path: `/v1/invoices/{invoice}/lines/{line_item_id}`","ref":"Stripe.LineItem.html#update/4-details"},{"type":"type","title":"Stripe.LineItem.discounts/0","doc":"","ref":"Stripe.LineItem.html#t:discounts/0"},{"type":"type","title":"Stripe.LineItem.period/0","doc":"The period associated with this invoice item. When set to different values, the period will be rendered on the invoice. If you have [Stripe Revenue Recognition](https://stripe.com/docs/revenue-recognition) enabled, the period will be used to recognize and defer revenue. See the [Revenue Recognition documentation](https://stripe.com/docs/revenue-recognition/methodology/subscriptions-and-invoicing) for details.","ref":"Stripe.LineItem.html#t:period/0"},{"type":"type","title":"Stripe.LineItem.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline.","ref":"Stripe.LineItem.html#t:price_data/0"},{"type":"type","title":"Stripe.LineItem.product_data/0","doc":"Data used to generate a new product object inline. One of `product` or `product_data` is required.","ref":"Stripe.LineItem.html#t:product_data/0"},{"type":"type","title":"Stripe.LineItem.t/0","doc":"The `line_item` type.\n\n  * `amount` The amount, in cents (or local equivalent).\n  * `amount_excluding_tax` The integer amount in cents (or local equivalent) representing the amount for this line item, excluding all tax and discounts.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `discount_amounts` The amount of discount calculated per discount for this line item.\n  * `discountable` If true, discounts will apply to this line item. Always false for prorations.\n  * `discounts` The discounts applied to the invoice line item. Line item discounts are applied before invoice discounts. Use `expand[]=discounts` to expand each discount.\n  * `id` Unique identifier for the object.\n  * `invoice_item` The ID of the [invoice item](https://stripe.com/docs/api/invoiceitems) associated with this line item if any.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Note that for line items with `type=subscription` this will reflect the metadata of the subscription that caused the line item to be created.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `period` \n  * `plan` The plan of the subscription, if the line item is a subscription or a proration.\n  * `price` The price of the line item.\n  * `proration` Whether this is a proration.\n  * `proration_details` Additional details for proration line items\n  * `quantity` The quantity of the subscription, if the line item is a subscription or a proration.\n  * `subscription` The subscription that the invoice item pertains to, if any.\n  * `subscription_item` The subscription item that generated this line item. Left empty if the line item is not an explicit result of a subscription.\n  * `tax_amounts` The amount of tax calculated per tax rate for this line item\n  * `tax_rates` The tax rates which apply to the line item.\n  * `type` A string identifying the type of the source of this line item, either an `invoiceitem` or a `subscription`.\n  * `unit_amount_excluding_tax` The amount in cents (or local equivalent) representing the unit amount for this line item, excluding all tax and discounts.","ref":"Stripe.LineItem.html#t:t/0"},{"type":"type","title":"Stripe.LineItem.tax_amounts/0","doc":"","ref":"Stripe.LineItem.html#t:tax_amounts/0"},{"type":"type","title":"Stripe.LineItem.tax_rate_data/0","doc":"Data to find or create a TaxRate object.\n\nStripe automatically creates or reuses a TaxRate object for each tax amount. If the `tax_rate_data` exactly matches a previous value, Stripe will reuse the TaxRate object. TaxRate objects created automatically by Stripe are immediately archived, do not appear in the line item’s `tax_rates`, and cannot be directly added to invoices, payments, or line items.","ref":"Stripe.LineItem.html#t:tax_rate_data/0"},{"type":"module","title":"Stripe.Plan","doc":"You can now model subscriptions more flexibly using the [Prices API](https://stripe.com/docs/api#prices). It replaces the Plans API and is backwards compatible to simplify your migration.\n\nPlans define the base price, currency, and billing cycle for recurring purchases of products.\n[Products](https://stripe.com/docs/api#products) help you track inventory or provisioning, and plans help you track pricing. Different physical goods or levels of service should be represented by products, and pricing options should be represented by plans. This approach lets you change prices without having to change your provisioning scheme.\n\nFor example, you might have a single \"gold\" product that has plans for $10/month, $100/year, €9/month, and €90/year.\n\nRelated guides: [Set up a subscription](https://stripe.com/docs/billing/subscriptions/set-up-subscription) and more about [products and prices](https://stripe.com/docs/products-prices/overview).","ref":"Stripe.Plan.html"},{"type":"function","title":"Stripe.Plan.create/2","doc":"You can now model subscriptions more flexibly using the  Prices API . It replaces the Plans API and is backwards compatible to simplify your migration. \n\n##","ref":"Stripe.Plan.html#create/2"},{"type":"function","title":"Details - Stripe.Plan.create/2","doc":"* Method: `post`\n * Path: `/v1/plans`","ref":"Stripe.Plan.html#create/2-details"},{"type":"function","title":"Stripe.Plan.delete/2","doc":"Deleting plans means new subscribers can’t be added. Existing subscribers aren’t affected. \n\n##","ref":"Stripe.Plan.html#delete/2"},{"type":"function","title":"Details - Stripe.Plan.delete/2","doc":"* Method: `delete`\n * Path: `/v1/plans/{plan}`","ref":"Stripe.Plan.html#delete/2-details"},{"type":"function","title":"Stripe.Plan.list/2","doc":"Returns a list of your plans. \n\n##","ref":"Stripe.Plan.html#list/2"},{"type":"function","title":"Details - Stripe.Plan.list/2","doc":"* Method: `get`\n * Path: `/v1/plans`","ref":"Stripe.Plan.html#list/2-details"},{"type":"function","title":"Stripe.Plan.retrieve/3","doc":"Retrieves the plan with the given ID. \n\n##","ref":"Stripe.Plan.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Plan.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/plans/{plan}`","ref":"Stripe.Plan.html#retrieve/3-details"},{"type":"function","title":"Stripe.Plan.update/3","doc":"Updates the specified plan by setting the values of the parameters passed. Any parameters not provided are left unchanged. By design, you cannot change a plan’s ID, amount, currency, or billing cycle. \n\n##","ref":"Stripe.Plan.html#update/3"},{"type":"function","title":"Details - Stripe.Plan.update/3","doc":"* Method: `post`\n * Path: `/v1/plans/{plan}`","ref":"Stripe.Plan.html#update/3-details"},{"type":"type","title":"Stripe.Plan.created/0","doc":"","ref":"Stripe.Plan.html#t:created/0"},{"type":"type","title":"Stripe.Plan.product/0","doc":"The product whose pricing the created plan will represent. This can either be the ID of an existing product, or a dictionary containing fields used to create a [service product](https://stripe.com/docs/api#product_object-type).","ref":"Stripe.Plan.html#t:product/0"},{"type":"type","title":"Stripe.Plan.t/0","doc":"The `plan` type.\n\n  * `active` Whether the plan can be used for new purchases.\n  * `aggregate_usage` Specifies a usage aggregation strategy for plans of `usage_type=metered`. Allowed values are `sum` for summing up all usage during a period, `last_during_period` for using the last usage record reported within a period, `last_ever` for using the last usage record ever (across period bounds) or `max` which uses the usage record with the maximum reported usage during a period. Defaults to `sum`.\n  * `amount` The unit amount in cents (or local equivalent) to be charged, represented as a whole integer if possible. Only set if `billing_scheme=per_unit`.\n  * `amount_decimal` The unit amount in cents (or local equivalent) to be charged, represented as a decimal string with at most 12 decimal places. Only set if `billing_scheme=per_unit`.\n  * `billing_scheme` Describes how to compute the price per period. Either `per_unit` or `tiered`. `per_unit` indicates that the fixed amount (specified in `amount`) will be charged per unit in `quantity` (for plans with `usage_type=licensed`), or per unit of total usage (for plans with `usage_type=metered`). `tiered` indicates that the unit pricing will be computed using a tiering strategy as defined using the `tiers` and `tiers_mode` attributes.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `id` Unique identifier for the object.\n  * `interval` The frequency at which a subscription is billed. One of `day`, `week`, `month` or `year`.\n  * `interval_count` The number of intervals (specified in the `interval` attribute) between subscription billings. For example, `interval=month` and `interval_count=3` bills every 3 months.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `nickname` A brief description of the plan, hidden from customers.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `product` The product whose pricing this plan determines.\n  * `tiers` Each element represents a pricing tier. This parameter requires `billing_scheme` to be set to `tiered`. See also the documentation for `billing_scheme`.\n  * `tiers_mode` Defines if the tiering price should be `graduated` or `volume` based. In `volume`-based tiering, the maximum quantity within a period determines the per unit price. In `graduated` tiering, pricing can change as the quantity grows.\n  * `transform_usage` Apply a transformation to the reported usage or set quantity before computing the amount billed. Cannot be combined with `tiers`.\n  * `trial_period_days` Default number of trial days when subscribing a customer to this plan using [`trial_from_plan=true`](https://stripe.com/docs/api#create_subscription-trial_from_plan).\n  * `usage_type` Configures how the quantity per period should be determined. Can be either `metered` or `licensed`. `licensed` automatically bills the `quantity` set when adding it to a subscription. `metered` aggregates the total usage based on usage records. Defaults to `licensed`.","ref":"Stripe.Plan.html#t:t/0"},{"type":"type","title":"Stripe.Plan.tiers/0","doc":"","ref":"Stripe.Plan.html#t:tiers/0"},{"type":"type","title":"Stripe.Plan.transform_usage/0","doc":"Apply a transformation to the reported usage or set quantity before computing the billed price. Cannot be combined with `tiers`.","ref":"Stripe.Plan.html#t:transform_usage/0"},{"type":"module","title":"Stripe.Subscription","doc":"Subscriptions allow you to charge a customer on a recurring basis.\n\nRelated guide: [Creating subscriptions](https://stripe.com/docs/billing/subscriptions/creating)","ref":"Stripe.Subscription.html"},{"type":"function","title":"Stripe.Subscription.cancel/3","doc":"Cancels a customer’s subscription immediately. The customer will not be charged again for the subscription. \n\n Note, however, that any pending invoice items that you’ve created will still be charged for at the end of the period, unless manually  deleted . If you’ve set the subscription to cancel at the end of the period, any pending prorations will also be left in place and collected at the end of the period. But if the subscription is set to cancel immediately, pending prorations will be removed. \n\n By default, upon subscription cancellation, Stripe will stop automatic collection of all finalized invoices for the customer. This is intended to prevent unexpected payment attempts after the customer has canceled a subscription. However, you can resume automatic collection of the invoices manually after subscription cancellation to have us proceed. Or, you could check for unpaid invoices before allowing the customer to cancel the subscription at all. \n\n##","ref":"Stripe.Subscription.html#cancel/3"},{"type":"function","title":"Details - Stripe.Subscription.cancel/3","doc":"* Method: `delete`\n * Path: `/v1/subscriptions/{subscription_exposed_id}`","ref":"Stripe.Subscription.html#cancel/3-details"},{"type":"function","title":"Stripe.Subscription.create/2","doc":"Creates a new subscription on an existing customer. Each customer can have up to 500 active or scheduled subscriptions. \n\n When you create a subscription with  collection_method=charge_automatically , the first invoice is finalized as part of the request.\nThe  payment_behavior  parameter determines the exact behavior of the initial payment. \n\n To start subscriptions where the first invoice always begins in a  draft  status, use  subscription schedules  instead.\nSchedules provide the flexibility to model more complex billing configurations that change over time. \n\n##","ref":"Stripe.Subscription.html#create/2"},{"type":"function","title":"Details - Stripe.Subscription.create/2","doc":"* Method: `post`\n * Path: `/v1/subscriptions`","ref":"Stripe.Subscription.html#create/2-details"},{"type":"function","title":"Stripe.Subscription.delete_discount/2","doc":"Removes the currently applied discount on a subscription. \n\n##","ref":"Stripe.Subscription.html#delete_discount/2"},{"type":"function","title":"Details - Stripe.Subscription.delete_discount/2","doc":"* Method: `delete`\n * Path: `/v1/subscriptions/{subscription_exposed_id}/discount`","ref":"Stripe.Subscription.html#delete_discount/2-details"},{"type":"function","title":"Stripe.Subscription.list/2","doc":"By default, returns a list of subscriptions that have not been canceled. In order to list canceled subscriptions, specify  status=canceled . \n\n##","ref":"Stripe.Subscription.html#list/2"},{"type":"function","title":"Details - Stripe.Subscription.list/2","doc":"* Method: `get`\n * Path: `/v1/subscriptions`","ref":"Stripe.Subscription.html#list/2-details"},{"type":"function","title":"Stripe.Subscription.resume/3","doc":"Initiates resumption of a paused subscription, optionally resetting the billing cycle anchor and creating prorations. If a resumption invoice is generated, it must be paid or marked uncollectible before the subscription will be unpaused. If payment succeeds the subscription will become  active , and if payment fails the subscription will be  past_due . The resumption invoice will void automatically if not paid by the expiration date. \n\n##","ref":"Stripe.Subscription.html#resume/3"},{"type":"function","title":"Details - Stripe.Subscription.resume/3","doc":"* Method: `post`\n * Path: `/v1/subscriptions/{subscription}/resume`","ref":"Stripe.Subscription.html#resume/3-details"},{"type":"function","title":"Stripe.Subscription.retrieve/3","doc":"Retrieves the subscription with the given ID. \n\n##","ref":"Stripe.Subscription.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Subscription.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/subscriptions/{subscription_exposed_id}`","ref":"Stripe.Subscription.html#retrieve/3-details"},{"type":"function","title":"Stripe.Subscription.search/2","doc":"Search for subscriptions you’ve previously created using Stripe’s  Search Query Language .\nDon’t use search in read-after-write flows where strict consistency is necessary. Under normal operating\nconditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up\nto an hour behind during outages. Search functionality is not available to merchants in India. \n\n##","ref":"Stripe.Subscription.html#search/2"},{"type":"function","title":"Details - Stripe.Subscription.search/2","doc":"* Method: `get`\n * Path: `/v1/subscriptions/search`","ref":"Stripe.Subscription.html#search/2-details"},{"type":"function","title":"Stripe.Subscription.update/3","doc":"Updates an existing subscription to match the specified parameters.\nWhen changing prices or quantities, we optionally prorate the price we charge next month to make up for any price changes.\nTo preview how the proration is calculated, use the  upcoming invoice  endpoint. \n\n By default, we prorate subscription changes. For example, if a customer signs up on May 1 for a  100  price, they’ll be billed  100  immediately. If on May 15 they switch to a  200  price, then on June 1 they’ll be billed  250  ( 200  for a renewal of her subscription, plus a  50  prorating adjustment for half of the previous month’s  100  difference). Similarly, a downgrade generates a credit that is applied to the next invoice. We also prorate when you make quantity changes. \n\n Switching prices does not normally change the billing date or generate an immediate charge unless: \n\n \n The billing interval is changed (for example, from monthly to yearly). \n The subscription moves from free to paid, or paid to free. \n A trial starts or ends. \n \n\n In these cases, we apply a credit for the unused time on the previous price, immediately charge the customer using the new price, and reset the billing date. \n\n If you want to charge for an upgrade immediately, pass  proration_behavior  as  always_invoice  to create prorations, automatically invoice the customer for those proration adjustments, and attempt to collect payment. If you pass  create_prorations , the prorations are created but not automatically invoiced. If you want to bill the customer for the prorations before the subscription’s renewal date, you need to manually  invoice the customer . \n\n If you don’t want to prorate, set the  proration_behavior  option to  none . With this option, the customer is billed  100  on May 1 and  200  on June 1. Similarly, if you set  proration_behavior  to  none  when switching between different billing intervals (for example, from monthly to yearly), we don’t generate any credits for the old subscription’s unused time. We still reset the billing date and bill immediately for the new subscription. \n\n Updating the quantity on a subscription many times in an hour may result in  rate limiting . If you need to bill for a frequently changing quantity, consider integrating  usage-based billing  instead. \n\n##","ref":"Stripe.Subscription.html#update/3"},{"type":"function","title":"Details - Stripe.Subscription.update/3","doc":"* Method: `post`\n * Path: `/v1/subscriptions/{subscription_exposed_id}`","ref":"Stripe.Subscription.html#update/3-details"},{"type":"type","title":"Stripe.Subscription.acss_debit/0","doc":"","ref":"Stripe.Subscription.html#t:acss_debit/0"},{"type":"type","title":"Stripe.Subscription.add_invoice_items/0","doc":"","ref":"Stripe.Subscription.html#t:add_invoice_items/0"},{"type":"type","title":"Stripe.Subscription.automatic_tax/0","doc":"","ref":"Stripe.Subscription.html#t:automatic_tax/0"},{"type":"type","title":"Stripe.Subscription.bancontact/0","doc":"","ref":"Stripe.Subscription.html#t:bancontact/0"},{"type":"type","title":"Stripe.Subscription.bank_transfer/0","doc":"Configuration for the bank transfer funding type, if the `funding_type` is set to `bank_transfer`.","ref":"Stripe.Subscription.html#t:bank_transfer/0"},{"type":"type","title":"Stripe.Subscription.billing_cycle_anchor_config/0","doc":"Mutually exclusive with billing_cycle_anchor and only valid with monthly and yearly price intervals. When provided, the billing_cycle_anchor is set to the next occurence of the day_of_month at the hour, minute, and second UTC.","ref":"Stripe.Subscription.html#t:billing_cycle_anchor_config/0"},{"type":"type","title":"Stripe.Subscription.billing_thresholds/0","doc":"","ref":"Stripe.Subscription.html#t:billing_thresholds/0"},{"type":"type","title":"Stripe.Subscription.cancellation_details/0","doc":"Details about why this subscription was cancelled","ref":"Stripe.Subscription.html#t:cancellation_details/0"},{"type":"type","title":"Stripe.Subscription.card/0","doc":"","ref":"Stripe.Subscription.html#t:card/0"},{"type":"type","title":"Stripe.Subscription.created/0","doc":"","ref":"Stripe.Subscription.html#t:created/0"},{"type":"type","title":"Stripe.Subscription.current_period_end/0","doc":"","ref":"Stripe.Subscription.html#t:current_period_end/0"},{"type":"type","title":"Stripe.Subscription.current_period_start/0","doc":"","ref":"Stripe.Subscription.html#t:current_period_start/0"},{"type":"type","title":"Stripe.Subscription.customer_balance/0","doc":"","ref":"Stripe.Subscription.html#t:customer_balance/0"},{"type":"type","title":"Stripe.Subscription.end_behavior/0","doc":"Defines how the subscription should behave when the user's free trial ends.","ref":"Stripe.Subscription.html#t:end_behavior/0"},{"type":"type","title":"Stripe.Subscription.eu_bank_transfer/0","doc":"Configuration for eu_bank_transfer funding type.","ref":"Stripe.Subscription.html#t:eu_bank_transfer/0"},{"type":"type","title":"Stripe.Subscription.financial_connections/0","doc":"Additional fields for Financial Connections Session creation","ref":"Stripe.Subscription.html#t:financial_connections/0"},{"type":"type","title":"Stripe.Subscription.items/0","doc":"","ref":"Stripe.Subscription.html#t:items/0"},{"type":"type","title":"Stripe.Subscription.mandate_options/0","doc":"Additional fields for Mandate creation","ref":"Stripe.Subscription.html#t:mandate_options/0"},{"type":"type","title":"Stripe.Subscription.pause_collection/0","doc":"","ref":"Stripe.Subscription.html#t:pause_collection/0"},{"type":"type","title":"Stripe.Subscription.payment_method_options/0","doc":"Payment-method-specific configuration to provide to invoices created by the subscription.","ref":"Stripe.Subscription.html#t:payment_method_options/0"},{"type":"type","title":"Stripe.Subscription.payment_settings/0","doc":"Payment settings to pass to invoices created by the subscription.","ref":"Stripe.Subscription.html#t:payment_settings/0"},{"type":"type","title":"Stripe.Subscription.pending_invoice_item_interval/0","doc":"","ref":"Stripe.Subscription.html#t:pending_invoice_item_interval/0"},{"type":"type","title":"Stripe.Subscription.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline.","ref":"Stripe.Subscription.html#t:price_data/0"},{"type":"type","title":"Stripe.Subscription.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.Subscription.html#t:recurring/0"},{"type":"type","title":"Stripe.Subscription.t/0","doc":"The `subscription` type.\n\n  * `application` ID of the Connect Application that created the subscription.\n  * `application_fee_percent` A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice total that will be transferred to the application owner's Stripe account.\n  * `automatic_tax` \n  * `billing_cycle_anchor` The reference point that aligns future [billing cycle](https://stripe.com/docs/subscriptions/billing-cycle) dates. It sets the day of week for `week` intervals, the day of month for `month` and `year` intervals, and the month of year for `year` intervals. The timestamp is in UTC format.\n  * `billing_cycle_anchor_config` The fixed values used to calculate the `billing_cycle_anchor`.\n  * `billing_thresholds` Define thresholds at which an invoice will be sent, and the subscription advanced to a new billing period\n  * `cancel_at` A date in the future at which the subscription will automatically get canceled\n  * `cancel_at_period_end` If the subscription has been canceled with the `at_period_end` flag set to `true`, `cancel_at_period_end` on the subscription will be true. You can use this attribute to determine whether a subscription that has a status of active is scheduled to be canceled at the end of the current period.\n  * `canceled_at` If the subscription has been canceled, the date of that cancellation. If the subscription was canceled with `cancel_at_period_end`, `canceled_at` will reflect the time of the most recent update request, not the end of the subscription period when the subscription is automatically moved to a canceled state.\n  * `cancellation_details` Details about why this subscription was cancelled\n  * `collection_method` Either `charge_automatically`, or `send_invoice`. When charging automatically, Stripe will attempt to pay this subscription at the end of the cycle using the default source attached to the customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions and mark the subscription as `active`.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `current_period_end` End of the current period that the subscription has been invoiced for. At the end of this period, a new invoice will be created.\n  * `current_period_start` Start of the current period that the subscription has been invoiced for.\n  * `customer` ID of the customer who owns the subscription.\n  * `days_until_due` Number of days a customer has to pay invoices generated by this subscription. This value will be `null` for subscriptions where `collection_method=charge_automatically`.\n  * `default_payment_method` ID of the default payment method for the subscription. It must belong to the customer associated with the subscription. This takes precedence over `default_source`. If neither are set, invoices will use the customer's [invoice_settings.default_payment_method](https://stripe.com/docs/api/customers/object#customer_object-invoice_settings-default_payment_method) or [default_source](https://stripe.com/docs/api/customers/object#customer_object-default_source).\n  * `default_source` ID of the default payment source for the subscription. It must belong to the customer associated with the subscription and be in a chargeable state. If `default_payment_method` is also set, `default_payment_method` will take precedence. If neither are set, invoices will use the customer's [invoice_settings.default_payment_method](https://stripe.com/docs/api/customers/object#customer_object-invoice_settings-default_payment_method) or [default_source](https://stripe.com/docs/api/customers/object#customer_object-default_source).\n  * `default_tax_rates` The tax rates that will apply to any subscription item that does not have `tax_rates` set. Invoices created will have their `default_tax_rates` populated from the subscription.\n  * `description` The subscription's description, meant to be displayable to the customer. Use this field to optionally store an explanation of the subscription for rendering in Stripe surfaces and certain local payment methods UIs.\n  * `discount` Describes the current discount applied to this subscription, if there is one. When billing, a discount applied to a subscription overrides a discount applied on a customer-wide basis.\n  * `ended_at` If the subscription has ended, the date the subscription ended.\n  * `id` Unique identifier for the object.\n  * `items` List of subscription items, each with an attached price.\n  * `latest_invoice` The most recent invoice this subscription has generated.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `next_pending_invoice_item_invoice` Specifies the approximate timestamp on which any pending invoice items will be billed according to the schedule provided at `pending_invoice_item_interval`.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account (if any) the charge was made on behalf of for charges associated with this subscription. See the Connect documentation for details.\n  * `pause_collection` If specified, payment collection for this subscription will be paused.\n  * `payment_settings` Payment settings passed on to invoices created by the subscription.\n  * `pending_invoice_item_interval` Specifies an interval for how often to bill for any pending invoice items. It is analogous to calling [Create an invoice](https://stripe.com/docs/api#create_invoice) for the given subscription at the specified interval.\n  * `pending_setup_intent` You can use this [SetupIntent](https://stripe.com/docs/api/setup_intents) to collect user authentication when creating a subscription without immediate payment or updating a subscription's payment method, allowing you to optimize for off-session payments. Learn more in the [SCA Migration Guide](https://stripe.com/docs/billing/migration/strong-customer-authentication#scenario-2).\n  * `pending_update` If specified, [pending updates](https://stripe.com/docs/billing/subscriptions/pending-updates) that will be applied to the subscription once the `latest_invoice` has been paid.\n  * `schedule` The schedule attached to the subscription\n  * `start_date` Date when the subscription was first created. The date might differ from the `created` date due to backdating.\n  * `status` Possible values are `incomplete`, `incomplete_expired`, `trialing`, `active`, `past_due`, `canceled`, or `unpaid`. \n\nFor `collection_method=charge_automatically` a subscription moves into `incomplete` if the initial payment attempt fails. A subscription in this state can only have metadata and default_source updated. Once the first invoice is paid, the subscription moves into an `active` state. If the first invoice is not paid within 23 hours, the subscription transitions to `incomplete_expired`. This is a terminal state, the open invoice will be voided and no further invoices will be generated. \n\nA subscription that is currently in a trial period is `trialing` and moves to `active` when the trial period is over. \n\nIf subscription `collection_method=charge_automatically`, it becomes `past_due` when payment is required but cannot be paid (due to failed payment or awaiting additional user actions). Once Stripe has exhausted all payment retry attempts, the subscription will become `canceled` or `unpaid` (depending on your subscriptions settings). \n\nIf subscription `collection_method=send_invoice` it becomes `past_due` when its invoice is not paid by the due date, and `canceled` or `unpaid` if it is still not paid by an additional deadline after that. Note that when a subscription has a status of `unpaid`, no subsequent invoices will be attempted (invoices will be created, but then immediately automatically closed). After receiving updated payment information from a customer, you may choose to reopen and pay their closed invoices.\n  * `test_clock` ID of the test clock this subscription belongs to.\n  * `transfer_data` The account (if any) the subscription's payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the subscription's invoices.\n  * `trial_end` If the subscription has a trial, the end of that trial.\n  * `trial_settings` Settings related to subscription trials.\n  * `trial_start` If the subscription has a trial, the beginning of that trial.","ref":"Stripe.Subscription.html#t:t/0"},{"type":"type","title":"Stripe.Subscription.transfer_data/0","doc":"If specified, the funds from the subscription's invoices will be transferred to the destination and the ID of the resulting transfers will be found on the resulting charges.","ref":"Stripe.Subscription.html#t:transfer_data/0"},{"type":"type","title":"Stripe.Subscription.trial_settings/0","doc":"Settings related to subscription trials.","ref":"Stripe.Subscription.html#t:trial_settings/0"},{"type":"type","title":"Stripe.Subscription.us_bank_account/0","doc":"","ref":"Stripe.Subscription.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.SubscriptionItem","doc":"Subscription items allow you to create customer subscriptions with more than\none plan, making it easy to represent complex billing relationships.","ref":"Stripe.SubscriptionItem.html"},{"type":"function","title":"Stripe.SubscriptionItem.create/2","doc":"Adds a new item to an existing subscription. No existing items will be changed or replaced. \n\n##","ref":"Stripe.SubscriptionItem.html#create/2"},{"type":"function","title":"Details - Stripe.SubscriptionItem.create/2","doc":"* Method: `post`\n * Path: `/v1/subscription_items`","ref":"Stripe.SubscriptionItem.html#create/2-details"},{"type":"function","title":"Stripe.SubscriptionItem.delete/3","doc":"Deletes an item from the subscription. Removing a subscription item from a subscription will not cancel the subscription. \n\n##","ref":"Stripe.SubscriptionItem.html#delete/3"},{"type":"function","title":"Details - Stripe.SubscriptionItem.delete/3","doc":"* Method: `delete`\n * Path: `/v1/subscription_items/{item}`","ref":"Stripe.SubscriptionItem.html#delete/3-details"},{"type":"function","title":"Stripe.SubscriptionItem.list/2","doc":"Returns a list of your subscription items for a given subscription. \n\n##","ref":"Stripe.SubscriptionItem.html#list/2"},{"type":"function","title":"Details - Stripe.SubscriptionItem.list/2","doc":"* Method: `get`\n * Path: `/v1/subscription_items`","ref":"Stripe.SubscriptionItem.html#list/2-details"},{"type":"function","title":"Stripe.SubscriptionItem.retrieve/3","doc":"Retrieves the subscription item with the given ID. \n\n##","ref":"Stripe.SubscriptionItem.html#retrieve/3"},{"type":"function","title":"Details - Stripe.SubscriptionItem.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/subscription_items/{item}`","ref":"Stripe.SubscriptionItem.html#retrieve/3-details"},{"type":"function","title":"Stripe.SubscriptionItem.update/3","doc":"Updates the plan or quantity of an item on a current subscription. \n\n##","ref":"Stripe.SubscriptionItem.html#update/3"},{"type":"function","title":"Details - Stripe.SubscriptionItem.update/3","doc":"* Method: `post`\n * Path: `/v1/subscription_items/{item}`","ref":"Stripe.SubscriptionItem.html#update/3-details"},{"type":"function","title":"Stripe.SubscriptionItem.usage_record_summaries/3","doc":"For the specified subscription item, returns a list of summary objects. Each object in the list provides usage information that’s been summarized from multiple usage records and over a subscription billing period (e.g., 15 usage records in the month of September). \n\n The list is sorted in reverse-chronological order (newest first). The first list item represents the most current usage period that hasn’t ended yet. Since new usage records can still be added, the returned summary information for the subscription item’s ID should be seen as unstable until the subscription billing period ends. \n\n##","ref":"Stripe.SubscriptionItem.html#usage_record_summaries/3"},{"type":"function","title":"Details - Stripe.SubscriptionItem.usage_record_summaries/3","doc":"* Method: `get`\n * Path: `/v1/subscription_items/{subscription_item}/usage_record_summaries`","ref":"Stripe.SubscriptionItem.html#usage_record_summaries/3-details"},{"type":"type","title":"Stripe.SubscriptionItem.billing_thresholds/0","doc":"","ref":"Stripe.SubscriptionItem.html#t:billing_thresholds/0"},{"type":"type","title":"Stripe.SubscriptionItem.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline.","ref":"Stripe.SubscriptionItem.html#t:price_data/0"},{"type":"type","title":"Stripe.SubscriptionItem.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.SubscriptionItem.html#t:recurring/0"},{"type":"type","title":"Stripe.SubscriptionItem.t/0","doc":"The `subscription_item` type.\n\n  * `billing_thresholds` Define thresholds at which an invoice will be sent, and the related subscription advanced to a new billing period\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `id` Unique identifier for the object.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `plan` \n  * `price` \n  * `quantity` The [quantity](https://stripe.com/docs/subscriptions/quantities) of the plan to which the customer should be subscribed.\n  * `subscription` The `subscription` this `subscription_item` belongs to.\n  * `tax_rates` The tax rates which apply to this `subscription_item`. When set, the `default_tax_rates` on the subscription do not apply to this `subscription_item`.","ref":"Stripe.SubscriptionItem.html#t:t/0"},{"type":"module","title":"Stripe.SubscriptionSchedule","doc":"A subscription schedule allows you to create and manage the lifecycle of a subscription by predefining expected changes.\n\nRelated guide: [Subscription schedules](https://stripe.com/docs/billing/subscriptions/subscription-schedules)","ref":"Stripe.SubscriptionSchedule.html"},{"type":"function","title":"Stripe.SubscriptionSchedule.cancel/3","doc":"Cancels a subscription schedule and its associated subscription immediately (if the subscription schedule has an active subscription). A subscription schedule can only be canceled if its status is  not_started  or  active . \n\n##","ref":"Stripe.SubscriptionSchedule.html#cancel/3"},{"type":"function","title":"Details - Stripe.SubscriptionSchedule.cancel/3","doc":"* Method: `post`\n * Path: `/v1/subscription_schedules/{schedule}/cancel`","ref":"Stripe.SubscriptionSchedule.html#cancel/3-details"},{"type":"function","title":"Stripe.SubscriptionSchedule.create/2","doc":"Creates a new subscription schedule object. Each customer can have up to 500 active or scheduled subscriptions. \n\n##","ref":"Stripe.SubscriptionSchedule.html#create/2"},{"type":"function","title":"Details - Stripe.SubscriptionSchedule.create/2","doc":"* Method: `post`\n * Path: `/v1/subscription_schedules`","ref":"Stripe.SubscriptionSchedule.html#create/2-details"},{"type":"function","title":"Stripe.SubscriptionSchedule.list/2","doc":"Retrieves the list of your subscription schedules. \n\n##","ref":"Stripe.SubscriptionSchedule.html#list/2"},{"type":"function","title":"Details - Stripe.SubscriptionSchedule.list/2","doc":"* Method: `get`\n * Path: `/v1/subscription_schedules`","ref":"Stripe.SubscriptionSchedule.html#list/2-details"},{"type":"function","title":"Stripe.SubscriptionSchedule.release/3","doc":"Releases the subscription schedule immediately, which will stop scheduling of its phases, but leave any existing subscription in place. A schedule can only be released if its status is  not_started  or  active . If the subscription schedule is currently associated with a subscription, releasing it will remove its  subscription  property and set the subscription’s ID to the  released_subscription  property. \n\n##","ref":"Stripe.SubscriptionSchedule.html#release/3"},{"type":"function","title":"Details - Stripe.SubscriptionSchedule.release/3","doc":"* Method: `post`\n * Path: `/v1/subscription_schedules/{schedule}/release`","ref":"Stripe.SubscriptionSchedule.html#release/3-details"},{"type":"function","title":"Stripe.SubscriptionSchedule.retrieve/3","doc":"Retrieves the details of an existing subscription schedule. You only need to supply the unique subscription schedule identifier that was returned upon subscription schedule creation. \n\n##","ref":"Stripe.SubscriptionSchedule.html#retrieve/3"},{"type":"function","title":"Details - Stripe.SubscriptionSchedule.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/subscription_schedules/{schedule}`","ref":"Stripe.SubscriptionSchedule.html#retrieve/3-details"},{"type":"function","title":"Stripe.SubscriptionSchedule.update/3","doc":"Updates an existing subscription schedule. \n\n##","ref":"Stripe.SubscriptionSchedule.html#update/3"},{"type":"function","title":"Details - Stripe.SubscriptionSchedule.update/3","doc":"* Method: `post`\n * Path: `/v1/subscription_schedules/{schedule}`","ref":"Stripe.SubscriptionSchedule.html#update/3-details"},{"type":"type","title":"Stripe.SubscriptionSchedule.add_invoice_items/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:add_invoice_items/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.automatic_tax/0","doc":"Automatic tax settings for this phase.","ref":"Stripe.SubscriptionSchedule.html#t:automatic_tax/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.billing_thresholds/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:billing_thresholds/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.canceled_at/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:canceled_at/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.completed_at/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:completed_at/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.created/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:created/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.default_settings/0","doc":"Object representing the subscription schedule's default settings.","ref":"Stripe.SubscriptionSchedule.html#t:default_settings/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.invoice_settings/0","doc":"All invoices will be billed using the specified settings.","ref":"Stripe.SubscriptionSchedule.html#t:invoice_settings/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.items/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:items/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.phases/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:phases/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline.","ref":"Stripe.SubscriptionSchedule.html#t:price_data/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.SubscriptionSchedule.html#t:recurring/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.released_at/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:released_at/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.t/0","doc":"The `subscription_schedule` type.\n\n  * `application` ID of the Connect Application that created the schedule.\n  * `canceled_at` Time at which the subscription schedule was canceled. Measured in seconds since the Unix epoch.\n  * `completed_at` Time at which the subscription schedule was completed. Measured in seconds since the Unix epoch.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `current_phase` Object representing the start and end dates for the current phase of the subscription schedule, if it is `active`.\n  * `customer` ID of the customer who owns the subscription schedule.\n  * `default_settings` \n  * `end_behavior` Behavior of the subscription schedule and underlying subscription when it ends. Possible values are `release` or `cancel` with the default being `release`. `release` will end the subscription schedule and keep the underlying subscription running. `cancel` will end the subscription schedule and cancel the underlying subscription.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `phases` Configuration for the subscription schedule's phases.\n  * `released_at` Time at which the subscription schedule was released. Measured in seconds since the Unix epoch.\n  * `released_subscription` ID of the subscription once managed by the subscription schedule (if it is released).\n  * `status` The present status of the subscription schedule. Possible values are `not_started`, `active`, `completed`, `released`, and `canceled`. You can read more about the different states in our [behavior guide](https://stripe.com/docs/billing/subscriptions/subscription-schedules).\n  * `subscription` ID of the subscription managed by the subscription schedule.\n  * `test_clock` ID of the test clock this subscription schedule belongs to.","ref":"Stripe.SubscriptionSchedule.html#t:t/0"},{"type":"type","title":"Stripe.SubscriptionSchedule.transfer_data/0","doc":"","ref":"Stripe.SubscriptionSchedule.html#t:transfer_data/0"},{"type":"module","title":"Stripe.TaxRate","doc":"Tax rates can be applied to [invoices](https://stripe.com/docs/billing/invoices/tax-rates), [subscriptions](https://stripe.com/docs/billing/subscriptions/taxes) and [Checkout Sessions](https://stripe.com/docs/payments/checkout/set-up-a-subscription#tax-rates) to collect tax.\n\nRelated guide: [Tax rates](https://stripe.com/docs/billing/taxes/tax-rates)","ref":"Stripe.TaxRate.html"},{"type":"function","title":"Stripe.TaxRate.create/2","doc":"Creates a new tax rate. \n\n##","ref":"Stripe.TaxRate.html#create/2"},{"type":"function","title":"Details - Stripe.TaxRate.create/2","doc":"* Method: `post`\n * Path: `/v1/tax_rates`","ref":"Stripe.TaxRate.html#create/2-details"},{"type":"function","title":"Stripe.TaxRate.list/2","doc":"Returns a list of your tax rates. Tax rates are returned sorted by creation date, with the most recently created tax rates appearing first. \n\n##","ref":"Stripe.TaxRate.html#list/2"},{"type":"function","title":"Details - Stripe.TaxRate.list/2","doc":"* Method: `get`\n * Path: `/v1/tax_rates`","ref":"Stripe.TaxRate.html#list/2-details"},{"type":"function","title":"Stripe.TaxRate.retrieve/3","doc":"Retrieves a tax rate with the given ID \n\n##","ref":"Stripe.TaxRate.html#retrieve/3"},{"type":"function","title":"Details - Stripe.TaxRate.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/tax_rates/{tax_rate}`","ref":"Stripe.TaxRate.html#retrieve/3-details"},{"type":"function","title":"Stripe.TaxRate.update/3","doc":"Updates an existing tax rate. \n\n##","ref":"Stripe.TaxRate.html#update/3"},{"type":"function","title":"Details - Stripe.TaxRate.update/3","doc":"* Method: `post`\n * Path: `/v1/tax_rates/{tax_rate}`","ref":"Stripe.TaxRate.html#update/3-details"},{"type":"type","title":"Stripe.TaxRate.created/0","doc":"","ref":"Stripe.TaxRate.html#t:created/0"},{"type":"type","title":"Stripe.TaxRate.t/0","doc":"The `tax_rate` type.\n\n  * `active` Defaults to `true`. When set to `false`, this tax rate cannot be used with new applications or Checkout Sessions, but will still work for subscriptions and invoices that already have it set.\n  * `country` Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `description` An arbitrary string attached to the tax rate for your internal use only. It will not be visible to your customers.\n  * `display_name` The display name of the tax rates as it will appear to your customer on their receipt email, PDF, and the hosted invoice page.\n  * `effective_percentage` Actual/effective tax rate percentage out of 100. For tax calculations with automatic_tax[enabled]=true,\nthis percentage reflects the rate actually used to calculate tax based on the product's taxability\nand whether the user is registered to collect taxes in the corresponding jurisdiction.\n  * `id` Unique identifier for the object.\n  * `inclusive` This specifies if the tax rate is inclusive or exclusive.\n  * `jurisdiction` The jurisdiction for the tax rate. You can use this label field for tax reporting purposes. It also appears on your customer’s invoice.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `percentage` Tax rate percentage out of 100. For tax calculations with automatic_tax[enabled]=true, this percentage includes the statutory tax rate of non-taxable jurisdictions.\n  * `state` [ISO 3166-2 subdivision code](https://en.wikipedia.org/wiki/ISO_3166-2:US), without country prefix. For example, \"NY\" for New York, United States.\n  * `tax_type` The high-level tax type, such as `vat` or `sales_tax`.","ref":"Stripe.TaxRate.html#t:t/0"},{"type":"module","title":"Stripe.UsageRecord","doc":"Usage records allow you to report customer usage and metrics to Stripe for\nmetered billing of subscription prices.\n\nRelated guide: [Metered billing](https://stripe.com/docs/billing/subscriptions/metered-billing)","ref":"Stripe.UsageRecord.html"},{"type":"function","title":"Stripe.UsageRecord.create/3","doc":"Creates a usage record for a specified subscription item and date, and fills it with a quantity. \n\n Usage records provide  quantity  information that Stripe uses to track how much a customer is using your service. With usage information and the pricing model set up by the  metered billing  plan, Stripe helps you send accurate invoices to your customers. \n\n The default calculation for usage is to add up all the  quantity  values of the usage records within a billing period. You can change this default behavior with the billing plan’s  aggregate_usage   parameter . When there is more than one usage record with the same timestamp, Stripe adds the  quantity  values together. In most cases, this is the desired resolution, however, you can change this behavior with the  action  parameter. \n\n The default pricing model for metered billing is  per-unit pricing . For finer granularity, you can configure metered billing to have a  tiered pricing  model. \n\n##","ref":"Stripe.UsageRecord.html#create/3"},{"type":"function","title":"Details - Stripe.UsageRecord.create/3","doc":"* Method: `post`\n * Path: `/v1/subscription_items/{subscription_item}/usage_records`","ref":"Stripe.UsageRecord.html#create/3-details"},{"type":"type","title":"Stripe.UsageRecord.t/0","doc":"The `usage_record` type.\n\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `quantity` The usage quantity for the specified date.\n  * `subscription_item` The ID of the subscription item this usage record contains data for.\n  * `timestamp` The timestamp when this usage occurred.","ref":"Stripe.UsageRecord.html#t:t/0"},{"type":"module","title":"Stripe.BillingPortal.Session","doc":"The Billing customer portal is a Stripe-hosted UI for subscription and\nbilling management.\n\nA portal configuration describes the functionality and features that you\nwant to provide to your customers through the portal.\n\nA portal session describes the instantiation of the customer portal for\na particular customer. By visiting the session's URL, the customer\ncan manage their subscriptions and billing details. For security reasons,\nsessions are short-lived and will expire if the customer does not visit the URL.\nCreate sessions on-demand when customers intend to manage their subscriptions\nand billing details.\n\nLearn more in the [integration guide](https://stripe.com/docs/billing/subscriptions/integrating-customer-portal).","ref":"Stripe.BillingPortal.Session.html"},{"type":"function","title":"Stripe.BillingPortal.Session.create/2","doc":"Creates a session of the customer portal. \n\n##","ref":"Stripe.BillingPortal.Session.html#create/2"},{"type":"function","title":"Details - Stripe.BillingPortal.Session.create/2","doc":"* Method: `post`\n * Path: `/v1/billing_portal/sessions`","ref":"Stripe.BillingPortal.Session.html#create/2-details"},{"type":"type","title":"Stripe.BillingPortal.Session.after_completion/0","doc":"Behavior after the flow is completed.","ref":"Stripe.BillingPortal.Session.html#t:after_completion/0"},{"type":"type","title":"Stripe.BillingPortal.Session.coupon_offer/0","doc":"Configuration when `retention.type=coupon_offer`.","ref":"Stripe.BillingPortal.Session.html#t:coupon_offer/0"},{"type":"type","title":"Stripe.BillingPortal.Session.discounts/0","doc":"","ref":"Stripe.BillingPortal.Session.html#t:discounts/0"},{"type":"type","title":"Stripe.BillingPortal.Session.flow_data/0","doc":"Information about a specific flow for the customer to go through. See the [docs](https://stripe.com/docs/customer-management/portal-deep-links) to learn more about using customer portal deep links and flows.","ref":"Stripe.BillingPortal.Session.html#t:flow_data/0"},{"type":"type","title":"Stripe.BillingPortal.Session.hosted_confirmation/0","doc":"Configuration when `after_completion.type=hosted_confirmation`.","ref":"Stripe.BillingPortal.Session.html#t:hosted_confirmation/0"},{"type":"type","title":"Stripe.BillingPortal.Session.items/0","doc":"","ref":"Stripe.BillingPortal.Session.html#t:items/0"},{"type":"type","title":"Stripe.BillingPortal.Session.redirect/0","doc":"Configuration when `after_completion.type=redirect`.","ref":"Stripe.BillingPortal.Session.html#t:redirect/0"},{"type":"type","title":"Stripe.BillingPortal.Session.retention/0","doc":"Specify a retention strategy to be used in the cancellation flow.","ref":"Stripe.BillingPortal.Session.html#t:retention/0"},{"type":"type","title":"Stripe.BillingPortal.Session.subscription_cancel/0","doc":"Configuration when `flow_data.type=subscription_cancel`.","ref":"Stripe.BillingPortal.Session.html#t:subscription_cancel/0"},{"type":"type","title":"Stripe.BillingPortal.Session.subscription_update/0","doc":"Configuration when `flow_data.type=subscription_update`.","ref":"Stripe.BillingPortal.Session.html#t:subscription_update/0"},{"type":"type","title":"Stripe.BillingPortal.Session.subscription_update_confirm/0","doc":"Configuration when `flow_data.type=subscription_update_confirm`.","ref":"Stripe.BillingPortal.Session.html#t:subscription_update_confirm/0"},{"type":"type","title":"Stripe.BillingPortal.Session.t/0","doc":"The `billing_portal.session` type.\n\n  * `configuration` The configuration used by this session, describing the features available.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` The ID of the customer for this session.\n  * `flow` Information about a specific flow for the customer to go through. See the [docs](https://stripe.com/docs/customer-management/portal-deep-links) to learn more about using customer portal deep links and flows.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `locale` The IETF language tag of the locale Customer Portal is displayed in. If blank or auto, the customer’s `preferred_locales` or browser’s locale is used.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account for which the session was created on behalf of. When specified, only subscriptions and invoices with this `on_behalf_of` account appear in the portal. For more information, see the [docs](https://stripe.com/docs/connect/separate-charges-and-transfers#on-behalf-of). Use the [Accounts API](https://stripe.com/docs/api/accounts/object#account_object-settings-branding) to modify the `on_behalf_of` account's branding settings, which the portal displays.\n  * `return_url` The URL to redirect customers to when they click on the portal's link to return to your website.\n  * `url` The short-lived URL of the session that gives customers access to the customer portal.","ref":"Stripe.BillingPortal.Session.html#t:t/0"},{"type":"module","title":"Stripe.Account","doc":"This is an object representing a Stripe account. You can retrieve it to see\nproperties on the account like its current requirements or if the account is\nenabled to make live charges or receive payouts.\n\nFor Custom accounts, the properties below are always returned. For other accounts, some properties are returned until that\naccount has started to go through Connect Onboarding. Once you create an [Account Link](https://stripe.com/docs/api/account_links)\nfor a Standard or Express account, some parameters are no longer returned. These are marked as **Custom Only** or **Custom and Express**\nbelow. Learn about the differences [between accounts](https://stripe.com/docs/connect/accounts).","ref":"Stripe.Account.html"},{"type":"function","title":"Stripe.Account.capabilities/3","doc":"Returns a list of capabilities associated with the account. The capabilities are returned sorted by creation date, with the most recent capability appearing first. \n\n##","ref":"Stripe.Account.html#capabilities/3"},{"type":"function","title":"Details - Stripe.Account.capabilities/3","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/capabilities`","ref":"Stripe.Account.html#capabilities/3-details"},{"type":"function","title":"Stripe.Account.create/2","doc":"With  Connect , you can create Stripe accounts for your users.\nTo do this, you’ll first need to  register your platform . \n\n If you’ve already collected information for your connected accounts, you  can prefill that information  when\ncreating the account. Connect Onboarding won’t ask for the prefilled information during account onboarding.\nYou can prefill any information on the account. \n\n##","ref":"Stripe.Account.html#create/2"},{"type":"function","title":"Details - Stripe.Account.create/2","doc":"* Method: `post`\n * Path: `/v1/accounts`","ref":"Stripe.Account.html#create/2-details"},{"type":"function","title":"Stripe.Account.delete/2","doc":"With  Connect , you can delete accounts you manage. \n\n Accounts created using test-mode keys can be deleted at any time. Standard accounts created using live-mode keys cannot be deleted. Custom or Express accounts created using live-mode keys can only be deleted once all balances are zero. \n\n If you want to delete your own account, use the  account information tab in your account settings  instead. \n\n##","ref":"Stripe.Account.html#delete/2"},{"type":"function","title":"Details - Stripe.Account.delete/2","doc":"* Method: `delete`\n * Path: `/v1/accounts/{account}`","ref":"Stripe.Account.html#delete/2-details"},{"type":"function","title":"Stripe.Account.list/2","doc":"Returns a list of accounts connected to your platform via  Connect . If you’re not a platform, the list is empty. \n\n##","ref":"Stripe.Account.html#list/2"},{"type":"function","title":"Details - Stripe.Account.list/2","doc":"* Method: `get`\n * Path: `/v1/accounts`","ref":"Stripe.Account.html#list/2-details"},{"type":"function","title":"Stripe.Account.persons/3","doc":"Returns a list of people associated with the account’s legal entity. The people are returned sorted by creation date, with the most recent people appearing first. \n\n##","ref":"Stripe.Account.html#persons/3"},{"type":"function","title":"Details - Stripe.Account.persons/3","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/persons`","ref":"Stripe.Account.html#persons/3-details"},{"type":"function","title":"Stripe.Account.reject/3","doc":"With  Connect , you may flag accounts as suspicious. \n\n Test-mode Custom and Express accounts can be rejected at any time. Accounts created using live-mode keys may only be rejected once all balances are zero. \n\n##","ref":"Stripe.Account.html#reject/3"},{"type":"function","title":"Details - Stripe.Account.reject/3","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/reject`","ref":"Stripe.Account.html#reject/3-details"},{"type":"function","title":"Stripe.Account.retrieve/2","doc":"Retrieves the details of an account. \n\n##","ref":"Stripe.Account.html#retrieve/2"},{"type":"function","title":"Details - Stripe.Account.retrieve/2","doc":"* Method: `get`\n * Path: `/v1/account`","ref":"Stripe.Account.html#retrieve/2-details"},{"type":"function","title":"Stripe.Account.update/3","doc":"Updates a  connected account  by setting the values of the parameters passed. Any parameters not provided are\nleft unchanged. \n\n For Custom accounts, you can update any information on the account. For other accounts, you can update all information until that\naccount has started to go through Connect Onboarding. Once you create an  Account Link \nfor a Standard or Express account, some parameters can no longer be changed. These are marked as  Custom Only  or  Custom and Express \nbelow. \n\n To update your own account, use the  Dashboard . Refer to our\n Connect  documentation to learn more about updating accounts. \n\n##","ref":"Stripe.Account.html#update/3"},{"type":"function","title":"Details - Stripe.Account.update/3","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}`","ref":"Stripe.Account.html#update/3-details"},{"type":"type","title":"Stripe.Account.acss_debit_payments/0","doc":"The acss_debit_payments capability.","ref":"Stripe.Account.html#t:acss_debit_payments/0"},{"type":"type","title":"Stripe.Account.additional_document/0","doc":"A document showing address, either a passport, local ID card, or utility bill from a well-known utility company.","ref":"Stripe.Account.html#t:additional_document/0"},{"type":"type","title":"Stripe.Account.address/0","doc":"The company's primary address.","ref":"Stripe.Account.html#t:address/0"},{"type":"type","title":"Stripe.Account.address_kana/0","doc":"The Kana variation of the the individual's primary address (Japan only).","ref":"Stripe.Account.html#t:address_kana/0"},{"type":"type","title":"Stripe.Account.address_kanji/0","doc":"The Kanji variation of the company's primary address (Japan only).","ref":"Stripe.Account.html#t:address_kanji/0"},{"type":"type","title":"Stripe.Account.affirm_payments/0","doc":"The affirm_payments capability.","ref":"Stripe.Account.html#t:affirm_payments/0"},{"type":"type","title":"Stripe.Account.afterpay_clearpay_payments/0","doc":"The afterpay_clearpay_payments capability.","ref":"Stripe.Account.html#t:afterpay_clearpay_payments/0"},{"type":"type","title":"Stripe.Account.au_becs_debit_payments/0","doc":"The au_becs_debit_payments capability.","ref":"Stripe.Account.html#t:au_becs_debit_payments/0"},{"type":"type","title":"Stripe.Account.bacs_debit_payments/0","doc":"Settings specific to Bacs Direct Debit payments.","ref":"Stripe.Account.html#t:bacs_debit_payments/0"},{"type":"type","title":"Stripe.Account.bancontact_payments/0","doc":"The bancontact_payments capability.","ref":"Stripe.Account.html#t:bancontact_payments/0"},{"type":"type","title":"Stripe.Account.bank_account_ownership_verification/0","doc":"One or more documents that support the [Bank account ownership verification](https://support.stripe.com/questions/bank-account-ownership-verification) requirement. Must be a document associated with the account’s primary active bank account that displays the last 4 digits of the account number, either a statement or a voided check.","ref":"Stripe.Account.html#t:bank_account_ownership_verification/0"},{"type":"type","title":"Stripe.Account.bank_transfer_payments/0","doc":"The bank_transfer_payments capability.","ref":"Stripe.Account.html#t:bank_transfer_payments/0"},{"type":"type","title":"Stripe.Account.blik_payments/0","doc":"The blik_payments capability.","ref":"Stripe.Account.html#t:blik_payments/0"},{"type":"type","title":"Stripe.Account.boleto_payments/0","doc":"The boleto_payments capability.","ref":"Stripe.Account.html#t:boleto_payments/0"},{"type":"type","title":"Stripe.Account.branding/0","doc":"Settings used to apply the account's branding to email receipts, invoices, Checkout, and other products.","ref":"Stripe.Account.html#t:branding/0"},{"type":"type","title":"Stripe.Account.business_profile/0","doc":"Business information about the account.","ref":"Stripe.Account.html#t:business_profile/0"},{"type":"type","title":"Stripe.Account.capabilities/0","doc":"Each key of the dictionary represents a capability, and each capability maps to its settings (e.g. whether it has been requested or not). Each capability will be inactive until you have provided its specific requirements and Stripe has verified them. An account may have some of its requested capabilities be active and some be inactive.","ref":"Stripe.Account.html#t:capabilities/0"},{"type":"type","title":"Stripe.Account.card_issuing/0","doc":"Settings specific to the account's use of the Card Issuing product.","ref":"Stripe.Account.html#t:card_issuing/0"},{"type":"type","title":"Stripe.Account.card_payments/0","doc":"Settings specific to card charging on the account.","ref":"Stripe.Account.html#t:card_payments/0"},{"type":"type","title":"Stripe.Account.cartes_bancaires_payments/0","doc":"The cartes_bancaires_payments capability.","ref":"Stripe.Account.html#t:cartes_bancaires_payments/0"},{"type":"type","title":"Stripe.Account.cashapp_payments/0","doc":"The cashapp_payments capability.","ref":"Stripe.Account.html#t:cashapp_payments/0"},{"type":"type","title":"Stripe.Account.company/0","doc":"Information about the company or business. This field is available for any `business_type`.","ref":"Stripe.Account.html#t:company/0"},{"type":"type","title":"Stripe.Account.company_license/0","doc":"One or more documents that demonstrate proof of a company's license to operate.","ref":"Stripe.Account.html#t:company_license/0"},{"type":"type","title":"Stripe.Account.company_memorandum_of_association/0","doc":"One or more documents showing the company's Memorandum of Association.","ref":"Stripe.Account.html#t:company_memorandum_of_association/0"},{"type":"type","title":"Stripe.Account.company_ministerial_decree/0","doc":"(Certain countries only) One or more documents showing the ministerial decree legalizing the company's establishment.","ref":"Stripe.Account.html#t:company_ministerial_decree/0"},{"type":"type","title":"Stripe.Account.company_registration_verification/0","doc":"One or more documents that demonstrate proof of a company's registration with the appropriate local authorities.","ref":"Stripe.Account.html#t:company_registration_verification/0"},{"type":"type","title":"Stripe.Account.company_tax_id_verification/0","doc":"One or more documents that demonstrate proof of a company's tax ID.","ref":"Stripe.Account.html#t:company_tax_id_verification/0"},{"type":"type","title":"Stripe.Account.created/0","doc":"","ref":"Stripe.Account.html#t:created/0"},{"type":"type","title":"Stripe.Account.decline_on/0","doc":"Automatically declines certain charge types regardless of whether the card issuer accepted or declined the charge.","ref":"Stripe.Account.html#t:decline_on/0"},{"type":"type","title":"Stripe.Account.dob/0","doc":"","ref":"Stripe.Account.html#t:dob/0"},{"type":"type","title":"Stripe.Account.document/0","doc":"An identifying document, either a passport or local ID card.","ref":"Stripe.Account.html#t:document/0"},{"type":"type","title":"Stripe.Account.documents/0","doc":"Documents that may be submitted to satisfy various informational requests.","ref":"Stripe.Account.html#t:documents/0"},{"type":"type","title":"Stripe.Account.eps_payments/0","doc":"The eps_payments capability.","ref":"Stripe.Account.html#t:eps_payments/0"},{"type":"type","title":"Stripe.Account.fpx_payments/0","doc":"The fpx_payments capability.","ref":"Stripe.Account.html#t:fpx_payments/0"},{"type":"type","title":"Stripe.Account.giropay_payments/0","doc":"The giropay_payments capability.","ref":"Stripe.Account.html#t:giropay_payments/0"},{"type":"type","title":"Stripe.Account.grabpay_payments/0","doc":"The grabpay_payments capability.","ref":"Stripe.Account.html#t:grabpay_payments/0"},{"type":"type","title":"Stripe.Account.ideal_payments/0","doc":"The ideal_payments capability.","ref":"Stripe.Account.html#t:ideal_payments/0"},{"type":"type","title":"Stripe.Account.india_international_payments/0","doc":"The india_international_payments capability.","ref":"Stripe.Account.html#t:india_international_payments/0"},{"type":"type","title":"Stripe.Account.individual/0","doc":"Information about the person represented by the account. This field is null unless `business_type` is set to `individual`.","ref":"Stripe.Account.html#t:individual/0"},{"type":"type","title":"Stripe.Account.jcb_payments/0","doc":"The jcb_payments capability.","ref":"Stripe.Account.html#t:jcb_payments/0"},{"type":"type","title":"Stripe.Account.klarna_payments/0","doc":"The klarna_payments capability.","ref":"Stripe.Account.html#t:klarna_payments/0"},{"type":"type","title":"Stripe.Account.konbini_payments/0","doc":"The konbini_payments capability.","ref":"Stripe.Account.html#t:konbini_payments/0"},{"type":"type","title":"Stripe.Account.legacy_payments/0","doc":"The legacy_payments capability.","ref":"Stripe.Account.html#t:legacy_payments/0"},{"type":"type","title":"Stripe.Account.link_payments/0","doc":"The link_payments capability.","ref":"Stripe.Account.html#t:link_payments/0"},{"type":"type","title":"Stripe.Account.monthly_estimated_revenue/0","doc":"An estimate of the monthly revenue of the business. Only accepted for accounts in Brazil and India.","ref":"Stripe.Account.html#t:monthly_estimated_revenue/0"},{"type":"type","title":"Stripe.Account.ownership_declaration/0","doc":"This hash is used to attest that the beneficial owner information provided to Stripe is both current and correct.","ref":"Stripe.Account.html#t:ownership_declaration/0"},{"type":"type","title":"Stripe.Account.oxxo_payments/0","doc":"The oxxo_payments capability.","ref":"Stripe.Account.html#t:oxxo_payments/0"},{"type":"type","title":"Stripe.Account.p24_payments/0","doc":"The p24_payments capability.","ref":"Stripe.Account.html#t:p24_payments/0"},{"type":"type","title":"Stripe.Account.payments/0","doc":"Settings that apply across payment methods for charging on the account.","ref":"Stripe.Account.html#t:payments/0"},{"type":"type","title":"Stripe.Account.paynow_payments/0","doc":"The paynow_payments capability.","ref":"Stripe.Account.html#t:paynow_payments/0"},{"type":"type","title":"Stripe.Account.payouts/0","doc":"Settings specific to the account's payouts.","ref":"Stripe.Account.html#t:payouts/0"},{"type":"type","title":"Stripe.Account.promptpay_payments/0","doc":"The promptpay_payments capability.","ref":"Stripe.Account.html#t:promptpay_payments/0"},{"type":"type","title":"Stripe.Account.proof_of_registration/0","doc":"One or more documents showing the company’s proof of registration with the national business registry.","ref":"Stripe.Account.html#t:proof_of_registration/0"},{"type":"type","title":"Stripe.Account.registered_address/0","doc":"The individual's registered address.","ref":"Stripe.Account.html#t:registered_address/0"},{"type":"type","title":"Stripe.Account.relationship/0","doc":"","ref":"Stripe.Account.html#t:relationship/0"},{"type":"type","title":"Stripe.Account.revolut_pay_payments/0","doc":"The revolut_pay_payments capability.","ref":"Stripe.Account.html#t:revolut_pay_payments/0"},{"type":"type","title":"Stripe.Account.schedule/0","doc":"Details on when funds from charges are available, and when they are paid out to an external account. For details, see our [Setting Bank and Debit Card Payouts](https://stripe.com/docs/connect/bank-transfers#payout-information) documentation.","ref":"Stripe.Account.html#t:schedule/0"},{"type":"type","title":"Stripe.Account.sepa_debit_payments/0","doc":"The sepa_debit_payments capability.","ref":"Stripe.Account.html#t:sepa_debit_payments/0"},{"type":"type","title":"Stripe.Account.settings/0","doc":"Options for customizing how the account functions within Stripe.","ref":"Stripe.Account.html#t:settings/0"},{"type":"type","title":"Stripe.Account.sofort_payments/0","doc":"The sofort_payments capability.","ref":"Stripe.Account.html#t:sofort_payments/0"},{"type":"type","title":"Stripe.Account.support_address/0","doc":"A publicly available mailing address for sending support issues to.","ref":"Stripe.Account.html#t:support_address/0"},{"type":"type","title":"Stripe.Account.t/0","doc":"The `account` type.\n\n  * `business_profile` Business information about the account.\n  * `business_type` The business type.\n  * `capabilities` \n  * `charges_enabled` Whether the account can create live charges.\n  * `company` \n  * `controller` \n  * `country` The account's country.\n  * `created` Time at which the account was connected. Measured in seconds since the Unix epoch.\n  * `default_currency` Three-letter ISO currency code representing the default currency for the account. This must be a currency that [Stripe supports in the account's country](https://stripe.com/docs/payouts).\n  * `details_submitted` Whether account details have been submitted. Standard accounts cannot receive payouts before this is true.\n  * `email` An email address associated with the account. It's not used for authentication and Stripe doesn't market to this field without explicit approval from the platform.\n  * `external_accounts` External accounts (bank accounts and debit cards) currently attached to this account\n  * `future_requirements` \n  * `id` Unique identifier for the object.\n  * `individual` \n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `payouts_enabled` Whether Stripe can send payouts to this account.\n  * `requirements` \n  * `settings` Options for customizing how the account functions within Stripe.\n  * `tos_acceptance` \n  * `type` The Stripe account type. Can be `standard`, `express`, or `custom`.","ref":"Stripe.Account.html#t:t/0"},{"type":"type","title":"Stripe.Account.tax_reporting_us_1099_k/0","doc":"The tax_reporting_us_1099_k capability.","ref":"Stripe.Account.html#t:tax_reporting_us_1099_k/0"},{"type":"type","title":"Stripe.Account.tax_reporting_us_1099_misc/0","doc":"The tax_reporting_us_1099_misc capability.","ref":"Stripe.Account.html#t:tax_reporting_us_1099_misc/0"},{"type":"type","title":"Stripe.Account.tos_acceptance/0","doc":"Details on the account's acceptance of the Stripe Treasury Services Agreement.","ref":"Stripe.Account.html#t:tos_acceptance/0"},{"type":"type","title":"Stripe.Account.transfers/0","doc":"The transfers capability.","ref":"Stripe.Account.html#t:transfers/0"},{"type":"type","title":"Stripe.Account.treasury/0","doc":"Settings specific to the account's Treasury FinancialAccounts.","ref":"Stripe.Account.html#t:treasury/0"},{"type":"type","title":"Stripe.Account.us_bank_account_ach_payments/0","doc":"The us_bank_account_ach_payments capability.","ref":"Stripe.Account.html#t:us_bank_account_ach_payments/0"},{"type":"type","title":"Stripe.Account.verification/0","doc":"Information on the verification state of the company.","ref":"Stripe.Account.html#t:verification/0"},{"type":"type","title":"Stripe.Account.zip_payments/0","doc":"The zip_payments capability.","ref":"Stripe.Account.html#t:zip_payments/0"},{"type":"module","title":"Stripe.ApplicationFee","doc":"","ref":"Stripe.ApplicationFee.html"},{"type":"function","title":"Stripe.ApplicationFee.list/2","doc":"Returns a list of application fees you’ve previously collected. The application fees are returned in sorted order, with the most recent fees appearing first. \n\n##","ref":"Stripe.ApplicationFee.html#list/2"},{"type":"function","title":"Details - Stripe.ApplicationFee.list/2","doc":"* Method: `get`\n * Path: `/v1/application_fees`","ref":"Stripe.ApplicationFee.html#list/2-details"},{"type":"function","title":"Stripe.ApplicationFee.retrieve/3","doc":"Retrieves the details of an application fee that your account has collected. The same information is returned when refunding the application fee. \n\n##","ref":"Stripe.ApplicationFee.html#retrieve/3"},{"type":"function","title":"Details - Stripe.ApplicationFee.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/application_fees/{id}`","ref":"Stripe.ApplicationFee.html#retrieve/3-details"},{"type":"type","title":"Stripe.ApplicationFee.created/0","doc":"","ref":"Stripe.ApplicationFee.html#t:created/0"},{"type":"type","title":"Stripe.ApplicationFee.t/0","doc":"The `application_fee` type.\n\n  * `account` ID of the Stripe account this fee was taken from.\n  * `amount` Amount earned, in cents (or local equivalent).\n  * `amount_refunded` Amount in cents (or local equivalent) refunded (can be less than the amount attribute on the fee if a partial refund was issued)\n  * `application` ID of the Connect application that earned the fee.\n  * `balance_transaction` Balance transaction that describes the impact of this collected application fee on your account balance (not including refunds).\n  * `charge` ID of the charge that the application fee was taken from.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `originating_transaction` ID of the corresponding charge on the platform account, if this fee was the result of a charge using the `destination` parameter.\n  * `refunded` Whether the fee has been fully refunded. If the fee is only partially refunded, this attribute will still be false.\n  * `refunds` A list of refunds that have been applied to the fee.","ref":"Stripe.ApplicationFee.html#t:t/0"},{"type":"module","title":"Stripe.Capability","doc":"This is an object representing a capability for a Stripe account.\n\nRelated guide: [Account capabilities](https://stripe.com/docs/connect/account-capabilities)","ref":"Stripe.Capability.html"},{"type":"function","title":"Stripe.Capability.list/3","doc":"Returns a list of capabilities associated with the account. The capabilities are returned sorted by creation date, with the most recent capability appearing first. \n\n##","ref":"Stripe.Capability.html#list/3"},{"type":"function","title":"Details - Stripe.Capability.list/3","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/capabilities`","ref":"Stripe.Capability.html#list/3-details"},{"type":"function","title":"Stripe.Capability.retrieve/4","doc":"Retrieves information about the specified Account Capability. \n\n##","ref":"Stripe.Capability.html#retrieve/4"},{"type":"function","title":"Details - Stripe.Capability.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/capabilities/{capability}`","ref":"Stripe.Capability.html#retrieve/4-details"},{"type":"function","title":"Stripe.Capability.update/4","doc":"Updates an existing Account Capability. Request or remove a capability by updating its  requested  parameter. \n\n##","ref":"Stripe.Capability.html#update/4"},{"type":"function","title":"Details - Stripe.Capability.update/4","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/capabilities/{capability}`","ref":"Stripe.Capability.html#update/4-details"},{"type":"type","title":"Stripe.Capability.t/0","doc":"The `capability` type.\n\n  * `account` The account for which the capability enables functionality.\n  * `future_requirements` \n  * `id` The identifier for the capability.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `requested` Whether the capability has been requested.\n  * `requested_at` Time at which the capability was requested. Measured in seconds since the Unix epoch.\n  * `requirements` \n  * `status` The status of the capability. Can be `active`, `inactive`, `pending`, or `unrequested`.","ref":"Stripe.Capability.html#t:t/0"},{"type":"behaviour","title":"Stripe.Connect.OAuth","doc":"Work with Stripe Connect.\n\nYou can:\n\n- generate the URL for starting the OAuth workflow\n- authorize a new connected account with a token\n- deauthorize an existing connected account\n\nStripe API reference: https://stripe.com/docs/connect/reference","ref":"Stripe.Connect.OAuth.html"},{"type":"callback","title":"Stripe.Connect.OAuth.authorize_url/1","doc":"","ref":"Stripe.Connect.OAuth.html#c:authorize_url/1"},{"type":"function","title":"Stripe.Connect.OAuth.authorize_url/2","doc":"Generate the URL to start a Stripe workflow.","ref":"Stripe.Connect.OAuth.html#authorize_url/2"},{"type":"function","title":"Parameter Map Keys - Stripe.Connect.OAuth.authorize_url/2","doc":"The parameter map keys are derived from the [valid request parameter](https://stripe.com/docs/connect/reference)\nfor the Stripe Connect authorize endpoint. A parameter only needs to be provided if\nyou wish to override the default.\n\n- `:always_prompt`\n- `:client_id`\n- `:redirect_uri`\n- `:response_type`\n- `:scope`\n- `:state`\n- `:stripe_landing`\n- `:stripe_user`\n\nFor ease of use, any parameters you provide will be merged into\nthe following default map with sensible defaults. This also allows\nyou to call the function with no parameters and it will fall\nback to this map:\n\n```\n%{\n  client_id: client_id, # :connect_client_id from configuration\n  response_type: \"code\",\n  scope: \"read_write\"\n}\n```","ref":"Stripe.Connect.OAuth.html#authorize_url/2-parameter-map-keys"},{"type":"function","title":"Example - Stripe.Connect.OAuth.authorize_url/2","doc":"```\nconnect_opts = %{\n  state: \"2686e7a93156ff5af76a83262ac653\",\n  stripe_user: %{\n    \"email\" => \"local@business.example.net\",\n    \"url\" => \"http://local.example.net\",\n    \"country\" => \"US\",\n    \"phone_number\" => \"5555555678\",\n    \"business_name\" => \"Jeanine & Jerome's Jellies\",\n    \"businessy_type\" => \"llc\",\n    \"first_name\" => \"Jeanine\",\n    \"last_name\" => \"Smith\",\n    \"dob_day\" => 29,\n    \"dob_month\" => 1,\n    \"dob_year\" => 1983,\n    \"street_address\" => \"123 Main St.\",\n    \"product_category\" => \"food_and_restuarants\"\n  }\n}\nurl = Stripe.Connect.OAuth.authorize_url(connect_opts)\n```","ref":"Stripe.Connect.OAuth.html#authorize_url/2-example"},{"type":"function","title":"Stripe.Connect.OAuth.deauthorize/1","doc":"De-authorizes the connected account.\n\nRequires the customer to re-establish the link using the onboarding workflow.","ref":"Stripe.Connect.OAuth.html#deauthorize/1"},{"type":"function","title":"Example - Stripe.Connect.OAuth.deauthorize/1","doc":"```\niex(1)> {:ok, result} = Stripe.Connect.OAuth.deauthorize(stripe_user_id)\n```","ref":"Stripe.Connect.OAuth.html#deauthorize/1-example"},{"type":"callback","title":"Stripe.Connect.OAuth.deauthorize_url/1","doc":"","ref":"Stripe.Connect.OAuth.html#c:deauthorize_url/1"},{"type":"callback","title":"Stripe.Connect.OAuth.token/1","doc":"","ref":"Stripe.Connect.OAuth.html#c:token/1"},{"type":"function","title":"Stripe.Connect.OAuth.token/2","doc":"Execute the OAuth callback to Stripe using the code supplied in the request parameter of the oauth redirect at the end of the onboarding workflow.","ref":"Stripe.Connect.OAuth.html#token/2"},{"type":"function","title":"Example - Stripe.Connect.OAuth.token/2","doc":"```\niex(1)> {:ok, resp} = Stripe.Connect.OAuth.token(code)\n...(1)> IO.inspect resp\n%Stripe.Connect.OAuth.TokenResponse{\n    access_token: \"ACCESS_TOKEN\",\n    livemode: false,\n    refresh_token: \"REFRESH_TOKEN\",\n    scope: \"read_write\",\n    stripe_publishable_key: \"PUBLISHABLE_KEY\",\n    stripe_user_id: \"USER_ID\",\n    token_type: \"bearer\"\n}\n```","ref":"Stripe.Connect.OAuth.html#token/2-example"},{"type":"module","title":"Stripe.CountrySpec","doc":"Stripe needs to collect certain pieces of information about each account\ncreated. These requirements can differ depending on the account's country. The\nCountry Specs API makes these rules available to your integration.\n\nYou can also view the information from this API call as [an online\nguide](/docs/connect/required-verification-information).","ref":"Stripe.CountrySpec.html"},{"type":"function","title":"Stripe.CountrySpec.list/2","doc":"Lists all Country Spec objects available in the API. \n\n##","ref":"Stripe.CountrySpec.html#list/2"},{"type":"function","title":"Details - Stripe.CountrySpec.list/2","doc":"* Method: `get`\n * Path: `/v1/country_specs`","ref":"Stripe.CountrySpec.html#list/2-details"},{"type":"function","title":"Stripe.CountrySpec.retrieve/3","doc":"Returns a Country Spec for a given Country code. \n\n##","ref":"Stripe.CountrySpec.html#retrieve/3"},{"type":"function","title":"Details - Stripe.CountrySpec.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/country_specs/{country}`","ref":"Stripe.CountrySpec.html#retrieve/3-details"},{"type":"type","title":"Stripe.CountrySpec.t/0","doc":"The `country_spec` type.\n\n  * `default_currency` The default currency for this country. This applies to both payment methods and bank accounts.\n  * `id` Unique identifier for the object. Represented as the ISO country code for this country.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `supported_bank_account_currencies` Currencies that can be accepted in the specific country (for transfers).\n  * `supported_payment_currencies` Currencies that can be accepted in the specified country (for payments).\n  * `supported_payment_methods` Payment methods available in the specified country. You may need to enable some payment methods (e.g., [ACH](https://stripe.com/docs/ach)) on your account before they appear in this list. The `stripe` payment method refers to [charging through your platform](https://stripe.com/docs/connect/destination-charges).\n  * `supported_transfer_countries` Countries that can accept transfers from the specified country.\n  * `verification_fields`","ref":"Stripe.CountrySpec.html#t:t/0"},{"type":"module","title":"Stripe.ExternalAccount","doc":"","ref":"Stripe.ExternalAccount.html"},{"type":"function","title":"Stripe.ExternalAccount.create/3","doc":"Create an external account for a given account. \n\n##","ref":"Stripe.ExternalAccount.html#create/3"},{"type":"function","title":"Details - Stripe.ExternalAccount.create/3","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/external_accounts`","ref":"Stripe.ExternalAccount.html#create/3-details"},{"type":"function","title":"Stripe.ExternalAccount.delete/3","doc":"Delete a specified external account for a given account. \n\n##","ref":"Stripe.ExternalAccount.html#delete/3"},{"type":"function","title":"Details - Stripe.ExternalAccount.delete/3","doc":"* Method: `delete`\n * Path: `/v1/accounts/{account}/external_accounts/{id}`","ref":"Stripe.ExternalAccount.html#delete/3-details"},{"type":"function","title":"Stripe.ExternalAccount.list/3","doc":"List external accounts for an account. \n\n##","ref":"Stripe.ExternalAccount.html#list/3"},{"type":"function","title":"Details - Stripe.ExternalAccount.list/3","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/external_accounts`","ref":"Stripe.ExternalAccount.html#list/3-details"},{"type":"function","title":"Stripe.ExternalAccount.retrieve/4","doc":"Retrieve a specified external account for a given account. \n\n##","ref":"Stripe.ExternalAccount.html#retrieve/4"},{"type":"function","title":"Details - Stripe.ExternalAccount.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/external_accounts/{id}`","ref":"Stripe.ExternalAccount.html#retrieve/4-details"},{"type":"function","title":"Stripe.ExternalAccount.update/4","doc":"Updates the metadata, account holder name, account holder type of a bank account belonging to a  Custom account , and optionally sets it as the default for its currency. Other bank account details are not editable by design. \n\n You can re-enable a disabled bank account by performing an update call without providing any arguments or changes. \n\n##","ref":"Stripe.ExternalAccount.html#update/4"},{"type":"function","title":"Details - Stripe.ExternalAccount.update/4","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/external_accounts/{id}`","ref":"Stripe.ExternalAccount.html#update/4-details"},{"type":"type","title":"Stripe.ExternalAccount.bank_account_ownership_verification/0","doc":"One or more documents that support the [Bank account ownership verification](https://support.stripe.com/questions/bank-account-ownership-verification) requirement. Must be a document associated with the bank account that displays the last 4 digits of the account number, either a statement or a voided check.","ref":"Stripe.ExternalAccount.html#t:bank_account_ownership_verification/0"},{"type":"type","title":"Stripe.ExternalAccount.documents/0","doc":"Documents that may be submitted to satisfy various informational requests.","ref":"Stripe.ExternalAccount.html#t:documents/0"},{"type":"type","title":"Stripe.ExternalAccount.t/0","doc":"The `external_account` type.","ref":"Stripe.ExternalAccount.html#t:t/0"},{"type":"module","title":"Stripe.FeeRefund","doc":"`Application Fee Refund` objects allow you to refund an application fee that\nhas previously been created but not yet refunded. Funds will be refunded to\nthe Stripe account from which the fee was originally collected.\n\nRelated guide: [Refunding application fees](https://stripe.com/docs/connect/destination-charges#refunding-app-fee)","ref":"Stripe.FeeRefund.html"},{"type":"function","title":"Stripe.FeeRefund.create/3","doc":"Refunds an application fee that has previously been collected but not yet refunded.\nFunds will be refunded to the Stripe account from which the fee was originally collected. \n\n You can optionally refund only part of an application fee.\nYou can do so multiple times, until the entire fee has been refunded. \n\n Once entirely refunded, an application fee can’t be refunded again.\nThis method will raise an error when called on an already-refunded application fee,\nor when trying to refund more money than is left on an application fee. \n\n##","ref":"Stripe.FeeRefund.html#create/3"},{"type":"function","title":"Details - Stripe.FeeRefund.create/3","doc":"* Method: `post`\n * Path: `/v1/application_fees/{id}/refunds`","ref":"Stripe.FeeRefund.html#create/3-details"},{"type":"function","title":"Stripe.FeeRefund.list/3","doc":"You can see a list of the refunds belonging to a specific application fee. Note that the 10 most recent refunds are always available by default on the application fee object. If you need more than those 10, you can use this API method and the  limit  and  starting_after  parameters to page through additional refunds. \n\n##","ref":"Stripe.FeeRefund.html#list/3"},{"type":"function","title":"Details - Stripe.FeeRefund.list/3","doc":"* Method: `get`\n * Path: `/v1/application_fees/{id}/refunds`","ref":"Stripe.FeeRefund.html#list/3-details"},{"type":"function","title":"Stripe.FeeRefund.retrieve/4","doc":"By default, you can see the 10 most recent refunds stored directly on the application fee object, but you can also retrieve details about a specific refund stored on the application fee. \n\n##","ref":"Stripe.FeeRefund.html#retrieve/4"},{"type":"function","title":"Details - Stripe.FeeRefund.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/application_fees/{fee}/refunds/{id}`","ref":"Stripe.FeeRefund.html#retrieve/4-details"},{"type":"function","title":"Stripe.FeeRefund.update/4","doc":"Updates the specified application fee refund by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n This request only accepts metadata as an argument. \n\n##","ref":"Stripe.FeeRefund.html#update/4"},{"type":"function","title":"Details - Stripe.FeeRefund.update/4","doc":"* Method: `post`\n * Path: `/v1/application_fees/{fee}/refunds/{id}`","ref":"Stripe.FeeRefund.html#update/4-details"},{"type":"type","title":"Stripe.FeeRefund.t/0","doc":"The `fee_refund` type.\n\n  * `amount` Amount, in cents (or local equivalent).\n  * `balance_transaction` Balance transaction that describes the impact on your account balance.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `fee` ID of the application fee that was refunded.\n  * `id` Unique identifier for the object.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.FeeRefund.html#t:t/0"},{"type":"module","title":"Stripe.LoginLink","doc":"Login Links are single-use login link for an Express account to access their Stripe dashboard.","ref":"Stripe.LoginLink.html"},{"type":"function","title":"Stripe.LoginLink.create/3","doc":"Creates a single-use login link for an Express account to access their Stripe dashboard. \n\n  You may only create login links for  Express accounts  connected to your platform . \n\n##","ref":"Stripe.LoginLink.html#create/3"},{"type":"function","title":"Details - Stripe.LoginLink.create/3","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/login_links`","ref":"Stripe.LoginLink.html#create/3-details"},{"type":"type","title":"Stripe.LoginLink.t/0","doc":"The `login_link` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `url` The URL for the login link.","ref":"Stripe.LoginLink.html#t:t/0"},{"type":"module","title":"Stripe.Topup","doc":"To top up your Stripe balance, you create a top-up object. You can retrieve\nindividual top-ups, as well as list all top-ups. Top-ups are identified by a\nunique, random ID.\n\nRelated guide: [Topping up your platform account](https://stripe.com/docs/connect/top-ups)","ref":"Stripe.Topup.html"},{"type":"function","title":"Stripe.Topup.cancel/3","doc":"Cancels a top-up. Only pending top-ups can be canceled. \n\n##","ref":"Stripe.Topup.html#cancel/3"},{"type":"function","title":"Details - Stripe.Topup.cancel/3","doc":"* Method: `post`\n * Path: `/v1/topups/{topup}/cancel`","ref":"Stripe.Topup.html#cancel/3-details"},{"type":"function","title":"Stripe.Topup.create/2","doc":"Top up the balance of an account \n\n##","ref":"Stripe.Topup.html#create/2"},{"type":"function","title":"Details - Stripe.Topup.create/2","doc":"* Method: `post`\n * Path: `/v1/topups`","ref":"Stripe.Topup.html#create/2-details"},{"type":"function","title":"Stripe.Topup.list/2","doc":"Returns a list of top-ups. \n\n##","ref":"Stripe.Topup.html#list/2"},{"type":"function","title":"Details - Stripe.Topup.list/2","doc":"* Method: `get`\n * Path: `/v1/topups`","ref":"Stripe.Topup.html#list/2-details"},{"type":"function","title":"Stripe.Topup.retrieve/3","doc":"Retrieves the details of a top-up that has previously been created. Supply the unique top-up ID that was returned from your previous request, and Stripe will return the corresponding top-up information. \n\n##","ref":"Stripe.Topup.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Topup.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/topups/{topup}`","ref":"Stripe.Topup.html#retrieve/3-details"},{"type":"function","title":"Stripe.Topup.update/3","doc":"Updates the metadata of a top-up. Other top-up details are not editable by design. \n\n##","ref":"Stripe.Topup.html#update/3"},{"type":"function","title":"Details - Stripe.Topup.update/3","doc":"* Method: `post`\n * Path: `/v1/topups/{topup}`","ref":"Stripe.Topup.html#update/3-details"},{"type":"type","title":"Stripe.Topup.amount/0","doc":"","ref":"Stripe.Topup.html#t:amount/0"},{"type":"type","title":"Stripe.Topup.created/0","doc":"","ref":"Stripe.Topup.html#t:created/0"},{"type":"type","title":"Stripe.Topup.t/0","doc":"The `topup` type.\n\n  * `amount` Amount transferred.\n  * `balance_transaction` ID of the balance transaction that describes the impact of this top-up on your account balance. May not be specified depending on status of top-up.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `expected_availability_date` Date the funds are expected to arrive in your Stripe account for payouts. This factors in delays like weekends or bank holidays. May not be specified depending on status of top-up.\n  * `failure_code` Error code explaining reason for top-up failure if available (see [the errors section](https://stripe.com/docs/api#errors) for a list of codes).\n  * `failure_message` Message to user further explaining reason for top-up failure if available.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `source` The source field is deprecated. It might not always be present in the API response.\n  * `statement_descriptor` Extra information about a top-up. This will appear on your source's bank statement. It must contain at least one letter.\n  * `status` The status of the top-up is either `canceled`, `failed`, `pending`, `reversed`, or `succeeded`.\n  * `transfer_group` A string that identifies this top-up as part of a group.","ref":"Stripe.Topup.html#t:t/0"},{"type":"module","title":"Stripe.Transfer","doc":"A `Transfer` object is created when you move funds between Stripe accounts as\npart of Connect.\n\nBefore April 6, 2017, transfers also represented movement of funds from a\nStripe account to a card or bank account. This behavior has since been split\nout into a [Payout](https://stripe.com/docs/api#payout_object) object, with corresponding payout endpoints. For more\ninformation, read about the\n[transfer/payout split](https://stripe.com/docs/transfer-payout-split).\n\nRelated guide: [Creating separate charges and transfers](https://stripe.com/docs/connect/separate-charges-and-transfers)","ref":"Stripe.Transfer.html"},{"type":"function","title":"Stripe.Transfer.create/2","doc":"To send funds from your Stripe account to a connected account, you create a new transfer object. Your  Stripe balance  must be able to cover the transfer amount, or you’ll receive an “Insufficient Funds” error. \n\n##","ref":"Stripe.Transfer.html#create/2"},{"type":"function","title":"Details - Stripe.Transfer.create/2","doc":"* Method: `post`\n * Path: `/v1/transfers`","ref":"Stripe.Transfer.html#create/2-details"},{"type":"function","title":"Stripe.Transfer.list/2","doc":"Returns a list of existing transfers sent to connected accounts. The transfers are returned in sorted order, with the most recently created transfers appearing first. \n\n##","ref":"Stripe.Transfer.html#list/2"},{"type":"function","title":"Details - Stripe.Transfer.list/2","doc":"* Method: `get`\n * Path: `/v1/transfers`","ref":"Stripe.Transfer.html#list/2-details"},{"type":"function","title":"Stripe.Transfer.retrieve/3","doc":"Retrieves the details of an existing transfer. Supply the unique transfer ID from either a transfer creation request or the transfer list, and Stripe will return the corresponding transfer information. \n\n##","ref":"Stripe.Transfer.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Transfer.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/transfers/{transfer}`","ref":"Stripe.Transfer.html#retrieve/3-details"},{"type":"function","title":"Stripe.Transfer.update/3","doc":"Updates the specified transfer by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n This request accepts only metadata as an argument. \n\n##","ref":"Stripe.Transfer.html#update/3"},{"type":"function","title":"Details - Stripe.Transfer.update/3","doc":"* Method: `post`\n * Path: `/v1/transfers/{transfer}`","ref":"Stripe.Transfer.html#update/3-details"},{"type":"type","title":"Stripe.Transfer.created/0","doc":"","ref":"Stripe.Transfer.html#t:created/0"},{"type":"type","title":"Stripe.Transfer.t/0","doc":"The `transfer` type.\n\n  * `amount` Amount in cents (or local equivalent) to be transferred.\n  * `amount_reversed` Amount in cents (or local equivalent) reversed (can be less than the amount attribute on the transfer if a partial reversal was issued).\n  * `balance_transaction` Balance transaction that describes the impact of this transfer on your account balance.\n  * `created` Time that this record of the transfer was first created.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `destination` ID of the Stripe account the transfer was sent to.\n  * `destination_payment` If the destination is a Stripe account, this will be the ID of the payment that the destination account received for the transfer.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `reversals` A list of reversals that have been applied to the transfer.\n  * `reversed` Whether the transfer has been fully reversed. If the transfer is only partially reversed, this attribute will still be false.\n  * `source_transaction` ID of the charge or payment that was used to fund the transfer. If null, the transfer was funded from the available balance.\n  * `source_type` The source balance this transfer came from. One of `card`, `fpx`, or `bank_account`.\n  * `transfer_group` A string that identifies this transaction as part of a group. See the [Connect documentation](https://stripe.com/docs/connect/separate-charges-and-transfers#transfer-options) for details.","ref":"Stripe.Transfer.html#t:t/0"},{"type":"module","title":"Stripe.TransferReversal","doc":"[Stripe Connect](https://stripe.com/docs/connect) platforms can reverse transfers made to a\nconnected account, either entirely or partially, and can also specify whether\nto refund any related application fees. Transfer reversals add to the\nplatform's balance and subtract from the destination account's balance.\n\nReversing a transfer that was made for a [destination\ncharge](/docs/connect/destination-charges) is allowed only up to the amount of\nthe charge. It is possible to reverse a\n[transfer_group](https://stripe.com/docs/connect/separate-charges-and-transfers#transfer-options)\ntransfer only if the destination account has enough balance to cover the\nreversal.\n\nRelated guide: [Reversing transfers](https://stripe.com/docs/connect/separate-charges-and-transfers#reversing-transfers)","ref":"Stripe.TransferReversal.html"},{"type":"function","title":"Stripe.TransferReversal.create/3","doc":"When you create a new reversal, you must specify a transfer to create it on. \n\n When reversing transfers, you can optionally reverse part of the transfer. You can do so as many times as you wish until the entire transfer has been reversed. \n\n Once entirely reversed, a transfer can’t be reversed again. This method will return an error when called on an already-reversed transfer, or when trying to reverse more money than is left on a transfer. \n\n##","ref":"Stripe.TransferReversal.html#create/3"},{"type":"function","title":"Details - Stripe.TransferReversal.create/3","doc":"* Method: `post`\n * Path: `/v1/transfers/{id}/reversals`","ref":"Stripe.TransferReversal.html#create/3-details"},{"type":"function","title":"Stripe.TransferReversal.list/3","doc":"You can see a list of the reversals belonging to a specific transfer. Note that the 10 most recent reversals are always available by default on the transfer object. If you need more than those 10, you can use this API method and the  limit  and  starting_after  parameters to page through additional reversals. \n\n##","ref":"Stripe.TransferReversal.html#list/3"},{"type":"function","title":"Details - Stripe.TransferReversal.list/3","doc":"* Method: `get`\n * Path: `/v1/transfers/{id}/reversals`","ref":"Stripe.TransferReversal.html#list/3-details"},{"type":"function","title":"Stripe.TransferReversal.retrieve/4","doc":"By default, you can see the 10 most recent reversals stored directly on the transfer object, but you can also retrieve details about a specific reversal stored on the transfer. \n\n##","ref":"Stripe.TransferReversal.html#retrieve/4"},{"type":"function","title":"Details - Stripe.TransferReversal.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/transfers/{transfer}/reversals/{id}`","ref":"Stripe.TransferReversal.html#retrieve/4-details"},{"type":"function","title":"Stripe.TransferReversal.update/4","doc":"Updates the specified reversal by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n This request only accepts metadata and description as arguments. \n\n##","ref":"Stripe.TransferReversal.html#update/4"},{"type":"function","title":"Details - Stripe.TransferReversal.update/4","doc":"* Method: `post`\n * Path: `/v1/transfers/{transfer}/reversals/{id}`","ref":"Stripe.TransferReversal.html#update/4-details"},{"type":"type","title":"Stripe.TransferReversal.t/0","doc":"The `transfer_reversal` type.\n\n  * `amount` Amount, in cents (or local equivalent).\n  * `balance_transaction` Balance transaction that describes the impact on your account balance.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `destination_payment_refund` Linked payment refund for the transfer reversal.\n  * `id` Unique identifier for the object.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `source_refund` ID of the refund responsible for the transfer reversal.\n  * `transfer` ID of the transfer that was reversed.","ref":"Stripe.TransferReversal.html#t:t/0"},{"type":"module","title":"Stripe.Connect.OAuth.AuthorizeResponse","doc":"","ref":"Stripe.Connect.OAuth.AuthorizeResponse.html"},{"type":"module","title":"Stripe.Connect.OAuth.DeauthorizeResponse","doc":"","ref":"Stripe.Connect.OAuth.DeauthorizeResponse.html"},{"type":"module","title":"Stripe.Connect.OAuth.TokenResponse","doc":"","ref":"Stripe.Connect.OAuth.TokenResponse.html"},{"type":"module","title":"Stripe.Radar.EarlyFraudWarning","doc":"An early fraud warning indicates that the card issuer has notified us that a\ncharge may be fraudulent.\n\nRelated guide: [Early fraud warnings](https://stripe.com/docs/disputes/measuring#early-fraud-warnings)","ref":"Stripe.Radar.EarlyFraudWarning.html"},{"type":"function","title":"Stripe.Radar.EarlyFraudWarning.list/2","doc":"Returns a list of early fraud warnings. \n\n##","ref":"Stripe.Radar.EarlyFraudWarning.html#list/2"},{"type":"function","title":"Details - Stripe.Radar.EarlyFraudWarning.list/2","doc":"* Method: `get`\n * Path: `/v1/radar/early_fraud_warnings`","ref":"Stripe.Radar.EarlyFraudWarning.html#list/2-details"},{"type":"function","title":"Stripe.Radar.EarlyFraudWarning.retrieve/3","doc":"Retrieves the details of an early fraud warning that has previously been created.  \n\n Please refer to the  early fraud warning  object reference for more details. \n\n##","ref":"Stripe.Radar.EarlyFraudWarning.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Radar.EarlyFraudWarning.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/radar/early_fraud_warnings/{early_fraud_warning}`","ref":"Stripe.Radar.EarlyFraudWarning.html#retrieve/3-details"},{"type":"type","title":"Stripe.Radar.EarlyFraudWarning.created/0","doc":"","ref":"Stripe.Radar.EarlyFraudWarning.html#t:created/0"},{"type":"type","title":"Stripe.Radar.EarlyFraudWarning.t/0","doc":"The `radar.early_fraud_warning` type.\n\n  * `actionable` An EFW is actionable if it has not received a dispute and has not been fully refunded. You may wish to proactively refund a charge that receives an EFW, in order to avoid receiving a dispute later.\n  * `charge` ID of the charge this early fraud warning is for, optionally expanded.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `fraud_type` The type of fraud labelled by the issuer. One of `card_never_received`, `fraudulent_card_application`, `made_with_counterfeit_card`, `made_with_lost_card`, `made_with_stolen_card`, `misc`, `unauthorized_use_of_card`.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `payment_intent` ID of the Payment Intent this early fraud warning is for, optionally expanded.","ref":"Stripe.Radar.EarlyFraudWarning.html#t:t/0"},{"type":"module","title":"Stripe.Review","doc":"Reviews can be used to supplement automated fraud detection with human expertise.\n\nLearn more about [Radar](/radar) and reviewing payments\n[here](https://stripe.com/docs/radar/reviews).","ref":"Stripe.Review.html"},{"type":"function","title":"Stripe.Review.approve/3","doc":"Approves a  Review  object, closing it and removing it from the list of reviews. \n\n##","ref":"Stripe.Review.html#approve/3"},{"type":"function","title":"Details - Stripe.Review.approve/3","doc":"* Method: `post`\n * Path: `/v1/reviews/{review}/approve`","ref":"Stripe.Review.html#approve/3-details"},{"type":"function","title":"Stripe.Review.list/2","doc":"Returns a list of  Review  objects that have  open  set to  true . The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Review.html#list/2"},{"type":"function","title":"Details - Stripe.Review.list/2","doc":"* Method: `get`\n * Path: `/v1/reviews`","ref":"Stripe.Review.html#list/2-details"},{"type":"function","title":"Stripe.Review.retrieve/3","doc":"Retrieves a  Review  object. \n\n##","ref":"Stripe.Review.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Review.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/reviews/{review}`","ref":"Stripe.Review.html#retrieve/3-details"},{"type":"type","title":"Stripe.Review.created/0","doc":"","ref":"Stripe.Review.html#t:created/0"},{"type":"type","title":"Stripe.Review.t/0","doc":"The `review` type.\n\n  * `billing_zip` The ZIP or postal code of the card used, if applicable.\n  * `charge` The charge associated with this review.\n  * `closed_reason` The reason the review was closed, or null if it has not yet been closed. One of `approved`, `refunded`, `refunded_as_fraud`, `disputed`, or `redacted`.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `id` Unique identifier for the object.\n  * `ip_address` The IP address where the payment originated.\n  * `ip_address_location` Information related to the location of the payment. Note that this information is an approximation and attempts to locate the nearest population center - it should not be used to determine a specific address.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `open` If `true`, the review needs action.\n  * `opened_reason` The reason the review was opened. One of `rule` or `manual`.\n  * `payment_intent` The PaymentIntent ID associated with this review, if one exists.\n  * `reason` The reason the review is currently open or closed. One of `rule`, `manual`, `approved`, `refunded`, `refunded_as_fraud`, `disputed`, or `redacted`.\n  * `session` Information related to the browsing session of the user who initiated the payment.","ref":"Stripe.Review.html#t:t/0"},{"type":"module","title":"Stripe.Identity.VerificationReport","doc":"A VerificationReport is the result of an attempt to collect and verify data from a user.\nThe collection of verification checks performed is determined from the `type` and `options`\nparameters used. You can find the result of each verification check performed in the\nappropriate sub-resource: `document`, `id_number`, `selfie`.\n\nEach VerificationReport contains a copy of any data collected by the user as well as\nreference IDs which can be used to access collected images through the [FileUpload](https://stripe.com/docs/api/files)\nAPI. To configure and create VerificationReports, use the\n[VerificationSession](https://stripe.com/docs/api/identity/verification_sessions) API.\n\nRelated guides: [Accessing verification results](https://stripe.com/docs/identity/verification-sessions#results).","ref":"Stripe.Identity.VerificationReport.html"},{"type":"function","title":"Stripe.Identity.VerificationReport.list/2","doc":"List all verification reports. \n\n##","ref":"Stripe.Identity.VerificationReport.html#list/2"},{"type":"function","title":"Details - Stripe.Identity.VerificationReport.list/2","doc":"* Method: `get`\n * Path: `/v1/identity/verification_reports`","ref":"Stripe.Identity.VerificationReport.html#list/2-details"},{"type":"function","title":"Stripe.Identity.VerificationReport.retrieve/3","doc":"Retrieves an existing VerificationReport \n\n##","ref":"Stripe.Identity.VerificationReport.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Identity.VerificationReport.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/identity/verification_reports/{report}`","ref":"Stripe.Identity.VerificationReport.html#retrieve/3-details"},{"type":"type","title":"Stripe.Identity.VerificationReport.created/0","doc":"","ref":"Stripe.Identity.VerificationReport.html#t:created/0"},{"type":"type","title":"Stripe.Identity.VerificationReport.t/0","doc":"The `identity.verification_report` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `document` \n  * `id` Unique identifier for the object.\n  * `id_number` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `options` \n  * `selfie` \n  * `type` Type of report.\n  * `verification_session` ID of the VerificationSession that created this report.","ref":"Stripe.Identity.VerificationReport.html#t:t/0"},{"type":"module","title":"Stripe.Identity.VerificationSession","doc":"A VerificationSession guides you through the process of collecting and verifying the identities\nof your users. It contains details about the type of verification, such as what [verification\ncheck](/docs/identity/verification-checks) to perform. Only create one VerificationSession for\neach verification in your system.\n\nA VerificationSession transitions through [multiple\nstatuses](/docs/identity/how-sessions-work) throughout its lifetime as it progresses through\nthe verification flow. The VerificationSession contains the user's verified data after\nverification checks are complete.\n\nRelated guide: [The Verification Sessions API](https://stripe.com/docs/identity/verification-sessions)","ref":"Stripe.Identity.VerificationSession.html"},{"type":"function","title":"Stripe.Identity.VerificationSession.cancel/3","doc":"A VerificationSession object can be canceled when it is in  requires_input   status . \n\n Once canceled, future submission attempts are disabled. This cannot be undone.  Learn more . \n\n##","ref":"Stripe.Identity.VerificationSession.html#cancel/3"},{"type":"function","title":"Details - Stripe.Identity.VerificationSession.cancel/3","doc":"* Method: `post`\n * Path: `/v1/identity/verification_sessions/{session}/cancel`","ref":"Stripe.Identity.VerificationSession.html#cancel/3-details"},{"type":"function","title":"Stripe.Identity.VerificationSession.create/2","doc":"Creates a VerificationSession object. \n\n After the VerificationSession is created, display a verification modal using the session  client_secret  or send your users to the session’s  url . \n\n If your API key is in test mode, verification checks won’t actually process, though everything else will occur as if in live mode. \n\n Related guide:  Verify your users’ identity documents  \n\n##","ref":"Stripe.Identity.VerificationSession.html#create/2"},{"type":"function","title":"Details - Stripe.Identity.VerificationSession.create/2","doc":"* Method: `post`\n * Path: `/v1/identity/verification_sessions`","ref":"Stripe.Identity.VerificationSession.html#create/2-details"},{"type":"function","title":"Stripe.Identity.VerificationSession.list/2","doc":"Returns a list of VerificationSessions \n\n##","ref":"Stripe.Identity.VerificationSession.html#list/2"},{"type":"function","title":"Details - Stripe.Identity.VerificationSession.list/2","doc":"* Method: `get`\n * Path: `/v1/identity/verification_sessions`","ref":"Stripe.Identity.VerificationSession.html#list/2-details"},{"type":"function","title":"Stripe.Identity.VerificationSession.redact/3","doc":"Redact a VerificationSession to remove all collected information from Stripe. This will redact\nthe VerificationSession and all objects related to it, including VerificationReports, Events,\nrequest logs, etc. \n\n A VerificationSession object can be redacted when it is in  requires_input  or  verified \n status . Redacting a VerificationSession in  requires_action \nstate will automatically cancel it. \n\n The redaction process may take up to four days. When the redaction process is in progress, the\nVerificationSession’s  redaction.status  field will be set to  processing ; when the process is\nfinished, it will change to  redacted  and an  identity.verification_session.redacted  event\nwill be emitted. \n\n Redaction is irreversible. Redacted objects are still accessible in the Stripe API, but all the\nfields that contain personal data will be replaced by the string  [redacted]  or a similar\nplaceholder. The  metadata  field will also be erased. Redacted objects cannot be updated or\nused for any purpose. \n\n  Learn more . \n\n##","ref":"Stripe.Identity.VerificationSession.html#redact/3"},{"type":"function","title":"Details - Stripe.Identity.VerificationSession.redact/3","doc":"* Method: `post`\n * Path: `/v1/identity/verification_sessions/{session}/redact`","ref":"Stripe.Identity.VerificationSession.html#redact/3-details"},{"type":"function","title":"Stripe.Identity.VerificationSession.retrieve/3","doc":"Retrieves the details of a VerificationSession that was previously created. \n\n When the session status is  requires_input , you can use this method to retrieve a valid\n client_secret  or  url  to allow re-submission. \n\n##","ref":"Stripe.Identity.VerificationSession.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Identity.VerificationSession.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/identity/verification_sessions/{session}`","ref":"Stripe.Identity.VerificationSession.html#retrieve/3-details"},{"type":"function","title":"Stripe.Identity.VerificationSession.update/3","doc":"Updates a VerificationSession object. \n\n When the session status is  requires_input , you can use this method to update the\nverification check and options. \n\n##","ref":"Stripe.Identity.VerificationSession.html#update/3"},{"type":"function","title":"Details - Stripe.Identity.VerificationSession.update/3","doc":"* Method: `post`\n * Path: `/v1/identity/verification_sessions/{session}`","ref":"Stripe.Identity.VerificationSession.html#update/3-details"},{"type":"type","title":"Stripe.Identity.VerificationSession.created/0","doc":"","ref":"Stripe.Identity.VerificationSession.html#t:created/0"},{"type":"type","title":"Stripe.Identity.VerificationSession.document/0","doc":"","ref":"Stripe.Identity.VerificationSession.html#t:document/0"},{"type":"type","title":"Stripe.Identity.VerificationSession.options/0","doc":"A set of options for the session’s verification checks.","ref":"Stripe.Identity.VerificationSession.html#t:options/0"},{"type":"type","title":"Stripe.Identity.VerificationSession.t/0","doc":"The `identity.verification_session` type.\n\n  * `client_secret` The short-lived client secret used by Stripe.js to [show a verification modal](https://stripe.com/docs/js/identity/modal) inside your app. This client secret expires after 24 hours and can only be used once. Don’t store it, log it, embed it in a URL, or expose it to anyone other than the user. Make sure that you have TLS enabled on any page that includes the client secret. Refer to our docs on [passing the client secret to the frontend](https://stripe.com/docs/identity/verification-sessions#client-secret) to learn more.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `id` Unique identifier for the object.\n  * `last_error` If present, this property tells you the last error encountered when processing the verification.\n  * `last_verification_report` ID of the most recent VerificationReport. [Learn more about accessing detailed verification results.](https://stripe.com/docs/identity/verification-sessions#results)\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `options` A set of options for the session’s verification checks.\n  * `redaction` Redaction status of this VerificationSession. If the VerificationSession is not redacted, this field will be null.\n  * `status` Status of this VerificationSession. [Learn more about the lifecycle of sessions](https://stripe.com/docs/identity/how-sessions-work).\n  * `type` The type of [verification check](https://stripe.com/docs/identity/verification-checks) to be performed.\n  * `url` The short-lived URL that you use to redirect a user to Stripe to submit their identity information. This URL expires after 48 hours and can only be used once. Don’t store it, log it, send it in emails or expose it to anyone other than the user. Refer to our docs on [verifying identity documents](https://stripe.com/docs/identity/verify-identity-documents?platform=web&type=redirect) to learn how to redirect users to Stripe.\n  * `verified_outputs` The user’s verified data.","ref":"Stripe.Identity.VerificationSession.html#t:t/0"},{"type":"module","title":"Stripe.Issuing.Authorization","doc":"When an [issued card](https://stripe.com/docs/issuing) is used to make a purchase, an Issuing `Authorization`\nobject is created. [Authorizations](https://stripe.com/docs/issuing/purchases/authorizations) must be approved for the\npurchase to be completed successfully.\n\nRelated guide: [Issued card authorizations](https://stripe.com/docs/issuing/purchases/authorizations)","ref":"Stripe.Issuing.Authorization.html"},{"type":"function","title":"Stripe.Issuing.Authorization.approve/3","doc":"[Deprecated] Approves a pending Issuing  Authorization  object. This request should be made within the timeout window of the  real-time authorization  flow. \nThis method is deprecated. Instead,  respond directly to the webhook request to approve an authorization . \n\n##","ref":"Stripe.Issuing.Authorization.html#approve/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.approve/3","doc":"* Method: `post`\n * Path: `/v1/issuing/authorizations/{authorization}/approve`","ref":"Stripe.Issuing.Authorization.html#approve/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.capture/3","doc":"Capture a test-mode authorization. \n\n##","ref":"Stripe.Issuing.Authorization.html#capture/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.capture/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/authorizations/{authorization}/capture`","ref":"Stripe.Issuing.Authorization.html#capture/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.create/2","doc":"Create a test-mode authorization. \n\n##","ref":"Stripe.Issuing.Authorization.html#create/2"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.create/2","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/authorizations`","ref":"Stripe.Issuing.Authorization.html#create/2-details"},{"type":"function","title":"Stripe.Issuing.Authorization.decline/3","doc":"[Deprecated] Declines a pending Issuing  Authorization  object. This request should be made within the timeout window of the  real time authorization  flow.\nThis method is deprecated. Instead,  respond directly to the webhook request to decline an authorization . \n\n##","ref":"Stripe.Issuing.Authorization.html#decline/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.decline/3","doc":"* Method: `post`\n * Path: `/v1/issuing/authorizations/{authorization}/decline`","ref":"Stripe.Issuing.Authorization.html#decline/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.expire/3","doc":"Expire a test-mode Authorization. \n\n##","ref":"Stripe.Issuing.Authorization.html#expire/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.expire/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/authorizations/{authorization}/expire`","ref":"Stripe.Issuing.Authorization.html#expire/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.increment/3","doc":"Increment a test-mode Authorization. \n\n##","ref":"Stripe.Issuing.Authorization.html#increment/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.increment/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/authorizations/{authorization}/increment`","ref":"Stripe.Issuing.Authorization.html#increment/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.list/2","doc":"Returns a list of Issuing  Authorization  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Issuing.Authorization.html#list/2"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.list/2","doc":"* Method: `get`\n * Path: `/v1/issuing/authorizations`","ref":"Stripe.Issuing.Authorization.html#list/2-details"},{"type":"function","title":"Stripe.Issuing.Authorization.retrieve/3","doc":"Retrieves an Issuing  Authorization  object. \n\n##","ref":"Stripe.Issuing.Authorization.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/issuing/authorizations/{authorization}`","ref":"Stripe.Issuing.Authorization.html#retrieve/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.reverse/3","doc":"Reverse a test-mode Authorization. \n\n##","ref":"Stripe.Issuing.Authorization.html#reverse/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.reverse/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/authorizations/{authorization}/reverse`","ref":"Stripe.Issuing.Authorization.html#reverse/3-details"},{"type":"function","title":"Stripe.Issuing.Authorization.update/3","doc":"Updates the specified Issuing  Authorization  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Issuing.Authorization.html#update/3"},{"type":"function","title":"Details - Stripe.Issuing.Authorization.update/3","doc":"* Method: `post`\n * Path: `/v1/issuing/authorizations/{authorization}`","ref":"Stripe.Issuing.Authorization.html#update/3-details"},{"type":"type","title":"Stripe.Issuing.Authorization.amount_details/0","doc":"Detailed breakdown of amount components. These amounts are denominated in `currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal).","ref":"Stripe.Issuing.Authorization.html#t:amount_details/0"},{"type":"type","title":"Stripe.Issuing.Authorization.authentication_exemption/0","doc":"The exemption applied to this authorization.","ref":"Stripe.Issuing.Authorization.html#t:authentication_exemption/0"},{"type":"type","title":"Stripe.Issuing.Authorization.created/0","doc":"","ref":"Stripe.Issuing.Authorization.html#t:created/0"},{"type":"type","title":"Stripe.Issuing.Authorization.flight/0","doc":"Information about the flight that was purchased with this transaction.","ref":"Stripe.Issuing.Authorization.html#t:flight/0"},{"type":"type","title":"Stripe.Issuing.Authorization.fuel/0","doc":"Information about fuel that was purchased with this transaction.","ref":"Stripe.Issuing.Authorization.html#t:fuel/0"},{"type":"type","title":"Stripe.Issuing.Authorization.lodging/0","doc":"Information about lodging that was purchased with this transaction.","ref":"Stripe.Issuing.Authorization.html#t:lodging/0"},{"type":"type","title":"Stripe.Issuing.Authorization.merchant_data/0","doc":"Details about the seller (grocery store, e-commerce website, etc.) where the card authorization happened.","ref":"Stripe.Issuing.Authorization.html#t:merchant_data/0"},{"type":"type","title":"Stripe.Issuing.Authorization.network_data/0","doc":"Details about the authorization, such as identifiers, set by the card network.","ref":"Stripe.Issuing.Authorization.html#t:network_data/0"},{"type":"type","title":"Stripe.Issuing.Authorization.purchase_details/0","doc":"Additional purchase information that is optionally provided by the merchant.","ref":"Stripe.Issuing.Authorization.html#t:purchase_details/0"},{"type":"type","title":"Stripe.Issuing.Authorization.receipt/0","doc":"","ref":"Stripe.Issuing.Authorization.html#t:receipt/0"},{"type":"type","title":"Stripe.Issuing.Authorization.segments/0","doc":"","ref":"Stripe.Issuing.Authorization.html#t:segments/0"},{"type":"type","title":"Stripe.Issuing.Authorization.t/0","doc":"The `issuing.authorization` type.\n\n  * `amount` The total amount that was authorized or rejected. This amount is in `currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal). `amount` should be the same as `merchant_amount`, unless `currency` and `merchant_currency` are different.\n  * `amount_details` Detailed breakdown of amount components. These amounts are denominated in `currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal).\n  * `approved` Whether the authorization has been approved.\n  * `authorization_method` How the card details were provided.\n  * `balance_transactions` List of balance transactions associated with this authorization.\n  * `card` \n  * `cardholder` The cardholder to whom this authorization belongs.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` The currency of the cardholder. This currency can be different from the currency presented at authorization and the `merchant_currency` field on this authorization. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `merchant_amount` The total amount that was authorized or rejected. This amount is in the `merchant_currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal). `merchant_amount` should be the same as `amount`, unless `merchant_currency` and `currency` are different.\n  * `merchant_currency` The local currency that was presented to the cardholder for the authorization. This currency can be different from the cardholder currency and the `currency` field on this authorization. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `merchant_data` \n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `network_data` Details about the authorization, such as identifiers, set by the card network.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `pending_request` The pending authorization request. This field will only be non-null during an `issuing_authorization.request` webhook.\n  * `request_history` History of every time a `pending_request` authorization was approved/declined, either by you directly or by Stripe (e.g. based on your spending_controls). If the merchant changes the authorization by performing an incremental authorization, you can look at this field to see the previous requests for the authorization. This field can be helpful in determining why a given authorization was approved/declined.\n  * `status` The current status of the authorization in its lifecycle.\n  * `token` [Token](https://stripe.com/docs/api/issuing/tokens/object) object used for this authorization. If a network token was not used for this authorization, this field will be null.\n  * `transactions` List of [transactions](https://stripe.com/docs/api/issuing/transactions) associated with this authorization.\n  * `treasury` [Treasury](https://stripe.com/docs/api/treasury) details related to this authorization if it was created on a [FinancialAccount](https://stripe.com/docs/api/treasury/financial_accounts).\n  * `verification_data` \n  * `wallet` The digital wallet used for this transaction. One of `apple_pay`, `google_pay`, or `samsung_pay`. Will populate as `null` when no digital wallet was utilized.","ref":"Stripe.Issuing.Authorization.html#t:t/0"},{"type":"type","title":"Stripe.Issuing.Authorization.three_d_secure/0","doc":"3D Secure details.","ref":"Stripe.Issuing.Authorization.html#t:three_d_secure/0"},{"type":"type","title":"Stripe.Issuing.Authorization.verification_data/0","doc":"Verifications that Stripe performed on information that the cardholder provided to the merchant.","ref":"Stripe.Issuing.Authorization.html#t:verification_data/0"},{"type":"module","title":"Stripe.Issuing.Card","doc":"You can [create physical or virtual cards](https://stripe.com/docs/issuing/cards) that are issued to cardholders.","ref":"Stripe.Issuing.Card.html"},{"type":"function","title":"Stripe.Issuing.Card.create/2","doc":"Creates an Issuing  Card  object. \n\n##","ref":"Stripe.Issuing.Card.html#create/2"},{"type":"function","title":"Details - Stripe.Issuing.Card.create/2","doc":"* Method: `post`\n * Path: `/v1/issuing/cards`","ref":"Stripe.Issuing.Card.html#create/2-details"},{"type":"function","title":"Stripe.Issuing.Card.deliver_card/3","doc":"Updates the shipping status of the specified Issuing  Card  object to  delivered . \n\n##","ref":"Stripe.Issuing.Card.html#deliver_card/3"},{"type":"function","title":"Details - Stripe.Issuing.Card.deliver_card/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/cards/{card}/shipping/deliver`","ref":"Stripe.Issuing.Card.html#deliver_card/3-details"},{"type":"function","title":"Stripe.Issuing.Card.fail_card/3","doc":"Updates the shipping status of the specified Issuing  Card  object to  failure . \n\n##","ref":"Stripe.Issuing.Card.html#fail_card/3"},{"type":"function","title":"Details - Stripe.Issuing.Card.fail_card/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/cards/{card}/shipping/fail`","ref":"Stripe.Issuing.Card.html#fail_card/3-details"},{"type":"function","title":"Stripe.Issuing.Card.list/2","doc":"Returns a list of Issuing  Card  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Issuing.Card.html#list/2"},{"type":"function","title":"Details - Stripe.Issuing.Card.list/2","doc":"* Method: `get`\n * Path: `/v1/issuing/cards`","ref":"Stripe.Issuing.Card.html#list/2-details"},{"type":"function","title":"Stripe.Issuing.Card.retrieve/3","doc":"Retrieves an Issuing  Card  object. \n\n##","ref":"Stripe.Issuing.Card.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Issuing.Card.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/issuing/cards/{card}`","ref":"Stripe.Issuing.Card.html#retrieve/3-details"},{"type":"function","title":"Stripe.Issuing.Card.return_card/3","doc":"Updates the shipping status of the specified Issuing  Card  object to  returned . \n\n##","ref":"Stripe.Issuing.Card.html#return_card/3"},{"type":"function","title":"Details - Stripe.Issuing.Card.return_card/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/cards/{card}/shipping/return`","ref":"Stripe.Issuing.Card.html#return_card/3-details"},{"type":"function","title":"Stripe.Issuing.Card.ship_card/3","doc":"Updates the shipping status of the specified Issuing  Card  object to  shipped . \n\n##","ref":"Stripe.Issuing.Card.html#ship_card/3"},{"type":"function","title":"Details - Stripe.Issuing.Card.ship_card/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/cards/{card}/shipping/ship`","ref":"Stripe.Issuing.Card.html#ship_card/3-details"},{"type":"function","title":"Stripe.Issuing.Card.update/3","doc":"Updates the specified Issuing  Card  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Issuing.Card.html#update/3"},{"type":"function","title":"Details - Stripe.Issuing.Card.update/3","doc":"* Method: `post`\n * Path: `/v1/issuing/cards/{card}`","ref":"Stripe.Issuing.Card.html#update/3-details"},{"type":"type","title":"Stripe.Issuing.Card.address/0","doc":"The address that the card is shipped to.","ref":"Stripe.Issuing.Card.html#t:address/0"},{"type":"type","title":"Stripe.Issuing.Card.created/0","doc":"","ref":"Stripe.Issuing.Card.html#t:created/0"},{"type":"type","title":"Stripe.Issuing.Card.customs/0","doc":"Customs information for the shipment.","ref":"Stripe.Issuing.Card.html#t:customs/0"},{"type":"type","title":"Stripe.Issuing.Card.pin/0","doc":"The desired new PIN for this card.","ref":"Stripe.Issuing.Card.html#t:pin/0"},{"type":"type","title":"Stripe.Issuing.Card.shipping/0","doc":"The address where the card will be shipped.","ref":"Stripe.Issuing.Card.html#t:shipping/0"},{"type":"type","title":"Stripe.Issuing.Card.spending_controls/0","doc":"Rules that control spending for this card. Refer to our [documentation](https://stripe.com/docs/issuing/controls/spending-controls) for more details.","ref":"Stripe.Issuing.Card.html#t:spending_controls/0"},{"type":"type","title":"Stripe.Issuing.Card.spending_limits/0","doc":"","ref":"Stripe.Issuing.Card.html#t:spending_limits/0"},{"type":"type","title":"Stripe.Issuing.Card.t/0","doc":"The `issuing.card` type.\n\n  * `brand` The brand of the card.\n  * `cancellation_reason` The reason why the card was canceled.\n  * `cardholder` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Supported currencies are `usd` in the US, `eur` in the EU, and `gbp` in the UK.\n  * `cvc` The card's CVC. For security reasons, this is only available for virtual cards, and will be omitted unless you explicitly request it with [the `expand` parameter](https://stripe.com/docs/api/expanding_objects). Additionally, it's only available via the [\"Retrieve a card\" endpoint](https://stripe.com/docs/api/issuing/cards/retrieve), not via \"List all cards\" or any other endpoint.\n  * `exp_month` The expiration month of the card.\n  * `exp_year` The expiration year of the card.\n  * `financial_account` The financial account this card is attached to.\n  * `id` Unique identifier for the object.\n  * `last4` The last 4 digits of the card number.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `number` The full unredacted card number. For security reasons, this is only available for virtual cards, and will be omitted unless you explicitly request it with [the `expand` parameter](https://stripe.com/docs/api/expanding_objects). Additionally, it's only available via the [\"Retrieve a card\" endpoint](https://stripe.com/docs/api/issuing/cards/retrieve), not via \"List all cards\" or any other endpoint.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `replaced_by` The latest card that replaces this card, if any.\n  * `replacement_for` The card this card replaces, if any.\n  * `replacement_reason` The reason why the previous card needed to be replaced.\n  * `shipping` Where and how the card will be shipped.\n  * `spending_controls` \n  * `status` Whether authorizations can be approved on this card. May be blocked from activating cards depending on past-due Cardholder requirements. Defaults to `inactive`.\n  * `type` The type of the card.\n  * `wallets` Information relating to digital wallets (like Apple Pay and Google Pay).","ref":"Stripe.Issuing.Card.html#t:t/0"},{"type":"module","title":"Stripe.Issuing.Cardholder","doc":"An Issuing `Cardholder` object represents an individual or business entity who is [issued](https://stripe.com/docs/issuing) cards.\n\nRelated guide: [How to create a cardholder](https://stripe.com/docs/issuing/cards#create-cardholder)","ref":"Stripe.Issuing.Cardholder.html"},{"type":"function","title":"Stripe.Issuing.Cardholder.create/2","doc":"Creates a new Issuing  Cardholder  object that can be issued cards. \n\n##","ref":"Stripe.Issuing.Cardholder.html#create/2"},{"type":"function","title":"Details - Stripe.Issuing.Cardholder.create/2","doc":"* Method: `post`\n * Path: `/v1/issuing/cardholders`","ref":"Stripe.Issuing.Cardholder.html#create/2-details"},{"type":"function","title":"Stripe.Issuing.Cardholder.list/2","doc":"Returns a list of Issuing  Cardholder  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Issuing.Cardholder.html#list/2"},{"type":"function","title":"Details - Stripe.Issuing.Cardholder.list/2","doc":"* Method: `get`\n * Path: `/v1/issuing/cardholders`","ref":"Stripe.Issuing.Cardholder.html#list/2-details"},{"type":"function","title":"Stripe.Issuing.Cardholder.retrieve/3","doc":"Retrieves an Issuing  Cardholder  object. \n\n##","ref":"Stripe.Issuing.Cardholder.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Issuing.Cardholder.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/issuing/cardholders/{cardholder}`","ref":"Stripe.Issuing.Cardholder.html#retrieve/3-details"},{"type":"function","title":"Stripe.Issuing.Cardholder.update/3","doc":"Updates the specified Issuing  Cardholder  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Issuing.Cardholder.html#update/3"},{"type":"function","title":"Details - Stripe.Issuing.Cardholder.update/3","doc":"* Method: `post`\n * Path: `/v1/issuing/cardholders/{cardholder}`","ref":"Stripe.Issuing.Cardholder.html#update/3-details"},{"type":"type","title":"Stripe.Issuing.Cardholder.address/0","doc":"The cardholder’s billing address.","ref":"Stripe.Issuing.Cardholder.html#t:address/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.billing/0","doc":"The cardholder's billing address.","ref":"Stripe.Issuing.Cardholder.html#t:billing/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.card_issuing/0","doc":"Information related to the card_issuing program for this cardholder.","ref":"Stripe.Issuing.Cardholder.html#t:card_issuing/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.company/0","doc":"Additional information about a `company` cardholder.","ref":"Stripe.Issuing.Cardholder.html#t:company/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.created/0","doc":"","ref":"Stripe.Issuing.Cardholder.html#t:created/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.dob/0","doc":"The date of birth of this cardholder. Cardholders must be older than 13 years old.","ref":"Stripe.Issuing.Cardholder.html#t:dob/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.document/0","doc":"An identifying document, either a passport or local ID card.","ref":"Stripe.Issuing.Cardholder.html#t:document/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.individual/0","doc":"Additional information about an `individual` cardholder.","ref":"Stripe.Issuing.Cardholder.html#t:individual/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.spending_controls/0","doc":"Rules that control spending across this cardholder's cards. Refer to our [documentation](https://stripe.com/docs/issuing/controls/spending-controls) for more details.","ref":"Stripe.Issuing.Cardholder.html#t:spending_controls/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.spending_limits/0","doc":"","ref":"Stripe.Issuing.Cardholder.html#t:spending_limits/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.t/0","doc":"The `issuing.cardholder` type.\n\n  * `billing` \n  * `company` Additional information about a `company` cardholder.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `email` The cardholder's email address.\n  * `id` Unique identifier for the object.\n  * `individual` Additional information about an `individual` cardholder.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `name` The cardholder's name. This will be printed on cards issued to them.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `phone_number` The cardholder's phone number. This is required for all cardholders who will be creating EU cards. See the [3D Secure documentation](https://stripe.com/docs/issuing/3d-secure#when-is-3d-secure-applied) for more details.\n  * `preferred_locales` The cardholder’s preferred locales (languages), ordered by preference. Locales can be `de`, `en`, `es`, `fr`, or `it`.\n This changes the language of the [3D Secure flow](https://stripe.com/docs/issuing/3d-secure) and one-time password messages sent to the cardholder.\n  * `requirements` \n  * `spending_controls` Rules that control spending across this cardholder's cards. Refer to our [documentation](https://stripe.com/docs/issuing/controls/spending-controls) for more details.\n  * `status` Specifies whether to permit authorizations on this cardholder's cards.\n  * `type` One of `individual` or `company`. See [Choose a cardholder type](https://stripe.com/docs/issuing/other/choose-cardholder) for more details.","ref":"Stripe.Issuing.Cardholder.html#t:t/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.user_terms_acceptance/0","doc":"Information about cardholder acceptance of Celtic [Authorized User Terms](https://stripe.com/docs/issuing/cards#accept-authorized-user-terms). Required for cards backed by a Celtic program.","ref":"Stripe.Issuing.Cardholder.html#t:user_terms_acceptance/0"},{"type":"type","title":"Stripe.Issuing.Cardholder.verification/0","doc":"Government-issued ID document for this cardholder.","ref":"Stripe.Issuing.Cardholder.html#t:verification/0"},{"type":"module","title":"Stripe.Issuing.Transaction","doc":"Any use of an [issued card](https://stripe.com/docs/issuing) that results in funds entering or leaving\nyour Stripe account, such as a completed purchase or refund, is represented by an Issuing\n`Transaction` object.\n\nRelated guide: [Issued card transactions](https://stripe.com/docs/issuing/purchases/transactions)","ref":"Stripe.Issuing.Transaction.html"},{"type":"function","title":"Stripe.Issuing.Transaction.create_force_capture/2","doc":"Allows the user to capture an arbitrary amount, also known as a forced capture. \n\n##","ref":"Stripe.Issuing.Transaction.html#create_force_capture/2"},{"type":"function","title":"Details - Stripe.Issuing.Transaction.create_force_capture/2","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/transactions/create_force_capture`","ref":"Stripe.Issuing.Transaction.html#create_force_capture/2-details"},{"type":"function","title":"Stripe.Issuing.Transaction.create_unlinked_refund/2","doc":"Allows the user to refund an arbitrary amount, also known as a unlinked refund. \n\n##","ref":"Stripe.Issuing.Transaction.html#create_unlinked_refund/2"},{"type":"function","title":"Details - Stripe.Issuing.Transaction.create_unlinked_refund/2","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/transactions/create_unlinked_refund`","ref":"Stripe.Issuing.Transaction.html#create_unlinked_refund/2-details"},{"type":"function","title":"Stripe.Issuing.Transaction.list/2","doc":"Returns a list of Issuing  Transaction  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Issuing.Transaction.html#list/2"},{"type":"function","title":"Details - Stripe.Issuing.Transaction.list/2","doc":"* Method: `get`\n * Path: `/v1/issuing/transactions`","ref":"Stripe.Issuing.Transaction.html#list/2-details"},{"type":"function","title":"Stripe.Issuing.Transaction.refund/3","doc":"Refund a test-mode Transaction. \n\n##","ref":"Stripe.Issuing.Transaction.html#refund/3"},{"type":"function","title":"Details - Stripe.Issuing.Transaction.refund/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/issuing/transactions/{transaction}/refund`","ref":"Stripe.Issuing.Transaction.html#refund/3-details"},{"type":"function","title":"Stripe.Issuing.Transaction.retrieve/3","doc":"Retrieves an Issuing  Transaction  object. \n\n##","ref":"Stripe.Issuing.Transaction.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Issuing.Transaction.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/issuing/transactions/{transaction}`","ref":"Stripe.Issuing.Transaction.html#retrieve/3-details"},{"type":"function","title":"Stripe.Issuing.Transaction.update/3","doc":"Updates the specified Issuing  Transaction  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Issuing.Transaction.html#update/3"},{"type":"function","title":"Details - Stripe.Issuing.Transaction.update/3","doc":"* Method: `post`\n * Path: `/v1/issuing/transactions/{transaction}`","ref":"Stripe.Issuing.Transaction.html#update/3-details"},{"type":"type","title":"Stripe.Issuing.Transaction.created/0","doc":"","ref":"Stripe.Issuing.Transaction.html#t:created/0"},{"type":"type","title":"Stripe.Issuing.Transaction.flight/0","doc":"Information about the flight that was purchased with this transaction.","ref":"Stripe.Issuing.Transaction.html#t:flight/0"},{"type":"type","title":"Stripe.Issuing.Transaction.fuel/0","doc":"Information about fuel that was purchased with this transaction.","ref":"Stripe.Issuing.Transaction.html#t:fuel/0"},{"type":"type","title":"Stripe.Issuing.Transaction.lodging/0","doc":"Information about lodging that was purchased with this transaction.","ref":"Stripe.Issuing.Transaction.html#t:lodging/0"},{"type":"type","title":"Stripe.Issuing.Transaction.merchant_data/0","doc":"Details about the seller (grocery store, e-commerce website, etc.) where the card authorization happened.","ref":"Stripe.Issuing.Transaction.html#t:merchant_data/0"},{"type":"type","title":"Stripe.Issuing.Transaction.purchase_details/0","doc":"Additional purchase information that is optionally provided by the merchant.","ref":"Stripe.Issuing.Transaction.html#t:purchase_details/0"},{"type":"type","title":"Stripe.Issuing.Transaction.receipt/0","doc":"","ref":"Stripe.Issuing.Transaction.html#t:receipt/0"},{"type":"type","title":"Stripe.Issuing.Transaction.segments/0","doc":"","ref":"Stripe.Issuing.Transaction.html#t:segments/0"},{"type":"type","title":"Stripe.Issuing.Transaction.t/0","doc":"The `issuing.transaction` type.\n\n  * `amount` The transaction amount, which will be reflected in your balance. This amount is in your currency and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal).\n  * `amount_details` Detailed breakdown of amount components. These amounts are denominated in `currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal).\n  * `authorization` The `Authorization` object that led to this transaction.\n  * `balance_transaction` ID of the [balance transaction](https://stripe.com/docs/api/balance_transactions) associated with this transaction.\n  * `card` The card used to make this transaction.\n  * `cardholder` The cardholder to whom this transaction belongs.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `dispute` If you've disputed the transaction, the ID of the dispute.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `merchant_amount` The amount that the merchant will receive, denominated in `merchant_currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal). It will be different from `amount` if the merchant is taking payment in a different currency.\n  * `merchant_currency` The currency with which the merchant is taking payment.\n  * `merchant_data` \n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `network_data` Details about the transaction, such as processing dates, set by the card network.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `purchase_details` Additional purchase information that is optionally provided by the merchant.\n  * `token` [Token](https://stripe.com/docs/api/issuing/tokens/object) object used for this transaction. If a network token was not used for this transaction, this field will be null.\n  * `treasury` [Treasury](https://stripe.com/docs/api/treasury) details related to this transaction if it was created on a [FinancialAccount](/docs/api/treasury/financial_accounts\n  * `type` The nature of the transaction.\n  * `wallet` The digital wallet used for this transaction. One of `apple_pay`, `google_pay`, or `samsung_pay`.","ref":"Stripe.Issuing.Transaction.html#t:t/0"},{"type":"module","title":"Stripe.Terminal.ConnectionToken","doc":"A Connection Token is used by the Stripe Terminal SDK to connect to a reader.\n\nRelated guide: [Fleet management](https://stripe.com/docs/terminal/fleet/locations)","ref":"Stripe.Terminal.ConnectionToken.html"},{"type":"function","title":"Stripe.Terminal.ConnectionToken.create/2","doc":"To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived connection token from Stripe, proxied through your server. On your backend, add an endpoint that creates and returns a connection token. \n\n##","ref":"Stripe.Terminal.ConnectionToken.html#create/2"},{"type":"function","title":"Details - Stripe.Terminal.ConnectionToken.create/2","doc":"* Method: `post`\n * Path: `/v1/terminal/connection_tokens`","ref":"Stripe.Terminal.ConnectionToken.html#create/2-details"},{"type":"type","title":"Stripe.Terminal.ConnectionToken.t/0","doc":"The `terminal.connection_token` type.\n\n  * `location` The id of the location that this connection token is scoped to. Note that location scoping only applies to internet-connected readers. For more details, see [the docs on scoping connection tokens](https://stripe.com/docs/terminal/fleet/locations#connection-tokens).\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `secret` Your application should pass this token to the Stripe Terminal SDK.","ref":"Stripe.Terminal.ConnectionToken.html#t:t/0"},{"type":"module","title":"Stripe.Terminal.Location","doc":"A Location represents a grouping of readers.\n\nRelated guide: [Fleet management](https://stripe.com/docs/terminal/fleet/locations)","ref":"Stripe.Terminal.Location.html"},{"type":"function","title":"Stripe.Terminal.Location.create/2","doc":"Creates a new  Location  object.\nFor further details, including which address fields are required in each country, see the  Manage locations  guide. \n\n##","ref":"Stripe.Terminal.Location.html#create/2"},{"type":"function","title":"Details - Stripe.Terminal.Location.create/2","doc":"* Method: `post`\n * Path: `/v1/terminal/locations`","ref":"Stripe.Terminal.Location.html#create/2-details"},{"type":"function","title":"Stripe.Terminal.Location.delete/2","doc":"Deletes a  Location  object. \n\n##","ref":"Stripe.Terminal.Location.html#delete/2"},{"type":"function","title":"Details - Stripe.Terminal.Location.delete/2","doc":"* Method: `delete`\n * Path: `/v1/terminal/locations/{location}`","ref":"Stripe.Terminal.Location.html#delete/2-details"},{"type":"function","title":"Stripe.Terminal.Location.list/2","doc":"Returns a list of  Location  objects. \n\n##","ref":"Stripe.Terminal.Location.html#list/2"},{"type":"function","title":"Details - Stripe.Terminal.Location.list/2","doc":"* Method: `get`\n * Path: `/v1/terminal/locations`","ref":"Stripe.Terminal.Location.html#list/2-details"},{"type":"function","title":"Stripe.Terminal.Location.retrieve/3","doc":"Retrieves a  Location  object. \n\n##","ref":"Stripe.Terminal.Location.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Terminal.Location.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/terminal/locations/{location}`","ref":"Stripe.Terminal.Location.html#retrieve/3-details"},{"type":"function","title":"Stripe.Terminal.Location.update/3","doc":"Updates a  Location  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Terminal.Location.html#update/3"},{"type":"function","title":"Details - Stripe.Terminal.Location.update/3","doc":"* Method: `post`\n * Path: `/v1/terminal/locations/{location}`","ref":"Stripe.Terminal.Location.html#update/3-details"},{"type":"type","title":"Stripe.Terminal.Location.address/0","doc":"The full address of the location.","ref":"Stripe.Terminal.Location.html#t:address/0"},{"type":"type","title":"Stripe.Terminal.Location.t/0","doc":"The `terminal.location` type.\n\n  * `address` \n  * `configuration_overrides` The ID of a configuration that will be used to customize all readers in this location.\n  * `display_name` The display name of the location.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.Terminal.Location.html#t:t/0"},{"type":"module","title":"Stripe.Terminal.Reader","doc":"A Reader represents a physical device for accepting payment details.\n\nRelated guide: [Connecting to a reader](https://stripe.com/docs/terminal/payments/connect-reader)","ref":"Stripe.Terminal.Reader.html"},{"type":"function","title":"Stripe.Terminal.Reader.cancel_action/3","doc":"Cancels the current reader action. \n\n##","ref":"Stripe.Terminal.Reader.html#cancel_action/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.cancel_action/3","doc":"* Method: `post`\n * Path: `/v1/terminal/readers/{reader}/cancel_action`","ref":"Stripe.Terminal.Reader.html#cancel_action/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.create/2","doc":"Creates a new  Reader  object. \n\n##","ref":"Stripe.Terminal.Reader.html#create/2"},{"type":"function","title":"Details - Stripe.Terminal.Reader.create/2","doc":"* Method: `post`\n * Path: `/v1/terminal/readers`","ref":"Stripe.Terminal.Reader.html#create/2-details"},{"type":"function","title":"Stripe.Terminal.Reader.delete/2","doc":"Deletes a  Reader  object. \n\n##","ref":"Stripe.Terminal.Reader.html#delete/2"},{"type":"function","title":"Details - Stripe.Terminal.Reader.delete/2","doc":"* Method: `delete`\n * Path: `/v1/terminal/readers/{reader}`","ref":"Stripe.Terminal.Reader.html#delete/2-details"},{"type":"function","title":"Stripe.Terminal.Reader.list/2","doc":"Returns a list of  Reader  objects. \n\n##","ref":"Stripe.Terminal.Reader.html#list/2"},{"type":"function","title":"Details - Stripe.Terminal.Reader.list/2","doc":"* Method: `get`\n * Path: `/v1/terminal/readers`","ref":"Stripe.Terminal.Reader.html#list/2-details"},{"type":"function","title":"Stripe.Terminal.Reader.present_payment_method/3","doc":"Presents a payment method on a simulated reader. Can be used to simulate accepting a payment, saving a card or refunding a transaction. \n\n##","ref":"Stripe.Terminal.Reader.html#present_payment_method/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.present_payment_method/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/terminal/readers/{reader}/present_payment_method`","ref":"Stripe.Terminal.Reader.html#present_payment_method/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.process_payment_intent/3","doc":"Initiates a payment flow on a Reader. \n\n##","ref":"Stripe.Terminal.Reader.html#process_payment_intent/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.process_payment_intent/3","doc":"* Method: `post`\n * Path: `/v1/terminal/readers/{reader}/process_payment_intent`","ref":"Stripe.Terminal.Reader.html#process_payment_intent/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.process_setup_intent/3","doc":"Initiates a setup intent flow on a Reader. \n\n##","ref":"Stripe.Terminal.Reader.html#process_setup_intent/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.process_setup_intent/3","doc":"* Method: `post`\n * Path: `/v1/terminal/readers/{reader}/process_setup_intent`","ref":"Stripe.Terminal.Reader.html#process_setup_intent/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.refund_payment/3","doc":"Initiates a refund on a Reader \n\n##","ref":"Stripe.Terminal.Reader.html#refund_payment/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.refund_payment/3","doc":"* Method: `post`\n * Path: `/v1/terminal/readers/{reader}/refund_payment`","ref":"Stripe.Terminal.Reader.html#refund_payment/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.retrieve/3","doc":"Retrieves a  Reader  object. \n\n##","ref":"Stripe.Terminal.Reader.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/terminal/readers/{reader}`","ref":"Stripe.Terminal.Reader.html#retrieve/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.set_reader_display/3","doc":"Sets reader display to show cart details. \n\n##","ref":"Stripe.Terminal.Reader.html#set_reader_display/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.set_reader_display/3","doc":"* Method: `post`\n * Path: `/v1/terminal/readers/{reader}/set_reader_display`","ref":"Stripe.Terminal.Reader.html#set_reader_display/3-details"},{"type":"function","title":"Stripe.Terminal.Reader.update/3","doc":"Updates a  Reader  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. \n\n##","ref":"Stripe.Terminal.Reader.html#update/3"},{"type":"function","title":"Details - Stripe.Terminal.Reader.update/3","doc":"* Method: `post`\n * Path: `/v1/terminal/readers/{reader}`","ref":"Stripe.Terminal.Reader.html#update/3-details"},{"type":"type","title":"Stripe.Terminal.Reader.card_present/0","doc":"Simulated data for the card_present payment method.","ref":"Stripe.Terminal.Reader.html#t:card_present/0"},{"type":"type","title":"Stripe.Terminal.Reader.cart/0","doc":"Cart","ref":"Stripe.Terminal.Reader.html#t:cart/0"},{"type":"type","title":"Stripe.Terminal.Reader.interac_present/0","doc":"Simulated data for the interac_present payment method.","ref":"Stripe.Terminal.Reader.html#t:interac_present/0"},{"type":"type","title":"Stripe.Terminal.Reader.line_items/0","doc":"","ref":"Stripe.Terminal.Reader.html#t:line_items/0"},{"type":"type","title":"Stripe.Terminal.Reader.process_config/0","doc":"Configuration overrides","ref":"Stripe.Terminal.Reader.html#t:process_config/0"},{"type":"type","title":"Stripe.Terminal.Reader.t/0","doc":"The `terminal.reader` type.\n\n  * `action` The most recent action performed by the reader.\n  * `device_sw_version` The current software version of the reader.\n  * `device_type` Type of reader, one of `bbpos_wisepad3`, `stripe_m2`, `bbpos_chipper2x`, `bbpos_wisepos_e`, `verifone_P400`, or `simulated_wisepos_e`.\n  * `id` Unique identifier for the object.\n  * `ip_address` The local IP address of the reader.\n  * `label` Custom label given to the reader for easier identification.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `location` The location identifier of the reader.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `serial_number` Serial number of the reader.\n  * `status` The networking status of the reader.","ref":"Stripe.Terminal.Reader.html#t:t/0"},{"type":"type","title":"Stripe.Terminal.Reader.tipping/0","doc":"Tipping configuration for this transaction.","ref":"Stripe.Terminal.Reader.html#t:tipping/0"},{"type":"module","title":"Stripe.Config","doc":"Utility that handles interaction with the application's configuration","ref":"Stripe.Config.html"},{"type":"function","title":"Stripe.Config.resolve/2","doc":"Resolves the given key from the application's configuration returning the\nwrapped expanded value. If the value was a function it gets evaluated, if\nthe value is a tuple of three elements it gets applied.","ref":"Stripe.Config.html#resolve/2"},{"type":"module","title":"Stripe.Converter","doc":"","ref":"Stripe.Converter.html"},{"type":"function","title":"Stripe.Converter.convert_result/1","doc":"Takes a result map or list of maps from a Stripe response and returns a\nstruct (e.g. `%Stripe.Card{}`) or list of structs.\n\nIf the result is not a supported Stripe object, it just returns a plain map\nwith atomized keys.","ref":"Stripe.Converter.html#convert_result/1"},{"type":"module","title":"Stripe.Types","doc":"A module that contains shared types matching Stripe schemas.","ref":"Stripe.Types.html"},{"type":"type","title":"Stripe.Types.address/0","doc":"","ref":"Stripe.Types.html#t:address/0"},{"type":"type","title":"Stripe.Types.collection_method_thresholds/0","doc":"","ref":"Stripe.Types.html#t:collection_method_thresholds/0"},{"type":"type","title":"Stripe.Types.dob/0","doc":"","ref":"Stripe.Types.html#t:dob/0"},{"type":"type","title":"Stripe.Types.fee/0","doc":"","ref":"Stripe.Types.html#t:fee/0"},{"type":"type","title":"Stripe.Types.japan_address/0","doc":"","ref":"Stripe.Types.html#t:japan_address/0"},{"type":"type","title":"Stripe.Types.metadata/0","doc":"","ref":"Stripe.Types.html#t:metadata/0"},{"type":"type","title":"Stripe.Types.shipping/0","doc":"","ref":"Stripe.Types.html#t:shipping/0"},{"type":"type","title":"Stripe.Types.transfer_schedule/0","doc":"","ref":"Stripe.Types.html#t:transfer_schedule/0"},{"type":"task","title":"mix stripe.generate","doc":"The hello mix task: `mix help hello`","ref":"Mix.Tasks.Stripe.Generate.html"},{"type":"function","title":"Mix.Tasks.Stripe.Generate.run/1","doc":"","ref":"Mix.Tasks.Stripe.Generate.html#run/1"},{"type":"module","title":"Stripe.AccountLink","doc":"Account Links are the means by which a Connect platform grants a connected account permission to access\nStripe-hosted applications, such as Connect Onboarding.\n\nRelated guide: [Connect Onboarding](https://stripe.com/docs/connect/custom/hosted-onboarding)","ref":"Stripe.AccountLink.html"},{"type":"function","title":"Stripe.AccountLink.create/2","doc":"Creates an AccountLink object that includes a single-use Stripe URL that the platform can redirect their user to in order to take them through the Connect Onboarding flow. \n\n##","ref":"Stripe.AccountLink.html#create/2"},{"type":"function","title":"Details - Stripe.AccountLink.create/2","doc":"* Method: `post`\n * Path: `/v1/account_links`","ref":"Stripe.AccountLink.html#create/2-details"},{"type":"type","title":"Stripe.AccountLink.t/0","doc":"The `account_link` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `expires_at` The timestamp at which this account link will expire.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `url` The URL for the account link.","ref":"Stripe.AccountLink.html#t:t/0"},{"type":"module","title":"Stripe.AccountSession","doc":"An AccountSession allows a Connect platform to grant access to a connected account in Connect embedded components.\n\nWe recommend that you create an AccountSession each time you need to display an embedded component\nto your user. Do not save AccountSessions to your database as they expire relatively\nquickly, and cannot be used more than once.\n\nRelated guide: [Connect embedded components](https://stripe.com/docs/connect/get-started-connect-embedded-components)","ref":"Stripe.AccountSession.html"},{"type":"function","title":"Stripe.AccountSession.create/2","doc":"Creates a AccountSession object that includes a single-use token that the platform can use on their front-end to grant client-side API access. \n\n##","ref":"Stripe.AccountSession.html#create/2"},{"type":"function","title":"Details - Stripe.AccountSession.create/2","doc":"* Method: `post`\n * Path: `/v1/account_sessions`","ref":"Stripe.AccountSession.html#create/2-details"},{"type":"type","title":"Stripe.AccountSession.account_onboarding/0","doc":"Configuration for the account onboarding embedded component.","ref":"Stripe.AccountSession.html#t:account_onboarding/0"},{"type":"type","title":"Stripe.AccountSession.components/0","doc":"Each key of the dictionary represents an embedded component, and each embedded component maps to its configuration (e.g. whether it has been enabled or not).","ref":"Stripe.AccountSession.html#t:components/0"},{"type":"type","title":"Stripe.AccountSession.features/0","doc":"The list of features enabled in the embedded component.","ref":"Stripe.AccountSession.html#t:features/0"},{"type":"type","title":"Stripe.AccountSession.payment_details/0","doc":"Configuration for the payment details embedded component.","ref":"Stripe.AccountSession.html#t:payment_details/0"},{"type":"type","title":"Stripe.AccountSession.payments/0","doc":"Configuration for the payments embedded component.","ref":"Stripe.AccountSession.html#t:payments/0"},{"type":"type","title":"Stripe.AccountSession.payouts/0","doc":"Configuration for the payouts embedded component.","ref":"Stripe.AccountSession.html#t:payouts/0"},{"type":"type","title":"Stripe.AccountSession.t/0","doc":"The `account_session` type.\n\n  * `account` The ID of the account the AccountSession was created for\n  * `client_secret` The client secret of this AccountSession. Used on the client to set up secure access to the given `account`.\n\nThe client secret can be used to provide access to `account` from your frontend. It should not be stored, logged, or exposed to anyone other than the connected account. Make sure that you have TLS enabled on any page that includes the client secret.\n\nRefer to our docs to [setup Connect embedded components](https://stripe.com/docs/connect/get-started-connect-embedded-components) and learn about how `client_secret` should be handled.\n  * `components` \n  * `expires_at` The timestamp at which this AccountSession will expire.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.AccountSession.html#t:t/0"},{"type":"module","title":"Stripe.ApplePayDomain","doc":"","ref":"Stripe.ApplePayDomain.html"},{"type":"function","title":"Stripe.ApplePayDomain.create/2","doc":"Create an apple pay domain. \n\n##","ref":"Stripe.ApplePayDomain.html#create/2"},{"type":"function","title":"Details - Stripe.ApplePayDomain.create/2","doc":"* Method: `post`\n * Path: `/v1/apple_pay/domains`","ref":"Stripe.ApplePayDomain.html#create/2-details"},{"type":"function","title":"Stripe.ApplePayDomain.delete/2","doc":"Delete an apple pay domain. \n\n##","ref":"Stripe.ApplePayDomain.html#delete/2"},{"type":"function","title":"Details - Stripe.ApplePayDomain.delete/2","doc":"* Method: `delete`\n * Path: `/v1/apple_pay/domains/{domain}`","ref":"Stripe.ApplePayDomain.html#delete/2-details"},{"type":"function","title":"Stripe.ApplePayDomain.list/2","doc":"List apple pay domains. \n\n##","ref":"Stripe.ApplePayDomain.html#list/2"},{"type":"function","title":"Details - Stripe.ApplePayDomain.list/2","doc":"* Method: `get`\n * Path: `/v1/apple_pay/domains`","ref":"Stripe.ApplePayDomain.html#list/2-details"},{"type":"function","title":"Stripe.ApplePayDomain.retrieve/3","doc":"Retrieve an apple pay domain. \n\n##","ref":"Stripe.ApplePayDomain.html#retrieve/3"},{"type":"function","title":"Details - Stripe.ApplePayDomain.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/apple_pay/domains/{domain}`","ref":"Stripe.ApplePayDomain.html#retrieve/3-details"},{"type":"type","title":"Stripe.ApplePayDomain.t/0","doc":"The `apple_pay_domain` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `domain_name` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.ApplePayDomain.html#t:t/0"},{"type":"module","title":"Stripe.Apps.Secret","doc":"Secret Store is an API that allows Stripe Apps developers to securely persist secrets for use by UI Extensions and app backends.\n\nThe primary resource in Secret Store is a `secret`. Other apps can't view secrets created by an app. Additionally, secrets are scoped to provide further permission control.\n\nAll Dashboard users and the app backend share `account` scoped secrets. Use the `account` scope for secrets that don't change per-user, like a third-party API key.\n\nA `user` scoped secret is accessible by the app backend and one specific Dashboard user. Use the `user` scope for per-user secrets like per-user OAuth tokens, where different users might have different permissions.\n\nRelated guide: [Store data between page reloads](https://stripe.com/docs/stripe-apps/store-auth-data-custom-objects)","ref":"Stripe.Apps.Secret.html"},{"type":"function","title":"Stripe.Apps.Secret.create/2","doc":"Create or replace a secret in the secret store. \n\n##","ref":"Stripe.Apps.Secret.html#create/2"},{"type":"function","title":"Details - Stripe.Apps.Secret.create/2","doc":"* Method: `post`\n * Path: `/v1/apps/secrets`","ref":"Stripe.Apps.Secret.html#create/2-details"},{"type":"function","title":"Stripe.Apps.Secret.delete_where/2","doc":"Deletes a secret from the secret store by name and scope. \n\n##","ref":"Stripe.Apps.Secret.html#delete_where/2"},{"type":"function","title":"Details - Stripe.Apps.Secret.delete_where/2","doc":"* Method: `post`\n * Path: `/v1/apps/secrets/delete`","ref":"Stripe.Apps.Secret.html#delete_where/2-details"},{"type":"function","title":"Stripe.Apps.Secret.find/2","doc":"Finds a secret in the secret store by name and scope. \n\n##","ref":"Stripe.Apps.Secret.html#find/2"},{"type":"function","title":"Details - Stripe.Apps.Secret.find/2","doc":"* Method: `get`\n * Path: `/v1/apps/secrets/find`","ref":"Stripe.Apps.Secret.html#find/2-details"},{"type":"function","title":"Stripe.Apps.Secret.list/2","doc":"List all secrets stored on the given scope. \n\n##","ref":"Stripe.Apps.Secret.html#list/2"},{"type":"function","title":"Details - Stripe.Apps.Secret.list/2","doc":"* Method: `get`\n * Path: `/v1/apps/secrets`","ref":"Stripe.Apps.Secret.html#list/2-details"},{"type":"type","title":"Stripe.Apps.Secret.scope/0","doc":"","ref":"Stripe.Apps.Secret.html#t:scope/0"},{"type":"type","title":"Stripe.Apps.Secret.t/0","doc":"The `apps.secret` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `deleted` If true, indicates that this secret has been deleted\n  * `expires_at` The Unix timestamp for the expiry time of the secret, after which the secret deletes.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `name` A name for the secret that's unique within the scope.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `payload` The plaintext secret value to be stored.\n  * `scope`","ref":"Stripe.Apps.Secret.html#t:t/0"},{"type":"module","title":"Stripe.BillingPortal.Configuration","doc":"A portal configuration describes the functionality and behavior of a portal session.","ref":"Stripe.BillingPortal.Configuration.html"},{"type":"function","title":"Stripe.BillingPortal.Configuration.create/2","doc":"Creates a configuration that describes the functionality and behavior of a PortalSession \n\n##","ref":"Stripe.BillingPortal.Configuration.html#create/2"},{"type":"function","title":"Details - Stripe.BillingPortal.Configuration.create/2","doc":"* Method: `post`\n * Path: `/v1/billing_portal/configurations`","ref":"Stripe.BillingPortal.Configuration.html#create/2-details"},{"type":"function","title":"Stripe.BillingPortal.Configuration.list/2","doc":"Returns a list of configurations that describe the functionality of the customer portal. \n\n##","ref":"Stripe.BillingPortal.Configuration.html#list/2"},{"type":"function","title":"Details - Stripe.BillingPortal.Configuration.list/2","doc":"* Method: `get`\n * Path: `/v1/billing_portal/configurations`","ref":"Stripe.BillingPortal.Configuration.html#list/2-details"},{"type":"function","title":"Stripe.BillingPortal.Configuration.retrieve/3","doc":"Retrieves a configuration that describes the functionality of the customer portal. \n\n##","ref":"Stripe.BillingPortal.Configuration.html#retrieve/3"},{"type":"function","title":"Details - Stripe.BillingPortal.Configuration.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/billing_portal/configurations/{configuration}`","ref":"Stripe.BillingPortal.Configuration.html#retrieve/3-details"},{"type":"function","title":"Stripe.BillingPortal.Configuration.update/3","doc":"Updates a configuration that describes the functionality of the customer portal. \n\n##","ref":"Stripe.BillingPortal.Configuration.html#update/3"},{"type":"function","title":"Details - Stripe.BillingPortal.Configuration.update/3","doc":"* Method: `post`\n * Path: `/v1/billing_portal/configurations/{configuration}`","ref":"Stripe.BillingPortal.Configuration.html#update/3-details"},{"type":"type","title":"Stripe.BillingPortal.Configuration.business_profile/0","doc":"The business information shown to customers in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:business_profile/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.cancellation_reason/0","doc":"Whether the cancellation reasons will be collected in the portal and which options are exposed to the customer","ref":"Stripe.BillingPortal.Configuration.html#t:cancellation_reason/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.customer_update/0","doc":"Information about updating the customer details in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:customer_update/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.features/0","doc":"Information about the features available in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:features/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.invoice_history/0","doc":"Information about showing the billing history in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:invoice_history/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.login_page/0","doc":"The hosted login page for this configuration. Learn more about the portal login page in our [integration docs](https://stripe.com/docs/billing/subscriptions/integrating-customer-portal#share).","ref":"Stripe.BillingPortal.Configuration.html#t:login_page/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.payment_method_update/0","doc":"Information about updating payment methods in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:payment_method_update/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.products/0","doc":"","ref":"Stripe.BillingPortal.Configuration.html#t:products/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.subscription_cancel/0","doc":"Information about canceling subscriptions in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:subscription_cancel/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.subscription_pause/0","doc":"Information about pausing subscriptions in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:subscription_pause/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.subscription_update/0","doc":"Information about updating subscriptions in the portal.","ref":"Stripe.BillingPortal.Configuration.html#t:subscription_update/0"},{"type":"type","title":"Stripe.BillingPortal.Configuration.t/0","doc":"The `billing_portal.configuration` type.\n\n  * `active` Whether the configuration is active and can be used to create portal sessions.\n  * `application` ID of the Connect Application that created the configuration.\n  * `business_profile` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `default_return_url` The default URL to redirect customers to when they click on the portal's link to return to your website. This can be [overriden](https://stripe.com/docs/api/customer_portal/sessions/create#create_portal_session-return_url) when creating the session.\n  * `features` \n  * `id` Unique identifier for the object.\n  * `is_default` Whether the configuration is the default. If `true`, this configuration can be managed in the Dashboard and portal sessions will use this configuration unless it is overriden when creating the session.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `login_page` \n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `updated` Time at which the object was last updated. Measured in seconds since the Unix epoch.","ref":"Stripe.BillingPortal.Configuration.html#t:t/0"},{"type":"module","title":"Stripe.CashBalance","doc":"A customer's `Cash balance` represents real funds. Customers can add funds to their cash balance by sending a bank transfer. These funds can be used for payment and can eventually be paid out to your bank account.","ref":"Stripe.CashBalance.html"},{"type":"function","title":"Stripe.CashBalance.retrieve/3","doc":"Retrieves a customer’s cash balance. \n\n##","ref":"Stripe.CashBalance.html#retrieve/3"},{"type":"function","title":"Details - Stripe.CashBalance.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/cash_balance`","ref":"Stripe.CashBalance.html#retrieve/3-details"},{"type":"function","title":"Stripe.CashBalance.update/3","doc":"Changes the settings on a customer’s cash balance. \n\n##","ref":"Stripe.CashBalance.html#update/3"},{"type":"function","title":"Details - Stripe.CashBalance.update/3","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/cash_balance`","ref":"Stripe.CashBalance.html#update/3-details"},{"type":"type","title":"Stripe.CashBalance.settings/0","doc":"A hash of settings for this cash balance.","ref":"Stripe.CashBalance.html#t:settings/0"},{"type":"type","title":"Stripe.CashBalance.t/0","doc":"The `cash_balance` type.\n\n  * `available` A hash of all cash balances available to this customer. You cannot delete a customer with any cash balances, even if the balance is 0. Amounts are represented in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal).\n  * `customer` The ID of the customer whose cash balance this object represents.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `settings`","ref":"Stripe.CashBalance.html#t:t/0"},{"type":"module","title":"Stripe.Climate.Order","doc":"Orders represent your intent to purchase a particular Climate product. When you create an order, the\npayment is deducted from your merchant balance.","ref":"Stripe.Climate.Order.html"},{"type":"function","title":"Stripe.Climate.Order.cancel/3","doc":"Cancels a Climate order. You can cancel an order within 30 days of creation. Stripe refunds the\nreservation  amount_subtotal , but not the  amount_fees  for user-triggered cancellations. Frontier\nmight cancel reservations if suppliers fail to deliver. If Frontier cancels the reservation, Stripe\nprovides 90 days advance notice and refunds the  amount_total . \n\n##","ref":"Stripe.Climate.Order.html#cancel/3"},{"type":"function","title":"Details - Stripe.Climate.Order.cancel/3","doc":"* Method: `post`\n * Path: `/v1/climate/orders/{order}/cancel`","ref":"Stripe.Climate.Order.html#cancel/3-details"},{"type":"function","title":"Stripe.Climate.Order.create/2","doc":"Creates a Climate order object for a given Climate product. The order will be processed immediately\nafter creation and payment will be deducted your Stripe balance. \n\n##","ref":"Stripe.Climate.Order.html#create/2"},{"type":"function","title":"Details - Stripe.Climate.Order.create/2","doc":"* Method: `post`\n * Path: `/v1/climate/orders`","ref":"Stripe.Climate.Order.html#create/2-details"},{"type":"function","title":"Stripe.Climate.Order.list/2","doc":"Lists all Climate order objects. The orders are returned sorted by creation date, with the\nmost recently created orders appearing first. \n\n##","ref":"Stripe.Climate.Order.html#list/2"},{"type":"function","title":"Details - Stripe.Climate.Order.list/2","doc":"* Method: `get`\n * Path: `/v1/climate/orders`","ref":"Stripe.Climate.Order.html#list/2-details"},{"type":"function","title":"Stripe.Climate.Order.retrieve/3","doc":"Retrieves the details of a Climate order object with the given ID. \n\n##","ref":"Stripe.Climate.Order.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Climate.Order.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/climate/orders/{order}`","ref":"Stripe.Climate.Order.html#retrieve/3-details"},{"type":"function","title":"Stripe.Climate.Order.update/3","doc":"Updates the specified order by setting the values of the parameters passed. \n\n##","ref":"Stripe.Climate.Order.html#update/3"},{"type":"function","title":"Details - Stripe.Climate.Order.update/3","doc":"* Method: `post`\n * Path: `/v1/climate/orders/{order}`","ref":"Stripe.Climate.Order.html#update/3-details"},{"type":"type","title":"Stripe.Climate.Order.beneficiary/0","doc":"Publicly sharable reference for the end beneficiary of carbon removal. Assumed to be the Stripe account if not set.","ref":"Stripe.Climate.Order.html#t:beneficiary/0"},{"type":"type","title":"Stripe.Climate.Order.t/0","doc":"The `climate.order` type.\n\n  * `amount_fees` Total amount of [Frontier](https://frontierclimate.com/)'s service fees in the currency's smallest unit.\n  * `amount_subtotal` Total amount of the carbon removal in the currency's smallest unit.\n  * `amount_total` Total amount of the order including fees in the currency's smallest unit.\n  * `beneficiary` \n  * `canceled_at` Time at which the order was canceled. Measured in seconds since the Unix epoch.\n  * `cancellation_reason` Reason for the cancellation of this order.\n  * `certificate` For delivered orders, a URL to a delivery certificate for the order.\n  * `confirmed_at` Time at which the order was confirmed. Measured in seconds since the Unix epoch.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase, representing the currency for this order.\n  * `delayed_at` Time at which the order's expected_delivery_year was delayed. Measured in seconds since the Unix epoch.\n  * `delivered_at` Time at which the order was delivered. Measured in seconds since the Unix epoch.\n  * `delivery_details` Details about the delivery of carbon removal for this order.\n  * `expected_delivery_year` The year this order is expected to be delivered.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `metric_tons` Quantity of carbon removal that is included in this order.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `product` Unique ID for the Climate `Product` this order is purchasing.\n  * `product_substituted_at` Time at which the order's product was substituted for a different product. Measured in seconds since the Unix epoch.\n  * `status` The current status of this order.","ref":"Stripe.Climate.Order.html#t:t/0"},{"type":"module","title":"Stripe.Climate.Product","doc":"A Climate product represents a type of carbon removal unit available for reservation.\nYou can retrieve it to see the current price and availability.","ref":"Stripe.Climate.Product.html"},{"type":"function","title":"Stripe.Climate.Product.list/2","doc":"Lists all available Climate product objects. \n\n##","ref":"Stripe.Climate.Product.html#list/2"},{"type":"function","title":"Details - Stripe.Climate.Product.list/2","doc":"* Method: `get`\n * Path: `/v1/climate/products`","ref":"Stripe.Climate.Product.html#list/2-details"},{"type":"function","title":"Stripe.Climate.Product.retrieve/3","doc":"Retrieves the details of a Climate product with the given ID. \n\n##","ref":"Stripe.Climate.Product.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Climate.Product.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/climate/products/{product}`","ref":"Stripe.Climate.Product.html#retrieve/3-details"},{"type":"type","title":"Stripe.Climate.Product.t/0","doc":"The `climate.product` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `current_prices_per_metric_ton` Current prices for a metric ton of carbon removal in a currency's smallest unit.\n  * `delivery_year` The year in which the carbon removal is expected to be delivered.\n  * `id` Unique identifier for the object. For convenience, Climate product IDs are human-readable strings\nthat start with `climsku_`. See [carbon removal inventory](https://stripe.com/docs/climate/orders/carbon-removal-inventory)\nfor a list of available carbon removal products.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metric_tons_available` The quantity of metric tons available for reservation.\n  * `name` The Climate product's name.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `suppliers` The carbon removal suppliers that fulfill orders for this Climate product.","ref":"Stripe.Climate.Product.html#t:t/0"},{"type":"module","title":"Stripe.Climate.Supplier","doc":"A supplier of carbon removal.","ref":"Stripe.Climate.Supplier.html"},{"type":"function","title":"Stripe.Climate.Supplier.list/2","doc":"Lists all available Climate supplier objects. \n\n##","ref":"Stripe.Climate.Supplier.html#list/2"},{"type":"function","title":"Details - Stripe.Climate.Supplier.list/2","doc":"* Method: `get`\n * Path: `/v1/climate/suppliers`","ref":"Stripe.Climate.Supplier.html#list/2-details"},{"type":"function","title":"Stripe.Climate.Supplier.retrieve/3","doc":"Retrieves a Climate supplier object. \n\n##","ref":"Stripe.Climate.Supplier.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Climate.Supplier.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/climate/suppliers/{supplier}`","ref":"Stripe.Climate.Supplier.html#retrieve/3-details"},{"type":"type","title":"Stripe.Climate.Supplier.t/0","doc":"The `climate.supplier` type.\n\n  * `id` Unique identifier for the object.\n  * `info_url` Link to a webpage to learn more about the supplier.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `locations` The locations in which this supplier operates.\n  * `name` Name of this carbon removal supplier.\n  * `object` String representing the object’s type. Objects of the same type share the same value.\n  * `removal_pathway` The scientific pathway used for carbon removal.","ref":"Stripe.Climate.Supplier.html#t:t/0"},{"type":"module","title":"Stripe.CustomerBalanceTransaction","doc":"Each customer has a [Balance](https://stripe.com/docs/api/customers/object#customer_object-balance) value,\nwhich denotes a debit or credit that's automatically applied to their next invoice upon finalization.\nYou may modify the value directly by using the [update customer API](https://stripe.com/docs/api/customers/update),\nor by creating a Customer Balance Transaction, which increments or decrements the customer's `balance` by the specified `amount`.\n\nRelated guide: [Customer balance](https://stripe.com/docs/billing/customer/balance)","ref":"Stripe.CustomerBalanceTransaction.html"},{"type":"function","title":"Stripe.CustomerBalanceTransaction.create/3","doc":"Creates an immutable transaction that updates the customer’s credit  balance . \n\n##","ref":"Stripe.CustomerBalanceTransaction.html#create/3"},{"type":"function","title":"Details - Stripe.CustomerBalanceTransaction.create/3","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/balance_transactions`","ref":"Stripe.CustomerBalanceTransaction.html#create/3-details"},{"type":"function","title":"Stripe.CustomerBalanceTransaction.list/3","doc":"Returns a list of transactions that updated the customer’s  balances . \n\n##","ref":"Stripe.CustomerBalanceTransaction.html#list/3"},{"type":"function","title":"Details - Stripe.CustomerBalanceTransaction.list/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/balance_transactions`","ref":"Stripe.CustomerBalanceTransaction.html#list/3-details"},{"type":"function","title":"Stripe.CustomerBalanceTransaction.retrieve/4","doc":"Retrieves a specific customer balance transaction that updated the customer’s  balances . \n\n##","ref":"Stripe.CustomerBalanceTransaction.html#retrieve/4"},{"type":"function","title":"Details - Stripe.CustomerBalanceTransaction.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/balance_transactions/{transaction}`","ref":"Stripe.CustomerBalanceTransaction.html#retrieve/4-details"},{"type":"function","title":"Stripe.CustomerBalanceTransaction.update/4","doc":"Most credit balance transaction fields are immutable, but you may update its  description  and  metadata . \n\n##","ref":"Stripe.CustomerBalanceTransaction.html#update/4"},{"type":"function","title":"Details - Stripe.CustomerBalanceTransaction.update/4","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/balance_transactions/{transaction}`","ref":"Stripe.CustomerBalanceTransaction.html#update/4-details"},{"type":"type","title":"Stripe.CustomerBalanceTransaction.t/0","doc":"The `customer_balance_transaction` type.\n\n  * `amount` The amount of the transaction. A negative value is a credit for the customer's balance, and a positive value is a debit to the customer's `balance`.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `credit_note` The ID of the credit note (if any) related to the transaction.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` The ID of the customer the transaction belongs to.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `ending_balance` The customer's `balance` after the transaction was applied. A negative value decreases the amount due on the customer's next invoice. A positive value increases the amount due on the customer's next invoice.\n  * `id` Unique identifier for the object.\n  * `invoice` The ID of the invoice (if any) related to the transaction.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `type` Transaction type: `adjustment`, `applied_to_invoice`, `credit_note`, `initial`, `invoice_overpaid`, `invoice_too_large`, `invoice_too_small`, `unspent_receiver_credit`, or `unapplied_from_invoice`. See the [Customer Balance page](https://stripe.com/docs/billing/customer/balance#types) to learn more about transaction types.","ref":"Stripe.CustomerBalanceTransaction.html#t:t/0"},{"type":"module","title":"Stripe.CustomerCashBalanceTransaction","doc":"Customers with certain payments enabled have a cash balance, representing funds that were paid\nby the customer to a merchant, but have not yet been allocated to a payment. Cash Balance Transactions\nrepresent when funds are moved into or out of this balance. This includes funding by the customer, allocation\nto payments, and refunds to the customer.","ref":"Stripe.CustomerCashBalanceTransaction.html"},{"type":"function","title":"Stripe.CustomerCashBalanceTransaction.list/3","doc":"Returns a list of transactions that modified the customer’s  cash balance . \n\n##","ref":"Stripe.CustomerCashBalanceTransaction.html#list/3"},{"type":"function","title":"Details - Stripe.CustomerCashBalanceTransaction.list/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/cash_balance_transactions`","ref":"Stripe.CustomerCashBalanceTransaction.html#list/3-details"},{"type":"function","title":"Stripe.CustomerCashBalanceTransaction.retrieve/4","doc":"Retrieves a specific cash balance transaction, which updated the customer’s  cash balance . \n\n##","ref":"Stripe.CustomerCashBalanceTransaction.html#retrieve/4"},{"type":"function","title":"Details - Stripe.CustomerCashBalanceTransaction.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/cash_balance_transactions/{transaction}`","ref":"Stripe.CustomerCashBalanceTransaction.html#retrieve/4-details"},{"type":"type","title":"Stripe.CustomerCashBalanceTransaction.t/0","doc":"The `customer_cash_balance_transaction` type.\n\n  * `adjusted_for_overdraft` \n  * `applied_to_payment` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` The customer whose available cash balance changed as a result of this transaction.\n  * `ending_balance` The total available cash balance for the specified currency after this transaction was applied. Represented in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal).\n  * `funded` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `net_amount` The amount by which the cash balance changed, represented in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal). A positive value represents funds being added to the cash balance, a negative value represents funds being removed from the cash balance.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `refunded_from_payment` \n  * `transferred_to_balance` \n  * `type` The type of the cash balance transaction. New types may be added in future. See [Customer Balance](https://stripe.com/docs/payments/customer-balance#types) to learn more about these types.\n  * `unapplied_from_payment`","ref":"Stripe.CustomerCashBalanceTransaction.html#t:t/0"},{"type":"module","title":"Stripe.CustomerSession","doc":"A customer session allows you to grant client access to Stripe's frontend SDKs (like StripeJs)\ncontrol over a customer.","ref":"Stripe.CustomerSession.html"},{"type":"function","title":"Stripe.CustomerSession.create/2","doc":"Creates a customer session object that includes a single-use client secret that you can use on your front-end to grant client-side API access for certain customer resources. \n\n##","ref":"Stripe.CustomerSession.html#create/2"},{"type":"function","title":"Details - Stripe.CustomerSession.create/2","doc":"* Method: `post`\n * Path: `/v1/customer_sessions`","ref":"Stripe.CustomerSession.html#create/2-details"},{"type":"type","title":"Stripe.CustomerSession.buy_button/0","doc":"Configuration for buy button.","ref":"Stripe.CustomerSession.html#t:buy_button/0"},{"type":"type","title":"Stripe.CustomerSession.components/0","doc":"Configuration for each component. 1 component must be enabled.","ref":"Stripe.CustomerSession.html#t:components/0"},{"type":"type","title":"Stripe.CustomerSession.pricing_table/0","doc":"Configuration for the pricing table.","ref":"Stripe.CustomerSession.html#t:pricing_table/0"},{"type":"type","title":"Stripe.CustomerSession.t/0","doc":"The `customer_session` type.\n\n  * `client_secret` The client secret of this customer session. Used on the client to set up secure access to the given `customer`.\n\nThe client secret can be used to provide access to `customer` from your frontend. It should not be stored, logged, or exposed to anyone other than the relevant customer. Make sure that you have TLS enabled on any page that includes the client secret.\n  * `components` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` The customer the customer session was created for.\n  * `expires_at` The timestamp at which this customer session will expire.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.CustomerSession.html#t:t/0"},{"type":"module","title":"Stripe.DeletedAccount","doc":"","ref":"Stripe.DeletedAccount.html"},{"type":"type","title":"Stripe.DeletedAccount.t/0","doc":"The `deleted_account` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedAccount.html#t:t/0"},{"type":"module","title":"Stripe.DeletedApplePayDomain","doc":"","ref":"Stripe.DeletedApplePayDomain.html"},{"type":"type","title":"Stripe.DeletedApplePayDomain.t/0","doc":"The `deleted_apple_pay_domain` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedApplePayDomain.html#t:t/0"},{"type":"module","title":"Stripe.DeletedCoupon","doc":"","ref":"Stripe.DeletedCoupon.html"},{"type":"type","title":"Stripe.DeletedCoupon.t/0","doc":"The `deleted_coupon` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedCoupon.html#t:t/0"},{"type":"module","title":"Stripe.DeletedCustomer","doc":"","ref":"Stripe.DeletedCustomer.html"},{"type":"type","title":"Stripe.DeletedCustomer.t/0","doc":"The `deleted_customer` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedCustomer.html#t:t/0"},{"type":"module","title":"Stripe.DeletedDiscount","doc":"","ref":"Stripe.DeletedDiscount.html"},{"type":"type","title":"Stripe.DeletedDiscount.t/0","doc":"The `deleted_discount` type.\n\n  * `checkout_session` The Checkout session that this coupon is applied to, if it is applied to a particular session in payment mode. Will not be present for subscription mode.\n  * `coupon` \n  * `customer` The ID of the customer associated with this discount.\n  * `deleted` Always true for a deleted object\n  * `id` The ID of the discount object. Discounts cannot be fetched by ID. Use `expand[]=discounts` in API calls to expand discount IDs in an array.\n  * `invoice` The invoice that the discount's coupon was applied to, if it was applied directly to a particular invoice.\n  * `invoice_item` The invoice item `id` (or invoice line item `id` for invoice line items of type='subscription') that the discount's coupon was applied to, if it was applied directly to a particular invoice item or invoice line item.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `promotion_code` The promotion code applied to create this discount.\n  * `start` Date that the coupon was applied.\n  * `subscription` The subscription that this coupon is applied to, if it is applied to a particular subscription.","ref":"Stripe.DeletedDiscount.html#t:t/0"},{"type":"module","title":"Stripe.DeletedExternalAccount","doc":"","ref":"Stripe.DeletedExternalAccount.html"},{"type":"type","title":"Stripe.DeletedExternalAccount.t/0","doc":"The `deleted_external_account` type.","ref":"Stripe.DeletedExternalAccount.html#t:t/0"},{"type":"module","title":"Stripe.DeletedInvoice","doc":"","ref":"Stripe.DeletedInvoice.html"},{"type":"type","title":"Stripe.DeletedInvoice.t/0","doc":"The `deleted_invoice` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedInvoice.html#t:t/0"},{"type":"module","title":"Stripe.DeletedInvoiceitem","doc":"","ref":"Stripe.DeletedInvoiceitem.html"},{"type":"type","title":"Stripe.DeletedInvoiceitem.t/0","doc":"The `deleted_invoiceitem` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedInvoiceitem.html#t:t/0"},{"type":"module","title":"Stripe.DeletedPaymentSource","doc":"","ref":"Stripe.DeletedPaymentSource.html"},{"type":"type","title":"Stripe.DeletedPaymentSource.t/0","doc":"The `deleted_payment_source` type.","ref":"Stripe.DeletedPaymentSource.html#t:t/0"},{"type":"module","title":"Stripe.DeletedPerson","doc":"","ref":"Stripe.DeletedPerson.html"},{"type":"type","title":"Stripe.DeletedPerson.t/0","doc":"The `deleted_person` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedPerson.html#t:t/0"},{"type":"module","title":"Stripe.DeletedPlan","doc":"","ref":"Stripe.DeletedPlan.html"},{"type":"type","title":"Stripe.DeletedPlan.t/0","doc":"The `deleted_plan` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedPlan.html#t:t/0"},{"type":"module","title":"Stripe.DeletedProduct","doc":"","ref":"Stripe.DeletedProduct.html"},{"type":"type","title":"Stripe.DeletedProduct.t/0","doc":"The `deleted_product` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedProduct.html#t:t/0"},{"type":"module","title":"Stripe.DeletedRadar.ValueList","doc":"","ref":"Stripe.DeletedRadar.ValueList.html"},{"type":"type","title":"Stripe.DeletedRadar.ValueList.t/0","doc":"The `deleted_radar.value_list` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedRadar.ValueList.html#t:t/0"},{"type":"module","title":"Stripe.DeletedRadar.ValueListItem","doc":"","ref":"Stripe.DeletedRadar.ValueListItem.html"},{"type":"type","title":"Stripe.DeletedRadar.ValueListItem.t/0","doc":"The `deleted_radar.value_list_item` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedRadar.ValueListItem.html#t:t/0"},{"type":"module","title":"Stripe.DeletedSubscriptionItem","doc":"","ref":"Stripe.DeletedSubscriptionItem.html"},{"type":"type","title":"Stripe.DeletedSubscriptionItem.t/0","doc":"The `deleted_subscription_item` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedSubscriptionItem.html#t:t/0"},{"type":"module","title":"Stripe.DeletedTaxId","doc":"","ref":"Stripe.DeletedTaxId.html"},{"type":"type","title":"Stripe.DeletedTaxId.t/0","doc":"The `deleted_tax_id` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedTaxId.html#t:t/0"},{"type":"module","title":"Stripe.DeletedTerminal.Configuration","doc":"","ref":"Stripe.DeletedTerminal.Configuration.html"},{"type":"type","title":"Stripe.DeletedTerminal.Configuration.t/0","doc":"The `deleted_terminal.configuration` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedTerminal.Configuration.html#t:t/0"},{"type":"module","title":"Stripe.DeletedTerminal.Location","doc":"","ref":"Stripe.DeletedTerminal.Location.html"},{"type":"type","title":"Stripe.DeletedTerminal.Location.t/0","doc":"The `deleted_terminal.location` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedTerminal.Location.html#t:t/0"},{"type":"module","title":"Stripe.DeletedTerminal.Reader","doc":"","ref":"Stripe.DeletedTerminal.Reader.html"},{"type":"type","title":"Stripe.DeletedTerminal.Reader.t/0","doc":"The `deleted_terminal.reader` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedTerminal.Reader.html#t:t/0"},{"type":"module","title":"Stripe.DeletedTestHelpers.TestClock","doc":"","ref":"Stripe.DeletedTestHelpers.TestClock.html"},{"type":"type","title":"Stripe.DeletedTestHelpers.TestClock.t/0","doc":"The `deleted_test_helpers.test_clock` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedTestHelpers.TestClock.html#t:t/0"},{"type":"module","title":"Stripe.DeletedWebhookEndpoint","doc":"","ref":"Stripe.DeletedWebhookEndpoint.html"},{"type":"type","title":"Stripe.DeletedWebhookEndpoint.t/0","doc":"The `deleted_webhook_endpoint` type.\n\n  * `deleted` Always true for a deleted object\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.DeletedWebhookEndpoint.html#t:t/0"},{"type":"module","title":"Stripe.EphemeralKey","doc":"","ref":"Stripe.EphemeralKey.html"},{"type":"function","title":"Stripe.EphemeralKey.create/2","doc":"Creates a short-lived API key for a given resource. \n\n##","ref":"Stripe.EphemeralKey.html#create/2"},{"type":"function","title":"Details - Stripe.EphemeralKey.create/2","doc":"* Method: `post`\n * Path: `/v1/ephemeral_keys`","ref":"Stripe.EphemeralKey.html#create/2-details"},{"type":"function","title":"Stripe.EphemeralKey.delete/3","doc":"Invalidates a short-lived API key for a given resource. \n\n##","ref":"Stripe.EphemeralKey.html#delete/3"},{"type":"function","title":"Details - Stripe.EphemeralKey.delete/3","doc":"* Method: `delete`\n * Path: `/v1/ephemeral_keys/{key}`","ref":"Stripe.EphemeralKey.html#delete/3-details"},{"type":"type","title":"Stripe.EphemeralKey.t/0","doc":"The `ephemeral_key` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `expires` Time at which the key will expire. Measured in seconds since the Unix epoch.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `secret` The key's secret. You can use this value to make authorized requests to the Stripe API.","ref":"Stripe.EphemeralKey.html#t:t/0"},{"type":"module","title":"Stripe.Error","doc":"A struct which represents an error which occurred during a Stripe API call.\n\nThis struct is designed to provide all the information needed to effectively log and maybe respond\nto an error.\n\nIt contains the following fields:\n- `:source` – this is one of\n  * `:internal` – the error occurred within the library. This is usually caused by an unexpected\n    or missing parameter.\n  * `:network` – the error occurred while making the network request (i.e. `:hackney.request/5`\n    returned an error.) In this case, `:code` will always be `:network_error`. The\n    `:hackney_reason` field in the `:extra` map contains the actual error reason received from\n    hackney.\n  * `:stripe` – an error response was received from Stripe.\n- `:code` – an atom indicating the particular error. See \"Error Codes\" for more detail.\n- `:request_id` – if `:source` is `:stripe`, this will contain the\n  [request ID](https://stripe.com/docs/api#request_ids) for logging and troubleshooting.\n  Otherwise, this field is `nil`.\n- `:message` – a loggable message describing the error. This should not be shown to your users\n  but is intended for logging and troubleshooting.\n- `:user_message` – if Stripe has provided a user-facing message (e.g. when a card is declined),\n  this field will contain it. Otherwise it is `nil`.\n- `:extra` - a map which may contain some additional information about the error. See \"Extra\n  Fields\" for details.","ref":"Stripe.Error.html"},{"type":"module","title":"Extra Fields - Stripe.Error","doc":"The `:extra` field contains a map of miscellaneous information about the error which may be\nuseful. The fields are not present if not relevant. The possible fields are:\n- `:card_code` – when `:code` is `:card_error`, contains one of Stripe's\n  [decline reasons](https://stripe.com/docs/api#errors).\n- `:decline_code` – an optional short string provided by the bank when a card is declined.\n- `:param` – for errors where a particular parameter was the cause, indicates which parameter\n  was invalid.\n- `:charge_id` – when a Charge was declined, indicates the ID of the failed Charge which was\n  created.\n- `:http_status` – for `:stripe` errors, the HTTP status returned with the error.\n- `:raw_error` – the raw error map received from Stripe.\n- `:hackney_reason` – for `:network` errors, contains the error reason received from hackney.","ref":"Stripe.Error.html#module-extra-fields"},{"type":"module","title":"Error Codes - Stripe.Error","doc":"The `:code` fields may be one of the following:\n- `:api_connection_error`, `:api_error`, `:authentication_error`, `:card_error`,\n  `:invalid_request_error`, `:rate_limit_error`, `:validation_error` – as per the\n  [Stripe docs](https://stripe.com/docs/api#errors)\n- `:bad_request`, `:unauthorized`, `:request_failed`, `:not_found`, `:conflict`,\n  `:too_many_requests`, `:server_error`, `:unknown_error` – these only occur if Stripe did not\n  send an explicit `type` for the error. They have the meaning as defined in [Stripe's HTTP status\n  code summary](https://stripe.com/docs/api#errors)\n- `:network_code` – used only when `:source` is `:network`. Indicates an error occurred while\n  making the request.\n- `:valid_keys_failed`, `:required_keys_failed`, `:endpoint_fun_invalid_result`,\n  `:invalid_endpoint` – used when `:source` is `:internal`. See `Stripe.Request` for details.","ref":"Stripe.Error.html#module-error-codes"},{"type":"type","title":"Stripe.Error.card_error_code/0","doc":"","ref":"Stripe.Error.html#t:card_error_code/0"},{"type":"type","title":"Stripe.Error.error_source/0","doc":"","ref":"Stripe.Error.html#t:error_source/0"},{"type":"type","title":"Stripe.Error.error_status/0","doc":"","ref":"Stripe.Error.html#t:error_status/0"},{"type":"type","title":"Stripe.Error.stripe_error_type/0","doc":"","ref":"Stripe.Error.html#t:stripe_error_type/0"},{"type":"type","title":"Stripe.Error.t/0","doc":"","ref":"Stripe.Error.html#t:t/0"},{"type":"module","title":"Stripe.ExchangeRate","doc":"`ExchangeRate` objects allow you to determine the rates that Stripe is currently\nusing to convert from one currency to another. Since this number is variable\nthroughout the day, there are various reasons why you might want to know the current\nrate (for example, to dynamically price an item for a user with a default\npayment in a foreign currency).\n\nPlease refer to our [Exchange Rates API](https://stripe.com/docs/fx-rates) guide for more details.\n\n*[Note: this integration path is supported but no longer recommended]* Additionally,\nyou can guarantee that a charge is made with an exchange rate that you expect is\ncurrent. To do so, you must pass in the exchange_rate to charges endpoints. If the\nvalue is no longer up to date, the charge won't go through. Please refer to our\n[Using with charges](https://stripe.com/docs/exchange-rates) guide for more details.\n\n-----\n\n&nbsp;\n\n*This Exchange Rates API is a Beta Service and is subject to Stripe's terms of service. You may use the API solely for the purpose of transacting on Stripe. For example, the API may be queried in order to:*\n\n- *localize prices for processing payments on Stripe*\n- *reconcile Stripe transactions*\n- *determine how much money to send to a connected account*\n- *determine app fees to charge a connected account*\n\n*Using this Exchange Rates API beta for any purpose other than to transact on Stripe is strictly prohibited and constitutes a violation of Stripe's terms of service.*","ref":"Stripe.ExchangeRate.html"},{"type":"function","title":"Stripe.ExchangeRate.list/2","doc":"Returns a list of objects that contain the rates at which foreign currencies are converted to one another. Only shows the currencies for which Stripe supports. \n\n##","ref":"Stripe.ExchangeRate.html#list/2"},{"type":"function","title":"Details - Stripe.ExchangeRate.list/2","doc":"* Method: `get`\n * Path: `/v1/exchange_rates`","ref":"Stripe.ExchangeRate.html#list/2-details"},{"type":"function","title":"Stripe.ExchangeRate.retrieve/3","doc":"Retrieves the exchange rates from the given currency to every supported currency. \n\n##","ref":"Stripe.ExchangeRate.html#retrieve/3"},{"type":"function","title":"Details - Stripe.ExchangeRate.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/exchange_rates/{rate_id}`","ref":"Stripe.ExchangeRate.html#retrieve/3-details"},{"type":"type","title":"Stripe.ExchangeRate.t/0","doc":"The `exchange_rate` type.\n\n  * `id` Unique identifier for the object. Represented as the three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html) in lowercase.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `rates` Hash where the keys are supported currencies and the values are the exchange rate at which the base id currency converts to the key currency.","ref":"Stripe.ExchangeRate.html#t:t/0"},{"type":"module","title":"Stripe.File","doc":"This object represents files hosted on Stripe's servers. You can upload\nfiles with the [create file](https://stripe.com/docs/api#create_file) request\n(for example, when uploading dispute evidence). Stripe also\ncreates files independently (for example, the results of a [Sigma scheduled\nquery](#scheduled_queries)).\n\nRelated guide: [File upload guide](https://stripe.com/docs/file-upload)","ref":"Stripe.File.html"},{"type":"function","title":"Stripe.File.create/2","doc":"To upload a file to Stripe, you need to send a request of type  multipart/form-data . Include the file you want to upload in the request, and the parameters for creating a file. \n\n All of Stripe’s officially supported Client libraries support sending  multipart/form-data . \n\n##","ref":"Stripe.File.html#create/2"},{"type":"function","title":"Details - Stripe.File.create/2","doc":"* Method: `post`\n * Path: `/v1/files`","ref":"Stripe.File.html#create/2-details"},{"type":"function","title":"Stripe.File.list/2","doc":"Returns a list of the files that your account has access to. Stripe sorts and returns the files by their creation dates, placing the most recently created files at the top. \n\n##","ref":"Stripe.File.html#list/2"},{"type":"function","title":"Details - Stripe.File.list/2","doc":"* Method: `get`\n * Path: `/v1/files`","ref":"Stripe.File.html#list/2-details"},{"type":"function","title":"Stripe.File.retrieve/3","doc":"Retrieves the details of an existing file object. After you supply a unique file ID, Stripe returns the corresponding file object. Learn how to  access file contents . \n\n##","ref":"Stripe.File.html#retrieve/3"},{"type":"function","title":"Details - Stripe.File.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/files/{file}`","ref":"Stripe.File.html#retrieve/3-details"},{"type":"type","title":"Stripe.File.created/0","doc":"","ref":"Stripe.File.html#t:created/0"},{"type":"type","title":"Stripe.File.t/0","doc":"The `file` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `expires_at` The file expires and isn't available at this time in epoch seconds.\n  * `filename` The suitable name for saving the file to a filesystem.\n  * `id` Unique identifier for the object.\n  * `links` A list of [file links](https://stripe.com/docs/api#file_links) that point at this file.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `purpose` The [purpose](https://stripe.com/docs/file-upload#uploading-a-file) of the uploaded file.\n  * `size` The size of the file object in bytes.\n  * `title` A suitable title for the document.\n  * `type` The returned file type (for example, `csv`, `pdf`, `jpg`, or `png`).\n  * `url` Use your live secret API key to download the file from this URL.","ref":"Stripe.File.html#t:t/0"},{"type":"module","title":"Stripe.FinancialConnections.Account","doc":"A Financial Connections Account represents an account that exists outside of Stripe, to which you have been granted some degree of access.","ref":"Stripe.FinancialConnections.Account.html"},{"type":"function","title":"Stripe.FinancialConnections.Account.disconnect/3","doc":"Disables your access to a Financial Connections  Account . You will no longer be able to access data associated with the account (e.g. balances, transactions). \n\n##","ref":"Stripe.FinancialConnections.Account.html#disconnect/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.disconnect/3","doc":"* Method: `post`\n * Path: `/v1/financial_connections/accounts/{account}/disconnect`","ref":"Stripe.FinancialConnections.Account.html#disconnect/3-details"},{"type":"function","title":"Stripe.FinancialConnections.Account.list/2","doc":"Returns a list of Financial Connections  Account  objects. \n\n##","ref":"Stripe.FinancialConnections.Account.html#list/2"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.list/2","doc":"* Method: `get`\n * Path: `/v1/financial_connections/accounts`","ref":"Stripe.FinancialConnections.Account.html#list/2-details"},{"type":"function","title":"Stripe.FinancialConnections.Account.list_owners/3","doc":"Lists all owners for a given  Account  \n\n##","ref":"Stripe.FinancialConnections.Account.html#list_owners/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.list_owners/3","doc":"* Method: `get`\n * Path: `/v1/financial_connections/accounts/{account}/owners`","ref":"Stripe.FinancialConnections.Account.html#list_owners/3-details"},{"type":"function","title":"Stripe.FinancialConnections.Account.refresh/3","doc":"Refreshes the data associated with a Financial Connections  Account . \n\n##","ref":"Stripe.FinancialConnections.Account.html#refresh/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.refresh/3","doc":"* Method: `post`\n * Path: `/v1/financial_connections/accounts/{account}/refresh`","ref":"Stripe.FinancialConnections.Account.html#refresh/3-details"},{"type":"function","title":"Stripe.FinancialConnections.Account.retrieve/3","doc":"Retrieves the details of an Financial Connections  Account . \n\n##","ref":"Stripe.FinancialConnections.Account.html#retrieve/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/financial_connections/accounts/{account}`","ref":"Stripe.FinancialConnections.Account.html#retrieve/3-details"},{"type":"function","title":"Stripe.FinancialConnections.Account.subscribe/3","doc":"Subscribes to periodic refreshes of data associated with a Financial Connections  Account . \n\n##","ref":"Stripe.FinancialConnections.Account.html#subscribe/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.subscribe/3","doc":"* Method: `post`\n * Path: `/v1/financial_connections/accounts/{account}/subscribe`","ref":"Stripe.FinancialConnections.Account.html#subscribe/3-details"},{"type":"function","title":"Stripe.FinancialConnections.Account.unsubscribe/3","doc":"Unsubscribes from periodic refreshes of data associated with a Financial Connections  Account . \n\n##","ref":"Stripe.FinancialConnections.Account.html#unsubscribe/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Account.unsubscribe/3","doc":"* Method: `post`\n * Path: `/v1/financial_connections/accounts/{account}/unsubscribe`","ref":"Stripe.FinancialConnections.Account.html#unsubscribe/3-details"},{"type":"type","title":"Stripe.FinancialConnections.Account.account_holder/0","doc":"","ref":"Stripe.FinancialConnections.Account.html#t:account_holder/0"},{"type":"type","title":"Stripe.FinancialConnections.Account.t/0","doc":"The `financial_connections.account` type.\n\n  * `account_holder` The account holder that this account belongs to.\n  * `balance` The most recent information about the account's balance.\n  * `balance_refresh` The state of the most recent attempt to refresh the account balance.\n  * `category` The type of the account. Account category is further divided in `subcategory`.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `display_name` A human-readable name that has been assigned to this account, either by the account holder or by the institution.\n  * `id` Unique identifier for the object.\n  * `institution_name` The name of the institution that holds this account.\n  * `last4` The last 4 digits of the account number. If present, this will be 4 numeric characters.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `ownership` The most recent information about the account's owners.\n  * `ownership_refresh` The state of the most recent attempt to refresh the account owners.\n  * `permissions` The list of permissions granted by this account.\n  * `status` The status of the link to the account.\n  * `subcategory` If `category` is `cash`, one of:\n\n - `checking`\n - `savings`\n - `other`\n\nIf `category` is `credit`, one of:\n\n - `mortgage`\n - `line_of_credit`\n - `credit_card`\n - `other`\n\nIf `category` is `investment` or `other`, this will be `other`.\n  * `subscriptions` The list of data refresh subscriptions requested on this account.\n  * `supported_payment_method_types` The [PaymentMethod type](https://stripe.com/docs/api/payment_methods/object#payment_method_object-type)(s) that can be created from this account.\n  * `transaction_refresh` The state of the most recent attempt to refresh the account transactions.","ref":"Stripe.FinancialConnections.Account.html#t:t/0"},{"type":"module","title":"Stripe.FinancialConnections.AccountOwner","doc":"Describes an owner of an account.","ref":"Stripe.FinancialConnections.AccountOwner.html"},{"type":"type","title":"Stripe.FinancialConnections.AccountOwner.t/0","doc":"The `financial_connections.account_owner` type.\n\n  * `email` The email address of the owner.\n  * `id` Unique identifier for the object.\n  * `name` The full name of the owner.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `ownership` The ownership object that this owner belongs to.\n  * `phone` The raw phone number of the owner.\n  * `raw_address` The raw physical address of the owner.\n  * `refreshed_at` The timestamp of the refresh that updated this owner.","ref":"Stripe.FinancialConnections.AccountOwner.html#t:t/0"},{"type":"module","title":"Stripe.FinancialConnections.Session","doc":"A Financial Connections Session is the secure way to programmatically launch the client-side Stripe.js modal that lets your users link their accounts.","ref":"Stripe.FinancialConnections.Session.html"},{"type":"function","title":"Stripe.FinancialConnections.Session.create/2","doc":"To launch the Financial Connections authorization flow, create a  Session . The session’s  client_secret  can be used to launch the flow using Stripe.js. \n\n##","ref":"Stripe.FinancialConnections.Session.html#create/2"},{"type":"function","title":"Details - Stripe.FinancialConnections.Session.create/2","doc":"* Method: `post`\n * Path: `/v1/financial_connections/sessions`","ref":"Stripe.FinancialConnections.Session.html#create/2-details"},{"type":"function","title":"Stripe.FinancialConnections.Session.retrieve/3","doc":"Retrieves the details of a Financial Connections  Session  \n\n##","ref":"Stripe.FinancialConnections.Session.html#retrieve/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Session.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/financial_connections/sessions/{session}`","ref":"Stripe.FinancialConnections.Session.html#retrieve/3-details"},{"type":"type","title":"Stripe.FinancialConnections.Session.account_holder/0","doc":"The account holder to link accounts for.","ref":"Stripe.FinancialConnections.Session.html#t:account_holder/0"},{"type":"type","title":"Stripe.FinancialConnections.Session.filters/0","doc":"Filters to restrict the kinds of accounts to collect.","ref":"Stripe.FinancialConnections.Session.html#t:filters/0"},{"type":"type","title":"Stripe.FinancialConnections.Session.t/0","doc":"The `financial_connections.session` type.\n\n  * `account_holder` The account holder for whom accounts are collected in this session.\n  * `accounts` The accounts that were collected as part of this Session.\n  * `client_secret` A value that will be passed to the client to launch the authentication flow.\n  * `filters` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `permissions` Permissions requested for accounts collected during this session.\n  * `prefetch` Data features requested to be retrieved upon account creation.\n  * `return_url` For webview integrations only. Upon completing OAuth login in the native browser, the user will be redirected to this URL to return to your app.","ref":"Stripe.FinancialConnections.Session.html#t:t/0"},{"type":"module","title":"Stripe.FinancialConnections.Transaction","doc":"A Transaction represents a real transaction that affects a Financial Connections Account balance.","ref":"Stripe.FinancialConnections.Transaction.html"},{"type":"function","title":"Stripe.FinancialConnections.Transaction.list/2","doc":"Returns a list of Financial Connections  Transaction  objects. \n\n##","ref":"Stripe.FinancialConnections.Transaction.html#list/2"},{"type":"function","title":"Details - Stripe.FinancialConnections.Transaction.list/2","doc":"* Method: `get`\n * Path: `/v1/financial_connections/transactions`","ref":"Stripe.FinancialConnections.Transaction.html#list/2-details"},{"type":"function","title":"Stripe.FinancialConnections.Transaction.retrieve/3","doc":"Retrieves the details of a Financial Connections  Transaction  \n\n##","ref":"Stripe.FinancialConnections.Transaction.html#retrieve/3"},{"type":"function","title":"Details - Stripe.FinancialConnections.Transaction.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/financial_connections/transactions/{transaction}`","ref":"Stripe.FinancialConnections.Transaction.html#retrieve/3-details"},{"type":"type","title":"Stripe.FinancialConnections.Transaction.t/0","doc":"The `financial_connections.transaction` type.\n\n  * `account` The ID of the Financial Connections Account this transaction belongs to.\n  * `amount` The amount of this transaction, in cents (or local equivalent).\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` The description of this transaction.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` The status of the transaction.\n  * `status_transitions` \n  * `transacted_at` Time at which the transaction was transacted. Measured in seconds since the Unix epoch.\n  * `transaction_refresh` The token of the transaction refresh that last updated or created this transaction.\n  * `updated` Time at which the object was last updated. Measured in seconds since the Unix epoch.","ref":"Stripe.FinancialConnections.Transaction.html#t:t/0"},{"type":"type","title":"Stripe.FinancialConnections.Transaction.transacted_at/0","doc":"","ref":"Stripe.FinancialConnections.Transaction.html#t:transacted_at/0"},{"type":"type","title":"Stripe.FinancialConnections.Transaction.transaction_refresh/0","doc":"","ref":"Stripe.FinancialConnections.Transaction.html#t:transaction_refresh/0"},{"type":"module","title":"Stripe.FundingInstructions","doc":"Each customer has a [`balance`](https://stripe.com/docs/api/customers/object#customer_object-balance) that is\nautomatically applied to future invoices and payments using the `customer_balance` payment method.\nCustomers can fund this balance by initiating a bank transfer to any account in the\n`financial_addresses` field.\nRelated guide: [Customer balance funding instructions](https://stripe.com/docs/payments/customer-balance/funding-instructions)","ref":"Stripe.FundingInstructions.html"},{"type":"type","title":"Stripe.FundingInstructions.t/0","doc":"The `funding_instructions` type.\n\n  * `bank_transfer` \n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `funding_type` The `funding_type` of the returned instructions\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.FundingInstructions.html#t:t/0"},{"type":"module","title":"Stripe.Issuing.Dispute","doc":"As a [card issuer](https://stripe.com/docs/issuing), you can dispute transactions that the cardholder does not recognize, suspects to be fraudulent, or has other issues with.\n\nRelated guide: [Issuing disputes](https://stripe.com/docs/issuing/purchases/disputes)","ref":"Stripe.Issuing.Dispute.html"},{"type":"function","title":"Stripe.Issuing.Dispute.create/2","doc":"Creates an Issuing  Dispute  object. Individual pieces of evidence within the  evidence  object are optional at this point. Stripe only validates that required evidence is present during submission. Refer to  Dispute reasons and evidence  for more details about evidence requirements. \n\n##","ref":"Stripe.Issuing.Dispute.html#create/2"},{"type":"function","title":"Details - Stripe.Issuing.Dispute.create/2","doc":"* Method: `post`\n * Path: `/v1/issuing/disputes`","ref":"Stripe.Issuing.Dispute.html#create/2-details"},{"type":"function","title":"Stripe.Issuing.Dispute.list/2","doc":"Returns a list of Issuing  Dispute  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Issuing.Dispute.html#list/2"},{"type":"function","title":"Details - Stripe.Issuing.Dispute.list/2","doc":"* Method: `get`\n * Path: `/v1/issuing/disputes`","ref":"Stripe.Issuing.Dispute.html#list/2-details"},{"type":"function","title":"Stripe.Issuing.Dispute.retrieve/3","doc":"Retrieves an Issuing  Dispute  object. \n\n##","ref":"Stripe.Issuing.Dispute.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Issuing.Dispute.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/issuing/disputes/{dispute}`","ref":"Stripe.Issuing.Dispute.html#retrieve/3-details"},{"type":"function","title":"Stripe.Issuing.Dispute.submit/3","doc":"Submits an Issuing  Dispute  to the card network. Stripe validates that all evidence fields required for the dispute’s reason are present. For more details, see  Dispute reasons and evidence . \n\n##","ref":"Stripe.Issuing.Dispute.html#submit/3"},{"type":"function","title":"Details - Stripe.Issuing.Dispute.submit/3","doc":"* Method: `post`\n * Path: `/v1/issuing/disputes/{dispute}/submit`","ref":"Stripe.Issuing.Dispute.html#submit/3-details"},{"type":"function","title":"Stripe.Issuing.Dispute.update/3","doc":"Updates the specified Issuing  Dispute  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Properties on the  evidence  object can be unset by passing in an empty string. \n\n##","ref":"Stripe.Issuing.Dispute.html#update/3"},{"type":"function","title":"Details - Stripe.Issuing.Dispute.update/3","doc":"* Method: `post`\n * Path: `/v1/issuing/disputes/{dispute}`","ref":"Stripe.Issuing.Dispute.html#update/3-details"},{"type":"type","title":"Stripe.Issuing.Dispute.canceled/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:canceled/0"},{"type":"type","title":"Stripe.Issuing.Dispute.created/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:created/0"},{"type":"type","title":"Stripe.Issuing.Dispute.duplicate/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:duplicate/0"},{"type":"type","title":"Stripe.Issuing.Dispute.evidence/0","doc":"Evidence provided for the dispute.","ref":"Stripe.Issuing.Dispute.html#t:evidence/0"},{"type":"type","title":"Stripe.Issuing.Dispute.fraudulent/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:fraudulent/0"},{"type":"type","title":"Stripe.Issuing.Dispute.merchandise_not_as_described/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:merchandise_not_as_described/0"},{"type":"type","title":"Stripe.Issuing.Dispute.not_received/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:not_received/0"},{"type":"type","title":"Stripe.Issuing.Dispute.other/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:other/0"},{"type":"type","title":"Stripe.Issuing.Dispute.service_not_as_described/0","doc":"","ref":"Stripe.Issuing.Dispute.html#t:service_not_as_described/0"},{"type":"type","title":"Stripe.Issuing.Dispute.t/0","doc":"The `issuing.dispute` type.\n\n  * `amount` Disputed amount in the card's currency and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal). Usually the amount of the `transaction`, but can differ (usually because of currency fluctuation).\n  * `balance_transactions` List of balance transactions associated with the dispute.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` The currency the `transaction` was made in.\n  * `evidence` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` Current status of the dispute.\n  * `transaction` The transaction being disputed.\n  * `treasury` [Treasury](https://stripe.com/docs/api/treasury) details related to this dispute if it was created on a [FinancialAccount](/docs/api/treasury/financial_accounts","ref":"Stripe.Issuing.Dispute.html#t:t/0"},{"type":"type","title":"Stripe.Issuing.Dispute.treasury/0","doc":"Params for disputes related to Treasury FinancialAccounts","ref":"Stripe.Issuing.Dispute.html#t:treasury/0"},{"type":"module","title":"Stripe.Issuing.Token","doc":"An issuing token object is created when an issued card is added to a digital wallet. As a [card issuer](https://stripe.com/docs/issuing), you can [view and manage these tokens](https://stripe.com/docs/issuing/controls/token-management) through Stripe.","ref":"Stripe.Issuing.Token.html"},{"type":"function","title":"Stripe.Issuing.Token.list/2","doc":"Lists all Issuing  Token  objects for a given card. \n\n##","ref":"Stripe.Issuing.Token.html#list/2"},{"type":"function","title":"Details - Stripe.Issuing.Token.list/2","doc":"* Method: `get`\n * Path: `/v1/issuing/tokens`","ref":"Stripe.Issuing.Token.html#list/2-details"},{"type":"function","title":"Stripe.Issuing.Token.retrieve/3","doc":"Retrieves an Issuing  Token  object. \n\n##","ref":"Stripe.Issuing.Token.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Issuing.Token.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/issuing/tokens/{token}`","ref":"Stripe.Issuing.Token.html#retrieve/3-details"},{"type":"function","title":"Stripe.Issuing.Token.update/3","doc":"Attempts to update the specified Issuing  Token  object to the status specified. \n\n##","ref":"Stripe.Issuing.Token.html#update/3"},{"type":"function","title":"Details - Stripe.Issuing.Token.update/3","doc":"* Method: `post`\n * Path: `/v1/issuing/tokens/{token}`","ref":"Stripe.Issuing.Token.html#update/3-details"},{"type":"type","title":"Stripe.Issuing.Token.created/0","doc":"","ref":"Stripe.Issuing.Token.html#t:created/0"},{"type":"type","title":"Stripe.Issuing.Token.t/0","doc":"The `issuing.token` type.\n\n  * `card` Card associated with this token.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `device_fingerprint` The hashed ID derived from the device ID from the card network associated with the token\n  * `id` Unique identifier for the object.\n  * `last4` The last four digits of the token.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `network` The token service provider / card network associated with the token.\n  * `network_data` \n  * `network_updated_at` Time at which the token was last updated by the card network. Measured in seconds since the Unix epoch.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` The usage state of the token.\n  * `wallet_provider` The digital wallet for this token, if one was used.","ref":"Stripe.Issuing.Token.html#t:t/0"},{"type":"module","title":"Stripe.Item","doc":"A line item.","ref":"Stripe.Item.html"},{"type":"type","title":"Stripe.Item.t/0","doc":"The `item` type.\n\n  * `amount_discount` Total discount amount applied. If no discounts were applied, defaults to 0.\n  * `amount_subtotal` Total before any discounts or taxes are applied.\n  * `amount_tax` Total tax amount applied. If no tax was applied, defaults to 0.\n  * `amount_total` Total after discounts and taxes.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users. Defaults to product name.\n  * `discounts` The discounts applied to the line item.\n  * `id` Unique identifier for the object.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `price` The price used to generate the line item.\n  * `quantity` The quantity of products being purchased.\n  * `taxes` The taxes applied to the line item.","ref":"Stripe.Item.html#t:t/0"},{"type":"module","title":"Stripe.PaymentLink","doc":"A payment link is a shareable URL that will take your customers to a hosted payment page. A payment link can be shared and used multiple times.\n\nWhen a customer opens a payment link it will open a new [checkout session](https://stripe.com/docs/api/checkout/sessions) to render the payment page. You can use [checkout session events](https://stripe.com/docs/api/events/types#event_types-checkout.session.completed) to track payments through payment links.\n\nRelated guide: [Payment Links API](https://stripe.com/docs/payment-links)","ref":"Stripe.PaymentLink.html"},{"type":"function","title":"Stripe.PaymentLink.create/2","doc":"Creates a payment link. \n\n##","ref":"Stripe.PaymentLink.html#create/2"},{"type":"function","title":"Details - Stripe.PaymentLink.create/2","doc":"* Method: `post`\n * Path: `/v1/payment_links`","ref":"Stripe.PaymentLink.html#create/2-details"},{"type":"function","title":"Stripe.PaymentLink.list/2","doc":"Returns a list of your payment links. \n\n##","ref":"Stripe.PaymentLink.html#list/2"},{"type":"function","title":"Details - Stripe.PaymentLink.list/2","doc":"* Method: `get`\n * Path: `/v1/payment_links`","ref":"Stripe.PaymentLink.html#list/2-details"},{"type":"function","title":"Stripe.PaymentLink.list_line_items/3","doc":"When retrieving a payment link, there is an includable  line_items  property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.PaymentLink.html#list_line_items/3"},{"type":"function","title":"Details - Stripe.PaymentLink.list_line_items/3","doc":"* Method: `get`\n * Path: `/v1/payment_links/{payment_link}/line_items`","ref":"Stripe.PaymentLink.html#list_line_items/3-details"},{"type":"function","title":"Stripe.PaymentLink.retrieve/3","doc":"Retrieve a payment link. \n\n##","ref":"Stripe.PaymentLink.html#retrieve/3"},{"type":"function","title":"Details - Stripe.PaymentLink.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/payment_links/{payment_link}`","ref":"Stripe.PaymentLink.html#retrieve/3-details"},{"type":"function","title":"Stripe.PaymentLink.update/3","doc":"Updates a payment link. \n\n##","ref":"Stripe.PaymentLink.html#update/3"},{"type":"function","title":"Details - Stripe.PaymentLink.update/3","doc":"* Method: `post`\n * Path: `/v1/payment_links/{payment_link}`","ref":"Stripe.PaymentLink.html#update/3-details"},{"type":"type","title":"Stripe.PaymentLink.adjustable_quantity/0","doc":"When set, provides configuration for this item’s quantity to be adjusted by the customer during checkout.","ref":"Stripe.PaymentLink.html#t:adjustable_quantity/0"},{"type":"type","title":"Stripe.PaymentLink.after_completion/0","doc":"Behavior after the purchase is complete.","ref":"Stripe.PaymentLink.html#t:after_completion/0"},{"type":"type","title":"Stripe.PaymentLink.after_submit/0","doc":"","ref":"Stripe.PaymentLink.html#t:after_submit/0"},{"type":"type","title":"Stripe.PaymentLink.automatic_tax/0","doc":"Configuration for automatic tax collection.","ref":"Stripe.PaymentLink.html#t:automatic_tax/0"},{"type":"type","title":"Stripe.PaymentLink.completed_sessions/0","doc":"Configuration for the `completed_sessions` restriction type.","ref":"Stripe.PaymentLink.html#t:completed_sessions/0"},{"type":"type","title":"Stripe.PaymentLink.consent_collection/0","doc":"Configure fields to gather active consent from customers.","ref":"Stripe.PaymentLink.html#t:consent_collection/0"},{"type":"type","title":"Stripe.PaymentLink.custom_fields/0","doc":"","ref":"Stripe.PaymentLink.html#t:custom_fields/0"},{"type":"type","title":"Stripe.PaymentLink.custom_text/0","doc":"Display additional text for your customers using custom text.","ref":"Stripe.PaymentLink.html#t:custom_text/0"},{"type":"type","title":"Stripe.PaymentLink.dropdown/0","doc":"Configuration for `type=dropdown` fields.","ref":"Stripe.PaymentLink.html#t:dropdown/0"},{"type":"type","title":"Stripe.PaymentLink.end_behavior/0","doc":"Defines how the subscription should behave when the user's free trial ends.","ref":"Stripe.PaymentLink.html#t:end_behavior/0"},{"type":"type","title":"Stripe.PaymentLink.hosted_confirmation/0","doc":"Configuration when `type=hosted_confirmation`.","ref":"Stripe.PaymentLink.html#t:hosted_confirmation/0"},{"type":"type","title":"Stripe.PaymentLink.invoice_creation/0","doc":"Generate a post-purchase Invoice for one-time payments.","ref":"Stripe.PaymentLink.html#t:invoice_creation/0"},{"type":"type","title":"Stripe.PaymentLink.invoice_data/0","doc":"Invoice PDF configuration.","ref":"Stripe.PaymentLink.html#t:invoice_data/0"},{"type":"type","title":"Stripe.PaymentLink.label/0","doc":"The label for the field, displayed to the customer.","ref":"Stripe.PaymentLink.html#t:label/0"},{"type":"type","title":"Stripe.PaymentLink.line_items/0","doc":"","ref":"Stripe.PaymentLink.html#t:line_items/0"},{"type":"type","title":"Stripe.PaymentLink.numeric/0","doc":"Configuration for `type=numeric` fields.","ref":"Stripe.PaymentLink.html#t:numeric/0"},{"type":"type","title":"Stripe.PaymentLink.options/0","doc":"","ref":"Stripe.PaymentLink.html#t:options/0"},{"type":"type","title":"Stripe.PaymentLink.payment_intent_data/0","doc":"A subset of parameters to be passed to PaymentIntent creation for Checkout Sessions in `payment` mode.","ref":"Stripe.PaymentLink.html#t:payment_intent_data/0"},{"type":"type","title":"Stripe.PaymentLink.payment_method_reuse_agreement/0","doc":"Determines the display of payment method reuse agreement text in the UI. If set to `hidden`, it will hide legal text related to the reuse of a payment method.","ref":"Stripe.PaymentLink.html#t:payment_method_reuse_agreement/0"},{"type":"type","title":"Stripe.PaymentLink.phone_number_collection/0","doc":"Controls phone number collection settings during checkout.\n\nWe recommend that you review your privacy policy and check with your legal contacts.","ref":"Stripe.PaymentLink.html#t:phone_number_collection/0"},{"type":"type","title":"Stripe.PaymentLink.redirect/0","doc":"Configuration when `type=redirect`.","ref":"Stripe.PaymentLink.html#t:redirect/0"},{"type":"type","title":"Stripe.PaymentLink.rendering_options/0","doc":"","ref":"Stripe.PaymentLink.html#t:rendering_options/0"},{"type":"type","title":"Stripe.PaymentLink.restrictions/0","doc":"Settings that restrict the usage of a payment link.","ref":"Stripe.PaymentLink.html#t:restrictions/0"},{"type":"type","title":"Stripe.PaymentLink.shipping_address/0","doc":"","ref":"Stripe.PaymentLink.html#t:shipping_address/0"},{"type":"type","title":"Stripe.PaymentLink.shipping_address_collection/0","doc":"Configuration for collecting the customer's shipping address.","ref":"Stripe.PaymentLink.html#t:shipping_address_collection/0"},{"type":"type","title":"Stripe.PaymentLink.shipping_options/0","doc":"","ref":"Stripe.PaymentLink.html#t:shipping_options/0"},{"type":"type","title":"Stripe.PaymentLink.submit/0","doc":"","ref":"Stripe.PaymentLink.html#t:submit/0"},{"type":"type","title":"Stripe.PaymentLink.subscription_data/0","doc":"When creating a subscription, the specified configuration data will be used. There must be at least one line item with a recurring price to use `subscription_data`.","ref":"Stripe.PaymentLink.html#t:subscription_data/0"},{"type":"type","title":"Stripe.PaymentLink.t/0","doc":"The `payment_link` type.\n\n  * `active` Whether the payment link's `url` is active. If `false`, customers visiting the URL will be shown a page saying that the link has been deactivated.\n  * `after_completion` \n  * `allow_promotion_codes` Whether user redeemable promotion codes are enabled.\n  * `application` The ID of the Connect application that created the Payment Link.\n  * `application_fee_amount` The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account.\n  * `application_fee_percent` This represents the percentage of the subscription invoice total that will be transferred to the application owner's Stripe account.\n  * `automatic_tax` \n  * `billing_address_collection` Configuration for collecting the customer's billing address.\n  * `consent_collection` When set, provides configuration to gather active consent from customers.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `custom_fields` Collect additional information from your customer using custom fields. Up to 2 fields are supported.\n  * `custom_text` \n  * `customer_creation` Configuration for Customer creation during checkout.\n  * `id` Unique identifier for the object.\n  * `inactive_message` The custom message to be displayed to a customer when a payment link is no longer active.\n  * `invoice_creation` Configuration for creating invoice for payment mode payment links.\n  * `line_items` The line items representing what is being sold.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account on behalf of which to charge. See the [Connect documentation](https://support.stripe.com/questions/sending-invoices-on-behalf-of-connected-accounts) for details.\n  * `payment_intent_data` Indicates the parameters to be passed to PaymentIntent creation during checkout.\n  * `payment_method_collection` Configuration for collecting a payment method during checkout.\n  * `payment_method_types` The list of payment method types that customers can use. When `null`, Stripe will dynamically show relevant payment methods you've enabled in your [payment method settings](https://dashboard.stripe.com/settings/payment_methods).\n  * `phone_number_collection` \n  * `restrictions` Settings that restrict the usage of a payment link.\n  * `shipping_address_collection` Configuration for collecting the customer's shipping address.\n  * `shipping_options` The shipping rate options applied to the session.\n  * `submit_type` Indicates the type of transaction being performed which customizes relevant text on the page, such as the submit button.\n  * `subscription_data` When creating a subscription, the specified configuration data will be used. There must be at least one line item with a recurring price to use `subscription_data`.\n  * `tax_id_collection` \n  * `transfer_data` The account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to.\n  * `url` The public URL that can be shared with customers.","ref":"Stripe.PaymentLink.html#t:t/0"},{"type":"type","title":"Stripe.PaymentLink.tax_id_collection/0","doc":"Controls tax ID collection during checkout.","ref":"Stripe.PaymentLink.html#t:tax_id_collection/0"},{"type":"type","title":"Stripe.PaymentLink.terms_of_service_acceptance/0","doc":"","ref":"Stripe.PaymentLink.html#t:terms_of_service_acceptance/0"},{"type":"type","title":"Stripe.PaymentLink.text/0","doc":"Configuration for `type=text` fields.","ref":"Stripe.PaymentLink.html#t:text/0"},{"type":"type","title":"Stripe.PaymentLink.transfer_data/0","doc":"The account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to.","ref":"Stripe.PaymentLink.html#t:transfer_data/0"},{"type":"type","title":"Stripe.PaymentLink.trial_settings/0","doc":"Settings related to subscription trials.","ref":"Stripe.PaymentLink.html#t:trial_settings/0"},{"type":"module","title":"Stripe.PaymentMethodConfiguration","doc":"PaymentMethodConfigurations control which payment methods are displayed to your customers when you don't explicitly specify payment method types. You can have multiple configurations with different sets of payment methods for different scenarios.\n\nThere are two types of PaymentMethodConfigurations. Which is used depends on the [charge type](https://stripe.com/docs/connect/charges):\n\n**Direct** configurations apply to payments created on your account, including Connect destination charges, Connect separate charges and transfers, and payments not involving Connect.\n\n**Child** configurations apply to payments created on your connected accounts using direct charges, and charges with the on_behalf_of parameter.\n\nChild configurations have a `parent` that sets default values and controls which settings connected accounts may override. You can specify a parent ID at payment time, and Stripe will automatically resolve the connected account’s associated child configuration. Parent configurations are [managed in the dashboard](https://dashboard.stripe.com/settings/payment_methods/connected_accounts) and are not available in this API.\n\nRelated guides:\n- [Payment Method Configurations API](https://stripe.com/docs/connect/payment-method-configurations)\n- [Multiple configurations on dynamic payment methods](https://stripe.com/docs/payments/multiple-payment-method-configs)\n- [Multiple configurations for your Connect accounts](https://stripe.com/docs/connect/multiple-payment-method-configurations)","ref":"Stripe.PaymentMethodConfiguration.html"},{"type":"function","title":"Stripe.PaymentMethodConfiguration.create/2","doc":"Creates a payment method configuration \n\n##","ref":"Stripe.PaymentMethodConfiguration.html#create/2"},{"type":"function","title":"Details - Stripe.PaymentMethodConfiguration.create/2","doc":"* Method: `post`\n * Path: `/v1/payment_method_configurations`","ref":"Stripe.PaymentMethodConfiguration.html#create/2-details"},{"type":"function","title":"Stripe.PaymentMethodConfiguration.list/2","doc":"List payment method configurations \n\n##","ref":"Stripe.PaymentMethodConfiguration.html#list/2"},{"type":"function","title":"Details - Stripe.PaymentMethodConfiguration.list/2","doc":"* Method: `get`\n * Path: `/v1/payment_method_configurations`","ref":"Stripe.PaymentMethodConfiguration.html#list/2-details"},{"type":"function","title":"Stripe.PaymentMethodConfiguration.retrieve/3","doc":"Retrieve payment method configuration \n\n##","ref":"Stripe.PaymentMethodConfiguration.html#retrieve/3"},{"type":"function","title":"Details - Stripe.PaymentMethodConfiguration.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/payment_method_configurations/{configuration}`","ref":"Stripe.PaymentMethodConfiguration.html#retrieve/3-details"},{"type":"function","title":"Stripe.PaymentMethodConfiguration.update/3","doc":"Update payment method configuration \n\n##","ref":"Stripe.PaymentMethodConfiguration.html#update/3"},{"type":"function","title":"Details - Stripe.PaymentMethodConfiguration.update/3","doc":"* Method: `post`\n * Path: `/v1/payment_method_configurations/{configuration}`","ref":"Stripe.PaymentMethodConfiguration.html#update/3-details"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.acss_debit/0","doc":"Canadian pre-authorized debit payments, check this [page](https://stripe.com/docs/payments/acss-debit) for more details like country availability.","ref":"Stripe.PaymentMethodConfiguration.html#t:acss_debit/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.affirm/0","doc":"[Affirm](https://www.affirm.com/) gives your customers a way to split purchases over a series of payments. Depending on the purchase, they can pay with four interest-free payments (Split Pay) or pay over a longer term (Installments), which might include interest. Check this [page](https://stripe.com/docs/payments/affirm) for more details like country availability.","ref":"Stripe.PaymentMethodConfiguration.html#t:affirm/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.afterpay_clearpay/0","doc":"Afterpay gives your customers a way to pay for purchases in installments, check this [page](https://stripe.com/docs/payments/afterpay-clearpay) for more details like country availability. Afterpay is particularly popular among businesses selling fashion, beauty, and sports products.","ref":"Stripe.PaymentMethodConfiguration.html#t:afterpay_clearpay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.alipay/0","doc":"Alipay is a digital wallet in China that has more than a billion active users worldwide. Alipay users can pay on the web or on a mobile device using login credentials or their Alipay app. Alipay has a low dispute rate and reduces fraud by authenticating payments using the customer's login credentials. Check this [page](https://stripe.com/docs/payments/alipay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:alipay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.apple_pay/0","doc":"Stripe users can accept [Apple Pay](/payments/apple-pay) in iOS applications in iOS 9 and later, and on the web in Safari starting with iOS 10 or macOS Sierra. There are no additional fees to process Apple Pay payments, and the [pricing](/pricing) is the same as other card transactions. Check this [page](https://stripe.com/docs/apple-pay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:apple_pay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.apple_pay_later/0","doc":"Apple Pay Later, a payment method for customers to buy now and pay later, gives your customers a way to split purchases into four installments across six weeks.","ref":"Stripe.PaymentMethodConfiguration.html#t:apple_pay_later/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.au_becs_debit/0","doc":"Stripe users in Australia can accept Bulk Electronic Clearing System (BECS) direct debit payments from customers with an Australian bank account. Check this [page](https://stripe.com/docs/payments/au-becs-debit) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:au_becs_debit/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.bacs_debit/0","doc":"Stripe users in the UK can accept Bacs Direct Debit payments from customers with a UK bank account, check this [page](https://stripe.com/docs/payments/payment-methods/bacs-debit) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:bacs_debit/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.bancontact/0","doc":"Bancontact is the most popular online payment method in Belgium, with over 15 million cards in circulation. [Customers](https://stripe.com/docs/api/customers) use a Bancontact card or mobile app linked to a Belgian bank account to make online payments that are secure, guaranteed, and confirmed immediately. Check this [page](https://stripe.com/docs/payments/bancontact) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:bancontact/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.blik/0","doc":"BLIK is a [single use](https://stripe.com/docs/payments/payment-methods#usage) payment method that requires customers to authenticate their payments. When customers want to pay online using BLIK, they request a six-digit code from their banking application and enter it into the payment collection form. Check this [page](https://stripe.com/docs/payments/blik) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:blik/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.boleto/0","doc":"Boleto is an official (regulated by the Central Bank of Brazil) payment method in Brazil. Check this [page](https://stripe.com/docs/payments/boleto) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:boleto/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.card/0","doc":"Cards are a popular way for consumers and businesses to pay online or in person. Stripe supports global and local card networks.","ref":"Stripe.PaymentMethodConfiguration.html#t:card/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.cartes_bancaires/0","doc":"Cartes Bancaires is France's local card network. More than 95% of these cards are co-branded with either Visa or Mastercard, meaning you can process these cards over either Cartes Bancaires or the Visa or Mastercard networks. Check this [page](https://stripe.com/docs/payments/cartes-bancaires) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:cartes_bancaires/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.cashapp/0","doc":"Cash App is a popular consumer app in the US that allows customers to bank, invest, send, and receive money using their digital wallet. Check this [page](https://stripe.com/docs/payments/cash-app-pay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:cashapp/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.display_preference/0","doc":"Whether or not the payment method should be displayed.","ref":"Stripe.PaymentMethodConfiguration.html#t:display_preference/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.eps/0","doc":"EPS is an Austria-based payment method that allows customers to complete transactions online using their bank credentials. EPS is supported by all Austrian banks and is accepted by over 80% of Austrian online retailers. Check this [page](https://stripe.com/docs/payments/eps) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:eps/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.fpx/0","doc":"Financial Process Exchange (FPX) is a Malaysia-based payment method that allows customers to complete transactions online using their bank credentials. Bank Negara Malaysia (BNM), the Central Bank of Malaysia, and eleven other major Malaysian financial institutions are members of the PayNet Group, which owns and operates FPX. It is one of the most popular online payment methods in Malaysia, with nearly 90 million transactions in 2018 according to BNM. Check this [page](https://stripe.com/docs/payments/fpx) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:fpx/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.giropay/0","doc":"giropay is a German payment method based on online banking, introduced in 2006. It allows customers to complete transactions online using their online banking environment, with funds debited from their bank account. Depending on their bank, customers confirm payments on giropay using a second factor of authentication or a PIN. giropay accounts for 10% of online checkouts in Germany. Check this [page](https://stripe.com/docs/payments/giropay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:giropay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.google_pay/0","doc":"Google Pay allows customers to make payments in your app or website using any credit or debit card saved to their Google Account, including those from Google Play, YouTube, Chrome, or an Android device. Use the Google Pay API to request any credit or debit card stored in your customer's Google account. Check this [page](https://stripe.com/docs/google-pay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:google_pay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.grabpay/0","doc":"GrabPay is a payment method developed by [Grab](https://www.grab.com/sg/consumer/finance/pay/). GrabPay is a digital wallet - customers maintain a balance in their wallets that they pay out with. Check this [page](https://stripe.com/docs/payments/grabpay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:grabpay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.ideal/0","doc":"iDEAL is a Netherlands-based payment method that allows customers to complete transactions online using their bank credentials. All major Dutch banks are members of Currence, the scheme that operates iDEAL, making it the most popular online payment method in the Netherlands with a share of online transactions close to 55%. Check this [page](https://stripe.com/docs/payments/ideal) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:ideal/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.jcb/0","doc":"JCB is a credit card company based in Japan. JCB is currently available in Japan to businesses approved by JCB, and available to all businesses in Australia, Canada, Hong Kong, Japan, New Zealand, Singapore, Switzerland, United Kingdom, United States, and all countries in the European Economic Area except Iceland. Check this [page](https://support.stripe.com/questions/accepting-japan-credit-bureau-%28jcb%29-payments) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:jcb/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.klarna/0","doc":"Klarna gives customers a range of [payment options](https://stripe.com/docs/payments/klarna#payment-options) during checkout. Available payment options vary depending on the customer's billing address and the transaction amount. These payment options make it convenient for customers to purchase items in all price ranges. Check this [page](https://stripe.com/docs/payments/klarna) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:klarna/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.konbini/0","doc":"Konbini allows customers in Japan to pay for bills and online purchases at convenience stores with cash. Check this [page](https://stripe.com/docs/payments/konbini) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:konbini/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.link/0","doc":"[Link](https://stripe.com/docs/payments/link) is a payment method network. With Link, users save their payment details once, then reuse that information to pay with one click for any business on the network.","ref":"Stripe.PaymentMethodConfiguration.html#t:link/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.oxxo/0","doc":"OXXO is a Mexican chain of convenience stores with thousands of locations across Latin America and represents nearly 20% of online transactions in Mexico. OXXO allows customers to pay bills and online purchases in-store with cash. Check this [page](https://stripe.com/docs/payments/oxxo) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:oxxo/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.p24/0","doc":"Przelewy24 is a Poland-based payment method aggregator that allows customers to complete transactions online using bank transfers and other methods. Bank transfers account for 30% of online payments in Poland and Przelewy24 provides a way for customers to pay with over 165 banks. Check this [page](https://stripe.com/docs/payments/p24) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:p24/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.paynow/0","doc":"PayNow is a Singapore-based payment method that allows customers to make a payment using their preferred app from participating banks and participating non-bank financial institutions. Check this [page](https://stripe.com/docs/payments/paynow) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:paynow/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.paypal/0","doc":"PayPal, a digital wallet popular with customers in Europe, allows your customers worldwide to pay using their PayPal account. Check this [page](https://stripe.com/docs/payments/paypal) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:paypal/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.promptpay/0","doc":"PromptPay is a Thailand-based payment method that allows customers to make a payment using their preferred app from participating banks. Check this [page](https://stripe.com/docs/payments/promptpay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:promptpay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.revolut_pay/0","doc":"Revolut Pay, developed by Revolut, a global finance app, is a digital wallet payment method. Revolut Pay uses the customer’s stored balance or cards to fund the payment, and offers the option for non-Revolut customers to save their details after their first purchase.","ref":"Stripe.PaymentMethodConfiguration.html#t:revolut_pay/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.sepa_debit/0","doc":"The [Single Euro Payments Area (SEPA)](https://en.wikipedia.org/wiki/Single_Euro_Payments_Area) is an initiative of the European Union to simplify payments within and across member countries. SEPA established and enforced banking standards to allow for the direct debiting of every EUR-denominated bank account within the SEPA region, check this [page](https://stripe.com/docs/payments/sepa-debit) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:sepa_debit/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.sofort/0","doc":"Stripe users in Europe and the United States can use the [Payment Intents API](https://stripe.com/docs/payments/payment-intents)—a single integration path for creating payments using any supported method—to accept [Sofort](https://www.sofort.com/) payments from customers. Check this [page](https://stripe.com/docs/payments/sofort) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:sofort/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.t/0","doc":"The `payment_method_configuration` type.\n\n  * `acss_debit` \n  * `active` Whether the configuration can be used for new payments.\n  * `affirm` \n  * `afterpay_clearpay` \n  * `alipay` \n  * `apple_pay` \n  * `application` For child configs, the Connect application associated with the configuration.\n  * `au_becs_debit` \n  * `bacs_debit` \n  * `bancontact` \n  * `blik` \n  * `boleto` \n  * `card` \n  * `cartes_bancaires` \n  * `cashapp` \n  * `eps` \n  * `fpx` \n  * `giropay` \n  * `google_pay` \n  * `grabpay` \n  * `id` Unique identifier for the object.\n  * `ideal` \n  * `is_default` The default configuration is used whenever a payment method configuration is not specified.\n  * `jcb` \n  * `klarna` \n  * `konbini` \n  * `link` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `name` The configuration's name.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `oxxo` \n  * `p24` \n  * `parent` For child configs, the configuration's parent configuration.\n  * `paynow` \n  * `paypal` \n  * `promptpay` \n  * `revolut_pay` \n  * `sepa_debit` \n  * `sofort` \n  * `us_bank_account` \n  * `wechat_pay`","ref":"Stripe.PaymentMethodConfiguration.html#t:t/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.us_bank_account/0","doc":"Stripe users in the United States can accept ACH direct debit payments from customers with a US bank account using the Automated Clearing House (ACH) payments system operated by Nacha. Check this [page](https://stripe.com/docs/payments/ach-debit) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:us_bank_account/0"},{"type":"type","title":"Stripe.PaymentMethodConfiguration.wechat_pay/0","doc":"WeChat, owned by Tencent, is China's leading mobile app with over 1 billion monthly active users. Chinese consumers can use WeChat Pay to pay for goods and services inside of businesses' apps and websites. WeChat Pay users buy most frequently in gaming, e-commerce, travel, online education, and food/nutrition. Check this [page](https://stripe.com/docs/payments/wechat-pay) for more details.","ref":"Stripe.PaymentMethodConfiguration.html#t:wechat_pay/0"},{"type":"module","title":"Stripe.PaymentMethodDomain","doc":"A payment method domain represents a web domain that you have registered with Stripe.\nStripe Elements use registered payment method domains to control where certain payment methods are shown.\n\nRelated guides: [Payment method domains](https://stripe.com/docs/payments/payment-methods/pmd-registration).","ref":"Stripe.PaymentMethodDomain.html"},{"type":"function","title":"Stripe.PaymentMethodDomain.create/2","doc":"Creates a payment method domain. \n\n##","ref":"Stripe.PaymentMethodDomain.html#create/2"},{"type":"function","title":"Details - Stripe.PaymentMethodDomain.create/2","doc":"* Method: `post`\n * Path: `/v1/payment_method_domains`","ref":"Stripe.PaymentMethodDomain.html#create/2-details"},{"type":"function","title":"Stripe.PaymentMethodDomain.list/2","doc":"Lists the details of existing payment method domains. \n\n##","ref":"Stripe.PaymentMethodDomain.html#list/2"},{"type":"function","title":"Details - Stripe.PaymentMethodDomain.list/2","doc":"* Method: `get`\n * Path: `/v1/payment_method_domains`","ref":"Stripe.PaymentMethodDomain.html#list/2-details"},{"type":"function","title":"Stripe.PaymentMethodDomain.retrieve/3","doc":"Retrieves the details of an existing payment method domain. \n\n##","ref":"Stripe.PaymentMethodDomain.html#retrieve/3"},{"type":"function","title":"Details - Stripe.PaymentMethodDomain.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/payment_method_domains/{payment_method_domain}`","ref":"Stripe.PaymentMethodDomain.html#retrieve/3-details"},{"type":"function","title":"Stripe.PaymentMethodDomain.update/3","doc":"Updates an existing payment method domain. \n\n##","ref":"Stripe.PaymentMethodDomain.html#update/3"},{"type":"function","title":"Details - Stripe.PaymentMethodDomain.update/3","doc":"* Method: `post`\n * Path: `/v1/payment_method_domains/{payment_method_domain}`","ref":"Stripe.PaymentMethodDomain.html#update/3-details"},{"type":"function","title":"Stripe.PaymentMethodDomain.validate/3","doc":"Some payment methods such as Apple Pay require additional steps to verify a domain. If the requirements weren’t satisfied when the domain was created, the payment method will be inactive on the domain.\nThe payment method doesn’t appear in Elements for this domain until it is active. \n\n To activate a payment method on an existing payment method domain, complete the required validation steps specific to the payment method, and then validate the payment method domain with this endpoint. \n\n Related guides:  Payment method domains . \n\n##","ref":"Stripe.PaymentMethodDomain.html#validate/3"},{"type":"function","title":"Details - Stripe.PaymentMethodDomain.validate/3","doc":"* Method: `post`\n * Path: `/v1/payment_method_domains/{payment_method_domain}/validate`","ref":"Stripe.PaymentMethodDomain.html#validate/3-details"},{"type":"type","title":"Stripe.PaymentMethodDomain.t/0","doc":"The `payment_method_domain` type.\n\n  * `apple_pay` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `domain_name` The domain name that this payment method domain object represents.\n  * `enabled` Whether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements.\n  * `google_pay` \n  * `id` Unique identifier for the object.\n  * `link` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `paypal`","ref":"Stripe.PaymentMethodDomain.html#t:t/0"},{"type":"module","title":"Stripe.PaymentSource","doc":"","ref":"Stripe.PaymentSource.html"},{"type":"function","title":"Stripe.PaymentSource.create/3","doc":"When you create a new credit card, you must specify a customer or recipient on which to create it. \n\n If the card’s owner has no default card, then the new card will become the default.\nHowever, if the owner already has a default, then it will not change.\nTo change the default, you should  update the customer  to have a new  default_source . \n\n##","ref":"Stripe.PaymentSource.html#create/3"},{"type":"function","title":"Details - Stripe.PaymentSource.create/3","doc":"* Method: `post`\n * Path: `/v1/customers/{customer}/sources`","ref":"Stripe.PaymentSource.html#create/3-details"},{"type":"function","title":"Stripe.PaymentSource.list/3","doc":"List sources for a specified customer. \n\n##","ref":"Stripe.PaymentSource.html#list/3"},{"type":"function","title":"Details - Stripe.PaymentSource.list/3","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/sources`","ref":"Stripe.PaymentSource.html#list/3-details"},{"type":"function","title":"Stripe.PaymentSource.retrieve/4","doc":"Retrieve a specified source for a given customer. \n\n##","ref":"Stripe.PaymentSource.html#retrieve/4"},{"type":"function","title":"Details - Stripe.PaymentSource.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/customers/{customer}/sources/{id}`","ref":"Stripe.PaymentSource.html#retrieve/4-details"},{"type":"type","title":"Stripe.PaymentSource.t/0","doc":"The `payment_source` type.","ref":"Stripe.PaymentSource.html#t:t/0"},{"type":"module","title":"Stripe.Person","doc":"This is an object representing a person associated with a Stripe account.\n\nA platform cannot access a Standard or Express account's persons after the account starts onboarding, such as after generating an account link for the account.\nSee the [Standard onboarding](https://stripe.com/docs/connect/standard-accounts) or [Express onboarding documentation](https://stripe.com/docs/connect/express-accounts) for information about platform prefilling and account onboarding steps.\n\nRelated guide: [Handling identity verification with the API](https://stripe.com/docs/connect/handling-api-verification#person-information)","ref":"Stripe.Person.html"},{"type":"function","title":"Stripe.Person.create/3","doc":"Creates a new person. \n\n##","ref":"Stripe.Person.html#create/3"},{"type":"function","title":"Details - Stripe.Person.create/3","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/persons`","ref":"Stripe.Person.html#create/3-details"},{"type":"function","title":"Stripe.Person.delete/3","doc":"Deletes an existing person’s relationship to the account’s legal entity. Any person with a relationship for an account can be deleted through the API, except if the person is the  account_opener . If your integration is using the  executive  parameter, you cannot delete the only verified  executive  on file. \n\n##","ref":"Stripe.Person.html#delete/3"},{"type":"function","title":"Details - Stripe.Person.delete/3","doc":"* Method: `delete`\n * Path: `/v1/accounts/{account}/persons/{person}`","ref":"Stripe.Person.html#delete/3-details"},{"type":"function","title":"Stripe.Person.list/3","doc":"Returns a list of people associated with the account’s legal entity. The people are returned sorted by creation date, with the most recent people appearing first. \n\n##","ref":"Stripe.Person.html#list/3"},{"type":"function","title":"Details - Stripe.Person.list/3","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/persons`","ref":"Stripe.Person.html#list/3-details"},{"type":"function","title":"Stripe.Person.retrieve/4","doc":"Retrieves an existing person. \n\n##","ref":"Stripe.Person.html#retrieve/4"},{"type":"function","title":"Details - Stripe.Person.retrieve/4","doc":"* Method: `get`\n * Path: `/v1/accounts/{account}/persons/{person}`","ref":"Stripe.Person.html#retrieve/4-details"},{"type":"function","title":"Stripe.Person.update/4","doc":"Updates an existing person. \n\n##","ref":"Stripe.Person.html#update/4"},{"type":"function","title":"Details - Stripe.Person.update/4","doc":"* Method: `post`\n * Path: `/v1/accounts/{account}/persons/{person}`","ref":"Stripe.Person.html#update/4-details"},{"type":"type","title":"Stripe.Person.account/0","doc":"Details on the legal guardian's acceptance of the main Stripe service agreement.","ref":"Stripe.Person.html#t:account/0"},{"type":"type","title":"Stripe.Person.additional_document/0","doc":"A document showing address, either a passport, local ID card, or utility bill from a well-known utility company.","ref":"Stripe.Person.html#t:additional_document/0"},{"type":"type","title":"Stripe.Person.additional_tos_acceptances/0","doc":"Details on the legal guardian's acceptance of the required Stripe agreements.","ref":"Stripe.Person.html#t:additional_tos_acceptances/0"},{"type":"type","title":"Stripe.Person.address/0","doc":"The person's address.","ref":"Stripe.Person.html#t:address/0"},{"type":"type","title":"Stripe.Person.address_kana/0","doc":"The Kana variation of the person's address (Japan only).","ref":"Stripe.Person.html#t:address_kana/0"},{"type":"type","title":"Stripe.Person.address_kanji/0","doc":"The Kanji variation of the person's address (Japan only).","ref":"Stripe.Person.html#t:address_kanji/0"},{"type":"type","title":"Stripe.Person.company_authorization/0","doc":"One or more documents that demonstrate proof that this person is authorized to represent the company.","ref":"Stripe.Person.html#t:company_authorization/0"},{"type":"type","title":"Stripe.Person.dob/0","doc":"","ref":"Stripe.Person.html#t:dob/0"},{"type":"type","title":"Stripe.Person.document/0","doc":"An identifying document, either a passport or local ID card.","ref":"Stripe.Person.html#t:document/0"},{"type":"type","title":"Stripe.Person.documents/0","doc":"Documents that may be submitted to satisfy various informational requests.","ref":"Stripe.Person.html#t:documents/0"},{"type":"type","title":"Stripe.Person.passport/0","doc":"One or more documents showing the person's passport page with photo and personal data.","ref":"Stripe.Person.html#t:passport/0"},{"type":"type","title":"Stripe.Person.registered_address/0","doc":"The person's registered address.","ref":"Stripe.Person.html#t:registered_address/0"},{"type":"type","title":"Stripe.Person.relationship/0","doc":"","ref":"Stripe.Person.html#t:relationship/0"},{"type":"type","title":"Stripe.Person.t/0","doc":"The `person` type.\n\n  * `account` The account the person is associated with.\n  * `additional_tos_acceptances` \n  * `address` \n  * `address_kana` The Kana variation of the person's address (Japan only).\n  * `address_kanji` The Kanji variation of the person's address (Japan only).\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `dob` \n  * `email` The person's email address.\n  * `first_name` The person's first name.\n  * `first_name_kana` The Kana variation of the person's first name (Japan only).\n  * `first_name_kanji` The Kanji variation of the person's first name (Japan only).\n  * `full_name_aliases` A list of alternate names or aliases that the person is known by.\n  * `future_requirements` Information about the [upcoming new requirements for this person](https://stripe.com/docs/connect/custom-accounts/future-requirements), including what information needs to be collected, and by when.\n  * `gender` The person's gender (International regulations require either \"male\" or \"female\").\n  * `id` Unique identifier for the object.\n  * `id_number_provided` Whether the person's `id_number` was provided. True if either the full ID number was provided or if only the required part of the ID number was provided (ex. last four of an individual's SSN for the US indicated by `ssn_last_4_provided`).\n  * `id_number_secondary_provided` Whether the person's `id_number_secondary` was provided.\n  * `last_name` The person's last name.\n  * `last_name_kana` The Kana variation of the person's last name (Japan only).\n  * `last_name_kanji` The Kanji variation of the person's last name (Japan only).\n  * `maiden_name` The person's maiden name.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `nationality` The country where the person is a national.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `phone` The person's phone number.\n  * `political_exposure` Indicates if the person or any of their representatives, family members, or other closely related persons, declares that they hold or have held an important public job or function, in any jurisdiction.\n  * `registered_address` \n  * `relationship` \n  * `requirements` Information about the requirements for this person, including what information needs to be collected, and by when.\n  * `ssn_last_4_provided` Whether the last four digits of the person's Social Security number have been provided (U.S. only).\n  * `verification`","ref":"Stripe.Person.html#t:t/0"},{"type":"type","title":"Stripe.Person.verification/0","doc":"The person's verification status.","ref":"Stripe.Person.html#t:verification/0"},{"type":"type","title":"Stripe.Person.visa/0","doc":"One or more documents showing the person's visa required for living in the country where they are residing.","ref":"Stripe.Person.html#t:visa/0"},{"type":"module","title":"Stripe.PromotionCode","doc":"A Promotion Code represents a customer-redeemable code for a [coupon](https://stripe.com/docs/api#coupons). It can be used to\ncreate multiple codes for a single coupon.","ref":"Stripe.PromotionCode.html"},{"type":"function","title":"Stripe.PromotionCode.create/2","doc":"A promotion code points to a coupon. You can optionally restrict the code to a specific customer, redemption limit, and expiration date. \n\n##","ref":"Stripe.PromotionCode.html#create/2"},{"type":"function","title":"Details - Stripe.PromotionCode.create/2","doc":"* Method: `post`\n * Path: `/v1/promotion_codes`","ref":"Stripe.PromotionCode.html#create/2-details"},{"type":"function","title":"Stripe.PromotionCode.list/2","doc":"Returns a list of your promotion codes. \n\n##","ref":"Stripe.PromotionCode.html#list/2"},{"type":"function","title":"Details - Stripe.PromotionCode.list/2","doc":"* Method: `get`\n * Path: `/v1/promotion_codes`","ref":"Stripe.PromotionCode.html#list/2-details"},{"type":"function","title":"Stripe.PromotionCode.retrieve/3","doc":"Retrieves the promotion code with the given ID. In order to retrieve a promotion code by the customer-facing  code  use  list  with the desired  code . \n\n##","ref":"Stripe.PromotionCode.html#retrieve/3"},{"type":"function","title":"Details - Stripe.PromotionCode.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/promotion_codes/{promotion_code}`","ref":"Stripe.PromotionCode.html#retrieve/3-details"},{"type":"function","title":"Stripe.PromotionCode.update/3","doc":"Updates the specified promotion code by setting the values of the parameters passed. Most fields are, by design, not editable. \n\n##","ref":"Stripe.PromotionCode.html#update/3"},{"type":"function","title":"Details - Stripe.PromotionCode.update/3","doc":"* Method: `post`\n * Path: `/v1/promotion_codes/{promotion_code}`","ref":"Stripe.PromotionCode.html#update/3-details"},{"type":"type","title":"Stripe.PromotionCode.created/0","doc":"","ref":"Stripe.PromotionCode.html#t:created/0"},{"type":"type","title":"Stripe.PromotionCode.restrictions/0","doc":"Settings that restrict the redemption of the promotion code.","ref":"Stripe.PromotionCode.html#t:restrictions/0"},{"type":"type","title":"Stripe.PromotionCode.t/0","doc":"The `promotion_code` type.\n\n  * `active` Whether the promotion code is currently active. A promotion code is only active if the coupon is also valid.\n  * `code` The customer-facing code. Regardless of case, this code must be unique across all active promotion codes for each customer.\n  * `coupon` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` The customer that this promotion code can be used by.\n  * `expires_at` Date at which the promotion code can no longer be redeemed.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `max_redemptions` Maximum number of times this promotion code can be redeemed.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `restrictions` \n  * `times_redeemed` Number of times this promotion code has been used.","ref":"Stripe.PromotionCode.html#t:t/0"},{"type":"module","title":"Stripe.Quote","doc":"A Quote is a way to model prices that you'd like to provide to a customer.\nOnce accepted, it will automatically create an invoice, subscription or subscription schedule.","ref":"Stripe.Quote.html"},{"type":"function","title":"Stripe.Quote.accept/3","doc":"Accepts the specified quote. \n\n##","ref":"Stripe.Quote.html#accept/3"},{"type":"function","title":"Details - Stripe.Quote.accept/3","doc":"* Method: `post`\n * Path: `/v1/quotes/{quote}/accept`","ref":"Stripe.Quote.html#accept/3-details"},{"type":"function","title":"Stripe.Quote.cancel/3","doc":"Cancels the quote. \n\n##","ref":"Stripe.Quote.html#cancel/3"},{"type":"function","title":"Details - Stripe.Quote.cancel/3","doc":"* Method: `post`\n * Path: `/v1/quotes/{quote}/cancel`","ref":"Stripe.Quote.html#cancel/3-details"},{"type":"function","title":"Stripe.Quote.create/2","doc":"A quote models prices and services for a customer. Default options for  header ,  description ,  footer , and  expires_at  can be set in the dashboard via the  quote template . \n\n##","ref":"Stripe.Quote.html#create/2"},{"type":"function","title":"Details - Stripe.Quote.create/2","doc":"* Method: `post`\n * Path: `/v1/quotes`","ref":"Stripe.Quote.html#create/2-details"},{"type":"function","title":"Stripe.Quote.finalize_quote/3","doc":"Finalizes the quote. \n\n##","ref":"Stripe.Quote.html#finalize_quote/3"},{"type":"function","title":"Details - Stripe.Quote.finalize_quote/3","doc":"* Method: `post`\n * Path: `/v1/quotes/{quote}/finalize`","ref":"Stripe.Quote.html#finalize_quote/3-details"},{"type":"function","title":"Stripe.Quote.list/2","doc":"Returns a list of your quotes. \n\n##","ref":"Stripe.Quote.html#list/2"},{"type":"function","title":"Details - Stripe.Quote.list/2","doc":"* Method: `get`\n * Path: `/v1/quotes`","ref":"Stripe.Quote.html#list/2-details"},{"type":"function","title":"Stripe.Quote.list_computed_upfront_line_items/3","doc":"When retrieving a quote, there is an includable   computed.upfront.line_items   property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of upfront line items. \n\n##","ref":"Stripe.Quote.html#list_computed_upfront_line_items/3"},{"type":"function","title":"Details - Stripe.Quote.list_computed_upfront_line_items/3","doc":"* Method: `get`\n * Path: `/v1/quotes/{quote}/computed_upfront_line_items`","ref":"Stripe.Quote.html#list_computed_upfront_line_items/3-details"},{"type":"function","title":"Stripe.Quote.list_line_items/3","doc":"When retrieving a quote, there is an includable  line_items  property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items. \n\n##","ref":"Stripe.Quote.html#list_line_items/3"},{"type":"function","title":"Details - Stripe.Quote.list_line_items/3","doc":"* Method: `get`\n * Path: `/v1/quotes/{quote}/line_items`","ref":"Stripe.Quote.html#list_line_items/3-details"},{"type":"function","title":"Stripe.Quote.pdf/3","doc":"Download the PDF for a finalized quote \n\n##","ref":"Stripe.Quote.html#pdf/3"},{"type":"function","title":"Details - Stripe.Quote.pdf/3","doc":"* Method: `get`\n * Path: `/v1/quotes/{quote}/pdf`","ref":"Stripe.Quote.html#pdf/3-details"},{"type":"function","title":"Stripe.Quote.retrieve/3","doc":"Retrieves the quote with the given ID. \n\n##","ref":"Stripe.Quote.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Quote.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/quotes/{quote}`","ref":"Stripe.Quote.html#retrieve/3-details"},{"type":"function","title":"Stripe.Quote.update/3","doc":"A quote models prices and services for a customer. \n\n##","ref":"Stripe.Quote.html#update/3"},{"type":"function","title":"Details - Stripe.Quote.update/3","doc":"* Method: `post`\n * Path: `/v1/quotes/{quote}`","ref":"Stripe.Quote.html#update/3-details"},{"type":"type","title":"Stripe.Quote.automatic_tax/0","doc":"Settings for automatic tax lookup for this quote and resulting invoices and subscriptions.","ref":"Stripe.Quote.html#t:automatic_tax/0"},{"type":"type","title":"Stripe.Quote.discounts/0","doc":"","ref":"Stripe.Quote.html#t:discounts/0"},{"type":"type","title":"Stripe.Quote.from_quote/0","doc":"Clone an existing quote. The new quote will be created in `status=draft`. When using this parameter, you cannot specify any other parameters except for `expires_at`.","ref":"Stripe.Quote.html#t:from_quote/0"},{"type":"type","title":"Stripe.Quote.invoice_settings/0","doc":"All invoices will be billed using the specified settings.","ref":"Stripe.Quote.html#t:invoice_settings/0"},{"type":"type","title":"Stripe.Quote.line_items/0","doc":"","ref":"Stripe.Quote.html#t:line_items/0"},{"type":"type","title":"Stripe.Quote.price_data/0","doc":"Data used to generate a new [Price](https://stripe.com/docs/api/prices) object inline. One of `price` or `price_data` is required.","ref":"Stripe.Quote.html#t:price_data/0"},{"type":"type","title":"Stripe.Quote.recurring/0","doc":"The recurring components of a price such as `interval` and `interval_count`.","ref":"Stripe.Quote.html#t:recurring/0"},{"type":"type","title":"Stripe.Quote.subscription_data/0","doc":"When creating a subscription or subscription schedule, the specified configuration data will be used. There must be at least one line item with a recurring price for a subscription or subscription schedule to be created. A subscription schedule is created if `subscription_data[effective_date]` is present and in the future, otherwise a subscription is created.","ref":"Stripe.Quote.html#t:subscription_data/0"},{"type":"type","title":"Stripe.Quote.t/0","doc":"The `quote` type.\n\n  * `amount_subtotal` Total before any discounts or taxes are applied.\n  * `amount_total` Total after discounts and taxes are applied.\n  * `application` ID of the Connect Application that created the quote.\n  * `application_fee_amount` The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner's Stripe account. Only applicable if there are no line items with recurring prices on the quote.\n  * `application_fee_percent` A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice total that will be transferred to the application owner's Stripe account. Only applicable if there are line items with recurring prices on the quote.\n  * `automatic_tax` \n  * `collection_method` Either `charge_automatically`, or `send_invoice`. When charging automatically, Stripe will attempt to pay invoices at the end of the subscription cycle or on finalization using the default payment method attached to the subscription or customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions and mark the subscription as `active`. Defaults to `charge_automatically`.\n  * `computed` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` The customer which this quote belongs to. A customer is required before finalizing the quote. Once specified, it cannot be changed.\n  * `default_tax_rates` The tax rates applied to this quote.\n  * `description` A description that will be displayed on the quote PDF.\n  * `discounts` The discounts applied to this quote.\n  * `expires_at` The date on which the quote will be canceled if in `open` or `draft` status. Measured in seconds since the Unix epoch.\n  * `footer` A footer that will be displayed on the quote PDF.\n  * `from_quote` Details of the quote that was cloned. See the [cloning documentation](https://stripe.com/docs/quotes/clone) for more details.\n  * `header` A header that will be displayed on the quote PDF.\n  * `id` Unique identifier for the object.\n  * `invoice` The invoice that was created from this quote.\n  * `invoice_settings` \n  * `line_items` A list of items the customer is being quoted for.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `number` A unique number that identifies this particular quote. This number is assigned once the quote is [finalized](https://stripe.com/docs/quotes/overview#finalize).\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The account on behalf of which to charge. See the [Connect documentation](https://support.stripe.com/questions/sending-invoices-on-behalf-of-connected-accounts) for details.\n  * `status` The status of the quote.\n  * `status_transitions` \n  * `subscription` The subscription that was created or updated from this quote.\n  * `subscription_data` \n  * `subscription_schedule` The subscription schedule that was created or updated from this quote.\n  * `test_clock` ID of the test clock this quote belongs to.\n  * `total_details` \n  * `transfer_data` The account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the invoices.","ref":"Stripe.Quote.html#t:t/0"},{"type":"type","title":"Stripe.Quote.transfer_data/0","doc":"","ref":"Stripe.Quote.html#t:transfer_data/0"},{"type":"module","title":"Stripe.Radar.ValueList","doc":"Value lists allow you to group values together which can then be referenced in rules.\n\nRelated guide: [Default Stripe lists](https://stripe.com/docs/radar/lists#managing-list-items)","ref":"Stripe.Radar.ValueList.html"},{"type":"function","title":"Stripe.Radar.ValueList.create/2","doc":"Creates a new  ValueList  object, which can then be referenced in rules. \n\n##","ref":"Stripe.Radar.ValueList.html#create/2"},{"type":"function","title":"Details - Stripe.Radar.ValueList.create/2","doc":"* Method: `post`\n * Path: `/v1/radar/value_lists`","ref":"Stripe.Radar.ValueList.html#create/2-details"},{"type":"function","title":"Stripe.Radar.ValueList.delete/2","doc":"Deletes a  ValueList  object, also deleting any items contained within the value list. To be deleted, a value list must not be referenced in any rules. \n\n##","ref":"Stripe.Radar.ValueList.html#delete/2"},{"type":"function","title":"Details - Stripe.Radar.ValueList.delete/2","doc":"* Method: `delete`\n * Path: `/v1/radar/value_lists/{value_list}`","ref":"Stripe.Radar.ValueList.html#delete/2-details"},{"type":"function","title":"Stripe.Radar.ValueList.list/2","doc":"Returns a list of  ValueList  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Radar.ValueList.html#list/2"},{"type":"function","title":"Details - Stripe.Radar.ValueList.list/2","doc":"* Method: `get`\n * Path: `/v1/radar/value_lists`","ref":"Stripe.Radar.ValueList.html#list/2-details"},{"type":"function","title":"Stripe.Radar.ValueList.retrieve/3","doc":"Retrieves a  ValueList  object. \n\n##","ref":"Stripe.Radar.ValueList.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Radar.ValueList.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/radar/value_lists/{value_list}`","ref":"Stripe.Radar.ValueList.html#retrieve/3-details"},{"type":"function","title":"Stripe.Radar.ValueList.update/3","doc":"Updates a  ValueList  object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Note that  item_type  is immutable. \n\n##","ref":"Stripe.Radar.ValueList.html#update/3"},{"type":"function","title":"Details - Stripe.Radar.ValueList.update/3","doc":"* Method: `post`\n * Path: `/v1/radar/value_lists/{value_list}`","ref":"Stripe.Radar.ValueList.html#update/3-details"},{"type":"type","title":"Stripe.Radar.ValueList.created/0","doc":"","ref":"Stripe.Radar.ValueList.html#t:created/0"},{"type":"type","title":"Stripe.Radar.ValueList.t/0","doc":"The `radar.value_list` type.\n\n  * `alias` The name of the value list for use in rules.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `created_by` The name or email address of the user who created this value list.\n  * `id` Unique identifier for the object.\n  * `item_type` The type of items in the value list. One of `card_fingerprint`, `us_bank_account_fingerprint`, `sepa_debit_fingerprint`, `card_bin`, `email`, `ip_address`, `country`, `string`, `case_sensitive_string`, or `customer_id`.\n  * `list_items` List of items contained within this value list.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `name` The name of the value list.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.Radar.ValueList.html#t:t/0"},{"type":"module","title":"Stripe.Radar.ValueListItem","doc":"Value list items allow you to add specific values to a given Radar value list, which can then be used in rules.\n\nRelated guide: [Managing list items](https://stripe.com/docs/radar/lists#managing-list-items)","ref":"Stripe.Radar.ValueListItem.html"},{"type":"function","title":"Stripe.Radar.ValueListItem.create/2","doc":"Creates a new  ValueListItem  object, which is added to the specified parent value list. \n\n##","ref":"Stripe.Radar.ValueListItem.html#create/2"},{"type":"function","title":"Details - Stripe.Radar.ValueListItem.create/2","doc":"* Method: `post`\n * Path: `/v1/radar/value_list_items`","ref":"Stripe.Radar.ValueListItem.html#create/2-details"},{"type":"function","title":"Stripe.Radar.ValueListItem.delete/2","doc":"Deletes a  ValueListItem  object, removing it from its parent value list. \n\n##","ref":"Stripe.Radar.ValueListItem.html#delete/2"},{"type":"function","title":"Details - Stripe.Radar.ValueListItem.delete/2","doc":"* Method: `delete`\n * Path: `/v1/radar/value_list_items/{item}`","ref":"Stripe.Radar.ValueListItem.html#delete/2-details"},{"type":"function","title":"Stripe.Radar.ValueListItem.list/2","doc":"Returns a list of  ValueListItem  objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first. \n\n##","ref":"Stripe.Radar.ValueListItem.html#list/2"},{"type":"function","title":"Details - Stripe.Radar.ValueListItem.list/2","doc":"* Method: `get`\n * Path: `/v1/radar/value_list_items`","ref":"Stripe.Radar.ValueListItem.html#list/2-details"},{"type":"function","title":"Stripe.Radar.ValueListItem.retrieve/3","doc":"Retrieves a  ValueListItem  object. \n\n##","ref":"Stripe.Radar.ValueListItem.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Radar.ValueListItem.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/radar/value_list_items/{item}`","ref":"Stripe.Radar.ValueListItem.html#retrieve/3-details"},{"type":"type","title":"Stripe.Radar.ValueListItem.created/0","doc":"","ref":"Stripe.Radar.ValueListItem.html#t:created/0"},{"type":"type","title":"Stripe.Radar.ValueListItem.t/0","doc":"The `radar.value_list_item` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `created_by` The name or email address of the user who added this item to the value list.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `value` The value of the item.\n  * `value_list` The identifier of the value list this item belongs to.","ref":"Stripe.Radar.ValueListItem.html#t:t/0"},{"type":"module","title":"Stripe.Reporting.ReportRun","doc":"The Report Run object represents an instance of a report type generated with\nspecific run parameters. Once the object is created, Stripe begins processing the report.\nWhen the report has finished running, it will give you a reference to a file\nwhere you can retrieve your results. For an overview, see\n[API Access to Reports](https://stripe.com/docs/reporting/statements/api).\n\nNote that certain report types can only be run based on your live-mode data (not test-mode\ndata), and will error when queried without a [live-mode API key](https://stripe.com/docs/keys#test-live-modes).","ref":"Stripe.Reporting.ReportRun.html"},{"type":"function","title":"Stripe.Reporting.ReportRun.create/2","doc":"Creates a new object and begin running the report. (Certain report types require a  live-mode API key .) \n\n##","ref":"Stripe.Reporting.ReportRun.html#create/2"},{"type":"function","title":"Details - Stripe.Reporting.ReportRun.create/2","doc":"* Method: `post`\n * Path: `/v1/reporting/report_runs`","ref":"Stripe.Reporting.ReportRun.html#create/2-details"},{"type":"function","title":"Stripe.Reporting.ReportRun.list/2","doc":"Returns a list of Report Runs, with the most recent appearing first. \n\n##","ref":"Stripe.Reporting.ReportRun.html#list/2"},{"type":"function","title":"Details - Stripe.Reporting.ReportRun.list/2","doc":"* Method: `get`\n * Path: `/v1/reporting/report_runs`","ref":"Stripe.Reporting.ReportRun.html#list/2-details"},{"type":"function","title":"Stripe.Reporting.ReportRun.retrieve/3","doc":"Retrieves the details of an existing Report Run. \n\n##","ref":"Stripe.Reporting.ReportRun.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Reporting.ReportRun.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/reporting/report_runs/{report_run}`","ref":"Stripe.Reporting.ReportRun.html#retrieve/3-details"},{"type":"type","title":"Stripe.Reporting.ReportRun.created/0","doc":"","ref":"Stripe.Reporting.ReportRun.html#t:created/0"},{"type":"type","title":"Stripe.Reporting.ReportRun.parameters/0","doc":"Parameters specifying how the report should be run. Different Report Types have different required and optional parameters, listed in the [API Access to Reports](https://stripe.com/docs/reporting/statements/api) documentation.","ref":"Stripe.Reporting.ReportRun.html#t:parameters/0"},{"type":"type","title":"Stripe.Reporting.ReportRun.t/0","doc":"The `reporting.report_run` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `error` If something should go wrong during the run, a message about the failure (populated when\n `status=failed`).\n  * `id` Unique identifier for the object.\n  * `livemode` `true` if the report is run on live mode data and `false` if it is run on test mode data.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `parameters` \n  * `report_type` The ID of the [report type](https://stripe.com/docs/reports/report-types) to run, such as `\"balance.summary.1\"`.\n  * `result` The file object representing the result of the report run (populated when\n `status=succeeded`).\n  * `status` Status of this report run. This will be `pending` when the run is initially created.\n When the run finishes, this will be set to `succeeded` and the `result` field will be populated.\n Rarely, we may encounter an error, at which point this will be set to `failed` and the `error` field will be populated.\n  * `succeeded_at` Timestamp at which this run successfully finished (populated when\n `status=succeeded`). Measured in seconds since the Unix epoch.","ref":"Stripe.Reporting.ReportRun.html#t:t/0"},{"type":"module","title":"Stripe.Reporting.ReportType","doc":"The Report Type resource corresponds to a particular type of report, such as\nthe \"Activity summary\" or \"Itemized payouts\" reports. These objects are\nidentified by an ID belonging to a set of enumerated values. See\n[API Access to Reports documentation](https://stripe.com/docs/reporting/statements/api)\nfor those Report Type IDs, along with required and optional parameters.\n\nNote that certain report types can only be run based on your live-mode data (not test-mode\ndata), and will error when queried without a [live-mode API key](https://stripe.com/docs/keys#test-live-modes).","ref":"Stripe.Reporting.ReportType.html"},{"type":"function","title":"Stripe.Reporting.ReportType.list/2","doc":"Returns a full list of Report Types. \n\n##","ref":"Stripe.Reporting.ReportType.html#list/2"},{"type":"function","title":"Details - Stripe.Reporting.ReportType.list/2","doc":"* Method: `get`\n * Path: `/v1/reporting/report_types`","ref":"Stripe.Reporting.ReportType.html#list/2-details"},{"type":"function","title":"Stripe.Reporting.ReportType.retrieve/3","doc":"Retrieves the details of a Report Type. (Certain report types require a  live-mode API key .) \n\n##","ref":"Stripe.Reporting.ReportType.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Reporting.ReportType.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/reporting/report_types/{report_type}`","ref":"Stripe.Reporting.ReportType.html#retrieve/3-details"},{"type":"type","title":"Stripe.Reporting.ReportType.t/0","doc":"The `reporting.report_type` type.\n\n  * `data_available_end` Most recent time for which this Report Type is available. Measured in seconds since the Unix epoch.\n  * `data_available_start` Earliest time for which this Report Type is available. Measured in seconds since the Unix epoch.\n  * `default_columns` List of column names that are included by default when this Report Type gets run. (If the Report Type doesn't support the `columns` parameter, this will be null.)\n  * `id` The [ID of the Report Type](https://stripe.com/docs/reporting/statements/api#available-report-types), such as `balance.summary.1`.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `name` Human-readable name of the Report Type\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `updated` When this Report Type was latest updated. Measured in seconds since the Unix epoch.\n  * `version` Version of the Report Type. Different versions report with the same ID will have the same purpose, but may take different run parameters or have different result schemas.","ref":"Stripe.Reporting.ReportType.html#t:t/0"},{"type":"module","title":"Stripe.ScheduledQueryRun","doc":"If you have [scheduled a Sigma query](https://stripe.com/docs/sigma/scheduled-queries), you'll\nreceive a `sigma.scheduled_query_run.created` webhook each time the query\nruns. The webhook contains a `ScheduledQueryRun` object, which you can use to\nretrieve the query results.","ref":"Stripe.ScheduledQueryRun.html"},{"type":"function","title":"Stripe.ScheduledQueryRun.list/2","doc":"Returns a list of scheduled query runs. \n\n##","ref":"Stripe.ScheduledQueryRun.html#list/2"},{"type":"function","title":"Details - Stripe.ScheduledQueryRun.list/2","doc":"* Method: `get`\n * Path: `/v1/sigma/scheduled_query_runs`","ref":"Stripe.ScheduledQueryRun.html#list/2-details"},{"type":"function","title":"Stripe.ScheduledQueryRun.retrieve/3","doc":"Retrieves the details of an scheduled query run. \n\n##","ref":"Stripe.ScheduledQueryRun.html#retrieve/3"},{"type":"function","title":"Details - Stripe.ScheduledQueryRun.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/sigma/scheduled_query_runs/{scheduled_query_run}`","ref":"Stripe.ScheduledQueryRun.html#retrieve/3-details"},{"type":"type","title":"Stripe.ScheduledQueryRun.t/0","doc":"The `scheduled_query_run` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `data_load_time` When the query was run, Sigma contained a snapshot of your Stripe data at this time.\n  * `error` \n  * `file` The file object representing the results of the query.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `result_available_until` Time at which the result expires and is no longer available for download.\n  * `sql` SQL for the query.\n  * `status` The query's execution status, which will be `completed` for successful runs, and `canceled`, `failed`, or `timed_out` otherwise.\n  * `title` Title of the query.","ref":"Stripe.ScheduledQueryRun.html#t:t/0"},{"type":"module","title":"Stripe.SetupAttempt","doc":"A SetupAttempt describes one attempted confirmation of a SetupIntent,\nwhether that confirmation is successful or unsuccessful. You can use\nSetupAttempts to inspect details of a specific attempt at setting up a\npayment method using a SetupIntent.","ref":"Stripe.SetupAttempt.html"},{"type":"function","title":"Stripe.SetupAttempt.list/2","doc":"Returns a list of SetupAttempts that associate with a provided SetupIntent. \n\n##","ref":"Stripe.SetupAttempt.html#list/2"},{"type":"function","title":"Details - Stripe.SetupAttempt.list/2","doc":"* Method: `get`\n * Path: `/v1/setup_attempts`","ref":"Stripe.SetupAttempt.html#list/2-details"},{"type":"type","title":"Stripe.SetupAttempt.created/0","doc":"","ref":"Stripe.SetupAttempt.html#t:created/0"},{"type":"type","title":"Stripe.SetupAttempt.t/0","doc":"The `setup_attempt` type.\n\n  * `application` The value of [application](https://stripe.com/docs/api/setup_intents/object#setup_intent_object-application) on the SetupIntent at the time of this confirmation.\n  * `attach_to_self` If present, the SetupIntent's payment method will be attached to the in-context Stripe Account.\n\nIt can only be used for this Stripe Account’s own money movement flows like InboundTransfer and OutboundTransfers. It cannot be set to true when setting up a PaymentMethod for a Customer, and defaults to false when attaching a PaymentMethod to a Customer.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `customer` The value of [customer](https://stripe.com/docs/api/setup_intents/object#setup_intent_object-customer) on the SetupIntent at the time of this confirmation.\n  * `flow_directions` Indicates the directions of money movement for which this payment method is intended to be used.\n\nInclude `inbound` if you intend to use the payment method as the origin to pull funds from. Include `outbound` if you intend to use the payment method as the destination to send funds to. You can include both if you intend to use the payment method for both purposes.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `on_behalf_of` The value of [on_behalf_of](https://stripe.com/docs/api/setup_intents/object#setup_intent_object-on_behalf_of) on the SetupIntent at the time of this confirmation.\n  * `payment_method` ID of the payment method used with this SetupAttempt.\n  * `payment_method_details` \n  * `setup_error` The error encountered during this attempt to confirm the SetupIntent, if any.\n  * `setup_intent` ID of the SetupIntent that this attempt belongs to.\n  * `status` Status of this SetupAttempt, one of `requires_confirmation`, `requires_action`, `processing`, `succeeded`, `failed`, or `abandoned`.\n  * `usage` The value of [usage](https://stripe.com/docs/api/setup_intents/object#setup_intent_object-usage) on the SetupIntent at the time of this confirmation, one of `off_session` or `on_session`.","ref":"Stripe.SetupAttempt.html#t:t/0"},{"type":"module","title":"Stripe.ShippingRate","doc":"Shipping rates describe the price of shipping presented to your customers and\napplied to a purchase. For more information, see [Charge for shipping](https://stripe.com/docs/payments/during-payment/charge-shipping).","ref":"Stripe.ShippingRate.html"},{"type":"function","title":"Stripe.ShippingRate.create/2","doc":"Creates a new shipping rate object. \n\n##","ref":"Stripe.ShippingRate.html#create/2"},{"type":"function","title":"Details - Stripe.ShippingRate.create/2","doc":"* Method: `post`\n * Path: `/v1/shipping_rates`","ref":"Stripe.ShippingRate.html#create/2-details"},{"type":"function","title":"Stripe.ShippingRate.list/2","doc":"Returns a list of your shipping rates. \n\n##","ref":"Stripe.ShippingRate.html#list/2"},{"type":"function","title":"Details - Stripe.ShippingRate.list/2","doc":"* Method: `get`\n * Path: `/v1/shipping_rates`","ref":"Stripe.ShippingRate.html#list/2-details"},{"type":"function","title":"Stripe.ShippingRate.retrieve/3","doc":"Returns the shipping rate object with the given ID. \n\n##","ref":"Stripe.ShippingRate.html#retrieve/3"},{"type":"function","title":"Details - Stripe.ShippingRate.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/shipping_rates/{shipping_rate_token}`","ref":"Stripe.ShippingRate.html#retrieve/3-details"},{"type":"function","title":"Stripe.ShippingRate.update/3","doc":"Updates an existing shipping rate object. \n\n##","ref":"Stripe.ShippingRate.html#update/3"},{"type":"function","title":"Details - Stripe.ShippingRate.update/3","doc":"* Method: `post`\n * Path: `/v1/shipping_rates/{shipping_rate_token}`","ref":"Stripe.ShippingRate.html#update/3-details"},{"type":"type","title":"Stripe.ShippingRate.created/0","doc":"","ref":"Stripe.ShippingRate.html#t:created/0"},{"type":"type","title":"Stripe.ShippingRate.delivery_estimate/0","doc":"The estimated range for how long shipping will take, meant to be displayable to the customer. This will appear on CheckoutSessions.","ref":"Stripe.ShippingRate.html#t:delivery_estimate/0"},{"type":"type","title":"Stripe.ShippingRate.fixed_amount/0","doc":"Describes a fixed amount to charge for shipping. Must be present if type is `fixed_amount`.","ref":"Stripe.ShippingRate.html#t:fixed_amount/0"},{"type":"type","title":"Stripe.ShippingRate.maximum/0","doc":"The upper bound of the estimated range. If empty, represents no upper bound i.e., infinite.","ref":"Stripe.ShippingRate.html#t:maximum/0"},{"type":"type","title":"Stripe.ShippingRate.minimum/0","doc":"The lower bound of the estimated range. If empty, represents no lower bound.","ref":"Stripe.ShippingRate.html#t:minimum/0"},{"type":"type","title":"Stripe.ShippingRate.t/0","doc":"The `shipping_rate` type.\n\n  * `active` Whether the shipping rate can be used for new purchases. Defaults to `true`.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `delivery_estimate` The estimated range for how long shipping will take, meant to be displayable to the customer. This will appear on CheckoutSessions.\n  * `display_name` The name of the shipping rate, meant to be displayable to the customer. This will appear on CheckoutSessions.\n  * `fixed_amount` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `tax_behavior` Specifies whether the rate is considered inclusive of taxes or exclusive of taxes. One of `inclusive`, `exclusive`, or `unspecified`.\n  * `tax_code` A [tax code](https://stripe.com/docs/tax/tax-categories) ID. The Shipping tax code is `txcd_92010001`.\n  * `type` The type of calculation to use on the shipping rate. Can only be `fixed_amount` for now.","ref":"Stripe.ShippingRate.html#t:t/0"},{"type":"module","title":"Stripe.SourceTransaction","doc":"Some payment methods have no required amount that a customer must send.\nCustomers can be instructed to send any amount, and it can be made up of\nmultiple transactions. As such, sources can have multiple associated\ntransactions.","ref":"Stripe.SourceTransaction.html"},{"type":"type","title":"Stripe.SourceTransaction.t/0","doc":"The `source_transaction` type.\n\n  * `ach_credit_transfer` \n  * `amount` A positive integer in the smallest currency unit (that is, 100 cents for $1.00, or 1 for ¥1, Japanese Yen being a zero-decimal currency) representing the amount your customer has pushed to the receiver.\n  * `chf_credit_transfer` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `gbp_credit_transfer` \n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `paper_check` \n  * `sepa_credit_transfer` \n  * `source` The ID of the source this transaction is attached to.\n  * `status` The status of the transaction, one of `succeeded`, `pending`, or `failed`.\n  * `type` The type of source this transaction is attached to.","ref":"Stripe.SourceTransaction.html#t:t/0"},{"type":"module","title":"Stripe.Tax.Calculation","doc":"A Tax Calculation allows you to calculate the tax to collect from your customer.\n\nRelated guide: [Calculate tax in your custom payment flow](https://stripe.com/docs/tax/custom)","ref":"Stripe.Tax.Calculation.html"},{"type":"function","title":"Stripe.Tax.Calculation.create/2","doc":"Calculates tax based on input and returns a Tax  Calculation  object. \n\n##","ref":"Stripe.Tax.Calculation.html#create/2"},{"type":"function","title":"Details - Stripe.Tax.Calculation.create/2","doc":"* Method: `post`\n * Path: `/v1/tax/calculations`","ref":"Stripe.Tax.Calculation.html#create/2-details"},{"type":"function","title":"Stripe.Tax.Calculation.list_line_items/3","doc":"Retrieves the line items of a persisted tax calculation as a collection. \n\n##","ref":"Stripe.Tax.Calculation.html#list_line_items/3"},{"type":"function","title":"Details - Stripe.Tax.Calculation.list_line_items/3","doc":"* Method: `get`\n * Path: `/v1/tax/calculations/{calculation}/line_items`","ref":"Stripe.Tax.Calculation.html#list_line_items/3-details"},{"type":"type","title":"Stripe.Tax.Calculation.address/0","doc":"The customer's postal address (for example, home or business location).","ref":"Stripe.Tax.Calculation.html#t:address/0"},{"type":"type","title":"Stripe.Tax.Calculation.customer_details/0","doc":"Details about the customer, including address and tax IDs.","ref":"Stripe.Tax.Calculation.html#t:customer_details/0"},{"type":"type","title":"Stripe.Tax.Calculation.line_items/0","doc":"","ref":"Stripe.Tax.Calculation.html#t:line_items/0"},{"type":"type","title":"Stripe.Tax.Calculation.shipping_cost/0","doc":"Shipping cost details to be used for the calculation.","ref":"Stripe.Tax.Calculation.html#t:shipping_cost/0"},{"type":"type","title":"Stripe.Tax.Calculation.t/0","doc":"The `tax.calculation` type.\n\n  * `amount_total` Total after taxes.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` The ID of an existing [Customer](https://stripe.com/docs/api/customers/object) used for the resource.\n  * `customer_details` \n  * `expires_at` Timestamp of date at which the tax calculation will expire.\n  * `id` Unique identifier for the calculation.\n  * `line_items` The list of items the customer is purchasing.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `shipping_cost` The shipping cost details for the calculation.\n  * `tax_amount_exclusive` The amount of tax to be collected on top of the line item prices.\n  * `tax_amount_inclusive` The amount of tax already included in the line item prices.\n  * `tax_breakdown` Breakdown of individual tax amounts that add up to the total.\n  * `tax_date` Timestamp of date at which the tax rules and rates in effect applies for the calculation.","ref":"Stripe.Tax.Calculation.html#t:t/0"},{"type":"type","title":"Stripe.Tax.Calculation.tax_ids/0","doc":"","ref":"Stripe.Tax.Calculation.html#t:tax_ids/0"},{"type":"module","title":"Stripe.Tax.CalculationLineItem","doc":"","ref":"Stripe.Tax.CalculationLineItem.html"},{"type":"type","title":"Stripe.Tax.CalculationLineItem.t/0","doc":"The `tax.calculation_line_item` type.\n\n  * `amount` The line item amount in integer cents. If `tax_behavior=inclusive`, then this amount includes taxes. Otherwise, taxes were calculated on top of this amount.\n  * `amount_tax` The amount of tax calculated for this line item, in integer cents.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `product` The ID of an existing [Product](https://stripe.com/docs/api/products/object).\n  * `quantity` The number of units of the item being purchased. For reversals, this is the quantity reversed.\n  * `reference` A custom identifier for this line item.\n  * `tax_behavior` Specifies whether the `amount` includes taxes. If `tax_behavior=inclusive`, then the amount includes taxes.\n  * `tax_breakdown` Detailed account of taxes relevant to this line item.\n  * `tax_code` The [tax code](https://stripe.com/docs/tax/tax-categories) ID used for this resource.","ref":"Stripe.Tax.CalculationLineItem.html#t:t/0"},{"type":"module","title":"Stripe.Tax.Registration","doc":"A Tax `Registration` lets us know that your business is registered to collect tax on payments within a region, enabling you to [automatically collect tax](https://stripe.com/docs/tax).\n\nStripe doesn't register on your behalf with the relevant authorities when you create a Tax `Registration` object. For more information on how to register to collect tax, see [our guide](https://stripe.com/docs/tax/registering).\n\nRelated guide: [Using the Registrations API](https://stripe.com/docs/tax/registrations-api)","ref":"Stripe.Tax.Registration.html"},{"type":"function","title":"Stripe.Tax.Registration.create/2","doc":"Creates a new Tax  Registration  object. \n\n##","ref":"Stripe.Tax.Registration.html#create/2"},{"type":"function","title":"Details - Stripe.Tax.Registration.create/2","doc":"* Method: `post`\n * Path: `/v1/tax/registrations`","ref":"Stripe.Tax.Registration.html#create/2-details"},{"type":"function","title":"Stripe.Tax.Registration.list/2","doc":"Returns a list of Tax  Registration  objects. \n\n##","ref":"Stripe.Tax.Registration.html#list/2"},{"type":"function","title":"Details - Stripe.Tax.Registration.list/2","doc":"* Method: `get`\n * Path: `/v1/tax/registrations`","ref":"Stripe.Tax.Registration.html#list/2-details"},{"type":"function","title":"Stripe.Tax.Registration.retrieve/3","doc":"Returns a Tax  Registration  object. \n\n##","ref":"Stripe.Tax.Registration.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Tax.Registration.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/tax/registrations/{id}`","ref":"Stripe.Tax.Registration.html#retrieve/3-details"},{"type":"function","title":"Stripe.Tax.Registration.update/3","doc":"Updates an existing Tax  Registration  object. \n\n A registration cannot be deleted after it has been created. If you wish to end a registration you may do so by setting  expires_at . \n\n##","ref":"Stripe.Tax.Registration.html#update/3"},{"type":"function","title":"Details - Stripe.Tax.Registration.update/3","doc":"* Method: `post`\n * Path: `/v1/tax/registrations/{id}`","ref":"Stripe.Tax.Registration.html#update/3-details"},{"type":"type","title":"Stripe.Tax.Registration.ae/0","doc":"Options for the registration in AE.","ref":"Stripe.Tax.Registration.html#t:ae/0"},{"type":"type","title":"Stripe.Tax.Registration.at/0","doc":"Options for the registration in AT.","ref":"Stripe.Tax.Registration.html#t:at/0"},{"type":"type","title":"Stripe.Tax.Registration.au/0","doc":"Options for the registration in AU.","ref":"Stripe.Tax.Registration.html#t:au/0"},{"type":"type","title":"Stripe.Tax.Registration.be/0","doc":"Options for the registration in BE.","ref":"Stripe.Tax.Registration.html#t:be/0"},{"type":"type","title":"Stripe.Tax.Registration.bg/0","doc":"Options for the registration in BG.","ref":"Stripe.Tax.Registration.html#t:bg/0"},{"type":"type","title":"Stripe.Tax.Registration.ca/0","doc":"Options for the registration in CA.","ref":"Stripe.Tax.Registration.html#t:ca/0"},{"type":"type","title":"Stripe.Tax.Registration.ch/0","doc":"Options for the registration in CH.","ref":"Stripe.Tax.Registration.html#t:ch/0"},{"type":"type","title":"Stripe.Tax.Registration.cl/0","doc":"Options for the registration in CL.","ref":"Stripe.Tax.Registration.html#t:cl/0"},{"type":"type","title":"Stripe.Tax.Registration.co/0","doc":"Options for the registration in CO.","ref":"Stripe.Tax.Registration.html#t:co/0"},{"type":"type","title":"Stripe.Tax.Registration.country_options/0","doc":"Specific options for a registration in the specified `country`.","ref":"Stripe.Tax.Registration.html#t:country_options/0"},{"type":"type","title":"Stripe.Tax.Registration.cy/0","doc":"Options for the registration in CY.","ref":"Stripe.Tax.Registration.html#t:cy/0"},{"type":"type","title":"Stripe.Tax.Registration.cz/0","doc":"Options for the registration in CZ.","ref":"Stripe.Tax.Registration.html#t:cz/0"},{"type":"type","title":"Stripe.Tax.Registration.de/0","doc":"Options for the registration in DE.","ref":"Stripe.Tax.Registration.html#t:de/0"},{"type":"type","title":"Stripe.Tax.Registration.dk/0","doc":"Options for the registration in DK.","ref":"Stripe.Tax.Registration.html#t:dk/0"},{"type":"type","title":"Stripe.Tax.Registration.ee/0","doc":"Options for the registration in EE.","ref":"Stripe.Tax.Registration.html#t:ee/0"},{"type":"type","title":"Stripe.Tax.Registration.es/0","doc":"Options for the registration in ES.","ref":"Stripe.Tax.Registration.html#t:es/0"},{"type":"type","title":"Stripe.Tax.Registration.fi/0","doc":"Options for the registration in FI.","ref":"Stripe.Tax.Registration.html#t:fi/0"},{"type":"type","title":"Stripe.Tax.Registration.fr/0","doc":"Options for the registration in FR.","ref":"Stripe.Tax.Registration.html#t:fr/0"},{"type":"type","title":"Stripe.Tax.Registration.gb/0","doc":"Options for the registration in GB.","ref":"Stripe.Tax.Registration.html#t:gb/0"},{"type":"type","title":"Stripe.Tax.Registration.gr/0","doc":"Options for the registration in GR.","ref":"Stripe.Tax.Registration.html#t:gr/0"},{"type":"type","title":"Stripe.Tax.Registration.hr/0","doc":"Options for the registration in HR.","ref":"Stripe.Tax.Registration.html#t:hr/0"},{"type":"type","title":"Stripe.Tax.Registration.hu/0","doc":"Options for the registration in HU.","ref":"Stripe.Tax.Registration.html#t:hu/0"},{"type":"type","title":"Stripe.Tax.Registration.id/0","doc":"Options for the registration in ID.","ref":"Stripe.Tax.Registration.html#t:id/0"},{"type":"type","title":"Stripe.Tax.Registration.ie/0","doc":"Options for the registration in IE.","ref":"Stripe.Tax.Registration.html#t:ie/0"},{"type":"type","title":"Stripe.Tax.Registration.is/0","doc":"Options for the registration in IS.","ref":"Stripe.Tax.Registration.html#t:is/0"},{"type":"type","title":"Stripe.Tax.Registration.it/0","doc":"Options for the registration in IT.","ref":"Stripe.Tax.Registration.html#t:it/0"},{"type":"type","title":"Stripe.Tax.Registration.jp/0","doc":"Options for the registration in JP.","ref":"Stripe.Tax.Registration.html#t:jp/0"},{"type":"type","title":"Stripe.Tax.Registration.kr/0","doc":"Options for the registration in KR.","ref":"Stripe.Tax.Registration.html#t:kr/0"},{"type":"type","title":"Stripe.Tax.Registration.local_amusement_tax/0","doc":"Options for the local amusement tax registration.","ref":"Stripe.Tax.Registration.html#t:local_amusement_tax/0"},{"type":"type","title":"Stripe.Tax.Registration.local_lease_tax/0","doc":"Options for the local lease tax registration.","ref":"Stripe.Tax.Registration.html#t:local_lease_tax/0"},{"type":"type","title":"Stripe.Tax.Registration.lt/0","doc":"Options for the registration in LT.","ref":"Stripe.Tax.Registration.html#t:lt/0"},{"type":"type","title":"Stripe.Tax.Registration.lu/0","doc":"Options for the registration in LU.","ref":"Stripe.Tax.Registration.html#t:lu/0"},{"type":"type","title":"Stripe.Tax.Registration.lv/0","doc":"Options for the registration in LV.","ref":"Stripe.Tax.Registration.html#t:lv/0"},{"type":"type","title":"Stripe.Tax.Registration.mt/0","doc":"Options for the registration in MT.","ref":"Stripe.Tax.Registration.html#t:mt/0"},{"type":"type","title":"Stripe.Tax.Registration.mx/0","doc":"Options for the registration in MX.","ref":"Stripe.Tax.Registration.html#t:mx/0"},{"type":"type","title":"Stripe.Tax.Registration.my/0","doc":"Options for the registration in MY.","ref":"Stripe.Tax.Registration.html#t:my/0"},{"type":"type","title":"Stripe.Tax.Registration.nl/0","doc":"Options for the registration in NL.","ref":"Stripe.Tax.Registration.html#t:nl/0"},{"type":"type","title":"Stripe.Tax.Registration.no/0","doc":"Options for the registration in NO.","ref":"Stripe.Tax.Registration.html#t:no/0"},{"type":"type","title":"Stripe.Tax.Registration.nz/0","doc":"Options for the registration in NZ.","ref":"Stripe.Tax.Registration.html#t:nz/0"},{"type":"type","title":"Stripe.Tax.Registration.pl/0","doc":"Options for the registration in PL.","ref":"Stripe.Tax.Registration.html#t:pl/0"},{"type":"type","title":"Stripe.Tax.Registration.province_standard/0","doc":"Options for the provincial tax registration.","ref":"Stripe.Tax.Registration.html#t:province_standard/0"},{"type":"type","title":"Stripe.Tax.Registration.pt/0","doc":"Options for the registration in PT.","ref":"Stripe.Tax.Registration.html#t:pt/0"},{"type":"type","title":"Stripe.Tax.Registration.ro/0","doc":"Options for the registration in RO.","ref":"Stripe.Tax.Registration.html#t:ro/0"},{"type":"type","title":"Stripe.Tax.Registration.sa/0","doc":"Options for the registration in SA.","ref":"Stripe.Tax.Registration.html#t:sa/0"},{"type":"type","title":"Stripe.Tax.Registration.se/0","doc":"Options for the registration in SE.","ref":"Stripe.Tax.Registration.html#t:se/0"},{"type":"type","title":"Stripe.Tax.Registration.sg/0","doc":"Options for the registration in SG.","ref":"Stripe.Tax.Registration.html#t:sg/0"},{"type":"type","title":"Stripe.Tax.Registration.si/0","doc":"Options for the registration in SI.","ref":"Stripe.Tax.Registration.html#t:si/0"},{"type":"type","title":"Stripe.Tax.Registration.sk/0","doc":"Options for the registration in SK.","ref":"Stripe.Tax.Registration.html#t:sk/0"},{"type":"type","title":"Stripe.Tax.Registration.standard/0","doc":"Options for the standard registration.","ref":"Stripe.Tax.Registration.html#t:standard/0"},{"type":"type","title":"Stripe.Tax.Registration.t/0","doc":"The `tax.registration` type.\n\n  * `active_from` Time at which the registration becomes active. Measured in seconds since the Unix epoch.\n  * `country` Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).\n  * `country_options` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `expires_at` If set, the registration stops being active at this time. If not set, the registration will be active indefinitely. Measured in seconds since the Unix epoch.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` The status of the registration. This field is present for convenience and can be deduced from `active_from` and `expires_at`.","ref":"Stripe.Tax.Registration.html#t:t/0"},{"type":"type","title":"Stripe.Tax.Registration.th/0","doc":"Options for the registration in TH.","ref":"Stripe.Tax.Registration.html#t:th/0"},{"type":"type","title":"Stripe.Tax.Registration.tr/0","doc":"Options for the registration in TR.","ref":"Stripe.Tax.Registration.html#t:tr/0"},{"type":"type","title":"Stripe.Tax.Registration.us/0","doc":"Options for the registration in US.","ref":"Stripe.Tax.Registration.html#t:us/0"},{"type":"type","title":"Stripe.Tax.Registration.vn/0","doc":"Options for the registration in VN.","ref":"Stripe.Tax.Registration.html#t:vn/0"},{"type":"type","title":"Stripe.Tax.Registration.za/0","doc":"Options for the registration in ZA.","ref":"Stripe.Tax.Registration.html#t:za/0"},{"type":"module","title":"Stripe.Tax.Settings","doc":"You can use Tax `Settings` to manage configurations used by Stripe Tax calculations.\n\nRelated guide: [Using the Settings API](https://stripe.com/docs/tax/settings-api)","ref":"Stripe.Tax.Settings.html"},{"type":"function","title":"Stripe.Tax.Settings.retrieve/2","doc":"Retrieves Tax  Settings  for a merchant. \n\n##","ref":"Stripe.Tax.Settings.html#retrieve/2"},{"type":"function","title":"Details - Stripe.Tax.Settings.retrieve/2","doc":"* Method: `get`\n * Path: `/v1/tax/settings`","ref":"Stripe.Tax.Settings.html#retrieve/2-details"},{"type":"function","title":"Stripe.Tax.Settings.update/2","doc":"Updates Tax  Settings  parameters used in tax calculations. All parameters are editable but none can be removed once set. \n\n##","ref":"Stripe.Tax.Settings.html#update/2"},{"type":"function","title":"Details - Stripe.Tax.Settings.update/2","doc":"* Method: `post`\n * Path: `/v1/tax/settings`","ref":"Stripe.Tax.Settings.html#update/2-details"},{"type":"type","title":"Stripe.Tax.Settings.address/0","doc":"The location of the business for tax purposes.","ref":"Stripe.Tax.Settings.html#t:address/0"},{"type":"type","title":"Stripe.Tax.Settings.defaults/0","doc":"Default configuration to be used on Stripe Tax calculations.","ref":"Stripe.Tax.Settings.html#t:defaults/0"},{"type":"type","title":"Stripe.Tax.Settings.head_office/0","doc":"The place where your business is located.","ref":"Stripe.Tax.Settings.html#t:head_office/0"},{"type":"type","title":"Stripe.Tax.Settings.t/0","doc":"The `tax.settings` type.\n\n  * `defaults` \n  * `head_office` The place where your business is located.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` The `active` status indicates you have all required settings to calculate tax. A status can transition out of `active` when new required settings are introduced.\n  * `status_details`","ref":"Stripe.Tax.Settings.html#t:t/0"},{"type":"module","title":"Stripe.Tax.Transaction","doc":"A Tax Transaction records the tax collected from or refunded to your customer.\n\nRelated guide: [Calculate tax in your custom payment flow](https://stripe.com/docs/tax/custom#tax-transaction)","ref":"Stripe.Tax.Transaction.html"},{"type":"function","title":"Stripe.Tax.Transaction.create_from_calculation/2","doc":"Creates a Tax  Transaction  from a calculation. \n\n##","ref":"Stripe.Tax.Transaction.html#create_from_calculation/2"},{"type":"function","title":"Details - Stripe.Tax.Transaction.create_from_calculation/2","doc":"* Method: `post`\n * Path: `/v1/tax/transactions/create_from_calculation`","ref":"Stripe.Tax.Transaction.html#create_from_calculation/2-details"},{"type":"function","title":"Stripe.Tax.Transaction.create_reversal/2","doc":"Partially or fully reverses a previously created  Transaction . \n\n##","ref":"Stripe.Tax.Transaction.html#create_reversal/2"},{"type":"function","title":"Details - Stripe.Tax.Transaction.create_reversal/2","doc":"* Method: `post`\n * Path: `/v1/tax/transactions/create_reversal`","ref":"Stripe.Tax.Transaction.html#create_reversal/2-details"},{"type":"function","title":"Stripe.Tax.Transaction.list_line_items/3","doc":"Retrieves the line items of a committed standalone transaction as a collection. \n\n##","ref":"Stripe.Tax.Transaction.html#list_line_items/3"},{"type":"function","title":"Details - Stripe.Tax.Transaction.list_line_items/3","doc":"* Method: `get`\n * Path: `/v1/tax/transactions/{transaction}/line_items`","ref":"Stripe.Tax.Transaction.html#list_line_items/3-details"},{"type":"function","title":"Stripe.Tax.Transaction.retrieve/3","doc":"Retrieves a Tax  Transaction  object. \n\n##","ref":"Stripe.Tax.Transaction.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Tax.Transaction.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/tax/transactions/{transaction}`","ref":"Stripe.Tax.Transaction.html#retrieve/3-details"},{"type":"type","title":"Stripe.Tax.Transaction.line_items/0","doc":"","ref":"Stripe.Tax.Transaction.html#t:line_items/0"},{"type":"type","title":"Stripe.Tax.Transaction.shipping_cost/0","doc":"The shipping cost to reverse.","ref":"Stripe.Tax.Transaction.html#t:shipping_cost/0"},{"type":"type","title":"Stripe.Tax.Transaction.t/0","doc":"The `tax.transaction` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` The ID of an existing [Customer](https://stripe.com/docs/api/customers/object) used for the resource.\n  * `customer_details` \n  * `id` Unique identifier for the transaction.\n  * `line_items` The tax collected or refunded, by line item.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `reference` A custom unique identifier, such as 'myOrder_123'.\n  * `reversal` If `type=reversal`, contains information about what was reversed.\n  * `shipping_cost` The shipping cost details for the transaction.\n  * `tax_date` Timestamp of date at which the tax rules and rates in effect applies for the calculation.\n  * `type` If `reversal`, this transaction reverses an earlier transaction.","ref":"Stripe.Tax.Transaction.html#t:t/0"},{"type":"module","title":"Stripe.Tax.TransactionLineItem","doc":"","ref":"Stripe.Tax.TransactionLineItem.html"},{"type":"type","title":"Stripe.Tax.TransactionLineItem.t/0","doc":"The `tax.transaction_line_item` type.\n\n  * `amount` The line item amount in integer cents. If `tax_behavior=inclusive`, then this amount includes taxes. Otherwise, taxes were calculated on top of this amount.\n  * `amount_tax` The amount of tax calculated for this line item, in integer cents.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `product` The ID of an existing [Product](https://stripe.com/docs/api/products/object).\n  * `quantity` The number of units of the item being purchased. For reversals, this is the quantity reversed.\n  * `reference` A custom identifier for this line item in the transaction.\n  * `reversal` If `type=reversal`, contains information about what was reversed.\n  * `tax_behavior` Specifies whether the `amount` includes taxes. If `tax_behavior=inclusive`, then the amount includes taxes.\n  * `tax_code` The [tax code](https://stripe.com/docs/tax/tax-categories) ID used for this resource.\n  * `type` If `reversal`, this line item reverses an earlier transaction.","ref":"Stripe.Tax.TransactionLineItem.html#t:t/0"},{"type":"module","title":"Stripe.TaxCode","doc":"[Tax codes](https://stripe.com/docs/tax/tax-categories) classify goods and services for tax purposes.","ref":"Stripe.TaxCode.html"},{"type":"function","title":"Stripe.TaxCode.list/2","doc":"A list of  all tax codes available  to add to Products in order to allow specific tax calculations. \n\n##","ref":"Stripe.TaxCode.html#list/2"},{"type":"function","title":"Details - Stripe.TaxCode.list/2","doc":"* Method: `get`\n * Path: `/v1/tax_codes`","ref":"Stripe.TaxCode.html#list/2-details"},{"type":"function","title":"Stripe.TaxCode.retrieve/3","doc":"Retrieves the details of an existing tax code. Supply the unique tax code ID and Stripe will return the corresponding tax code information. \n\n##","ref":"Stripe.TaxCode.html#retrieve/3"},{"type":"function","title":"Details - Stripe.TaxCode.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/tax_codes/{id}`","ref":"Stripe.TaxCode.html#retrieve/3-details"},{"type":"type","title":"Stripe.TaxCode.t/0","doc":"The `tax_code` type.\n\n  * `description` A detailed description of which types of products the tax code represents.\n  * `id` Unique identifier for the object.\n  * `name` A short name for the tax code.\n  * `object` String representing the object's type. Objects of the same type share the same value.","ref":"Stripe.TaxCode.html#t:t/0"},{"type":"module","title":"Stripe.Terminal.Configuration","doc":"A Configurations object represents how features should be configured for terminal readers.","ref":"Stripe.Terminal.Configuration.html"},{"type":"function","title":"Stripe.Terminal.Configuration.create/2","doc":"Creates a new  Configuration  object. \n\n##","ref":"Stripe.Terminal.Configuration.html#create/2"},{"type":"function","title":"Details - Stripe.Terminal.Configuration.create/2","doc":"* Method: `post`\n * Path: `/v1/terminal/configurations`","ref":"Stripe.Terminal.Configuration.html#create/2-details"},{"type":"function","title":"Stripe.Terminal.Configuration.delete/2","doc":"Deletes a  Configuration  object. \n\n##","ref":"Stripe.Terminal.Configuration.html#delete/2"},{"type":"function","title":"Details - Stripe.Terminal.Configuration.delete/2","doc":"* Method: `delete`\n * Path: `/v1/terminal/configurations/{configuration}`","ref":"Stripe.Terminal.Configuration.html#delete/2-details"},{"type":"function","title":"Stripe.Terminal.Configuration.list/2","doc":"Returns a list of  Configuration  objects. \n\n##","ref":"Stripe.Terminal.Configuration.html#list/2"},{"type":"function","title":"Details - Stripe.Terminal.Configuration.list/2","doc":"* Method: `get`\n * Path: `/v1/terminal/configurations`","ref":"Stripe.Terminal.Configuration.html#list/2-details"},{"type":"function","title":"Stripe.Terminal.Configuration.retrieve/3","doc":"Retrieves a  Configuration  object. \n\n##","ref":"Stripe.Terminal.Configuration.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Terminal.Configuration.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/terminal/configurations/{configuration}`","ref":"Stripe.Terminal.Configuration.html#retrieve/3-details"},{"type":"function","title":"Stripe.Terminal.Configuration.update/3","doc":"Updates a new  Configuration  object. \n\n##","ref":"Stripe.Terminal.Configuration.html#update/3"},{"type":"function","title":"Details - Stripe.Terminal.Configuration.update/3","doc":"* Method: `post`\n * Path: `/v1/terminal/configurations/{configuration}`","ref":"Stripe.Terminal.Configuration.html#update/3-details"},{"type":"type","title":"Stripe.Terminal.Configuration.aud/0","doc":"Tipping configuration for AUD","ref":"Stripe.Terminal.Configuration.html#t:aud/0"},{"type":"type","title":"Stripe.Terminal.Configuration.bbpos_wisepos_e/0","doc":"An object containing device type specific settings for BBPOS WisePOS E readers","ref":"Stripe.Terminal.Configuration.html#t:bbpos_wisepos_e/0"},{"type":"type","title":"Stripe.Terminal.Configuration.cad/0","doc":"Tipping configuration for CAD","ref":"Stripe.Terminal.Configuration.html#t:cad/0"},{"type":"type","title":"Stripe.Terminal.Configuration.chf/0","doc":"Tipping configuration for CHF","ref":"Stripe.Terminal.Configuration.html#t:chf/0"},{"type":"type","title":"Stripe.Terminal.Configuration.czk/0","doc":"Tipping configuration for CZK","ref":"Stripe.Terminal.Configuration.html#t:czk/0"},{"type":"type","title":"Stripe.Terminal.Configuration.dkk/0","doc":"Tipping configuration for DKK","ref":"Stripe.Terminal.Configuration.html#t:dkk/0"},{"type":"type","title":"Stripe.Terminal.Configuration.eur/0","doc":"Tipping configuration for EUR","ref":"Stripe.Terminal.Configuration.html#t:eur/0"},{"type":"type","title":"Stripe.Terminal.Configuration.gbp/0","doc":"Tipping configuration for GBP","ref":"Stripe.Terminal.Configuration.html#t:gbp/0"},{"type":"type","title":"Stripe.Terminal.Configuration.hkd/0","doc":"Tipping configuration for HKD","ref":"Stripe.Terminal.Configuration.html#t:hkd/0"},{"type":"type","title":"Stripe.Terminal.Configuration.myr/0","doc":"Tipping configuration for MYR","ref":"Stripe.Terminal.Configuration.html#t:myr/0"},{"type":"type","title":"Stripe.Terminal.Configuration.nok/0","doc":"Tipping configuration for NOK","ref":"Stripe.Terminal.Configuration.html#t:nok/0"},{"type":"type","title":"Stripe.Terminal.Configuration.nzd/0","doc":"Tipping configuration for NZD","ref":"Stripe.Terminal.Configuration.html#t:nzd/0"},{"type":"type","title":"Stripe.Terminal.Configuration.offline/0","doc":"","ref":"Stripe.Terminal.Configuration.html#t:offline/0"},{"type":"type","title":"Stripe.Terminal.Configuration.sek/0","doc":"Tipping configuration for SEK","ref":"Stripe.Terminal.Configuration.html#t:sek/0"},{"type":"type","title":"Stripe.Terminal.Configuration.sgd/0","doc":"Tipping configuration for SGD","ref":"Stripe.Terminal.Configuration.html#t:sgd/0"},{"type":"type","title":"Stripe.Terminal.Configuration.t/0","doc":"The `terminal.configuration` type.\n\n  * `bbpos_wisepos_e` \n  * `id` Unique identifier for the object.\n  * `is_account_default` Whether this Configuration is the default for your account\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `offline` \n  * `tipping` \n  * `verifone_p400`","ref":"Stripe.Terminal.Configuration.html#t:t/0"},{"type":"type","title":"Stripe.Terminal.Configuration.tipping/0","doc":"","ref":"Stripe.Terminal.Configuration.html#t:tipping/0"},{"type":"type","title":"Stripe.Terminal.Configuration.usd/0","doc":"Tipping configuration for USD","ref":"Stripe.Terminal.Configuration.html#t:usd/0"},{"type":"type","title":"Stripe.Terminal.Configuration.verifone_p400/0","doc":"An object containing device type specific settings for Verifone P400 readers","ref":"Stripe.Terminal.Configuration.html#t:verifone_p400/0"},{"type":"module","title":"Stripe.TestHelpers.TestClock","doc":"A test clock enables deterministic control over objects in testmode. With a test clock, you can create\nobjects at a frozen time in the past or future, and advance to a specific future time to observe webhooks and state changes. After the clock advances,\nyou can either validate the current state of your scenario (and test your assumptions), change the current state of your scenario (and test more complex scenarios), or keep advancing forward in time.","ref":"Stripe.TestHelpers.TestClock.html"},{"type":"function","title":"Stripe.TestHelpers.TestClock.advance/3","doc":"Starts advancing a test clock to a specified time in the future. Advancement is done when status changes to  Ready . \n\n##","ref":"Stripe.TestHelpers.TestClock.html#advance/3"},{"type":"function","title":"Details - Stripe.TestHelpers.TestClock.advance/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/test_clocks/{test_clock}/advance`","ref":"Stripe.TestHelpers.TestClock.html#advance/3-details"},{"type":"function","title":"Stripe.TestHelpers.TestClock.create/2","doc":"Creates a new test clock that can be attached to new customers and quotes. \n\n##","ref":"Stripe.TestHelpers.TestClock.html#create/2"},{"type":"function","title":"Details - Stripe.TestHelpers.TestClock.create/2","doc":"* Method: `post`\n * Path: `/v1/test_helpers/test_clocks`","ref":"Stripe.TestHelpers.TestClock.html#create/2-details"},{"type":"function","title":"Stripe.TestHelpers.TestClock.delete/2","doc":"Deletes a test clock. \n\n##","ref":"Stripe.TestHelpers.TestClock.html#delete/2"},{"type":"function","title":"Details - Stripe.TestHelpers.TestClock.delete/2","doc":"* Method: `delete`\n * Path: `/v1/test_helpers/test_clocks/{test_clock}`","ref":"Stripe.TestHelpers.TestClock.html#delete/2-details"},{"type":"function","title":"Stripe.TestHelpers.TestClock.list/2","doc":"Returns a list of your test clocks. \n\n##","ref":"Stripe.TestHelpers.TestClock.html#list/2"},{"type":"function","title":"Details - Stripe.TestHelpers.TestClock.list/2","doc":"* Method: `get`\n * Path: `/v1/test_helpers/test_clocks`","ref":"Stripe.TestHelpers.TestClock.html#list/2-details"},{"type":"function","title":"Stripe.TestHelpers.TestClock.retrieve/3","doc":"Retrieves a test clock. \n\n##","ref":"Stripe.TestHelpers.TestClock.html#retrieve/3"},{"type":"function","title":"Details - Stripe.TestHelpers.TestClock.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/test_helpers/test_clocks/{test_clock}`","ref":"Stripe.TestHelpers.TestClock.html#retrieve/3-details"},{"type":"type","title":"Stripe.TestHelpers.TestClock.t/0","doc":"The `test_helpers.test_clock` type.\n\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `deletes_after` Time at which this clock is scheduled to auto delete.\n  * `frozen_time` Time at which all objects belonging to this clock are frozen.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `name` The custom name supplied at creation.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` The status of the Test Clock.","ref":"Stripe.TestHelpers.TestClock.html#t:t/0"},{"type":"module","title":"Stripe.Treasury.CreditReversal","doc":"You can reverse some [ReceivedCredits](https://stripe.com/docs/api#received_credits) depending on their network and source flow. Reversing a ReceivedCredit leads to the creation of a new object known as a CreditReversal.","ref":"Stripe.Treasury.CreditReversal.html"},{"type":"function","title":"Stripe.Treasury.CreditReversal.create/2","doc":"Reverses a ReceivedCredit and creates a CreditReversal object. \n\n##","ref":"Stripe.Treasury.CreditReversal.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.CreditReversal.create/2","doc":"* Method: `post`\n * Path: `/v1/treasury/credit_reversals`","ref":"Stripe.Treasury.CreditReversal.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.CreditReversal.list/2","doc":"Returns a list of CreditReversals. \n\n##","ref":"Stripe.Treasury.CreditReversal.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.CreditReversal.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/credit_reversals`","ref":"Stripe.Treasury.CreditReversal.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.CreditReversal.retrieve/3","doc":"Retrieves the details of an existing CreditReversal by passing the unique CreditReversal ID from either the CreditReversal creation request or CreditReversal list \n\n##","ref":"Stripe.Treasury.CreditReversal.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.CreditReversal.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/credit_reversals/{credit_reversal}`","ref":"Stripe.Treasury.CreditReversal.html#retrieve/3-details"},{"type":"type","title":"Stripe.Treasury.CreditReversal.t/0","doc":"The `treasury.credit_reversal` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `financial_account` The FinancialAccount to reverse funds from.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `network` The rails used to reverse the funds.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `received_credit` The ReceivedCredit being reversed.\n  * `status` Status of the CreditReversal\n  * `status_transitions` \n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.CreditReversal.html#t:t/0"},{"type":"module","title":"Stripe.Treasury.DebitReversal","doc":"You can reverse some [ReceivedDebits](https://stripe.com/docs/api#received_debits) depending on their network and source flow. Reversing a ReceivedDebit leads to the creation of a new object known as a DebitReversal.","ref":"Stripe.Treasury.DebitReversal.html"},{"type":"function","title":"Stripe.Treasury.DebitReversal.create/2","doc":"Reverses a ReceivedDebit and creates a DebitReversal object. \n\n##","ref":"Stripe.Treasury.DebitReversal.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.DebitReversal.create/2","doc":"* Method: `post`\n * Path: `/v1/treasury/debit_reversals`","ref":"Stripe.Treasury.DebitReversal.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.DebitReversal.list/2","doc":"Returns a list of DebitReversals. \n\n##","ref":"Stripe.Treasury.DebitReversal.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.DebitReversal.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/debit_reversals`","ref":"Stripe.Treasury.DebitReversal.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.DebitReversal.retrieve/3","doc":"Retrieves a DebitReversal object. \n\n##","ref":"Stripe.Treasury.DebitReversal.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.DebitReversal.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/debit_reversals/{debit_reversal}`","ref":"Stripe.Treasury.DebitReversal.html#retrieve/3-details"},{"type":"type","title":"Stripe.Treasury.DebitReversal.t/0","doc":"The `treasury.debit_reversal` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `financial_account` The FinancialAccount to reverse funds from.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `linked_flows` Other flows linked to a DebitReversal.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `network` The rails used to reverse the funds.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `received_debit` The ReceivedDebit being reversed.\n  * `status` Status of the DebitReversal\n  * `status_transitions` \n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.DebitReversal.html#t:t/0"},{"type":"module","title":"Stripe.Treasury.FinancialAccount","doc":"Stripe Treasury provides users with a container for money called a FinancialAccount that is separate from their Payments balance.\nFinancialAccounts serve as the source and destination of Treasury’s money movement APIs.","ref":"Stripe.Treasury.FinancialAccount.html"},{"type":"function","title":"Stripe.Treasury.FinancialAccount.create/2","doc":"Creates a new FinancialAccount. For now, each connected account can only have one FinancialAccount. \n\n##","ref":"Stripe.Treasury.FinancialAccount.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.FinancialAccount.create/2","doc":"* Method: `post`\n * Path: `/v1/treasury/financial_accounts`","ref":"Stripe.Treasury.FinancialAccount.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.FinancialAccount.list/2","doc":"Returns a list of FinancialAccounts. \n\n##","ref":"Stripe.Treasury.FinancialAccount.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.FinancialAccount.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/financial_accounts`","ref":"Stripe.Treasury.FinancialAccount.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.FinancialAccount.retrieve/3","doc":"Retrieves the details of a FinancialAccount. \n\n##","ref":"Stripe.Treasury.FinancialAccount.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.FinancialAccount.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/financial_accounts/{financial_account}`","ref":"Stripe.Treasury.FinancialAccount.html#retrieve/3-details"},{"type":"function","title":"Stripe.Treasury.FinancialAccount.retrieve_features/3","doc":"Retrieves Features information associated with the FinancialAccount. \n\n##","ref":"Stripe.Treasury.FinancialAccount.html#retrieve_features/3"},{"type":"function","title":"Details - Stripe.Treasury.FinancialAccount.retrieve_features/3","doc":"* Method: `get`\n * Path: `/v1/treasury/financial_accounts/{financial_account}/features`","ref":"Stripe.Treasury.FinancialAccount.html#retrieve_features/3-details"},{"type":"function","title":"Stripe.Treasury.FinancialAccount.update/3","doc":"Updates the details of a FinancialAccount. \n\n##","ref":"Stripe.Treasury.FinancialAccount.html#update/3"},{"type":"function","title":"Details - Stripe.Treasury.FinancialAccount.update/3","doc":"* Method: `post`\n * Path: `/v1/treasury/financial_accounts/{financial_account}`","ref":"Stripe.Treasury.FinancialAccount.html#update/3-details"},{"type":"function","title":"Stripe.Treasury.FinancialAccount.update_features/3","doc":"Updates the Features associated with a FinancialAccount. \n\n##","ref":"Stripe.Treasury.FinancialAccount.html#update_features/3"},{"type":"function","title":"Details - Stripe.Treasury.FinancialAccount.update_features/3","doc":"* Method: `post`\n * Path: `/v1/treasury/financial_accounts/{financial_account}/features`","ref":"Stripe.Treasury.FinancialAccount.html#update_features/3-details"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.aba/0","doc":"Adds an ABA FinancialAddress to the FinancialAccount.","ref":"Stripe.Treasury.FinancialAccount.html#t:aba/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.ach/0","doc":"Enables ACH Debits via the InboundTransfers API.","ref":"Stripe.Treasury.FinancialAccount.html#t:ach/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.card_issuing/0","doc":"Encodes the FinancialAccount's ability to be used with the Issuing product, including attaching cards to and drawing funds from the FinancialAccount.","ref":"Stripe.Treasury.FinancialAccount.html#t:card_issuing/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.created/0","doc":"","ref":"Stripe.Treasury.FinancialAccount.html#t:created/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.deposit_insurance/0","doc":"Represents whether this FinancialAccount is eligible for deposit insurance. Various factors determine the insurance amount.","ref":"Stripe.Treasury.FinancialAccount.html#t:deposit_insurance/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.features/0","doc":"Encodes whether a FinancialAccount has access to a particular feature. Stripe or the platform can control features via the requested field.","ref":"Stripe.Treasury.FinancialAccount.html#t:features/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.financial_addresses/0","doc":"Contains Features that add FinancialAddresses to the FinancialAccount.","ref":"Stripe.Treasury.FinancialAccount.html#t:financial_addresses/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.inbound_transfers/0","doc":"Contains settings related to adding funds to a FinancialAccount from another Account with the same owner.","ref":"Stripe.Treasury.FinancialAccount.html#t:inbound_transfers/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.intra_stripe_flows/0","doc":"Represents the ability for the FinancialAccount to send money to, or receive money from other FinancialAccounts (for example, via OutboundPayment).","ref":"Stripe.Treasury.FinancialAccount.html#t:intra_stripe_flows/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.outbound_payments/0","doc":"Includes Features related to initiating money movement out of the FinancialAccount to someone else's bucket of money.","ref":"Stripe.Treasury.FinancialAccount.html#t:outbound_payments/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.outbound_transfers/0","doc":"Contains a Feature and settings related to moving money out of the FinancialAccount into another Account with the same owner.","ref":"Stripe.Treasury.FinancialAccount.html#t:outbound_transfers/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.platform_restrictions/0","doc":"The set of functionalities that the platform can restrict on the FinancialAccount.","ref":"Stripe.Treasury.FinancialAccount.html#t:platform_restrictions/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.t/0","doc":"The `treasury.financial_account` type.\n\n  * `active_features` The array of paths to active Features in the Features hash.\n  * `balance` \n  * `country` Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `features` \n  * `financial_addresses` The set of credentials that resolve to a FinancialAccount.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `pending_features` The array of paths to pending Features in the Features hash.\n  * `platform_restrictions` The set of functionalities that the platform can restrict on the FinancialAccount.\n  * `restricted_features` The array of paths to restricted Features in the Features hash.\n  * `status` The enum specifying what state the account is in.\n  * `status_details` \n  * `supported_currencies` The currencies the FinancialAccount can hold a balance in. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.","ref":"Stripe.Treasury.FinancialAccount.html#t:t/0"},{"type":"type","title":"Stripe.Treasury.FinancialAccount.us_domestic_wire/0","doc":"Enables US domestic wire transfers via the OutboundPayments API.","ref":"Stripe.Treasury.FinancialAccount.html#t:us_domestic_wire/0"},{"type":"module","title":"Stripe.Treasury.FinancialAccountFeatures","doc":"Encodes whether a FinancialAccount has access to a particular Feature, with a `status` enum and associated `status_details`.\nStripe or the platform can control Features via the requested field.","ref":"Stripe.Treasury.FinancialAccountFeatures.html"},{"type":"type","title":"Stripe.Treasury.FinancialAccountFeatures.t/0","doc":"The `treasury.financial_account_features` type.\n\n  * `card_issuing` \n  * `deposit_insurance` \n  * `financial_addresses` \n  * `inbound_transfers` \n  * `intra_stripe_flows` \n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `outbound_payments` \n  * `outbound_transfers`","ref":"Stripe.Treasury.FinancialAccountFeatures.html#t:t/0"},{"type":"module","title":"Stripe.Treasury.InboundTransfer","doc":"Use [InboundTransfers](https://stripe.com/docs/treasury/moving-money/financial-accounts/into/inbound-transfers) to add funds to your [FinancialAccount](https://stripe.com/docs/api#financial_accounts) via a PaymentMethod that is owned by you. The funds will be transferred via an ACH debit.","ref":"Stripe.Treasury.InboundTransfer.html"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.cancel/3","doc":"Cancels an InboundTransfer. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#cancel/3"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.cancel/3","doc":"* Method: `post`\n * Path: `/v1/treasury/inbound_transfers/{inbound_transfer}/cancel`","ref":"Stripe.Treasury.InboundTransfer.html#cancel/3-details"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.create/2","doc":"Creates an InboundTransfer. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.create/2","doc":"* Method: `post`\n * Path: `/v1/treasury/inbound_transfers`","ref":"Stripe.Treasury.InboundTransfer.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.fail/3","doc":"Transitions a test mode created InboundTransfer to the  failed  status. The InboundTransfer must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#fail/3"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.fail/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/inbound_transfers/{id}/fail`","ref":"Stripe.Treasury.InboundTransfer.html#fail/3-details"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.list/2","doc":"Returns a list of InboundTransfers sent from the specified FinancialAccount. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/inbound_transfers`","ref":"Stripe.Treasury.InboundTransfer.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.retrieve/3","doc":"Retrieves the details of an existing InboundTransfer. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/inbound_transfers/{id}`","ref":"Stripe.Treasury.InboundTransfer.html#retrieve/3-details"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.return_inbound_transfer/3","doc":"Marks the test mode InboundTransfer object as returned and links the InboundTransfer to a ReceivedDebit. The InboundTransfer must already be in the  succeeded  state. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#return_inbound_transfer/3"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.return_inbound_transfer/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/inbound_transfers/{id}/return`","ref":"Stripe.Treasury.InboundTransfer.html#return_inbound_transfer/3-details"},{"type":"function","title":"Stripe.Treasury.InboundTransfer.succeed/3","doc":"Transitions a test mode created InboundTransfer to the  succeeded  status. The InboundTransfer must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.InboundTransfer.html#succeed/3"},{"type":"function","title":"Details - Stripe.Treasury.InboundTransfer.succeed/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/inbound_transfers/{id}/succeed`","ref":"Stripe.Treasury.InboundTransfer.html#succeed/3-details"},{"type":"type","title":"Stripe.Treasury.InboundTransfer.failure_details/0","doc":"Details about a failed InboundTransfer.","ref":"Stripe.Treasury.InboundTransfer.html#t:failure_details/0"},{"type":"type","title":"Stripe.Treasury.InboundTransfer.t/0","doc":"The `treasury.inbound_transfer` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `cancelable` Returns `true` if the InboundTransfer is able to be canceled.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `failure_details` Details about this InboundTransfer's failure. Only set when status is `failed`.\n  * `financial_account` The FinancialAccount that received the funds.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `linked_flows` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `origin_payment_method` The origin payment method to be debited for an InboundTransfer.\n  * `origin_payment_method_details` Details about the PaymentMethod for an InboundTransfer.\n  * `returned` Returns `true` if the funds for an InboundTransfer were returned after the InboundTransfer went to the `succeeded` state.\n  * `statement_descriptor` Statement descriptor shown when funds are debited from the source. Not all payment networks support `statement_descriptor`.\n  * `status` Status of the InboundTransfer: `processing`, `succeeded`, `failed`, and `canceled`. An InboundTransfer is `processing` if it is created and pending. The status changes to `succeeded` once the funds have been \"confirmed\" and a `transaction` is created and posted. The status changes to `failed` if the transfer fails.\n  * `status_transitions` \n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.InboundTransfer.html#t:t/0"},{"type":"module","title":"Stripe.Treasury.OutboundPayment","doc":"Use OutboundPayments to send funds to another party's external bank account or [FinancialAccount](https://stripe.com/docs/api#financial_accounts). To send money to an account belonging to the same user, use an [OutboundTransfer](https://stripe.com/docs/api#outbound_transfers).\n\nSimulate OutboundPayment state changes with the `/v1/test_helpers/treasury/outbound_payments` endpoints. These methods can only be called on test mode objects.","ref":"Stripe.Treasury.OutboundPayment.html"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.cancel/3","doc":"Cancel an OutboundPayment. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#cancel/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.cancel/3","doc":"* Method: `post`\n * Path: `/v1/treasury/outbound_payments/{id}/cancel`","ref":"Stripe.Treasury.OutboundPayment.html#cancel/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.create/2","doc":"Creates an OutboundPayment. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.create/2","doc":"* Method: `post`\n * Path: `/v1/treasury/outbound_payments`","ref":"Stripe.Treasury.OutboundPayment.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.fail/3","doc":"Transitions a test mode created OutboundPayment to the  failed  status. The OutboundPayment must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#fail/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.fail/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/outbound_payments/{id}/fail`","ref":"Stripe.Treasury.OutboundPayment.html#fail/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.list/2","doc":"Returns a list of OutboundPayments sent from the specified FinancialAccount. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/outbound_payments`","ref":"Stripe.Treasury.OutboundPayment.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.post/3","doc":"Transitions a test mode created OutboundPayment to the  posted  status. The OutboundPayment must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#post/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.post/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/outbound_payments/{id}/post`","ref":"Stripe.Treasury.OutboundPayment.html#post/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.retrieve/3","doc":"Retrieves the details of an existing OutboundPayment by passing the unique OutboundPayment ID from either the OutboundPayment creation request or OutboundPayment list. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/outbound_payments/{id}`","ref":"Stripe.Treasury.OutboundPayment.html#retrieve/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundPayment.return_outbound_payment/3","doc":"Transitions a test mode created OutboundPayment to the  returned  status. The OutboundPayment must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.OutboundPayment.html#return_outbound_payment/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundPayment.return_outbound_payment/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/outbound_payments/{id}/return`","ref":"Stripe.Treasury.OutboundPayment.html#return_outbound_payment/3-details"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.address/0","doc":"","ref":"Stripe.Treasury.OutboundPayment.html#t:address/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.billing_details/0","doc":"Billing information associated with the PaymentMethod that may be used or required by particular types of payment methods.","ref":"Stripe.Treasury.OutboundPayment.html#t:billing_details/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.destination_payment_method_data/0","doc":"Hash used to generate the PaymentMethod to be used for this OutboundPayment. Exclusive with `destination_payment_method`.","ref":"Stripe.Treasury.OutboundPayment.html#t:destination_payment_method_data/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.destination_payment_method_options/0","doc":"Payment method-specific configuration for this OutboundPayment.","ref":"Stripe.Treasury.OutboundPayment.html#t:destination_payment_method_options/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.end_user_details/0","doc":"End user details.","ref":"Stripe.Treasury.OutboundPayment.html#t:end_user_details/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.returned_details/0","doc":"Optional hash to set the the return code.","ref":"Stripe.Treasury.OutboundPayment.html#t:returned_details/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.t/0","doc":"The `treasury.outbound_payment` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `cancelable` Returns `true` if the object can be canceled, and `false` otherwise.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `customer` ID of the [customer](https://stripe.com/docs/api/customers) to whom an OutboundPayment is sent.\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `destination_payment_method` The PaymentMethod via which an OutboundPayment is sent. This field can be empty if the OutboundPayment was created using `destination_payment_method_data`.\n  * `destination_payment_method_details` Details about the PaymentMethod for an OutboundPayment.\n  * `end_user_details` Details about the end user.\n  * `expected_arrival_date` The date when funds are expected to arrive in the destination account.\n  * `financial_account` The FinancialAccount that funds were pulled from.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `returned_details` Details about a returned OutboundPayment. Only set when the status is `returned`.\n  * `statement_descriptor` The description that appears on the receiving end for an OutboundPayment (for example, bank statement for external bank transfer).\n  * `status` Current status of the OutboundPayment: `processing`, `failed`, `posted`, `returned`, `canceled`. An OutboundPayment is `processing` if it has been created and is pending. The status changes to `posted` once the OutboundPayment has been \"confirmed\" and funds have left the account, or to `failed` or `canceled`. If an OutboundPayment fails to arrive at its destination, its status will change to `returned`.\n  * `status_transitions` \n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.OutboundPayment.html#t:t/0"},{"type":"type","title":"Stripe.Treasury.OutboundPayment.us_bank_account/0","doc":"","ref":"Stripe.Treasury.OutboundPayment.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.Treasury.OutboundTransfer","doc":"Use OutboundTransfers to transfer funds from a [FinancialAccount](https://stripe.com/docs/api#financial_accounts) to a PaymentMethod belonging to the same entity. To send funds to a different party, use [OutboundPayments](https://stripe.com/docs/api#outbound_payments) instead. You can send funds over ACH rails or through a domestic wire transfer to a user's own external bank account.\n\nSimulate OutboundTransfer state changes with the `/v1/test_helpers/treasury/outbound_transfers` endpoints. These methods can only be called on test mode objects.","ref":"Stripe.Treasury.OutboundTransfer.html"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.cancel/3","doc":"An OutboundTransfer can be canceled if the funds have not yet been paid out. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#cancel/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.cancel/3","doc":"* Method: `post`\n * Path: `/v1/treasury/outbound_transfers/{outbound_transfer}/cancel`","ref":"Stripe.Treasury.OutboundTransfer.html#cancel/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.create/2","doc":"Creates an OutboundTransfer. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.create/2","doc":"* Method: `post`\n * Path: `/v1/treasury/outbound_transfers`","ref":"Stripe.Treasury.OutboundTransfer.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.fail/3","doc":"Transitions a test mode created OutboundTransfer to the  failed  status. The OutboundTransfer must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#fail/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.fail/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/fail`","ref":"Stripe.Treasury.OutboundTransfer.html#fail/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.list/2","doc":"Returns a list of OutboundTransfers sent from the specified FinancialAccount. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/outbound_transfers`","ref":"Stripe.Treasury.OutboundTransfer.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.post/3","doc":"Transitions a test mode created OutboundTransfer to the  posted  status. The OutboundTransfer must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#post/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.post/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/post`","ref":"Stripe.Treasury.OutboundTransfer.html#post/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.retrieve/3","doc":"Retrieves the details of an existing OutboundTransfer by passing the unique OutboundTransfer ID from either the OutboundTransfer creation request or OutboundTransfer list. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/outbound_transfers/{outbound_transfer}`","ref":"Stripe.Treasury.OutboundTransfer.html#retrieve/3-details"},{"type":"function","title":"Stripe.Treasury.OutboundTransfer.return_outbound_transfer/3","doc":"Transitions a test mode created OutboundTransfer to the  returned  status. The OutboundTransfer must already be in the  processing  state. \n\n##","ref":"Stripe.Treasury.OutboundTransfer.html#return_outbound_transfer/3"},{"type":"function","title":"Details - Stripe.Treasury.OutboundTransfer.return_outbound_transfer/3","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return`","ref":"Stripe.Treasury.OutboundTransfer.html#return_outbound_transfer/3-details"},{"type":"type","title":"Stripe.Treasury.OutboundTransfer.destination_payment_method_options/0","doc":"Hash describing payment method configuration details.","ref":"Stripe.Treasury.OutboundTransfer.html#t:destination_payment_method_options/0"},{"type":"type","title":"Stripe.Treasury.OutboundTransfer.returned_details/0","doc":"Details about a returned OutboundTransfer.","ref":"Stripe.Treasury.OutboundTransfer.html#t:returned_details/0"},{"type":"type","title":"Stripe.Treasury.OutboundTransfer.t/0","doc":"The `treasury.outbound_transfer` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `cancelable` Returns `true` if the object can be canceled, and `false` otherwise.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `destination_payment_method` The PaymentMethod used as the payment instrument for an OutboundTransfer.\n  * `destination_payment_method_details` \n  * `expected_arrival_date` The date when funds are expected to arrive in the destination account.\n  * `financial_account` The FinancialAccount that funds were pulled from.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `returned_details` Details about a returned OutboundTransfer. Only set when the status is `returned`.\n  * `statement_descriptor` Information about the OutboundTransfer to be sent to the recipient account.\n  * `status` Current status of the OutboundTransfer: `processing`, `failed`, `canceled`, `posted`, `returned`. An OutboundTransfer is `processing` if it has been created and is pending. The status changes to `posted` once the OutboundTransfer has been \"confirmed\" and funds have left the account, or to `failed` or `canceled`. If an OutboundTransfer fails to arrive at its destination, its status will change to `returned`.\n  * `status_transitions` \n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.OutboundTransfer.html#t:t/0"},{"type":"type","title":"Stripe.Treasury.OutboundTransfer.us_bank_account/0","doc":"","ref":"Stripe.Treasury.OutboundTransfer.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.Treasury.ReceivedCredit","doc":"ReceivedCredits represent funds sent to a [FinancialAccount](https://stripe.com/docs/api#financial_accounts) (for example, via ACH or wire). These money movements are not initiated from the FinancialAccount.","ref":"Stripe.Treasury.ReceivedCredit.html"},{"type":"function","title":"Stripe.Treasury.ReceivedCredit.create/2","doc":"Use this endpoint to simulate a test mode ReceivedCredit initiated by a third party. In live mode, you can’t directly create ReceivedCredits initiated by third parties. \n\n##","ref":"Stripe.Treasury.ReceivedCredit.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.ReceivedCredit.create/2","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/received_credits`","ref":"Stripe.Treasury.ReceivedCredit.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.ReceivedCredit.list/2","doc":"Returns a list of ReceivedCredits. \n\n##","ref":"Stripe.Treasury.ReceivedCredit.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.ReceivedCredit.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/received_credits`","ref":"Stripe.Treasury.ReceivedCredit.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.ReceivedCredit.retrieve/3","doc":"Retrieves the details of an existing ReceivedCredit by passing the unique ReceivedCredit ID from the ReceivedCredit list. \n\n##","ref":"Stripe.Treasury.ReceivedCredit.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.ReceivedCredit.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/received_credits/{id}`","ref":"Stripe.Treasury.ReceivedCredit.html#retrieve/3-details"},{"type":"type","title":"Stripe.Treasury.ReceivedCredit.initiating_payment_method_details/0","doc":"Initiating payment method details for the object.","ref":"Stripe.Treasury.ReceivedCredit.html#t:initiating_payment_method_details/0"},{"type":"type","title":"Stripe.Treasury.ReceivedCredit.linked_flows/0","doc":"","ref":"Stripe.Treasury.ReceivedCredit.html#t:linked_flows/0"},{"type":"type","title":"Stripe.Treasury.ReceivedCredit.t/0","doc":"The `treasury.received_credit` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `failure_code` Reason for the failure. A ReceivedCredit might fail because the receiving FinancialAccount is closed or frozen.\n  * `financial_account` The FinancialAccount that received the funds.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `initiating_payment_method_details` \n  * `linked_flows` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `network` The rails used to send the funds.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `reversal_details` Details describing when a ReceivedCredit may be reversed.\n  * `status` Status of the ReceivedCredit. ReceivedCredits are created either `succeeded` (approved) or `failed` (declined). If a ReceivedCredit is declined, the failure reason can be found in the `failure_code` field.\n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.ReceivedCredit.html#t:t/0"},{"type":"type","title":"Stripe.Treasury.ReceivedCredit.us_bank_account/0","doc":"Optional fields for `us_bank_account`.","ref":"Stripe.Treasury.ReceivedCredit.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.Treasury.ReceivedDebit","doc":"ReceivedDebits represent funds pulled from a [FinancialAccount](https://stripe.com/docs/api#financial_accounts). These are not initiated from the FinancialAccount.","ref":"Stripe.Treasury.ReceivedDebit.html"},{"type":"function","title":"Stripe.Treasury.ReceivedDebit.create/2","doc":"Use this endpoint to simulate a test mode ReceivedDebit initiated by a third party. In live mode, you can’t directly create ReceivedDebits initiated by third parties. \n\n##","ref":"Stripe.Treasury.ReceivedDebit.html#create/2"},{"type":"function","title":"Details - Stripe.Treasury.ReceivedDebit.create/2","doc":"* Method: `post`\n * Path: `/v1/test_helpers/treasury/received_debits`","ref":"Stripe.Treasury.ReceivedDebit.html#create/2-details"},{"type":"function","title":"Stripe.Treasury.ReceivedDebit.list/2","doc":"Returns a list of ReceivedDebits. \n\n##","ref":"Stripe.Treasury.ReceivedDebit.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.ReceivedDebit.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/received_debits`","ref":"Stripe.Treasury.ReceivedDebit.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.ReceivedDebit.retrieve/3","doc":"Retrieves the details of an existing ReceivedDebit by passing the unique ReceivedDebit ID from the ReceivedDebit list \n\n##","ref":"Stripe.Treasury.ReceivedDebit.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.ReceivedDebit.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/received_debits/{id}`","ref":"Stripe.Treasury.ReceivedDebit.html#retrieve/3-details"},{"type":"type","title":"Stripe.Treasury.ReceivedDebit.initiating_payment_method_details/0","doc":"Initiating payment method details for the object.","ref":"Stripe.Treasury.ReceivedDebit.html#t:initiating_payment_method_details/0"},{"type":"type","title":"Stripe.Treasury.ReceivedDebit.t/0","doc":"The `treasury.received_debit` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `failure_code` Reason for the failure. A ReceivedDebit might fail because the FinancialAccount doesn't have sufficient funds, is closed, or is frozen.\n  * `financial_account` The FinancialAccount that funds were pulled from.\n  * `hosted_regulatory_receipt_url` A [hosted transaction receipt](https://stripe.com/docs/treasury/moving-money/regulatory-receipts) URL that is provided when money movement is considered regulated under Stripe's money transmission licenses.\n  * `id` Unique identifier for the object.\n  * `initiating_payment_method_details` \n  * `linked_flows` \n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `network` The network used for the ReceivedDebit.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `reversal_details` Details describing when a ReceivedDebit might be reversed.\n  * `status` Status of the ReceivedDebit. ReceivedDebits are created with a status of either `succeeded` (approved) or `failed` (declined). The failure reason can be found under the `failure_code`.\n  * `transaction` The Transaction associated with this object.","ref":"Stripe.Treasury.ReceivedDebit.html#t:t/0"},{"type":"type","title":"Stripe.Treasury.ReceivedDebit.us_bank_account/0","doc":"Optional fields for `us_bank_account`.","ref":"Stripe.Treasury.ReceivedDebit.html#t:us_bank_account/0"},{"type":"module","title":"Stripe.Treasury.Transaction","doc":"Transactions represent changes to a [FinancialAccount's](https://stripe.com/docs/api#financial_accounts) balance.","ref":"Stripe.Treasury.Transaction.html"},{"type":"function","title":"Stripe.Treasury.Transaction.list/2","doc":"Retrieves a list of Transaction objects. \n\n##","ref":"Stripe.Treasury.Transaction.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.Transaction.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/transactions`","ref":"Stripe.Treasury.Transaction.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.Transaction.retrieve/3","doc":"Retrieves the details of an existing Transaction. \n\n##","ref":"Stripe.Treasury.Transaction.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.Transaction.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/transactions/{id}`","ref":"Stripe.Treasury.Transaction.html#retrieve/3-details"},{"type":"type","title":"Stripe.Treasury.Transaction.created/0","doc":"","ref":"Stripe.Treasury.Transaction.html#t:created/0"},{"type":"type","title":"Stripe.Treasury.Transaction.posted_at/0","doc":"","ref":"Stripe.Treasury.Transaction.html#t:posted_at/0"},{"type":"type","title":"Stripe.Treasury.Transaction.status_transitions/0","doc":"","ref":"Stripe.Treasury.Transaction.html#t:status_transitions/0"},{"type":"type","title":"Stripe.Treasury.Transaction.t/0","doc":"The `treasury.transaction` type.\n\n  * `amount` Amount (in cents) transferred.\n  * `balance_impact` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `description` An arbitrary string attached to the object. Often useful for displaying to users.\n  * `entries` A list of TransactionEntries that are part of this Transaction. This cannot be expanded in any list endpoints.\n  * `financial_account` The FinancialAccount associated with this object.\n  * `flow` ID of the flow that created the Transaction.\n  * `flow_details` Details of the flow that created the Transaction.\n  * `flow_type` Type of the flow that created the Transaction.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `status` Status of the Transaction.\n  * `status_transitions`","ref":"Stripe.Treasury.Transaction.html#t:t/0"},{"type":"module","title":"Stripe.Treasury.TransactionEntry","doc":"TransactionEntries represent individual units of money movements within a single [Transaction](https://stripe.com/docs/api#transactions).","ref":"Stripe.Treasury.TransactionEntry.html"},{"type":"function","title":"Stripe.Treasury.TransactionEntry.list/2","doc":"Retrieves a list of TransactionEntry objects. \n\n##","ref":"Stripe.Treasury.TransactionEntry.html#list/2"},{"type":"function","title":"Details - Stripe.Treasury.TransactionEntry.list/2","doc":"* Method: `get`\n * Path: `/v1/treasury/transaction_entries`","ref":"Stripe.Treasury.TransactionEntry.html#list/2-details"},{"type":"function","title":"Stripe.Treasury.TransactionEntry.retrieve/3","doc":"Retrieves a TransactionEntry object. \n\n##","ref":"Stripe.Treasury.TransactionEntry.html#retrieve/3"},{"type":"function","title":"Details - Stripe.Treasury.TransactionEntry.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/treasury/transaction_entries/{id}`","ref":"Stripe.Treasury.TransactionEntry.html#retrieve/3-details"},{"type":"type","title":"Stripe.Treasury.TransactionEntry.created/0","doc":"","ref":"Stripe.Treasury.TransactionEntry.html#t:created/0"},{"type":"type","title":"Stripe.Treasury.TransactionEntry.effective_at/0","doc":"","ref":"Stripe.Treasury.TransactionEntry.html#t:effective_at/0"},{"type":"type","title":"Stripe.Treasury.TransactionEntry.t/0","doc":"The `treasury.transaction_entry` type.\n\n  * `balance_impact` \n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `currency` Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies).\n  * `effective_at` When the TransactionEntry will impact the FinancialAccount's balance.\n  * `financial_account` The FinancialAccount associated with this object.\n  * `flow` Token of the flow associated with the TransactionEntry.\n  * `flow_details` Details of the flow associated with the TransactionEntry.\n  * `flow_type` Type of the flow associated with the TransactionEntry.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `transaction` The Transaction associated with this object.\n  * `type` The specific money movement that generated the TransactionEntry.","ref":"Stripe.Treasury.TransactionEntry.html#t:t/0"},{"type":"module","title":"Stripe.UsageRecordSummary","doc":"","ref":"Stripe.UsageRecordSummary.html"},{"type":"function","title":"Stripe.UsageRecordSummary.list/3","doc":"For the specified subscription item, returns a list of summary objects. Each object in the list provides usage information that’s been summarized from multiple usage records and over a subscription billing period (e.g., 15 usage records in the month of September). \n\n The list is sorted in reverse-chronological order (newest first). The first list item represents the most current usage period that hasn’t ended yet. Since new usage records can still be added, the returned summary information for the subscription item’s ID should be seen as unstable until the subscription billing period ends. \n\n##","ref":"Stripe.UsageRecordSummary.html#list/3"},{"type":"function","title":"Details - Stripe.UsageRecordSummary.list/3","doc":"* Method: `get`\n * Path: `/v1/subscription_items/{subscription_item}/usage_record_summaries`","ref":"Stripe.UsageRecordSummary.html#list/3-details"},{"type":"type","title":"Stripe.UsageRecordSummary.t/0","doc":"The `usage_record_summary` type.\n\n  * `id` Unique identifier for the object.\n  * `invoice` The invoice in which this usage period has been billed for.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `period` \n  * `subscription_item` The ID of the subscription item this summary is describing.\n  * `total_usage` The total usage within this usage period.","ref":"Stripe.UsageRecordSummary.html#t:t/0"},{"type":"module","title":"Stripe.Webhook","doc":"Creates a Stripe Event from webhook's payload if signature is valid.","ref":"Stripe.Webhook.html"},{"type":"function","title":"Stripe.Webhook.construct_event/4","doc":"Verify webhook payload and return a Stripe event.\n\n`payload` is the raw, unparsed content body sent by Stripe, which can be\nretrieved with `Plug.Conn.read_body/2`. Note that `Plug.Parsers` will read\nand discard the body, so you must implement a [custom body reader][1] if the\nplug is located earlier in the pipeline.\n\n`signature` is the value of `Stripe-Signature` header, which can be fetched\nwith `Plug.Conn.get_req_header/2`.\n\n`secret` is your webhook endpoint's secret from the Stripe Dashboard.\n\n`tolerance` is the allowed deviation in seconds from the current system time\nto the timestamp found in `signature`. Defaults to 300 seconds (5 minutes).\n\nStripe API reference:\nhttps://stripe.com/docs/webhooks/signatures#verify-manually\n\n[1]: https://hexdocs.pm/plug/Plug.Parsers.html#module-custom-body-reader","ref":"Stripe.Webhook.html#construct_event/4"},{"type":"function","title":"Example - Stripe.Webhook.construct_event/4","doc":"case Stripe.Webhook.construct_event(payload, signature, secret) do\n      {:ok, %Stripe.Event{} = event} ->\n        # Return 200 to Stripe and handle event\n\n      {:error, reason} ->\n        # Reject webhook by responding with non-2XX\n    end","ref":"Stripe.Webhook.html#construct_event/4-example"},{"type":"module","title":"Stripe.WebhookEndpoint","doc":"You can configure [webhook endpoints](https://stripe.com/docs/webhooks/) via the API to be\nnotified about events that happen in your Stripe account or connected\naccounts.\n\nMost users configure webhooks from [the dashboard](https://dashboard.stripe.com/webhooks), which provides a user interface for registering and testing your webhook endpoints.\n\nRelated guide: [Setting up webhooks](https://stripe.com/docs/webhooks/configure)","ref":"Stripe.WebhookEndpoint.html"},{"type":"function","title":"Stripe.WebhookEndpoint.create/2","doc":"A webhook endpoint must have a  url  and a list of  enabled_events . You may optionally specify the Boolean  connect  parameter. If set to true, then a Connect webhook endpoint that notifies the specified  url  about events from all connected accounts is created; otherwise an account webhook endpoint that notifies the specified  url  only about events from your account is created. You can also create webhook endpoints in the  webhooks settings  section of the Dashboard. \n\n##","ref":"Stripe.WebhookEndpoint.html#create/2"},{"type":"function","title":"Details - Stripe.WebhookEndpoint.create/2","doc":"* Method: `post`\n * Path: `/v1/webhook_endpoints`","ref":"Stripe.WebhookEndpoint.html#create/2-details"},{"type":"function","title":"Stripe.WebhookEndpoint.delete/2","doc":"You can also delete webhook endpoints via the  webhook endpoint management  page of the Stripe dashboard. \n\n##","ref":"Stripe.WebhookEndpoint.html#delete/2"},{"type":"function","title":"Details - Stripe.WebhookEndpoint.delete/2","doc":"* Method: `delete`\n * Path: `/v1/webhook_endpoints/{webhook_endpoint}`","ref":"Stripe.WebhookEndpoint.html#delete/2-details"},{"type":"function","title":"Stripe.WebhookEndpoint.list/2","doc":"Returns a list of your webhook endpoints. \n\n##","ref":"Stripe.WebhookEndpoint.html#list/2"},{"type":"function","title":"Details - Stripe.WebhookEndpoint.list/2","doc":"* Method: `get`\n * Path: `/v1/webhook_endpoints`","ref":"Stripe.WebhookEndpoint.html#list/2-details"},{"type":"function","title":"Stripe.WebhookEndpoint.retrieve/3","doc":"Retrieves the webhook endpoint with the given ID. \n\n##","ref":"Stripe.WebhookEndpoint.html#retrieve/3"},{"type":"function","title":"Details - Stripe.WebhookEndpoint.retrieve/3","doc":"* Method: `get`\n * Path: `/v1/webhook_endpoints/{webhook_endpoint}`","ref":"Stripe.WebhookEndpoint.html#retrieve/3-details"},{"type":"function","title":"Stripe.WebhookEndpoint.update/3","doc":"Updates the webhook endpoint. You may edit the  url , the list of  enabled_events , and the status of your endpoint. \n\n##","ref":"Stripe.WebhookEndpoint.html#update/3"},{"type":"function","title":"Details - Stripe.WebhookEndpoint.update/3","doc":"* Method: `post`\n * Path: `/v1/webhook_endpoints/{webhook_endpoint}`","ref":"Stripe.WebhookEndpoint.html#update/3-details"},{"type":"type","title":"Stripe.WebhookEndpoint.t/0","doc":"The `webhook_endpoint` type.\n\n  * `api_version` The API version events are rendered as for this webhook endpoint.\n  * `application` The ID of the associated Connect application.\n  * `created` Time at which the object was created. Measured in seconds since the Unix epoch.\n  * `description` An optional description of what the webhook is used for.\n  * `enabled_events` The list of events to enable for this endpoint. `['*']` indicates that all events are enabled, except those that require explicit selection.\n  * `id` Unique identifier for the object.\n  * `livemode` Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.\n  * `metadata` Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.\n  * `object` String representing the object's type. Objects of the same type share the same value.\n  * `secret` The endpoint's secret, used to generate [webhook signatures](https://stripe.com/docs/webhooks/signatures). Only returned at creation.\n  * `status` The status of the webhook. It can be `enabled` or `disabled`.\n  * `url` The URL of the webhook endpoint.","ref":"Stripe.WebhookEndpoint.html#t:t/0"},{"type":"behaviour","title":"Stripe.WebhookHandler","doc":"Webhook handler specification.\nSee `Stripe.WebhookPlug` for more details.","ref":"Stripe.WebhookHandler.html"},{"type":"callback","title":"Stripe.WebhookHandler.handle_event/1","doc":"Handles a Stripe webhook event within your application.","ref":"Stripe.WebhookHandler.html#c:handle_event/1"},{"type":"type","title":"Stripe.WebhookHandler.error_reason/0","doc":"","ref":"Stripe.WebhookHandler.html#t:error_reason/0"},{"type":"module","title":"Stripe.WebhookPlug","doc":"Helper `Plug` to process webhook events and send them to a custom handler.","ref":"Stripe.WebhookPlug.html"},{"type":"module","title":"Installation - Stripe.WebhookPlug","doc":"To handle webhook events, you must first configure your application's endpoint.\nAdd the following to `endpoint.ex`, **before** `Plug.Parsers` is loaded.\n\n```elixir\nplug Stripe.WebhookPlug,\n  at: \"/webhook/stripe\",\n  handler: MyAppWeb.StripeHandler,\n  secret: \"whsec_******\"\n```\n\nIf you have not yet added a webhook to your Stripe account, you can do so\nby visiting `Developers > Webhooks` in the Stripe dashboard. Use the route\nyou configured in the endpoint above and copy the webhook secret into your\napp's configuration.\n\n#","ref":"Stripe.WebhookPlug.html#module-installation"},{"type":"module","title":"Supported options - Stripe.WebhookPlug","doc":"- `at`: The URL path your application should listen for Stripe webhooks on.\n  Configure this to match whatever you set in the webhook.\n- `handler`: Custom event handler module that accepts `Stripe.Event` structs\n  and processes them within your application. You must create this module.\n- `secret`: Webhook secret starting with `whsec_` obtained from the Stripe\n  dashboard. This can also be a function or a tuple for runtime configuration.\n- `tolerance`: Maximum age (in seconds) allowed for the webhook event.\n  See `Stripe.Webhook.construct_event/4` for more information.","ref":"Stripe.WebhookPlug.html#module-supported-options"},{"type":"module","title":"Handling events - Stripe.WebhookPlug","doc":"You will need to create a custom event handler module to handle events.\n\nYour event handler module should implement the `Stripe.WebhookHandler`\nbehavior, defining a `handle_event/1` function which takes a `Stripe.Event`\nstruct and returns either `{:ok, term}` or `:ok`. This will mark the event as\nsuccessfully processed. Alternatively handler can signal an error by returning\n`:error` or `{:error, reason}` tuple, where reason is an atom or a string.\nHTTP status code 400 will be used for errors.\n\n#","ref":"Stripe.WebhookPlug.html#module-handling-events"},{"type":"module","title":"Example - Stripe.WebhookPlug","doc":"```elixir\n# lib/myapp_web/stripe_handler.ex\n\ndefmodule MyAppWeb.StripeHandler do\n  @behaviour Stripe.WebhookHandler\n\n  @impl true\n  def handle_event(%Stripe.Event{type: \"charge.succeeded\"} = event) do\n    # TODO: handle the charge.succeeded event\n  end\n\n  @impl true\n  def handle_event(%Stripe.Event{type: \"invoice.payment_failed\"} = event) do\n    # TODO: handle the invoice.payment_failed event\n  end\n\n  # Return HTTP 200 for unhandled events\n  @impl true\n  def handle_event(_event), do: :ok\nend\n```","ref":"Stripe.WebhookPlug.html#module-example"},{"type":"module","title":"Configuration - Stripe.WebhookPlug","doc":"You can configure the webhook secret in your app's own config file.\nFor example:\n\n```elixir\nconfig :myapp,\n  # [...]\n  stripe_webhook_secret: \"whsec_******\"\n```\n\nYou may then include the secret in your endpoint:\n\n```elixir\nplug Stripe.WebhookPlug,\n  at: \"/webhook/stripe\",\n  handler: MyAppWeb.StripeHandler,\n  secret: Application.get_env(:myapp, :stripe_webhook_secret)\n```\n\n#","ref":"Stripe.WebhookPlug.html#module-configuration"},{"type":"module","title":"Runtime configuration - Stripe.WebhookPlug","doc":"If you're loading config dynamically at runtime (eg with `runtime.exs`\nor an OTP app) you must pass a tuple or function as the secret.\n\n```elixir\n# With a tuple\nplug Stripe.WebhookPlug,\n  at: \"/webhook/stripe\",\n  handler: MyAppWeb.StripeHandler,\n  secret: {Application, :get_env, [:myapp, :stripe_webhook_secret]}\n\n# Or, with a function\nplug Stripe.WebhookPlug,\n  at: \"/webhook/stripe\",\n  handler: MyAppWeb.StripeHandler,\n  secret: fn -> Application.get_env(:myapp, :stripe_webhook_secret) end\n```","ref":"Stripe.WebhookPlug.html#module-runtime-configuration"},{"type":"extras","title":"Changelog","doc":"#","ref":"changelog.html"},{"type":"extras","title":"Changelog - Changelog","doc":"All notable changes to this project will be documented in this file. Dates are displayed in UTC.\n\nGenerated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).\n\n#### [v3.1.1](https://github.com/beam-community/stripity-stripe/compare/v3.1.0...HEAD)\n\n- Implement object_name_to_module so it will work for new objects in future [`#792`](https://github.com/beam-community/stripity-stripe/pull/792)\n- Update services based on v682 of Stripe OpenApi SDK [`ea63a8b`](https://github.com/beam-community/stripity-stripe/commit/ea63a8b962515f81059e48537fffa0850c29f50b)\n- Update services based on v679 of Stripe OpenApi SDK [`0d425fe`](https://github.com/beam-community/stripity-stripe/commit/0d425fefb74cc50235627c78c23e7ecc60e200bd)\n- Update services based on v665 of Stripe OpenApi SDK [`2b569da`](https://github.com/beam-community/stripity-stripe/commit/2b569da0cd90265fe9c2a75335aac70b4528051c)\n\n#### [v3.1.0](https://github.com/beam-community/stripity-stripe/compare/v3.0.0...v3.1.0)\n\n> 5 November 2023\n\n- Use conn token from read_body result [`#821`](https://github.com/beam-community/stripity-stripe/pull/821)\n- Update services based on v634 of Stripe OpenApi SDK [`66d8611`](https://github.com/beam-community/stripity-stripe/commit/66d8611ab2dd96239584a6af1a22d266ddaa4b9a)\n- Update services based on v638 of Stripe OpenApi SDK [`b670d7b`](https://github.com/beam-community/stripity-stripe/commit/b670d7bddfc5644db995b7c51ac29fbafeb8f1bd)\n- Update services based on v604 of Stripe OpenApi SDK [`878697f`](https://github.com/beam-community/stripity-stripe/commit/878697f36fb501e2f6da4c813d3539d9d85c25e4)\n\n### [v3.0.0](https://github.com/beam-community/stripity-stripe/compare/2.17.2...v3.0.0)\n\n> 4 October 2023\n\n- fix: remove param casting to atom [`#807`](https://github.com/beam-community/stripity-stripe/pull/807)\n- Add `:idempotency_key_in_use` as a valid `card_error_code` [`#813`](https://github.com/beam-community/stripity-stripe/pull/813)\n- Fix TestClock Module Name [`#812`](https://github.com/beam-community/stripity-stripe/pull/812)\n- Telemetry [`#809`](https://github.com/beam-community/stripity-stripe/pull/809)\n- Add task for codegen [`#806`](https://github.com/beam-community/stripity-stripe/pull/806)\n- chore: improve docs [`#801`](https://github.com/beam-community/stripity-stripe/pull/801)\n- fix: compiling without plug deps [`#798`](https://github.com/beam-community/stripity-stripe/pull/798)\n- chore: add deploy workflow [`#799`](https://github.com/beam-community/stripity-stripe/pull/799)\n- chore: update ex_doc deps [`#796`](https://github.com/beam-community/stripity-stripe/pull/796)\n- Make sure code is loaded before checking function_exported?, or it will be false [`#794`](https://github.com/beam-community/stripity-stripe/pull/794)\n- Add manual cast of object name for BillingPortal.Configuration [`#791`](https://github.com/beam-community/stripity-stripe/pull/791)\n- Add codeowners [`#795`](https://github.com/beam-community/stripity-stripe/pull/795)\n- Fix source code links in documentation [`#789`](https://github.com/beam-community/stripity-stripe/pull/789)\n- Updated README instructions for starting stripe mock [`#785`](https://github.com/beam-community/stripity-stripe/pull/785)\n- Cleanup README [`#783`](https://github.com/beam-community/stripity-stripe/pull/783)\n- Bump stripe-mock [`#779`](https://github.com/beam-community/stripity-stripe/pull/779)\n- Open API build [`#776`](https://github.com/beam-community/stripity-stripe/pull/776)\n- Revert stripity-stripe =&gt; stripe-elixir [`#774`](https://github.com/beam-community/stripity-stripe/pull/774)\n- Update deps [`#772`](https://github.com/beam-community/stripity-stripe/pull/772)\n- Extend `Stripe.Invoice.t()` with `from_invoice` [`#770`](https://github.com/beam-community/stripity-stripe/pull/770)\n- Allow nil for authorization in Issuing.Transaction [`#764`](https://github.com/beam-community/stripity-stripe/pull/764)\n- Add Stripe OpenAPI codegen github action [`#771`](https://github.com/beam-community/stripity-stripe/pull/771)\n- stripity-stripe =&gt; stripe-elixir [`#765`](https://github.com/beam-community/stripity-stripe/pull/765)\n- Add adjustable_quantity to line item input [`#761`](https://github.com/beam-community/stripity-stripe/pull/761)\n- Add manual cast of object name for BillingPortal.Configuration (#791) [`#790`](https://github.com/beam-community/stripity-stripe/issues/790)\n- Cleanup README (#783) [`#780`](https://github.com/beam-community/stripity-stripe/issues/780)\n- Update services based on v218 of Stripe OpenApi SDK [`88c1a14`](https://github.com/beam-community/stripity-stripe/commit/88c1a141bed999b63b4ac619ad03f4a163d0c1c8)\n- Update services based on v532 of Stripe OpenApi SDK [`3c7b660`](https://github.com/beam-community/stripity-stripe/commit/3c7b660bdc58f3b9cedebcd3ed591c7cd5facc69)\n- Update services based on v550 of Stripe OpenApi SDK [`0176e27`](https://github.com/beam-community/stripity-stripe/commit/0176e27fa20e48b0b810225863776f8f750db305)\n\n#### [2.17.2](https://github.com/beam-community/stripity-stripe/compare/2.15.1...2.17.2)\n\n> 13 October 2022\n\n- Add terms_of_service to consent_collection type [`#757`](https://github.com/beam-community/stripity-stripe/pull/757)\n- Fix type spec for creating Checkout Session [`#752`](https://github.com/beam-community/stripity-stripe/pull/752)\n- Fix specs for API.request/5 and request_file_upload/5 [`#755`](https://github.com/beam-community/stripity-stripe/pull/755)\n- Add reporting entities [`#751`](https://github.com/beam-community/stripity-stripe/pull/751)\n- Add back a way to delete subscription [`#753`](https://github.com/beam-community/stripity-stripe/pull/753)\n- Fix CI [`#754`](https://github.com/beam-community/stripity-stripe/pull/754)\n- Stripe API version 2020-08-27 [`#748`](https://github.com/beam-community/stripity-stripe/pull/748)\n- Add support for Stripe Test Clocks [`#723`](https://github.com/beam-community/stripity-stripe/pull/723)\n- Fix typo [`#745`](https://github.com/beam-community/stripity-stripe/pull/745)\n- Search API [`#738`](https://github.com/beam-community/stripity-stripe/pull/738)\n- Fix create and update subscription spec [`#739`](https://github.com/beam-community/stripity-stripe/pull/739)\n- invoice line items proration details [`#741`](https://github.com/beam-community/stripity-stripe/pull/741)\n- Update session.ex [`#743`](https://github.com/beam-community/stripity-stripe/pull/743)\n- Add us_bank_account & more debits to PaymentMethod [`#742`](https://github.com/beam-community/stripity-stripe/pull/742)\n- Add missing `default_price` to Stripe.Product [`#740`](https://github.com/beam-community/stripity-stripe/pull/740)\n\n#### [2.15.1](https://github.com/beam-community/stripity-stripe/compare/2.15.0...2.15.1)\n\n> 27 June 2022\n\n- fix credit note line item spec [`#737`](https://github.com/beam-community/stripity-stripe/pull/737)\n- CHANGELOG 2.15.0 [`e164b8f`](https://github.com/beam-community/stripity-stripe/commit/e164b8f8fff723050d8b49af89ba24bcaa39d2de)\n\n#### [2.15.0](https://github.com/beam-community/stripity-stripe/compare/2.13.0...2.15.0)\n\n> 20 June 2022\n\n- Idempotency should only be added for :post [`#734`](https://github.com/beam-community/stripity-stripe/pull/734)\n- Retry if 429 lock_timeout [`#733`](https://github.com/beam-community/stripity-stripe/pull/733)\n- Update examples example for new Config module [`#716`](https://github.com/beam-community/stripity-stripe/pull/716)\n- Add support to Payment Links as core_resource [`#719`](https://github.com/beam-community/stripity-stripe/pull/719)\n- Update incorrect property values on Dispute object [`#730`](https://github.com/beam-community/stripity-stripe/pull/730)\n- Remove line that is bad advice and surely isn't true anymore [`#732`](https://github.com/beam-community/stripity-stripe/pull/732)\n- Add note to Testing section about skipping starting stripe-mock [`#726`](https://github.com/beam-community/stripity-stripe/pull/726)\n- List sessions [`#729`](https://github.com/beam-community/stripity-stripe/pull/729)\n- add support to missing Stripe.Session fields [`#727`](https://github.com/beam-community/stripity-stripe/pull/727)\n- Add Early Fraud Warnings Types and Endpoint [`#728`](https://github.com/beam-community/stripity-stripe/pull/728)\n- add billing_address_collection [`#722`](https://github.com/beam-community/stripity-stripe/pull/722)\n- Update `Mix.Config` to the new `Config` module [`#725`](https://github.com/beam-community/stripity-stripe/pull/725)\n- add available_payout_methods to payment_methods/bank_account [`#718`](https://github.com/beam-community/stripity-stripe/pull/718)\n- Make subscription_data.items optional (#720) [`#721`](https://github.com/beam-community/stripity-stripe/pull/721)\n- support link in payment method struct [`#717`](https://github.com/beam-community/stripity-stripe/pull/717)\n- Add BECS direct debit support [`#715`](https://github.com/beam-community/stripity-stripe/pull/715)\n- bugfix 429 retry [`0e91c2f`](https://github.com/beam-community/stripity-stripe/commit/0e91c2f88ffe59c8dc4133f8be3dd98e7b97a566)\n\n#### [2.13.0](https://github.com/beam-community/stripity-stripe/compare/2.12.1...2.13.0)\n\n> 22 February 2022\n\n#### [2.12.1](https://github.com/beam-community/stripity-stripe/compare/2.10.0...2.12.1)\n\n> 14 February 2022\n\n- Allow errors to be returned by webhook handler [`#712`](https://github.com/beam-community/stripity-stripe/pull/712)\n- Update session.ex [`#714`](https://github.com/beam-community/stripity-stripe/pull/714)\n- sync \"Products &gt; Update a product\" params typespec [`#710`](https://github.com/beam-community/stripity-stripe/pull/710)\n- Misc doc changes [`#706`](https://github.com/beam-community/stripity-stripe/pull/706)\n- fix: add product_data type to Price params [`#708`](https://github.com/beam-community/stripity-stripe/pull/708)\n- add future requirements [`#707`](https://github.com/beam-community/stripity-stripe/pull/707)\n- Adds expiry feature  [`#702`](https://github.com/beam-community/stripity-stripe/pull/702)\n- Fix typos [`#705`](https://github.com/beam-community/stripity-stripe/pull/705)\n- Added missing optional fields on create spec [`#700`](https://github.com/beam-community/stripity-stripe/pull/700)\n- updated specs on Price module [`#699`](https://github.com/beam-community/stripity-stripe/pull/699)\n- Update changelog [`#696`](https://github.com/beam-community/stripity-stripe/pull/696)\n- Add missing opts to Stripe.ApplicationFee [`#693`](https://github.com/beam-community/stripity-stripe/pull/693)\n- Adds missing params and types for Stripe Checkout Sessions [`#695`](https://github.com/beam-community/stripity-stripe/pull/695)\n- Add stripe Identity endpoints [`#692`](https://github.com/beam-community/stripity-stripe/pull/692)\n- Add customer field to PromotionCode [`#676`](https://github.com/beam-community/stripity-stripe/pull/676)\n- Add application to webhook_endpoint [`#691`](https://github.com/beam-community/stripity-stripe/pull/691)\n- Add the issuing field to Stripe.Balance [`#689`](https://github.com/beam-community/stripity-stripe/pull/689)\n- [bug]: extra applications exexec bad [`#688`](https://github.com/beam-community/stripity-stripe/pull/688)\n- using non_neg_integer instead of float [`#681`](https://github.com/beam-community/stripity-stripe/pull/681)\n- Add fields to Stripe.Session struct [`#683`](https://github.com/beam-community/stripity-stripe/pull/683)\n- [CI]: actions instead of travisci [`#677`](https://github.com/beam-community/stripity-stripe/pull/677)\n- Support klarna payments in sources better [`#651`](https://github.com/beam-community/stripity-stripe/pull/651)\n- Add Stripe.WebhookPlug for easier handling of webhook events [`#658`](https://github.com/beam-community/stripity-stripe/pull/658)\n- Add missing PromotionCode.expires_at field [`#675`](https://github.com/beam-community/stripity-stripe/pull/675)\n- add sepa debig [`#674`](https://github.com/beam-community/stripity-stripe/pull/674)\n- Update Stripe.Session line_item typespec [`#670`](https://github.com/beam-community/stripity-stripe/pull/670)\n- CHANGELOG 2.10.0 [`c6aeb31`](https://github.com/beam-community/stripity-stripe/commit/c6aeb31bb8e3821349fdef2c95c5f59e2735244b)\n- bump ex_docs 0.24.2 [`e89b0b9`](https://github.com/beam-community/stripity-stripe/commit/e89b0b926ac36906bc036284e6828d2b71960de6)\n- Bump 2.10.0 [`4a253cb`](https://github.com/beam-community/stripity-stripe/commit/4a253cb59582e04342fb34ad3e7a214f943482c5)\n\n#### [2.10.0](https://github.com/beam-community/stripity-stripe/compare/2.8.0...2.10.0)\n\n> 24 May 2021\n\n- fix(deprecation): :crypto.hmac -&gt; :crypto.mac, Bitwise.^^^ -&gt; Bitwise.bxor [`#669`](https://github.com/beam-community/stripity-stripe/pull/669)\n- Fix Stripe.Price unit_amount_decimal and lookup_keys type [`#668`](https://github.com/beam-community/stripity-stripe/pull/668)\n- Add Account Capabilities [`#667`](https://github.com/beam-community/stripity-stripe/pull/667)\n- Remove :customer from typespec in CustomerBalanceTransaction.create [`#662`](https://github.com/beam-community/stripity-stripe/pull/662)\n- Add mode to Session Create Params typespec [`#660`](https://github.com/beam-community/stripity-stripe/pull/660)\n- Oauth integration improvements [`#657`](https://github.com/beam-community/stripity-stripe/pull/657)\n- Allow api_version to be set from config [`#656`](https://github.com/beam-community/stripity-stripe/pull/656)\n- Adds header as an option to new_request [`#654`](https://github.com/beam-community/stripity-stripe/pull/654)\n- Added applies_to and expansion to Coupon [`#653`](https://github.com/beam-community/stripity-stripe/pull/653)\n- Update typespec for Stripe.Customer [`#650`](https://github.com/beam-community/stripity-stripe/pull/650)\n- Add credit note preview [`#648`](https://github.com/beam-community/stripity-stripe/pull/648)\n- Support :status param in typespec for Stripe.Invoice.list/2 [`#644`](https://github.com/beam-community/stripity-stripe/pull/644)\n- Add source_type to parameter types for transfers/create [`#645`](https://github.com/beam-community/stripity-stripe/pull/645)\n- Add Country/State to TaxRate [`#647`](https://github.com/beam-community/stripity-stripe/pull/647)\n- Allow passing pause_collection params to Subscription.update [`#649`](https://github.com/beam-community/stripity-stripe/pull/649)\n- Add promotion codes [`#641`](https://github.com/beam-community/stripity-stripe/pull/641)\n- Fix typespec for Stripe.Invoice.pay/3 [`#643`](https://github.com/beam-community/stripity-stripe/pull/643)\n- Adding endpoint for checkout session line items. [`#633`](https://github.com/beam-community/stripity-stripe/pull/633)\n- Remove duplicate doc tag causing a compile warning [`#639`](https://github.com/beam-community/stripity-stripe/pull/639)\n- Add promotion_code to Discount [`#638`](https://github.com/beam-community/stripity-stripe/pull/638)\n- Add quick example of test config for stripe-mock [`#637`](https://github.com/beam-community/stripity-stripe/pull/637)\n- Add payment_intent to Stripe.Charge.params type [`#635`](https://github.com/beam-community/stripity-stripe/pull/635)\n- Add default_tax_rate to typespecs for Subscription and Invoice [`#631`](https://github.com/beam-community/stripity-stripe/pull/631)\n- Add payment_method to confirm payment intent [`#625`](https://github.com/beam-community/stripity-stripe/pull/625)\n- Add :metadata to Stripe.Session.create/2 [`#615`](https://github.com/beam-community/stripity-stripe/pull/615)\n- Fix return of the ephemeral key creation [`#624`](https://github.com/beam-community/stripity-stripe/pull/624)\n- Update link to Stripe docs [`#622`](https://github.com/beam-community/stripity-stripe/pull/622)\n- Add webhook endpoint to core resources [`#621`](https://github.com/beam-community/stripity-stripe/pull/621)\n- Update subscription.ex [`#620`](https://github.com/beam-community/stripity-stripe/pull/620)\n- support extra params for subscription cancellation [`#618`](https://github.com/beam-community/stripity-stripe/pull/618)\n- VERSION BUMP 2.9.0 [`#614`](https://github.com/beam-community/stripity-stripe/pull/614)\n- Fix multiple Stripe-Version headers when creating ephemeral key [`#613`](https://github.com/beam-community/stripity-stripe/pull/613)\n- makes `:previous_attributes` in `Event.event_data` optional [`#612`](https://github.com/beam-community/stripity-stripe/pull/612)\n- Allow creating refunds by payment intent or charge. [`#610`](https://github.com/beam-community/stripity-stripe/pull/610)\n- Add price to Subscription [`#609`](https://github.com/beam-community/stripity-stripe/pull/609)\n- changed params for subscription to accept default payment method [`#592`](https://github.com/beam-community/stripity-stripe/pull/592)\n- Added Terminal functionality [`#605`](https://github.com/beam-community/stripity-stripe/pull/605)\n- Add support for BillingPortal.Session [`#604`](https://github.com/beam-community/stripity-stripe/pull/604)\n- Update various stripe objects with missing fields, remove deprecated fields, and add support for some missing objects [`#602`](https://github.com/beam-community/stripity-stripe/pull/602)\n- Add optional `customer` to session create params [`#601`](https://github.com/beam-community/stripity-stripe/pull/601)\n- Replace `@deprecated` with `Stripe.Util.log_deprecation/1` [`#598`](https://github.com/beam-community/stripity-stripe/pull/598)\n- Update invoice.ex [`#591`](https://github.com/beam-community/stripity-stripe/pull/591)\n- Make subscription_data keys for Checkout optional [`#593`](https://github.com/beam-community/stripity-stripe/pull/593)\n- Update README.md [`#596`](https://github.com/beam-community/stripity-stripe/pull/596)\n- Corrected mis-placed parens in README [`#587`](https://github.com/beam-community/stripity-stripe/pull/587)\n- Update README to suggest the latest version [`#588`](https://github.com/beam-community/stripity-stripe/pull/588)\n- Add metadata to Stripe.Session [`#595`](https://github.com/beam-community/stripity-stripe/pull/595)\n- add metadata to checkout session [`288202c`](https://github.com/beam-community/stripity-stripe/commit/288202c252931c489a7b1681658e6fbdd6fe44e3)\n- remove unnecessary test [`6269722`](https://github.com/beam-community/stripity-stripe/commit/62697227649612bd45710469ea4b252558ff1710)\n- Add new fields in the subscription data API [`20ce7d8`](https://github.com/beam-community/stripity-stripe/commit/20ce7d8d7825d2633c05dc2bf6f94bb0e1835084)\n\n#### [2.8.0](https://github.com/beam-community/stripity-stripe/compare/2.7.1...2.8.0)\n\n> 4 April 2020\n\n- Release 2.8.0 [`#590`](https://github.com/beam-community/stripity-stripe/pull/590)\n- add Stripe.Converter.structs() to enumerate all generated structs [`#589`](https://github.com/beam-community/stripity-stripe/pull/589)\n- Add description to Stripe.Transfer.create/2 spec [`#586`](https://github.com/beam-community/stripity-stripe/pull/586)\n- update lockfile [`#585`](https://github.com/beam-community/stripity-stripe/pull/585)\n- Add a card_error_code returned by a failed-verification bank account [`#583`](https://github.com/beam-community/stripity-stripe/pull/583)\n- Remove duplicate struct keys [`#575`](https://github.com/beam-community/stripity-stripe/pull/575)\n- Remove duplicate payment_method_types [`#576`](https://github.com/beam-community/stripity-stripe/pull/576)\n- Create Account links [`#577`](https://github.com/beam-community/stripity-stripe/pull/577)\n- add reporting category to balance transactions [`#578`](https://github.com/beam-community/stripity-stripe/pull/578)\n- Add off_session field to PaymentIntent.create [`#574`](https://github.com/beam-community/stripity-stripe/pull/574)\n- Allow filtering by customer in PaymentIntent.list [`#573`](https://github.com/beam-community/stripity-stripe/pull/573)\n- CHANGELOG 2.7.2 [`#572`](https://github.com/beam-community/stripity-stripe/pull/572)\n- Add documentation for usage of the setup intents and setup payments APIs [`#570`](https://github.com/beam-community/stripity-stripe/pull/570)\n- Add missing params to Stripe.Customer.create typespecs [`#569`](https://github.com/beam-community/stripity-stripe/pull/569)\n- add account links [`#562`](https://github.com/beam-community/stripity-stripe/pull/562)\n- Subscription :items is required [`#555`](https://github.com/beam-community/stripity-stripe/pull/555)\n- 2019-10-17 API update [`#556`](https://github.com/beam-community/stripity-stripe/pull/556)\n- [DOCUMENTATION]: retries [`#565`](https://github.com/beam-community/stripity-stripe/pull/565)\n- Stripe API 2019-11-05 update subscription schedules [`e13e64a`](https://github.com/beam-community/stripity-stripe/commit/e13e64a6964a9c6a931af63c61b8624d1b55ea94)\n- Stripe API 2019-12-03 Remove deprecated Customer tax_info [`dc49e40`](https://github.com/beam-community/stripity-stripe/commit/dc49e404b7a1e2d1ed6240172f68237e0482af12)\n- Formatting + add links to docs [`3c93eb5`](https://github.com/beam-community/stripity-stripe/commit/3c93eb583dbde90926f7ca317fa91a370a335ffa)\n\n#### [2.7.1](https://github.com/beam-community/stripity-stripe/compare/2.7.0...2.7.1)\n\n> 4 November 2019\n\n- CHANGELOG 2.7.1 [`#557`](https://github.com/beam-community/stripity-stripe/pull/557)\n- Add setup_intent to checkout session [`#554`](https://github.com/beam-community/stripity-stripe/pull/554)\n- update Read Me [`#553`](https://github.com/beam-community/stripity-stripe/pull/553)\n- Fix production env check for additional Stripe response converter logging [`#552`](https://github.com/beam-community/stripity-stripe/pull/552)\n- Include `person` in `@supported_objects` [`#548`](https://github.com/beam-community/stripity-stripe/pull/548)\n- fix: Remove 'id' from the Card update payload. [`#551`](https://github.com/beam-community/stripity-stripe/pull/551)\n- Update hackney to work around Erlang/OTP 22.1 issue [`#549`](https://github.com/beam-community/stripity-stripe/pull/549)\n\n#### [2.7.0](https://github.com/beam-community/stripity-stripe/compare/v2.6.0...2.7.0)\n\n> 25 September 2019\n\n- CHANGELOG 2.7 [`#547`](https://github.com/beam-community/stripity-stripe/pull/547)\n- Add idempotent requests [`#546`](https://github.com/beam-community/stripity-stripe/pull/546)\n- Fix source amount field type [`#545`](https://github.com/beam-community/stripity-stripe/pull/545)\n- fix typos in README.md [`#543`](https://github.com/beam-community/stripity-stripe/pull/543)\n\n#### [v2.6.0](https://github.com/beam-community/stripity-stripe/compare/2.4.0...v2.6.0)\n\n> 15 September 2019\n\n- CHANGELOG 2.6.0 [`#540`](https://github.com/beam-community/stripity-stripe/pull/540)\n- Add support for SetupIntent [`#522`](https://github.com/beam-community/stripity-stripe/pull/522)\n- CHANGELOG 2.5.0 [`#535`](https://github.com/beam-community/stripity-stripe/pull/535)\n- Add Elixir 1.9 && Erlang 21.1 to test matrix [`#538`](https://github.com/beam-community/stripity-stripe/pull/538)\n- Checkout Session retrieval and missing attributes [`#532`](https://github.com/beam-community/stripity-stripe/pull/532)\n- Add missing fields [`#537`](https://github.com/beam-community/stripity-stripe/pull/537)\n- Add balance to customer entity [`#536`](https://github.com/beam-community/stripity-stripe/pull/536)\n- Add payment intent to session [`#533`](https://github.com/beam-community/stripity-stripe/pull/533)\n- Make stripe version configurable [`#534`](https://github.com/beam-community/stripity-stripe/pull/534)\n- Add Stripe.Topup [`#527`](https://github.com/beam-community/stripity-stripe/pull/527)\n- Update util.ex [`#529`](https://github.com/beam-community/stripity-stripe/pull/529)\n- Fixed compile warning in converter.ex [`#528`](https://github.com/beam-community/stripity-stripe/pull/528)\n- Cast cardholder to id [`#526`](https://github.com/beam-community/stripity-stripe/pull/526)\n- Allow Customer.create/2 to take Source id in typespecs. [`#523`](https://github.com/beam-community/stripity-stripe/pull/523)\n- Fix tests [`#524`](https://github.com/beam-community/stripity-stripe/pull/524)\n- Pass Hackney options from config [`#506`](https://github.com/beam-community/stripity-stripe/pull/506)\n- updated readme with more explicit API version info [`#520`](https://github.com/beam-community/stripity-stripe/pull/520)\n- Cast cardholder to id (#526) [`#519`](https://github.com/beam-community/stripity-stripe/issues/519)\n- Allow Customer.create/2 to take Source id in typespecs. (#523) [`#478`](https://github.com/beam-community/stripity-stripe/issues/478)\n- Update mix 2.6 [`e09bda0`](https://github.com/beam-community/stripity-stripe/commit/e09bda0b1a711daa0ed85540d446ea3cffd7d9dc)\n- Update mix [`ffef07d`](https://github.com/beam-community/stripity-stripe/commit/ffef07df592620c6f657062de5d6391fbc5c5006)\n\n#### [2.4.0](https://github.com/beam-community/stripity-stripe/compare/2.2.3...2.4.0)\n\n> 14 June 2019\n\n- Release 2.4 [`#512`](https://github.com/beam-community/stripity-stripe/pull/512)\n- Issues/add missing fields [`#511`](https://github.com/beam-community/stripity-stripe/pull/511)\n- Add missing invoice endpoints [`#513`](https://github.com/beam-community/stripity-stripe/pull/513)\n- Support upcoming invoices with subscription only [`#515`](https://github.com/beam-community/stripity-stripe/pull/515)\n- Warn when unknown objects are processed [`#514`](https://github.com/beam-community/stripity-stripe/pull/514)\n- Add support for sending invoices. [`#510`](https://github.com/beam-community/stripity-stripe/pull/510)\n- Update Stripe version [`#483`](https://github.com/beam-community/stripity-stripe/pull/483)\n- Use Jason over Poison [`#509`](https://github.com/beam-community/stripity-stripe/pull/509)\n- Upgrade excoveralls dependency [`#503`](https://github.com/beam-community/stripity-stripe/pull/503)\n- Update doc organization with issuing [`#508`](https://github.com/beam-community/stripity-stripe/pull/508)\n- Add tax_rate struct and api calls [`#491`](https://github.com/beam-community/stripity-stripe/pull/491)\n- Add Stripe Issuing [`#493`](https://github.com/beam-community/stripity-stripe/pull/493)\n- Add support for Subscription Schedules [`#480`](https://github.com/beam-community/stripity-stripe/pull/480)\n- Add CreditNote api calls [`#492`](https://github.com/beam-community/stripity-stripe/pull/492)\n- Add PaymentMethods module, with struct, list/2, attach/2, detach/2 [`#495`](https://github.com/beam-community/stripity-stripe/pull/495)\n- Format mix.exs to pass CI [`#498`](https://github.com/beam-community/stripity-stripe/pull/498)\n- Enforce formatter [`#490`](https://github.com/beam-community/stripity-stripe/pull/490)\n- Reorganize docs [`#496`](https://github.com/beam-community/stripity-stripe/pull/496)\n- Add tax rate api [`2ba609d`](https://github.com/beam-community/stripity-stripe/commit/2ba609d474ed83e08069fe75b6fba474b1e0f8db)\n- Add create/2, retrieve/2. update/3 [`3ed1737`](https://github.com/beam-community/stripity-stripe/commit/3ed1737faf8ffdfd1c4203f2375102cbb51e91a0)\n- Fix typo dettach -&gt; detach [`436b837`](https://github.com/beam-community/stripity-stripe/commit/436b837bbf799e425da3b8100baadcbb2a316768)\n\n#### [2.2.3](https://github.com/beam-community/stripity-stripe/compare/2.2.2...2.2.3)\n\n> 10 May 2019\n\n- Release 2.2.3 [`#494`](https://github.com/beam-community/stripity-stripe/pull/494)\n- Implement `assert_stripe_requested/3` [`#487`](https://github.com/beam-community/stripity-stripe/pull/487)\n- Remove unused Bypass dependency [`#488`](https://github.com/beam-community/stripity-stripe/pull/488)\n- Upgrade stripe mock to 0.55 [`#485`](https://github.com/beam-community/stripity-stripe/pull/485)\n- Upgrade to ex doc 0.20 [`#486`](https://github.com/beam-community/stripity-stripe/pull/486)\n- Update hackney requirement to 1.15 [`#475`](https://github.com/beam-community/stripity-stripe/pull/475)\n- made client_secret optional [`#473`](https://github.com/beam-community/stripity-stripe/pull/473)\n- add payment intents [`#470`](https://github.com/beam-community/stripity-stripe/pull/470)\n- convert review.opened too [`#468`](https://github.com/beam-community/stripity-stripe/pull/468)\n- Add receipt_url to the return charge data. [`#467`](https://github.com/beam-community/stripity-stripe/pull/467)\n- Support new Checkout flow [`#466`](https://github.com/beam-community/stripity-stripe/pull/466)\n- add support for idempotent post requests [`#461`](https://github.com/beam-community/stripity-stripe/pull/461)\n- Resolves #462. Add authorization header api key to deauthorization oa… [`#465`](https://github.com/beam-community/stripity-stripe/pull/465)\n- Add elixir 1.8 to test matrix [`#449`](https://github.com/beam-community/stripity-stripe/pull/449)\n- Add formatter [`#453`](https://github.com/beam-community/stripity-stripe/pull/453)\n- Typo for retrieving invoice items + Adds handler for Usage endpoint [`#433`](https://github.com/beam-community/stripity-stripe/pull/433)\n- Update Configuration instructions in README.md [`#457`](https://github.com/beam-community/stripity-stripe/pull/457)\n- Move aroud README [`#455`](https://github.com/beam-community/stripity-stripe/pull/455)\n- Upgrade to 2018-11-08 Stripe API [`#439`](https://github.com/beam-community/stripity-stripe/pull/439)\n- Add invoice settings to customer/invoice objects [`#451`](https://github.com/beam-community/stripity-stripe/pull/451)\n- add shared options to documentation [`#452`](https://github.com/beam-community/stripity-stripe/pull/452)\n- More configuration options [`#447`](https://github.com/beam-community/stripity-stripe/pull/447)\n- Use singular time units in System.system_time/1 [`#450`](https://github.com/beam-community/stripity-stripe/pull/450)\n- add support for voiding invoices [`#444`](https://github.com/beam-community/stripity-stripe/pull/444)\n- Configurable json serializer [`#446`](https://github.com/beam-community/stripity-stripe/pull/446)\n- Resolves #462. Add authorization header api key to deauthorization oa… (#465) [`#462`](https://github.com/beam-community/stripity-stripe/issues/462)\n- add ip_address, ip_address_location and session fields to review [`7ae4327`](https://github.com/beam-community/stripity-stripe/commit/7ae4327f8fc4521a45f52adf5bc0502da1e83cc0)\n- Improve README with commit sha [`6d51205`](https://github.com/beam-community/stripity-stripe/commit/6d51205f260a92839b209fe0277c50dc9afa4ad6)\n- float [`ac5ce24`](https://github.com/beam-community/stripity-stripe/commit/ac5ce24e216ab19726a727688981fca297b45c36)\n\n#### [2.2.2](https://github.com/beam-community/stripity-stripe/compare/2.2.1...2.2.2)\n\n> 18 December 2018\n\n- Release 2.2.2 [`#442`](https://github.com/beam-community/stripity-stripe/pull/442)\n- Update ex_doc to 0.19 [`#423`](https://github.com/beam-community/stripity-stripe/pull/423)\n- Upgrade stripe-mock 0.38 [`#436`](https://github.com/beam-community/stripity-stripe/pull/436)\n- Add delete to Invoiceitems [`#434`](https://github.com/beam-community/stripity-stripe/pull/434)\n- Upgrade erlexec for supporting OTP 21 [`#426`](https://github.com/beam-community/stripity-stripe/pull/426)\n- Wait until stripe_mock started [`#427`](https://github.com/beam-community/stripity-stripe/pull/427)\n- Add missing invoice attributes [`#425`](https://github.com/beam-community/stripity-stripe/pull/425)\n- Get Dialyxir in CI [`#424`](https://github.com/beam-community/stripity-stripe/pull/424)\n\n#### [2.2.1](https://github.com/beam-community/stripity-stripe/compare/2.2.0...2.2.1)\n\n> 7 November 2018\n\n- Release 2.2.1 [`#422`](https://github.com/beam-community/stripity-stripe/pull/422)\n- fix typespec for date query to make keys optional [`#421`](https://github.com/beam-community/stripity-stripe/pull/421)\n- Add customer field to Source entity [`#420`](https://github.com/beam-community/stripity-stripe/pull/420)\n- Add deleted property to resources that can be deleted [`#419`](https://github.com/beam-community/stripity-stripe/pull/419)\n- Changes to update optional attrs [`#418`](https://github.com/beam-community/stripity-stripe/pull/418)\n- Specify API version compatibility in README [`#416`](https://github.com/beam-community/stripity-stripe/pull/416)\n- Bump Stripe API to 2018-08-23 [`#415`](https://github.com/beam-community/stripity-stripe/pull/415)\n- Update README.md [`#412`](https://github.com/beam-community/stripity-stripe/pull/412)\n- Fix query param validation [`1625fb7`](https://github.com/beam-community/stripity-stripe/commit/1625fb7cb5a7de3cb6a9ea906c056fff99a6affa)\n- Fix return values for delete calls in tests [`41084ee`](https://github.com/beam-community/stripity-stripe/commit/41084ee5d65da8a8cf15883135566e6701e09107)\n- Fix/skip tests with deprecated/invalid fields [`6ae55e3`](https://github.com/beam-community/stripity-stripe/commit/6ae55e337a7a416f84ff279eb5b87674dabb6ca4)\n\n#### [2.2.0](https://github.com/beam-community/stripity-stripe/compare/2.1.0...2.2.0)\n\n> 24 August 2018\n\n- Release 2.2.0 [`#411`](https://github.com/beam-community/stripity-stripe/pull/411)\n\n#### [2.1.0](https://github.com/beam-community/stripity-stripe/compare/v2.0.1...2.1.0)\n\n> 23 August 2018\n\n- Add missing tax_info attributes to customer [`#410`](https://github.com/beam-community/stripity-stripe/pull/410)\n- update lockfile [`#408`](https://github.com/beam-community/stripity-stripe/pull/408)\n- Bump hackney dependency. [`#407`](https://github.com/beam-community/stripity-stripe/pull/407)\n- Add Recipient endpoint [`#405`](https://github.com/beam-community/stripity-stripe/pull/405)\n- Expand test matrix with elixir 1.7 [`#404`](https://github.com/beam-community/stripity-stripe/pull/404)\n- Convert discount response to struct [`#403`](https://github.com/beam-community/stripity-stripe/pull/403)\n- Add name to Stripe.Coupon [`#402`](https://github.com/beam-community/stripity-stripe/pull/402)\n-  Add missing `unit_label` to Stripe.Product [`#401`](https://github.com/beam-community/stripity-stripe/pull/401)\n- Adds active to plan struct [`#399`](https://github.com/beam-community/stripity-stripe/pull/399)\n- Add Subscription and Invoice params [`#400`](https://github.com/beam-community/stripity-stripe/pull/400)\n- Add source_url to project definition [`#398`](https://github.com/beam-community/stripity-stripe/pull/398)\n- Improve webhooks documentation [`#395`](https://github.com/beam-community/stripity-stripe/pull/395)\n- Release 2.1.0 [`#394`](https://github.com/beam-community/stripity-stripe/pull/394)\n- Add support for object expansion [`#393`](https://github.com/beam-community/stripity-stripe/pull/393)\n- Add `account` field to Event [`#391`](https://github.com/beam-community/stripity-stripe/pull/391)\n- Update api_version to 2018-05-21 [`#390`](https://github.com/beam-community/stripity-stripe/pull/390)\n\n#### [v2.0.1](https://github.com/beam-community/stripity-stripe/compare/v2.0.0...v2.0.1)\n\n> 14 June 2018\n\n- Add `params` argument to Subscription.delete/2 [`#386`](https://github.com/beam-community/stripity-stripe/pull/386)\n- update read me [`#384`](https://github.com/beam-community/stripity-stripe/pull/384)\n- Update create card spec [`#382`](https://github.com/beam-community/stripity-stripe/pull/382)\n- improve plan struct [`#380`](https://github.com/beam-community/stripity-stripe/pull/380)\n- update read me (#384) [`#381`](https://github.com/beam-community/stripity-stripe/issues/381)\n- Update CHANGELOG.md [`52674bb`](https://github.com/beam-community/stripity-stripe/commit/52674bbf4e4a5405991c98c18c8d3c178f58e980)\n- Update mix.exs [`db5e873`](https://github.com/beam-community/stripity-stripe/commit/db5e8731b5c88069a8d1f49d0e8f73c62b44fe64)\n\n### [v2.0.0](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.11...v2.0.0)\n\n> 5 June 2018\n\n- Fix bad reference in changelog.md [`#379`](https://github.com/beam-community/stripity-stripe/pull/379)\n- Fix bad reference in changelog.md [`#378`](https://github.com/beam-community/stripity-stripe/pull/378)\n- Release 2.0 [`#377`](https://github.com/beam-community/stripity-stripe/pull/377)\n- Update README.md with 2.0 information [`#374`](https://github.com/beam-community/stripity-stripe/pull/374)\n- add oauth and api tests w/ mox [`#371`](https://github.com/beam-community/stripity-stripe/pull/371)\n- add multipart form headers [`#370`](https://github.com/beam-community/stripity-stripe/pull/370)\n- Stripe.API missing [`#369`](https://github.com/beam-community/stripity-stripe/pull/369)\n- change to Stripe.API.oauth [`#368`](https://github.com/beam-community/stripity-stripe/pull/368)\n- update api version [`#351`](https://github.com/beam-community/stripity-stripe/pull/351)\n- ephemeral key support [`#366`](https://github.com/beam-community/stripity-stripe/pull/366)\n- Relay Orders [`#364`](https://github.com/beam-community/stripity-stripe/pull/364)\n- Update remaining core resources [`#363`](https://github.com/beam-community/stripity-stripe/pull/363)\n- Add balance transactions and endpoints [`#361`](https://github.com/beam-community/stripity-stripe/pull/361)\n- update stripe mock + file upload tests [`#360`](https://github.com/beam-community/stripity-stripe/pull/360)\n- Connect endpoints and params [`#362`](https://github.com/beam-community/stripity-stripe/pull/362)\n- update params event payout refund [`#350`](https://github.com/beam-community/stripity-stripe/pull/350)\n- Update payment methods source based on latest specs [`#355`](https://github.com/beam-community/stripity-stripe/pull/355)\n- update deps and add 1.6 elixir version [`#356`](https://github.com/beam-community/stripity-stripe/pull/356)\n- Customer params [`#352`](https://github.com/beam-community/stripity-stripe/pull/352)\n- File upload params [`#357`](https://github.com/beam-community/stripity-stripe/pull/357)\n- Stripe Plan params [`#358`](https://github.com/beam-community/stripity-stripe/pull/358)\n- Update invoice types and params [`#346`](https://github.com/beam-community/stripity-stripe/pull/346)\n- Fix upload file api [`#334`](https://github.com/beam-community/stripity-stripe/pull/334)\n- add product struct [`#348`](https://github.com/beam-community/stripity-stripe/pull/348)\n- update stripe-mock to 0.11.2 [`#349`](https://github.com/beam-community/stripity-stripe/pull/349)\n- cleanup types and params for card [`#342`](https://github.com/beam-community/stripity-stripe/pull/342)\n- Corrected types and params for coupon.ex in subscriptions as a small … [`#333`](https://github.com/beam-community/stripity-stripe/pull/333)\n- Improve Stripe.List [`#331`](https://github.com/beam-community/stripity-stripe/pull/331)\n- Fix Account, BalanceTransaction, Charge, Subscription params [`#330`](https://github.com/beam-community/stripity-stripe/pull/330)\n- Fix plan and subscription [`#329`](https://github.com/beam-community/stripity-stripe/pull/329)\n- Fix Plan and Subscription params [`#328`](https://github.com/beam-community/stripity-stripe/pull/328)\n- Add ExternalAccount endpoints [`#327`](https://github.com/beam-community/stripity-stripe/pull/327)\n- Update file upload endpoint  [`#292`](https://github.com/beam-community/stripity-stripe/pull/292)\n- Fix most dialyzer errors [`#325`](https://github.com/beam-community/stripity-stripe/pull/325)\n- Add OrderReturn types and endpoints, fix misc issues [`#321`](https://github.com/beam-community/stripity-stripe/pull/321)\n- Change log level [`#323`](https://github.com/beam-community/stripity-stripe/pull/323)\n- Format payment methods [`#320`](https://github.com/beam-community/stripity-stripe/pull/320)\n- Format misc files [`#318`](https://github.com/beam-community/stripity-stripe/pull/318)\n- Update payout endpoint and tests [`#297`](https://github.com/beam-community/stripity-stripe/pull/297)\n- Format Customer [`#311`](https://github.com/beam-community/stripity-stripe/pull/311)\n- Format subscriptions [`#317`](https://github.com/beam-community/stripity-stripe/pull/317)\n- Format Charge [`#310`](https://github.com/beam-community/stripity-stripe/pull/310)\n- Fix headers [`#319`](https://github.com/beam-community/stripity-stripe/pull/319)\n- Format Refund [`#314`](https://github.com/beam-community/stripity-stripe/pull/314)\n- Format radar and relay [`#316`](https://github.com/beam-community/stripity-stripe/pull/316)\n- Format BalanceTransaction [`#308`](https://github.com/beam-community/stripity-stripe/pull/308)\n- Format Token [`#315`](https://github.com/beam-community/stripity-stripe/pull/315)\n- Format Event [`#313`](https://github.com/beam-community/stripity-stripe/pull/313)\n- Format Dispute [`#312`](https://github.com/beam-community/stripity-stripe/pull/312)\n- Format Balance [`#309`](https://github.com/beam-community/stripity-stripe/pull/309)\n- Format OAuth [`#307`](https://github.com/beam-community/stripity-stripe/pull/307)\n- Format ExternalAccount [`#305`](https://github.com/beam-community/stripity-stripe/pull/305)\n- Format CountrySpec [`#304`](https://github.com/beam-community/stripity-stripe/pull/304)\n- Format ApplicationFee [`#303`](https://github.com/beam-community/stripity-stripe/pull/303)\n- Format Account [`#302`](https://github.com/beam-community/stripity-stripe/pull/302)\n- Fix webhook tolerance to use intermediate variable [`#301`](https://github.com/beam-community/stripity-stripe/pull/301)\n- Format base files [`#300`](https://github.com/beam-community/stripity-stripe/pull/300)\n- Fixup plan tests [`#293`](https://github.com/beam-community/stripity-stripe/pull/293)\n- Error matching [`#299`](https://github.com/beam-community/stripity-stripe/pull/299)\n- Add Source [`#296`](https://github.com/beam-community/stripity-stripe/pull/296)\n- Add BankAccount endpoints and tests [`#295`](https://github.com/beam-community/stripity-stripe/pull/295)\n- Add Country Specs [`#294`](https://github.com/beam-community/stripity-stripe/pull/294)\n- Remove atoms for enum-like strings [`#290`](https://github.com/beam-community/stripity-stripe/pull/290)\n- Fix Account and Util [`#289`](https://github.com/beam-community/stripity-stripe/pull/289)\n- Update Subscription tests [`#288`](https://github.com/beam-community/stripity-stripe/pull/288)\n- Clean up Invoice endpoint tests [`#287`](https://github.com/beam-community/stripity-stripe/pull/287)\n- Add Card endpoints and tests [`#286`](https://github.com/beam-community/stripity-stripe/pull/286)\n- Add Event endpoints and tests [`#285`](https://github.com/beam-community/stripity-stripe/pull/285)\n- Add Token endpoints and tests [`#284`](https://github.com/beam-community/stripity-stripe/pull/284)\n- Add login link creation [`#283`](https://github.com/beam-community/stripity-stripe/pull/283)\n- Rework Customer and tests [`#282`](https://github.com/beam-community/stripity-stripe/pull/282)\n- Update Charge tests [`#281`](https://github.com/beam-community/stripity-stripe/pull/281)\n- Add some of the endpoints to Account [`#279`](https://github.com/beam-community/stripity-stripe/pull/279)\n- Fix Invoice endpoints [`#280`](https://github.com/beam-community/stripity-stripe/pull/280)\n- Clean up Account types [`#277`](https://github.com/beam-community/stripity-stripe/pull/277)\n- Clean up Invoice, Plan, and Subscription types [`#275`](https://github.com/beam-community/stripity-stripe/pull/275)\n- Clean up Token, BankAccount, Card, Source types [`#273`](https://github.com/beam-community/stripity-stripe/pull/273)\n- Clean up Event types [`#272`](https://github.com/beam-community/stripity-stripe/pull/272)\n- Clean up Balance and BalanceTransaction types [`#271`](https://github.com/beam-community/stripity-stripe/pull/271)\n- Clean up Payout [`#268`](https://github.com/beam-community/stripity-stripe/pull/268)\n- Clean up Refund types [`#269`](https://github.com/beam-community/stripity-stripe/pull/269)\n- Clean up FileUpload [`#267`](https://github.com/beam-community/stripity-stripe/pull/267)\n- Clean up Charge types [`#270`](https://github.com/beam-community/stripity-stripe/pull/270)\n- Add all Stripe objects as Stripe.Entity modules [`#264`](https://github.com/beam-community/stripity-stripe/pull/264)\n- Internal changes to facilitate bringing library in line with other languages [`#252`](https://github.com/beam-community/stripity-stripe/pull/252)\n- Internal changes to facilitate bringing library in line with other languages (#252) [`#250`](https://github.com/beam-community/stripity-stripe/issues/250) [`#250`](https://github.com/beam-community/stripity-stripe/issues/250)\n- Add objects with basic typedefs [`c95bdde`](https://github.com/beam-community/stripity-stripe/commit/c95bddeebd5443fc01d6a99a50ddb3cc49cd5a27)\n- Remove atoms for enum-like strings everywhere [`b4daca6`](https://github.com/beam-community/stripity-stripe/commit/b4daca699d1df31a178e955338ccfaa456990690)\n- Clean up Source types [`8d9a78c`](https://github.com/beam-community/stripity-stripe/commit/8d9a78cabb287548e50ed999c85e9c9f56e670b8)\n\n#### [v2.0.0-alpha.11](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.10...v2.0.0-alpha.11)\n\n> 22 March 2018\n\n- Add Ephemeral Key creation api [`#262`](https://github.com/beam-community/stripity-stripe/pull/262)\n- Fix Subscriptions list [`#255`](https://github.com/beam-community/stripity-stripe/pull/255)\n- Allow `prorate: false` on Subscription.update [`#254`](https://github.com/beam-community/stripity-stripe/pull/254)\n- Update version to 2.0.0-alpha.11 [`3c72b19`](https://github.com/beam-community/stripity-stripe/commit/3c72b19e08596c53fdcd1992fb6dea318fc0295e)\n\n#### [v2.0.0-alpha.10](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.9...v2.0.0-alpha.10)\n\n> 4 July 2017\n\n- Add webhooks support [`#239`](https://github.com/beam-community/stripity-stripe/pull/239)\n- Release alpha.10 [`d19f529`](https://github.com/beam-community/stripity-stripe/commit/d19f52937d7b40c19a983f9f344600b01db1210e)\n- Release alpha.9 [`9a716eb`](https://github.com/beam-community/stripity-stripe/commit/9a716eb4a2c74fec2191d56991e427c0a9c21ccf)\n\n#### [v2.0.0-alpha.9](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.8...v2.0.0-alpha.9)\n\n> 4 July 2017\n\n- Add invoice line items support [`#240`](https://github.com/beam-community/stripity-stripe/pull/240)\n- Add listing resources (#203) [`#242`](https://github.com/beam-community/stripity-stripe/pull/242)\n- Correct README with 2.0 configuration parameters [`#235`](https://github.com/beam-community/stripity-stripe/pull/235)\n- :bug: Add missing :uri_query to OTP application list #237 [`#238`](https://github.com/beam-community/stripity-stripe/pull/238)\n- Added Coupon support - Thank you @Awea  [`#236`](https://github.com/beam-community/stripity-stripe/pull/236)\n- Add listing resources [`292593d`](https://github.com/beam-community/stripity-stripe/commit/292593d80a6718514eda22b21b7856edc7380d73)\n- :sparkles: Add Coupon support [`ac22758`](https://github.com/beam-community/stripity-stripe/commit/ac227580cc7e2eb3ec6cac3ada6057c236297d2a)\n\n#### [v2.0.0-alpha.8](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.7...v2.0.0-alpha.8)\n\n> 31 May 2017\n\n- Added Stripe.Charge.capture [`#224`](https://github.com/beam-community/stripity-stripe/pull/224)\n- Added Invoice.upcoming for retreiving upcoming invoices. [`#233`](https://github.com/beam-community/stripity-stripe/pull/233)\n- Added Stripe.Refund module [`#226`](https://github.com/beam-community/stripity-stripe/pull/226)\n- adds Stripe.Refund module [`608c5b3`](https://github.com/beam-community/stripity-stripe/commit/608c5b3f701150ee9ba2b112b612f95a5b923650)\n- Add upcoming invoice path [`3483c55`](https://github.com/beam-community/stripity-stripe/commit/3483c55e0f4dbfa3f73716da590b13a9407f489e)\n- adds method for capturing a charge [`0d5be20`](https://github.com/beam-community/stripity-stripe/commit/0d5be208baf8a33814425669c1304afb49f6fad2)\n\n#### [v2.0.0-alpha.7](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.6...v2.0.0-alpha.7)\n\n> 15 May 2017\n\n- Add parameters to DELETE requests (#222) [`#223`](https://github.com/beam-community/stripity-stripe/pull/223)\n- Correctly parsing responses from non-object responses [`#229`](https://github.com/beam-community/stripity-stripe/pull/229)\n- Update Card.create to use Stripe.Request.create [`#221`](https://github.com/beam-community/stripity-stripe/pull/221)\n- Delegate URI query encoding to uri_query. [`#216`](https://github.com/beam-community/stripity-stripe/pull/216)\n- Correctly parsing responses from DELETE requests [`d6d39ed`](https://github.com/beam-community/stripity-stripe/commit/d6d39ede82850525010b568f4b3d3f8e62238216)\n- Update the creation of cards to match new style [`b3ad4f0`](https://github.com/beam-community/stripity-stripe/commit/b3ad4f0f8cb9c77716b36f4c03bc806a3006d3ec)\n\n#### [v2.0.0-alpha.6](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.3...v2.0.0-alpha.6)\n\n> 16 February 2017\n\n- Bump version number to 2.0.0-alpha.6 [`684d425`](https://github.com/beam-community/stripity-stripe/commit/684d425296285272669a6d42fd5968c019c19c5f)\n\n#### [v2.0.0-alpha.3](https://github.com/beam-community/stripity-stripe/compare/v2.0.0-alpha.1...v2.0.0-alpha.3)\n\n> 12 February 2017\n\n- Change arg order for request body and updated calls. [`#211`](https://github.com/beam-community/stripity-stripe/pull/211)\n- Fix compile error. [`#213`](https://github.com/beam-community/stripity-stripe/pull/213)\n- Add Stripe.Token.create [`#200`](https://github.com/beam-community/stripity-stripe/pull/200)\n- Remove module argument reliance from converter [`#197`](https://github.com/beam-community/stripity-stripe/pull/197)\n- Fix dialyzer and compiler warnings, bonus bugfix [`#212`](https://github.com/beam-community/stripity-stripe/pull/212)\n- Add request helper to reduce duplication. [`#206`](https://github.com/beam-community/stripity-stripe/pull/206)\n- Fix Warnings Elixir 1.4 [`#207`](https://github.com/beam-community/stripity-stripe/pull/207)\n- Use Enum.into/3 and Enum.map_join/3 in Util. [`#205`](https://github.com/beam-community/stripity-stripe/pull/205)\n- Add Stripe.Charge.create [`#199`](https://github.com/beam-community/stripity-stripe/pull/199)\n- Ensure strict functions call with parentheses to avoid warning [`#201`](https://github.com/beam-community/stripity-stripe/pull/201)\n- Add Stripe.Charge.retrieve [`#195`](https://github.com/beam-community/stripity-stripe/pull/195)\n- Add object types [`#193`](https://github.com/beam-community/stripity-stripe/pull/193)\n- Basic list implementation [`#191`](https://github.com/beam-community/stripity-stripe/pull/191)\n- Fix converter to not error on lists [`#190`](https://github.com/beam-community/stripity-stripe/pull/190)\n- Pattern match on object keys for response sub-objects [`#187`](https://github.com/beam-community/stripity-stripe/pull/187)\n- Add invoice [`#185`](https://github.com/beam-community/stripity-stripe/pull/185)\n- Add dialyzer, fix several issues, including a few bugs with bad function calls. [`#181`](https://github.com/beam-community/stripity-stripe/pull/181)\n- Change bank accounts to external accounts [`#180`](https://github.com/beam-community/stripity-stripe/pull/180)\n- Add relationships back to subscription [`#179`](https://github.com/beam-community/stripity-stripe/pull/179)\n- Minor fixes to account [`#178`](https://github.com/beam-community/stripity-stripe/pull/178)\n- Add update changesets [`#173`](https://github.com/beam-community/stripity-stripe/pull/173)\n- Add @valid_update_keys to account [`#171`](https://github.com/beam-community/stripity-stripe/pull/171)\n- Add Account.create/2 [`#169`](https://github.com/beam-community/stripity-stripe/pull/169)\n- Add :legal_entity, :verification to Account struct [`#168`](https://github.com/beam-community/stripity-stripe/pull/168)\n- Add Account.update/2 [`#166`](https://github.com/beam-community/stripity-stripe/pull/166)\n- Remove response mappings [`#165`](https://github.com/beam-community/stripity-stripe/pull/165)\n- [FILE UPLOAD]: create and retrieve [`#160`](https://github.com/beam-community/stripity-stripe/pull/160)\n- Add Bank Account [`#161`](https://github.com/beam-community/stripity-stripe/pull/161)\n- Update event to track user_id [`#159`](https://github.com/beam-community/stripity-stripe/pull/159)\n- Add event lib [`#158`](https://github.com/beam-community/stripity-stripe/pull/158)\n- Adding ability to update Customer source [`#152`](https://github.com/beam-community/stripity-stripe/pull/152)\n- Handle compressed body in successful response [`#148`](https://github.com/beam-community/stripity-stripe/pull/148)\n- Add the hackney pool to the lib supervision tree [`#142`](https://github.com/beam-community/stripity-stripe/pull/142)\n- Fix the way that client ID is fetched [`#151`](https://github.com/beam-community/stripity-stripe/pull/151)\n- Allow passing api_key to override default one. [`#149`](https://github.com/beam-community/stripity-stripe/pull/149)\n- Fix specs to use api_error_struct instead of struct [`#150`](https://github.com/beam-community/stripity-stripe/pull/150)\n- Allow for stripe_user params to be passed as part of Connect auth URL [`#146`](https://github.com/beam-community/stripity-stripe/pull/146)\n- Fix response mapping for token request [`#138`](https://github.com/beam-community/stripity-stripe/pull/138)\n- Rework errors to be plain structs [`#136`](https://github.com/beam-community/stripity-stripe/pull/136)\n- Fix Parsing OAuth Errors [`#134`](https://github.com/beam-community/stripity-stripe/pull/134)\n- Add response iteration and conversion [`#129`](https://github.com/beam-community/stripity-stripe/pull/129)\n- Add special handling for 400 errors (invalid request) [`#128`](https://github.com/beam-community/stripity-stripe/pull/128)\n- Fixes Struct Mapping [`#131`](https://github.com/beam-community/stripity-stripe/issues/131)\n- Fix Parsing OAuth Errors (#134) [`#130`](https://github.com/beam-community/stripity-stripe/issues/130)\n- Add create and update changeset [`ee79266`](https://github.com/beam-community/stripity-stripe/commit/ee7926654951af014e07068a13d3b980ff4ab377)\n- Add list module and basic list conversion support [`13d755b`](https://github.com/beam-community/stripity-stripe/commit/13d755b73fad8796a0339ca8757bd391b0135fcf)\n- Allow converter to infer subobject modules from the object property value [`7b0ac4c`](https://github.com/beam-community/stripity-stripe/commit/7b0ac4cbb17d18ca2099ce943e9b410cdfd4c8a2)\n\n#### [v2.0.0-alpha.1](https://github.com/beam-community/stripity-stripe/compare/v1.6.2...v2.0.0-alpha.1)\n\n> 12 November 2016\n\n- Up the version number [`#123`](https://github.com/beam-community/stripity-stripe/pull/123)\n- Add Subscription and Token [`#122`](https://github.com/beam-community/stripity-stripe/pull/122)\n- Add Stripe.Card [`#118`](https://github.com/beam-community/stripity-stripe/pull/118)\n- Add Stripe.Customer [`#117`](https://github.com/beam-community/stripity-stripe/pull/117)\n- Add Stripe.Account [`#116`](https://github.com/beam-community/stripity-stripe/pull/116)\n- Gutting the high level API and VCR driven tests [`e55855c`](https://github.com/beam-community/stripity-stripe/commit/e55855c1d406ac844b453fef4f4d5310b564feaf)\n- removing highly outdated /doc folder [`650bb42`](https://github.com/beam-community/stripity-stripe/commit/650bb420d566614a35197a23c0a83373bd774695)\n- Implement low-level API [`f2ccdf8`](https://github.com/beam-community/stripity-stripe/commit/f2ccdf8e80ee95a8570c736a2e0448ebd8e60850)\n\n#### [v1.6.2](https://github.com/beam-community/stripity-stripe/compare/1.6.1...v1.6.2)\n\n> 5 June 2018\n\n- Release 1.6.2 [`#375`](https://github.com/beam-community/stripity-stripe/pull/375)\n- Update 1.x.x readme [`#373`](https://github.com/beam-community/stripity-stripe/pull/373)\n- Update README.md [`#372`](https://github.com/beam-community/stripity-stripe/pull/372)\n\n#### [1.6.1](https://github.com/beam-community/stripity-stripe/compare/v1.6.0...1.6.1)\n\n> 3 April 2018\n\n- Return tuple instead of raising an error when http request fails [`#343`](https://github.com/beam-community/stripity-stripe/pull/343)\n- Updated heading fix [`#260`](https://github.com/beam-community/stripity-stripe/pull/260)\n- Fixed heading in markdown doc [`#258`](https://github.com/beam-community/stripity-stripe/pull/258)\n- Expands documentation on Stripe Connect and Changelogs [`#257`](https://github.com/beam-community/stripity-stripe/pull/257)\n- Fix documentation typos [`#256`](https://github.com/beam-community/stripity-stripe/pull/256)\n- Updated readme and docs [`9832d34`](https://github.com/beam-community/stripity-stripe/commit/9832d34eac97cecd847ae57e76d614ac254cc7ee)\n- Publish v1.6.0 [`98e0b16`](https://github.com/beam-community/stripity-stripe/commit/98e0b16977b651385728c5697a0ca47586a1a49c)\n- Update readme with branch info [`9a070f8`](https://github.com/beam-community/stripity-stripe/commit/9a070f8fcd4ed47c731a80b2f526cc06c20c41f5)\n\n#### [v1.6.0](https://github.com/beam-community/stripity-stripe/compare/1.5.0...v1.6.0)\n\n> 6 July 2017\n\n- Add change invoices ability [`#241`](https://github.com/beam-community/stripity-stripe/pull/241)\n\n#### [1.5.0](https://github.com/beam-community/stripity-stripe/compare/v1.5.0...1.5.0)\n\n> 4 July 2017\n\n#### [v1.5.0](https://github.com/beam-community/stripity-stripe/compare/v1.3...v1.5.0)\n\n> 4 July 2017\n\n- Backport webhooks support [`#244`](https://github.com/beam-community/stripity-stripe/pull/244)\n- Allows redirect uri params [`#231`](https://github.com/beam-community/stripity-stripe/pull/231)\n- Get api_base_url from config or else apply default [`#230`](https://github.com/beam-community/stripity-stripe/pull/230)\n- Update inch_ex to 0.5.6 [`#228`](https://github.com/beam-community/stripity-stripe/pull/228)\n- Test on more elixir versions [`#74`](https://github.com/beam-community/stripity-stripe/pull/74)\n- Add functions to update managed accounts [`#217`](https://github.com/beam-community/stripity-stripe/pull/217)\n- fix compiler warnings and remove whitespaces [`#107`](https://github.com/beam-community/stripity-stripe/pull/107)\n- Adds support for creating coupons [`#86`](https://github.com/beam-community/stripity-stripe/pull/86)\n- Added support for specific plan retrieval [`#89`](https://github.com/beam-community/stripity-stripe/pull/89)\n- Readme and License updates [`#98`](https://github.com/beam-community/stripity-stripe/pull/98)\n- Rework documentation [`#96`](https://github.com/beam-community/stripity-stripe/pull/96)\n- added support for paying an invoice [`#80`](https://github.com/beam-community/stripity-stripe/pull/80)\n- Updates the docs for charges.ex [`#83`](https://github.com/beam-community/stripity-stripe/pull/83)\n- Updates the docs for accounts.ex [`#82`](https://github.com/beam-community/stripity-stripe/pull/82)\n- Revise docs and formatting for cards.ex [`#81`](https://github.com/beam-community/stripity-stripe/pull/81)\n- Revise docs and formatting for accounts.ex [`#79`](https://github.com/beam-community/stripity-stripe/pull/79)\n- Refactor Stripe.Subscriptions.change/4 a little [`#78`](https://github.com/beam-community/stripity-stripe/pull/78)\n- Removing env parameter from deps to allow for arbitrary mix environments [`#77`](https://github.com/beam-community/stripity-stripe/pull/77)\n- Add Coupons module [`#76`](https://github.com/beam-community/stripity-stripe/pull/76)\n- Remove warnings [`#75`](https://github.com/beam-community/stripity-stripe/pull/75)\n- Update all dependencies [`#73`](https://github.com/beam-community/stripity-stripe/pull/73)\n- Revise readme formatting [`#72`](https://github.com/beam-community/stripity-stripe/pull/72)\n- Allow changing subscription options [`#70`](https://github.com/beam-community/stripity-stripe/pull/70)\n- Ensure URI properly escapes nested values [`#69`](https://github.com/beam-community/stripity-stripe/pull/69)\n- Use POST in cards/update API method [`#66`](https://github.com/beam-community/stripity-stripe/pull/66)\n- Replace HashDict with Map [`#67`](https://github.com/beam-community/stripity-stripe/pull/67)\n- Remove warnings in tests [`#65`](https://github.com/beam-community/stripity-stripe/pull/65)\n- Fix cassettes after URI escaping fix [`#64`](https://github.com/beam-community/stripity-stripe/pull/64)\n- Allow passing custom options to HTTPoison [`#54`](https://github.com/beam-community/stripity-stripe/pull/54)\n- Fix all tests on master [`#56`](https://github.com/beam-community/stripity-stripe/pull/56)\n- Fix Stripe.Subscriptions.change_payment_source [`#57`](https://github.com/beam-community/stripity-stripe/pull/57)\n- Fix Stripe.Plans.change [`#58`](https://github.com/beam-community/stripity-stripe/pull/58)\n- Fix test for Stripe.URI [`#59`](https://github.com/beam-community/stripity-stripe/pull/59)\n- Add a change list function that takes any params [`#49`](https://github.com/beam-community/stripity-stripe/pull/49)\n- add uri tests [`#48`](https://github.com/beam-community/stripity-stripe/pull/48)\n- Fix typo in README.md [`#46`](https://github.com/beam-community/stripity-stripe/pull/46)\n- Add vcr for connect test [`#45`](https://github.com/beam-community/stripity-stripe/pull/45)\n- ChargeTest with request vcr mock [`#44`](https://github.com/beam-community/stripity-stripe/pull/44)\n- Lib Improvements [`#43`](https://github.com/beam-community/stripity-stripe/pull/43)\n- Add travis config, Test coverage link, inch and new badges [`#41`](https://github.com/beam-community/stripity-stripe/pull/41)\n- Add HEX Badges to the repo [`#38`](https://github.com/beam-community/stripity-stripe/pull/38)\n- allow `poison ~&gt; 1.5` [`#34`](https://github.com/beam-community/stripity-stripe/pull/34)\n- Update `poison` and `httpoison`. [`#33`](https://github.com/beam-community/stripity-stripe/pull/33)\n- Add upcoming invoice API [`#31`](https://github.com/beam-community/stripity-stripe/pull/31)\n- Allow changing subscription options [`#35`](https://github.com/beam-community/stripity-stripe/issues/35)\n- Removed app start up mess, removed supervisor. Closes #50 [`#50`](https://github.com/beam-community/stripity-stripe/issues/50)\n- Record new responses for all tests [`7d4530a`](https://github.com/beam-community/stripity-stripe/commit/7d4530ab64be5740f7c66b552d1f409f7802cb33)\n- Remove current recorded responces [`11d9cdd`](https://github.com/beam-community/stripity-stripe/commit/11d9cdddfc2904bcbd702ce587ef97ef2db49fa6)\n- Change real token to fake token [`d25542b`](https://github.com/beam-community/stripity-stripe/commit/d25542b4379f8d1601cd8acd01a6a97c9e33c7ff)\n\n#### [v1.3](https://github.com/beam-community/stripity-stripe/compare/v1.1.0...v1.3)\n\n> 24 February 2016\n\n- Add update customer API and small fixes [`#28`](https://github.com/beam-community/stripity-stripe/pull/28)\n- README referenced nonexistent hex package version [`#29`](https://github.com/beam-community/stripity-stripe/pull/29)\n- Cards [`#27`](https://github.com/beam-community/stripity-stripe/pull/27)\n- Relax Elixir dependency to ~&gt; 1.1 [`#25`](https://github.com/beam-community/stripity-stripe/pull/25)\n- updated readme [`eb4fdff`](https://github.com/beam-community/stripity-stripe/commit/eb4fdffa0c66bf3ae03d02130320a874102398c5)\n- Stripe.Cards resource [`0ed1a50`](https://github.com/beam-community/stripity-stripe/commit/0ed1a506601fd346a7cfd9a9dbdd46d88b545916)\n- Add create card for an existing customer [`dfb5762`](https://github.com/beam-community/stripity-stripe/commit/dfb5762eb26dca1245baa827fa90e1597e0d6c8c)\n\n##","ref":"changelog.html#changelog"},{"type":"extras","title":"v1.1.0 - Changelog","doc":"> 15 January 2016\n\n- Add method for changing payment source for subscriptions [`#20`](https://github.com/beam-community/stripity-stripe/pull/20)\n- Add accounts requests on Stripe connect  [`#18`](https://github.com/beam-community/stripity-stripe/pull/18)\n- Update README with stripe link [`#17`](https://github.com/beam-community/stripity-stripe/pull/17)\n- Allow deleting subscriptions with options [`#16`](https://github.com/beam-community/stripity-stripe/pull/16)\n- Type a fixo.  arrity -&gt; arity [`#13`](https://github.com/beam-community/stripity-stripe/pull/13)\n- README code blocks use elixir syntax highlighting [`#14`](https://github.com/beam-community/stripity-stripe/pull/14)\n- Made the initial changes for supporting Stripe Connect [`#12`](https://github.com/beam-community/stripity-stripe/pull/12)\n- Update README.md [`#11`](https://github.com/beam-community/stripity-stripe/pull/11)\n- Start httpoison on application start [`#8`](https://github.com/beam-community/stripity-stripe/pull/8)\n- Tokens API, improved testing and small extra utils [`#5`](https://github.com/beam-community/stripity-stripe/pull/5)\n- Refreshed elixir version and updated doc [`#3`](https://github.com/beam-community/stripity-stripe/pull/3)\n- Bumped to v1.1.0. Fixes #22 [`#22`](https://github.com/beam-community/stripity-stripe/issues/22)\n- Updated README and bumpted version [`8da4b18`](https://github.com/beam-community/stripity-stripe/commit/8da4b18b8f1db304240b06bbe436b04074460ac3)\n- Connect-ified rest of API. Finished Connect standalone support. Revamped a bit of doc to add links. Merged in latest from rob's repo. Completed move of subscriptions/invoices to their own module. [`9857705`](https://github.com/beam-community/stripity-stripe/commit/9857705bfbbf048c28d35012690dc995f01a5f93)\n- Initial [`1d5a868`](https://github.com/beam-community/stripity-stripe/commit/1d5a868d0cf064df0562f4448674680780fcd4b5)","ref":"changelog.html#v1-1-0"},{"type":"extras","title":"License","doc":"# New BSD License\n\nhttp://www.opensource.org/licenses/bsd-license.php\n\nCopyright (c) 2015-2016, Rob Conery\n\nCopyright (c) 2016, Code Corps PBC and Strumber\n\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list\nof conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this\nlist of conditions and the following disclaimer in the documentation and/or\nother materials provided with the distribution.\n\n3. Neither the names Code Corps nor Strumber, nor the names of its contributors may\nbe used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\nDISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON\nANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# Stripe for Elixir\n\nAn Elixir library for working with [Stripe](https://stripe.com/).\n\n[![Hex.pm](https://img.shields.io/hexpm/v/stripity_stripe.svg?maxAge=2592000)](https://hex.pm/packages/stripity_stripe) [![Hex.pm](https://img.shields.io/hexpm/dt/stripity_stripe.svg?maxAge=2592000)](https://hex.pm/packages/stripity_stripe)","ref":"readme.html"},{"type":"extras","title":"2.x.x status - Overview","doc":"[![Hex Docs](https://img.shields.io/badge/hex-docs-9768d1.svg)](https://hexdocs.pm/stripity_stripe) [![Inline docs](http://inch-ci.org/github/beam-community/stripity_stripe.svg?branch=master)](http://inch-ci.org/github/beam-community/stripity_stripe?branch=master) [![Coverage Status](https://coveralls.io/repos/github/beam-community/stripity_stripe/badge.svg?branch=master)](https://coveralls.io/github/beam-community/stripity_stripe?branch=master)\n\n# Which version should I use?\n\nBelow is a list of which Stripe API version recent releases of Stripe Elixir. It only indicates the API version being called, not necessarily its compatibility. See the [Stripe API Upgrades page](https://stripe.com/docs/upgrades) for more details.\n\nStarting with stripity_stripe version 2.5.0, you can specify the Stripe API Version to use for a specific request by including the `:api_version` option. Note that while this will use a specific Stripe API Version to make the request, the library will still expect a response matching its corresponding default Stripe API Version. See the [Shared Options documentation](https://hexdocs.pm/stripity_stripe/2.17.2/Stripe.html#module-shared-options) for more details.\n\n| `:stripity_stripe` | Stripe API Version |\n| ------------------ | ------------------ |\n| `2.0.x`            | `2018-02-28`       |\n| `2.1.0 - 2.2.0`    | `2018-05-21`       |\n| `2.2.2`            | `2018-08-23`       |\n| `2.2.3 - 2.3.0`    | `2018-11-08`       |\n| `2.4.0 - 2.7.0`    | `2019-05-16`       |\n| `master`           | `2019-10-17`       |\n\n# Documentation\n\n- [Latest HexDocs](https://hexdocs.pm/stripity_stripe/)","ref":"readme.html#2-x-x-status"},{"type":"extras","title":"Installation - Overview","doc":"Install the dependency by version:\n\n```elixir\n{:stripity_stripe, \"~> 2.0\"}\n```\n\nOr by commit reference:\n\n```elixir\n{:stripity_stripe, git: \"https://github.com/beam-community/stripity_stripe\", ref: \"017d7ecdb5aeadccc03986c02396791079178ba2\"}\n```\n\nNext, add to your applications:\n\n_Not necessary if using elixir >= 1.4_\n\n```elixir\ndefp application do\n  [applications: [:stripity_stripe]]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Overview","doc":"To make API calls, it is necessary to configure your Stripe secret key.\n\n```elixir\nimport Config\n\nconfig :stripity_stripe, api_key: System.get_env(\"STRIPE_SECRET\")\n# OR\nconfig :stripity_stripe, api_key: \"YOUR SECRET KEY\"\n```\n\nIt's possible to use a function or a tuple to resolve the secret:\n\n```elixir\nconfig :stripity_stripe, api_key: {MyApp.Secrets, :stripe_secret, []}\n# OR\nconfig :stripity_stripe, api_key: fn -> System.get_env(\"STRIPE_SECRET\") end\n```\n\nMoreover, if you are using Poison instead of Jason, you can configure the library to use Poison like so:\n\n```elixir\nconfig :stripity_stripe, json_library: Poison\n```\n\n#","ref":"readme.html#configuration"},{"type":"extras","title":"Timeout - Overview","doc":"To set timeouts, pass opts for the http client. The default one is Hackney.\n\n```elixir\nconfig :stripity_stripe, hackney_opts: [{:connect_timeout, 1000}, {:recv_timeout, 5000}]\n```\n\n#","ref":"readme.html#timeout"},{"type":"extras","title":"Request Retries - Overview","doc":"To set retries, you can pass the number of attempts and range of backoff (time between attempting the request again) in milliseconds.\n\n```elixir\nconfig :stripity_stripe, :retries, [max_attempts: 3, base_backoff: 500, max_backoff: 2_000]\n```","ref":"readme.html#request-retries"},{"type":"extras","title":"Examples - Overview","doc":"Stripe supports a token based, and intent based approach for processing payments. The token based approach is simpler, but it is not supported in Europe. The intents API is the way forward, and should be used for new development.\n\n#","ref":"readme.html#examples"},{"type":"extras","title":"Intents - Overview","doc":"Create a new `SetupIntent` object in [Stripe](https://stripe.com/docs/api/setup_intents). The created intent ID will be passed to the frontend to use with Stripe elements so the end user can enter their payment details. SetupIntents are ephemeral. It is best to create a new one each time the user reaches your payment page.\n\n```elixir\n{:ok, setup_intent} = Stripe.SetupIntent.create(%{})\n\n# Return the ID to your frontend, and pass it to the confirmCardSetup method from Stripe elements\n{:ok, setup_intent.id}\n```\n\nOn the frontend, use the setup intent ID you created in conjunction with Stripe elements `confirmCardSetup` method.\n\n```javascript\nstripe.confirmCardSetup(setupIntentId, {\n  payment_method: {\n    ...\n  }\n})\n.then(result => {\n  const setupIntentId = result.setupIntent.id\n  const paymentMethodId = result.setupIntent.payment_method\n\n  // send the paymentMethodId and optionally (if needed) the setupIntentId\n})\n```\n\nWith the new payment method ID, you can associate the payment method with a Stripe customer.\n\n\nGet an existing customer.\n\n```elixir\n{:ok, stripe_customer} = Stripe.Customer.retrieve(stripe_customer_id)\n```\n\nOr create a new one.\n\n```elixir\nnew_customer = %{\n  email: email,\n}\n\n{:ok, stripe_customer} = Stripe.Customer.create(new_customer)\n```\n\nAttach the payment method to the customer.\n\n```elixir\n{:ok, _result} = Stripe.PaymentMethod.attach(%{customer: stripe_customer.id, payment_method: payment_method_id})\n```\n\nNow you can charge the customer using a `PaymentIntent` from [Stripe](https://stripe.com/docs/api/payment_intents). Since we used a setup intent initially, the payment intent will be authorized to make payments off session, for example to charge for a recurring subscription.\n\n```elixir\n{:ok, charge} = Stripe.PaymentIntent.create(%{\n  amount: cents_int,\n  currency: \"USD\",\n  customer: stripe_customer.id,\n  payment_method: payment_method_id,\n  off_session: true,\n  confirm: true\n})\n```","ref":"readme.html#intents"},{"type":"extras","title":"Note: Object Expansion - Overview","doc":"Some Stripe API endpoints support returning related objects via the object expansion query parameter. To take advantage of this feature, stripity_stripe accepts\na list of strings to be passed into `opts` under the `:expand` key indicating which objects should be expanded.\n\nFor example, calling `Charge.retrieve(\"ch_123\")` would return a charge without expanding any objects.\n\n```elixir\n%Charge{\n  id: \"ch_123\",\n  balance_transaction: \"txn_123\",\n  ...\n}\n```\n\nHowever if we now include an expansion on the `balance_transaction` field using\n\n```elixir\nCharge.retrieve(\"ch_123\", expand: [\"balance_transaction\"])\n```\n\nWe will get the full object back as well.\n\n```elixir\n%Charge{\n  id: \"ch_123\",\n  balance_transaction: %BalanceTransaction{\n    id: \"txn_123\",\n    fee: 125,\n    ...\n  },\n  ...\n}\n```\n\nFor details on which objects can be expanded check out the [stripe object expansion](https://stripe.com/docs/api#expanding_objects) docs.\n\n# Testing","ref":"readme.html#note-object-expansion"},{"type":"extras","title":"Starting stripe-mock - Overview","doc":"To run the tests you'll need to install [`stripe-mock`](https://github.com/stripe/stripe-mock).\nIt is a mock HTTP server that responds like the real Stripe API. It's powered by\nthe [Stripe OpenAPI specification](https://github.com/stripe/openapi), which is\ngenerated from within Stripe's API.\n\nThe [stripe-mock instructions](https://github.com/stripe/stripe-mock#usage)\nhave more details, but if you have docker installed already you can quickly\nand easily start an instance to test against:\n\n```sh\ndocker run --rm -it -p 12111-12112:12111-12112 stripe/stripe-mock:latest\n```","ref":"readme.html#starting-stripe-mock"},{"type":"extras","title":"Running the tests - Overview","doc":"By default, `mix test` will start `stripe-mock` by finding and invoking the\n`stripe-mock` executable.  If you would prefer to start it yourself, do so\nand add an env var `SKIP_STRIPE_MOCK_RUN` to skip starting stripe-mock.  Any\nvalue will do.  Example:\n\n```sh\nSKIP_STRIPE_MOCK_RUN=1 mix test\n```\n\nTo configure your test environment to use the local stripe-mock server, you may\nneed to set the `api_base_url` field in your config:\n\n```\nconfig :stripity_stripe,\n  api_key: \"sk_test_thisisaboguskey\",\n  api_base_url: \"http://localhost:12111\"\n```\n\n# Documentation for 1.x.x\n\n  Click to expand","ref":"readme.html#running-the-tests"},{"type":"extras","title":"Stripe API - Overview","doc":"Works with API version 2015-10-16","ref":"readme.html#stripe-api"},{"type":"extras","title":"Installation - Overview","doc":"Install the dependency:\n\n```elixir\n{:stripity_stripe, \"~> 1.6\"}\n```\n\nNext, add to your applications:\n\n```elixir\ndefp application do\n  [applications: [:stripity_stripe]]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Overview","doc":"To make API calls, it is necessary to configure your Stripe secret key (and optional platform client id if you are using Stripe Connect):\n\n```elixir\nimport Config\n\nconfig :stripity_stripe, secret_key: \"YOUR SECRET KEY\"\nconfig :stripity_stripe, platform_client_id: \"YOUR CONNECT PLATFORM CLIENT ID\"\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Testing - Overview","doc":"If you start contributing and you want to run mix test, first you need to export STRIPE_SECRET_KEY environment variable in the same shell as the one you will be running mix test in. All tests have the @tag disabled: false and the test runner is configured to ignore disabled: true. This helps to turn tests on/off when working in them. Most of the tests depends on the order of execution (test random seed = 0) to minimize runtime. I've tried having each tests isolated but this made it take ~10 times longer.\n\n```\nexport STRIPE_SECRET_KEY=\"yourkey\"\nmix test\n```","ref":"readme.html#testing"},{"type":"extras","title":"The API - Overview","doc":"I've tried to make the API somewhat comprehensive and intuitive. If you'd like to see things in detail be sure to have a look at the tests - they show (generally) the way the API goes together.\n\nIn general, if Stripe requires some information for a given API call, you'll find that as part of the arity of the given function. For instance if you want to delete a Customer, you'll find that you _must_ pass the id along:\n\n```elixir\n{:ok, result} = Stripe.Customers.delete \"some_id\"\n```\n\nFor optional arguments, you can send in a Keyword list that will get translated to parameters. So if you want to update a Subscription, for instance, you must send in the `customer_id` and `subscription_id` with the list of changes:\n\n```elixir\n# Change customer to the Premium subscription\n{:ok, result} = Stripe.Customers.change_subscription \"customer_id\", \"sub_id\", [plan: \"premium\"]\n```\n\nMetadata (metadata:) key is supported on most object type and allow the storage of extra information on the stripe platform. See [test](https://github.com/code-corps/stripity-stripe/blob/master/test/stripe/customer_test.exs) for an example.\n\nThat's the rule of thumb with this library. If there are any errors with your call, they will bubble up to you in the `{:error, message}` match.\n\n```elixir\n# Example of paging through events\n{:ok, events} = Stripe.Events.list(key, \"\", 100) # second arg is a marker for paging\n\ncase events[:has_more] do\n  true ->\n    # retrieve marker\n    last = List.last( events[:data] )\n    case Stripe.Events.list key, last[\"id\"], 100 do\n      {:ok, events} -> events[:data]\n      # ...\n    end\n  false -> events[:data]\nend\n```\n\n# Connect\n\nStripe Connect allows you to provide your customers with an easy onboarding to their own Stripe account. This is useful when you run an e-commerce as a service platform. Each merchant can transact using their own account using your platform. Then your platform uses Stripe's API with their own API key obtained in the onboarding process.\n\nFirst, you need to register your platform on Stripe Connect to obtain a `client_id`. In your account settings, there's a \"Connect\" tab, select it. Then fill the information to activate your connect platform settings. The select he `client_id` (notice there's one for dev and one for prod), stash this `client_id` in the config file under\n\n```elixir\nconfig :stripity_stripe, platform_client_id: \"ac_???\"\n```\n\nor in an env var named `STRIPE_PLATFORM_CLIENT_ID`.\n\nThen you send your users to sign up for the stripe account using a link.\n\nHere's an example of a button to start the workflow:\n Connect with Stripe \n\nYou can generate this URL using:\n\n```elixir\nurl = Stripe.Connect.generate_button_url csrf_token\n```\n\nWhen the user gets back to your platform, the following url (`redirect_uri` form item on your \"Connect\" settings) will be used:\n\n```\n//yoursvr/your_endpoint?scope=read_write&code=AUTHORIZATION_CODE\n```\n\nor\n\n```\n//yoursvr/your_endpoint?error=access_denied&error_description=The%20user%20denied%20your%20request\n```\n\nUsing the code request parameter, you make the following call:\n\n```elixir\n{:ok, resp} -> Stripe.Connect.oauth_token_callback code\nresp[:access_token]\n```\n\n`resp` will look like this:\n\n```elixir\n%{\n  token_type: \"bearer\",\n  stripe_publishable_key: PUBLISHABLE_KEY,\n  scope: \"read_write\",\n  livemode: false,\n  stripe_user_id: USER_ID,\n  refresh_token: REFRESH_TOKEN,\n  access_token: ACCESS_TOKEN\n}\n```\n\nYou can then pass the `access_token` to the other API modules to act on their behalf.\n\nSee a [demo](https://github.com/nicrioux/stripity-connect-phoenix) using the Phoenix framework with the bare minimum to get this working.","ref":"readme.html#the-api"},{"type":"extras","title":"Testing Connect - Overview","doc":"The tests are currently manual as they require a unique OAuth authorization code per test. You need to obtain this code manually using the stripe connect workflow (that your user would go through using the above url).\n\nFirst, log in your account. Then go to the following url: https://dashboard.stripe.com/account/applications/settings\n\nCreate a connect standalone account. Grab your development `client_id`. Put it in your config file. Enter a redirect url to your endpoint. Capture the \"code\" request parameter. Pass it to `Stripe.Connect.oauth_token_callback` or `Stripe.Connect.get_token`.\n\n \n \n\n# Contributing\n\nFeedback, feature requests, and fixes are welcomed and encouraged. Please make appropriate use of [Issues](https://github.com/code-corps/stripity-stripe/issues) and [Pull Requests](https://github.com/code-corps/stripity-stripe/pulls). All code should have accompanying tests.\n\n# License\n\nPlease see [LICENSE.md](./LICENSE.md) for licensing details.\n\n# History","ref":"readme.html#testing-connect"},{"type":"extras","title":"Statement from original author - Overview","doc":"Why another Stripe Library? Currently there are a number of them in the Elixir world that are, well just not \"done\" yet. I started to fork/help but soon it became clear to me that what I wanted was\n\n- an existing/better test story\n- an API that didn't just mimic a REST interaction\n- a library that was up to date with Elixir > 1.0 and would, you know, actually _compile_.\n- function calls that returned a standard `{:ok, result}` or `{:error, message}` response\n\nAs I began digging things up with these other libraries it became rather apparent that I was not only tweaking the API, but also ripping out a lot of the existing code... and that usually means I should probably do my own thing. So I did.","ref":"readme.html#statement-from-original-author"}],"content_type":"text/markdown"}